local aircraft={
	[1] = {
		['id'] = 1,
		['name'] = 'f1024',
		['aircraftQuality'] = 1,
		['describe'] = 'v10045',
		['describe2'] = 'v10062',
		['level'] = 1,
		['forbitDes'] = 'f1048',
		['icon'] = 'aircraft/aircraftHeadIcon/banshee1.png',
		['modelName'] = 'banshee.Banshee_lv1',
		['picUrl'] = 'aircraft_banshee_lv1',
		['showPic'] = 'aircraft_banshee_lv1_show',
		['hp'] = 30,
		['attackEffName'] = 'MachineGun',
		['attack'] = 3,
		['attackType'] = 1,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 5,
		['capacity'] = 100,
		['repairMoney'] = 5,
		['repairGems'] = 0.05,
		['upgradeTime'] = 1,
		['time'] = 1,
		['exp'] = 1,
		['honor'] = 3,
		['upResourceCosts'] = {{2,180},{3,90},{4,90},{5,7}},
		['resourceCosts'] = nil,
		['upCraftCosts'] = nil,
		['addHp'] = 1.5,
		['addAttack'] = 0.15,
		['propCosts'] = nil
	},
	[2] = {
		['id'] = 2,
		['name'] = 'f1025',
		['aircraftQuality'] = 1,
		['describe'] = 'v10046',
		['describe2'] = 'v10063',
		['level'] = 4,
		['forbitDes'] = 'f1049',
		['icon'] = 'aircraft/aircraftHeadIcon/parade1.png',
		['modelName'] = 'parade.Parade_lv1',
		['picUrl'] = 'aircraft_parade_lv1',
		['showPic'] = 'aircraft_parade_lv1_show',
		['hp'] = 20,
		['attackEffName'] = 'ParticleGun',
		['attack'] = 11,
		['attackType'] = 2,
		['hitRate'] = 0,
		['dodge'] = 5,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 150,
		['repairMoney'] = 10,
		['repairGems'] = 0.05,
		['upgradeTime'] = 5,
		['time'] = 5,
		['exp'] = 4,
		['honor'] = 4,
		['upResourceCosts'] = {{2,180},{3,360},{4,180},{5,29}},
		['resourceCosts'] = nil,
		['upCraftCosts'] = nil,
		['addHp'] = 1,
		['addAttack'] = 0.55,
		['propCosts'] = nil
	},
	[3] = {
		['id'] = 3,
		['name'] = 'f1026',
		['aircraftQuality'] = 1,
		['describe'] = 'v10047',
		['describe2'] = 'v10064',
		['level'] = 7,
		['forbitDes'] = 'f1050',
		['icon'] = 'aircraft/aircraftHeadIcon/lightning1.png',
		['modelName'] = 'thunder.Thunder_lv1',
		['picUrl'] = 'aircraft_thunder_lv1',
		['showPic'] = 'aircraft_thunder_lv1_show',
		['hp'] = 30,
		['attackEffName'] = 'Laser',
		['attack'] = 7,
		['attackType'] = 3,
		['hitRate'] = 5,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 250,
		['repairMoney'] = 20,
		['repairGems'] = 0.05,
		['upgradeTime'] = 15,
		['time'] = 15,
		['exp'] = 7,
		['honor'] = 7,
		['upResourceCosts'] = {{2,360},{3,360},{4,710},{5,88}},
		['resourceCosts'] = nil,
		['upCraftCosts'] = nil,
		['addHp'] = 1.5,
		['addAttack'] = 0.5,
		['propCosts'] = nil
	},
	[4] = {
		['id'] = 4,
		['name'] = 'f1027',
		['aircraftQuality'] = 1,
		['describe'] = 'v10048',
		['describe2'] = 'v10065',
		['level'] = 10,
		['forbitDes'] = 'f1051',
		['icon'] = 'aircraft/aircraftHeadIcon/fortress1.png',
		['modelName'] = 'fort.Fort_lv1',
		['picUrl'] = 'aircraft_fort_lv1',
		['showPic'] = 'aircraft_fort_lv1_show',
		['hp'] = 38,
		['attackEffName'] = 'Missile',
		['attack'] = 5,
		['attackType'] = 4,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 5,
		['critResist'] = 0,
		['capacity'] = 350,
		['repairMoney'] = 40,
		['repairGems'] = 0.05,
		['upgradeTime'] = 45,
		['time'] = 45,
		['exp'] = 10,
		['honor'] = 10,
		['upResourceCosts'] = {{2,950},{3,950},{4,950},{5,240}},
		['resourceCosts'] = nil,
		['upCraftCosts'] = nil,
		['addHp'] = 1.9,
		['addAttack'] = 0.25,
		['propCosts'] = nil
	},
	[5] = {
		['id'] = 5,
		['name'] = 'f1028',
		['aircraftQuality'] = 2,
		['describe'] = 'v10049',
		['describe2'] = 'v10066',
		['level'] = 13,
		['forbitDes'] = 'f1048',
		['icon'] = 'aircraft/aircraftHeadIcon/banshee2.png',
		['modelName'] = 'banshee.Banshee_lv2',
		['picUrl'] = 'aircraft_banshee_lv2',
		['showPic'] = 'aircraft_banshee_lv2_show',
		['hp'] = 88,
		['attackEffName'] = 'MachineGun',
		['attack'] = 7,
		['attackType'] = 1,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 10,
		['capacity'] = 500,
		['repairMoney'] = 80,
		['repairGems'] = 0.2,
		['upgradeTime'] = 120,
		['time'] = 118,
		['exp'] = 13,
		['honor'] = 17,
		['upResourceCosts'] = {{2,2800},{3,1400},{4,1400},{5,590}},
		['resourceCosts'] = {{2,2620},{3,1310},{4,1310},{5,583}},
		['upCraftCosts'] = {1,1},
		['addHp'] = 2.4,
		['addAttack'] = 0.18,
		['propCosts'] = nil
	},
	[6] = {
		['id'] = 6,
		['name'] = 'f1029',
		['aircraftQuality'] = 2,
		['describe'] = 'v10050',
		['describe2'] = 'v10067',
		['level'] = 16,
		['forbitDes'] = 'f1049',
		['icon'] = 'aircraft/aircraftHeadIcon/parade2.png',
		['modelName'] = 'parade.Parade_lv2',
		['picUrl'] = 'aircraft_parade_lv2',
		['showPic'] = 'aircraft_parade_lv2_show',
		['hp'] = 70,
		['attackEffName'] = 'ParticleGun',
		['attack'] = 40,
		['attackType'] = 2,
		['hitRate'] = 0,
		['dodge'] = 10,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 770,
		['repairMoney'] = 160,
		['repairGems'] = 0.2,
		['upgradeTime'] = 240,
		['time'] = 225,
		['exp'] = 16,
		['honor'] = 27,
		['upResourceCosts'] = {{2,2800},{3,5600},{4,2800},{5,1400}},
		['resourceCosts'] = {{2,2620},{3,5240},{4,2620},{5,1371}},
		['upCraftCosts'] = {2,1},
		['addHp'] = 1.9,
		['addAttack'] = 1.1,
		['propCosts'] = nil
	},
	[7] = {
		['id'] = 7,
		['name'] = 'f1030',
		['aircraftQuality'] = 2,
		['describe'] = 'v10051',
		['describe2'] = 'v10068',
		['level'] = 19,
		['forbitDes'] = 'f1050',
		['icon'] = 'aircraft/aircraftHeadIcon/lightning2.png',
		['modelName'] = 'thunder.Thunder_lv2',
		['picUrl'] = 'aircraft_thunder_lv2',
		['showPic'] = 'aircraft_thunder_lv2_show',
		['hp'] = 110,
		['attackEffName'] = 'Laser',
		['attack'] = 28,
		['attackType'] = 3,
		['hitRate'] = 10,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 1200,
		['repairMoney'] = 290,
		['repairGems'] = 0.2,
		['upgradeTime'] = 430,
		['time'] = 400,
		['exp'] = 19,
		['honor'] = 39,
		['upResourceCosts'] = {{2,5200},{3,5200},{4,10000},{5,3000}},
		['resourceCosts'] = {{2,4840},{3,4840},{4,9290},{5,2912}},
		['upCraftCosts'] = {3,1},
		['addHp'] = 3,
		['addAttack'] = 0.75,
		['propCosts'] = nil
	},
	[8] = {
		['id'] = 8,
		['name'] = 'f1031',
		['aircraftQuality'] = 2,
		['describe'] = 'v10052',
		['describe2'] = 'v10069',
		['level'] = 22,
		['forbitDes'] = 'f1051',
		['icon'] = 'aircraft/aircraftHeadIcon/fortress2.png',
		['modelName'] = 'fort.Fort_lv2',
		['picUrl'] = 'aircraft_fort_lv2',
		['showPic'] = 'aircraft_fort_lv2_show',
		['hp'] = 120,
		['attackEffName'] = 'Missile',
		['attack'] = 16,
		['attackType'] = 4,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 10,
		['critResist'] = 0,
		['capacity'] = 1900,
		['repairMoney'] = 520,
		['repairGems'] = 0.2,
		['upgradeTime'] = 650,
		['time'] = 324,
		['exp'] = 22,
		['honor'] = 58,
		['upResourceCosts'] = {{2,12000},{3,12000},{4,12000},{5,6200}},
		['resourceCosts'] = {{2,11050},{3,11050},{4,11050},{5,5960}},
		['upCraftCosts'] = {4,1},
		['addHp'] = 3.3,
		['addAttack'] = 0.45,
		['propCosts'] = nil
	},
	[9] = {
		['id'] = 9,
		['name'] = 'f1032',
		['aircraftQuality'] = 3,
		['describe'] = 'v10053',
		['describe2'] = 'v10070',
		['level'] = 25,
		['forbitDes'] = 'f1048',
		['icon'] = 'aircraft/aircraftHeadIcon/banshee3.png',
		['modelName'] = 'banshee.Banshee_lv3',
		['picUrl'] = 'aircraft_banshee_lv3',
		['showPic'] = 'aircraft_banshee_lv3_show',
		['hp'] = 260,
		['attackEffName'] = 'MachineGun',
		['attack'] = 21,
		['attackType'] = 1,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 15,
		['capacity'] = 2600,
		['repairMoney'] = 880,
		['repairGems'] = 0.3,
		['upgradeTime'] = 900,
		['time'] = 780,
		['exp'] = 25,
		['honor'] = 77,
		['upResourceCosts'] = {{2,31000},{3,16000},{4,16000},{5,12000}},
		['resourceCosts'] = {{2,28200},{3,14600},{4,14600},{5,11410}},
		['upCraftCosts'] = {5,1},
		['addHp'] = 5.2,
		['addAttack'] = 0.42,
		['propCosts'] = nil
	},
	[10] = {
		['id'] = 10,
		['name'] = 'f1033',
		['aircraftQuality'] = 3,
		['describe'] = 'v10054',
		['describe2'] = 'v10071',
		['level'] = 28,
		['forbitDes'] = 'f1049',
		['icon'] = 'aircraft/aircraftHeadIcon/parade3.png',
		['modelName'] = 'parade.Parade_lv3',
		['picUrl'] = 'aircraft_parade_lv3',
		['showPic'] = 'aircraft_parade_lv3_show',
		['hp'] = 190,
		['attackEffName'] = 'ParticleGun',
		['attack'] = 100,
		['attackType'] = 2,
		['hitRate'] = 0,
		['dodge'] = 15,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 3400,
		['repairMoney'] = 1500,
		['repairGems'] = 0.3,
		['upgradeTime'] = 1180,
		['time'] = 940,
		['exp'] = 28,
		['honor'] = 116,
		['upResourceCosts'] = {{2,26000},{3,51000},{4,26000},{5,21000}},
		['resourceCosts'] = {{2,23200},{3,45400},{4,23200},{5,19600}},
		['upCraftCosts'] = {6,1},
		['addHp'] = 3.8,
		['addAttack'] = 2,
		['propCosts'] = nil
	},
	[11] = {
		['id'] = 11,
		['name'] = 'f1034',
		['aircraftQuality'] = 3,
		['describe'] = 'v10055',
		['describe2'] = 'v10072',
		['level'] = 31,
		['forbitDes'] = 'f1050',
		['icon'] = 'aircraft/aircraftHeadIcon/lightning3.png',
		['modelName'] = 'thunder.Thunder_lv3',
		['picUrl'] = 'aircraft_thunder_lv3',
		['showPic'] = 'aircraft_thunder_lv3_show',
		['hp'] = 250,
		['attackEffName'] = 'Laser',
		['attack'] = 68,
		['attackType'] = 3,
		['hitRate'] = 15,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 4900,
		['repairMoney'] = 2300,
		['repairGems'] = 0.3,
		['upgradeTime'] = 1490,
		['time'] = 1060,
		['exp'] = 31,
		['honor'] = 153,
		['upResourceCosts'] = {{2,40000},{3,40000},{4,80000},{5,30000}},
		['resourceCosts'] = {{2,34800},{3,34800},{4,70000},{5,30000}},
		['upCraftCosts'] = {7,1},
		['addHp'] = 5,
		['addAttack'] = 1.36,
		['propCosts'] = nil
	},
	[12] = {
		['id'] = 12,
		['name'] = 'f1035',
		['aircraftQuality'] = 3,
		['describe'] = 'v10056',
		['describe2'] = 'v10073',
		['level'] = 34,
		['forbitDes'] = 'f1051',
		['icon'] = 'aircraft/aircraftHeadIcon/fortress3.png',
		['modelName'] = 'fort.Fort_lv3',
		['picUrl'] = 'aircraft_fort_lv3',
		['showPic'] = 'aircraft_fort_lv3_show',
		['hp'] = 270,
		['attackEffName'] = 'Missile',
		['attack'] = 37,
		['attackType'] = 4,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 15,
		['critResist'] = 0,
		['capacity'] = 6700,
		['repairMoney'] = 3400,
		['repairGems'] = 0.3,
		['upgradeTime'] = 1830,
		['time'] = 1180,
		['exp'] = 34,
		['honor'] = 197,
		['upResourceCosts'] = {{2,81000},{3,81000},{4,81000},{5,51000}},
		['resourceCosts'] = {{2,69000},{3,69000},{4,69000},{5,44800}},
		['upCraftCosts'] = {8,1},
		['addHp'] = 5.4,
		['addAttack'] = 0.74,
		['propCosts'] = nil
	},
	[13] = {
		['id'] = 13,
		['name'] = 'f1036',
		['aircraftQuality'] = 4,
		['describe'] = 'v10057',
		['describe2'] = 'v10074',
		['level'] = 37,
		['forbitDes'] = 'f1048',
		['icon'] = 'aircraft/aircraftHeadIcon/banshee4.png',
		['modelName'] = 'banshee.Banshee_lv4',
		['picUrl'] = 'aircraft_banshee_lv4',
		['showPic'] = 'aircraft_banshee_lv4_show',
		['hp'] = 530,
		['attackEffName'] = 'MachineGun',
		['attack'] = 44,
		['attackType'] = 1,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 20,
		['capacity'] = 8900,
		['repairMoney'] = 5000,
		['repairGems'] = 0.4,
		['upgradeTime'] = 2200,
		['time'] = 1300,
		['exp'] = 37,
		['honor'] = 253,
		['upResourceCosts'] = {{2,180000},{3,89000},{4,89000},{5,74000}},
		['resourceCosts'] = {{2,149000},{3,73000},{4,73000},{5,62000}},
		['upCraftCosts'] = {9,1},
		['addHp'] = 8.62,
		['addAttack'] = 0.72,
		['propCosts'] = nil
	},
	[14] = {
		['id'] = 14,
		['name'] = 'f1037',
		['aircraftQuality'] = 4,
		['describe'] = 'v10058',
		['describe2'] = 'v10075',
		['level'] = 40,
		['forbitDes'] = 'f1049',
		['icon'] = 'aircraft/aircraftHeadIcon/parade4.png',
		['modelName'] = 'parade.Parade_lv4',
		['picUrl'] = 'aircraft_parade_lv4',
		['showPic'] = 'aircraft_parade_lv4_show',
		['hp'] = 370,
		['attackEffName'] = 'ParticleGun',
		['attack'] = 210,
		['attackType'] = 2,
		['hitRate'] = 0,
		['dodge'] = 20,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 11000,
		['repairMoney'] = 7100,
		['repairGems'] = 0.4,
		['upgradeTime'] = 2600,
		['time'] = 1420,
		['exp'] = 40,
		['honor'] = 318,
		['upResourceCosts'] = {{2,130000},{3,250000},{4,130000},{5,110000}},
		['resourceCosts'] = {{2,104000},{3,199000},{4,104000},{5,89000}},
		['upCraftCosts'] = {10,1},
		['addHp'] = 6,
		['addAttack'] = 3.4,
		['propCosts'] = nil
	},
	[15] = {
		['id'] = 15,
		['name'] = 'f1038',
		['aircraftQuality'] = 4,
		['describe'] = 'v10059',
		['describe2'] = 'v10076',
		['level'] = 43,
		['forbitDes'] = 'f1050',
		['icon'] = 'aircraft/aircraftHeadIcon/lightning4.png',
		['modelName'] = 'thunder.Thunder_lv4',
		['picUrl'] = 'aircraft_thunder_lv4',
		['showPic'] = 'aircraft_thunder_lv4_show',
		['hp'] = 470,
		['attackEffName'] = 'Laser',
		['attack'] = 130,
		['attackType'] = 3,
		['hitRate'] = 20,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 14000,
		['repairMoney'] = 9900,
		['repairGems'] = 0.4,
		['upgradeTime'] = 3030,
		['time'] = 1540,
		['exp'] = 43,
		['honor'] = 395,
		['upResourceCosts'] = {{2,180000},{3,180000},{4,360000},{5,150000}},
		['resourceCosts'] = {{2,140000},{3,140000},{4,280000},{5,117000}},
		['upCraftCosts'] = {11,1},
		['addHp'] = 7.65,
		['addAttack'] = 2.15,
		['propCosts'] = nil
	},
	[16] = {
		['id'] = 16,
		['name'] = 'f1039',
		['aircraftQuality'] = 4,
		['describe'] = 'v10060',
		['describe2'] = 'v10077',
		['level'] = 46,
		['forbitDes'] = 'f1051',
		['icon'] = 'aircraft/aircraftHeadIcon/fortress4.png',
		['modelName'] = 'fort.Fort_lv4',
		['picUrl'] = 'aircraft_fort_lv4',
		['showPic'] = 'aircraft_fort_lv4_show',
		['hp'] = 480,
		['attackEffName'] = 'Missile',
		['attack'] = 67,
		['attackType'] = 4,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 20,
		['critResist'] = 0,
		['capacity'] = 16000,
		['repairMoney'] = 14000,
		['repairGems'] = 0.4,
		['upgradeTime'] = 3490,
		['time'] = 1660,
		['exp'] = 46,
		['honor'] = 495,
		['upResourceCosts'] = {{2,320000},{3,320000},{4,320000},{5,200000}},
		['resourceCosts'] = {{2,239000},{3,239000},{4,239000},{5,149000}},
		['upCraftCosts'] = {12,1},
		['addHp'] = 7.8,
		['addAttack'] = 1.1,
		['propCosts'] = nil
	},
	[17] = {
		['id'] = 17,
		['name'] = 'fgAircraftName17',
		['aircraftQuality'] = 5,
		['describe'] = 'vPlaneDes1_17',
		['describe2'] = 'vPlaneDes2_17',
		['level'] = 49,
		['forbitDes'] = 'f1048',
		['icon'] = 'aircraft/aircraftHeadIcon/banshee5.png',
		['modelName'] = 'banshee.Banshee_lv5',
		['picUrl'] = 'aircraft_banshee_lv5',
		['showPic'] = 'aircraft_banshee_lv5_show',
		['hp'] = 1300,
		['attackEffName'] = 'MachineGun',
		['attack'] = 110,
		['attackType'] = 1,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 25,
		['capacity'] = 18000,
		['repairMoney'] = 16000,
		['repairGems'] = 0.6,
		['upgradeTime'] = 4450,
		['time'] = 2250,
		['exp'] = 49,
		['honor'] = 722,
		['upResourceCosts'] = {{2,1800000},{3,1000000},{4,1000000},{5,800000}},
		['resourceCosts'] = {{2,1620000},{3,911000},{4,911000},{5,726000}},
		['upCraftCosts'] = {13,1},
		['addHp'] = 18.2,
		['addAttack'] = 1.5,
		['propCosts'] = {212,1}
	},
	[18] = {
		['id'] = 18,
		['name'] = 'fgAircraftName18',
		['aircraftQuality'] = 5,
		['describe'] = 'vPlaneDes1_18',
		['describe2'] = 'vPlaneDes2_18',
		['level'] = 52,
		['forbitDes'] = 'f1049',
		['icon'] = 'aircraft/aircraftHeadIcon/parade5.png',
		['modelName'] = 'parade.Parade_lv5',
		['picUrl'] = 'aircraft_parade_lv5',
		['showPic'] = 'aircraft_parade_lv5_show',
		['hp'] = 770,
		['attackEffName'] = 'ParticleGun',
		['attack'] = 460,
		['attackType'] = 2,
		['hitRate'] = 0,
		['dodge'] = 25,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 18000,
		['repairMoney'] = 16000,
		['repairGems'] = 0.6,
		['upgradeTime'] = 5100,
		['time'] = 2500,
		['exp'] = 52,
		['honor'] = 759,
		['upResourceCosts'] = {{2,1200000},{3,2000000},{4,1200000},{5,1000000}},
		['resourceCosts'] = {{2,1070000},{3,1750000},{4,1070000},{5,890000}},
		['upCraftCosts'] = {14,1},
		['addHp'] = 10.8,
		['addAttack'] = 6.64,
		['propCosts'] = {212,1}
	},
	[19] = {
		['id'] = 19,
		['name'] = 'fgAircraftName19',
		['aircraftQuality'] = 5,
		['describe'] = 'vPlaneDes1_19',
		['describe2'] = 'vPlaneDes2_19',
		['level'] = 55,
		['forbitDes'] = 'f1050',
		['icon'] = 'aircraft/aircraftHeadIcon/lightning5.png',
		['modelName'] = 'thunder.Thunder_lv5',
		['picUrl'] = 'aircraft_thunder_lv5',
		['showPic'] = 'aircraft_thunder_lv5_show',
		['hp'] = 850,
		['attackEffName'] = 'Laser',
		['attack'] = 260,
		['attackType'] = 3,
		['hitRate'] = 25,
		['dodge'] = 0,
		['crit'] = 0,
		['critResist'] = 0,
		['capacity'] = 18000,
		['repairMoney'] = 16000,
		['repairGems'] = 0.6,
		['upgradeTime'] = 5780,
		['time'] = 2750,
		['exp'] = 55,
		['honor'] = 795,
		['upResourceCosts'] = {{2,1400000},{3,1400000},{4,2200000},{5,1200000}},
		['resourceCosts'] = {{2,1220000},{3,1220000},{4,1840000},{5,1050000}},
		['upCraftCosts'] = {15,1},
		['addHp'] = 11.9,
		['addAttack'] = 3.64,
		['propCosts'] = {212,1}
	},
	[20] = {
		['id'] = 20,
		['name'] = 'fgAircraftName20',
		['aircraftQuality'] = 5,
		['describe'] = 'vPlaneDes1_20',
		['describe2'] = 'vPlaneDes2_20',
		['level'] = 58,
		['forbitDes'] = 'f1051',
		['icon'] = 'aircraft/aircraftHeadIcon/fortress5.png',
		['modelName'] = 'fort.Fort_lv5',
		['picUrl'] = 'aircraft_fort_lv5',
		['showPic'] = 'aircraft_fort_lv5_show',
		['hp'] = 800,
		['attackEffName'] = 'Missile',
		['attack'] = 125,
		['attackType'] = 4,
		['hitRate'] = 0,
		['dodge'] = 0,
		['crit'] = 25,
		['critResist'] = 0,
		['capacity'] = 18000,
		['repairMoney'] = 16000,
		['repairGems'] = 0.6,
		['upgradeTime'] = 6490,
		['time'] = 3000,
		['exp'] = 58,
		['honor'] = 830,
		['upResourceCosts'] = {{2,2200000},{3,2200000},{4,2200000},{5,1500000}},
		['resourceCosts'] = {{2,1880000},{3,1880000},{4,1880000},{5,1300000}},
		['upCraftCosts'] = {16,1},
		['addHp'] = 12.32,
		['addAttack'] = 1.74,
		['propCosts'] = {212,1}
	}
}
return aircraft