local buildAluminium={
	[0] = {
		['level'] = 0,
		['need'] = {{2,6},{3,3},{4,1}},
		['upgradeTime'] = 2,
		['capacity'] = 0,
		['output'] = 0
	},
	[1] = {
		['level'] = 1,
		['need'] = {{2,40},{3,20},{4,10}},
		['upgradeTime'] = 12,
		['capacity'] = 4200,
		['output'] = 2
	},
	[2] = {
		['level'] = 2,
		['need'] = {{2,173},{3,86},{4,43}},
		['upgradeTime'] = 30,
		['capacity'] = 12600,
		['output'] = 6
	},
	[3] = {
		['level'] = 3,
		['need'] = {{2,536},{3,268},{4,134}},
		['upgradeTime'] = 60,
		['capacity'] = 25200,
		['output'] = 12
	},
	[4] = {
		['level'] = 4,
		['need'] = {{2,1320},{3,660},{4,330}},
		['upgradeTime'] = 108,
		['capacity'] = 42000,
		['output'] = 20
	},
	[5] = {
		['level'] = 5,
		['need'] = {{2,2790},{3,1400},{4,698}},
		['upgradeTime'] = 204,
		['capacity'] = 63000,
		['output'] = 30
	},
	[6] = {
		['level'] = 6,
		['need'] = {{2,5300},{3,2650},{4,1320}},
		['upgradeTime'] = 396,
		['capacity'] = 88200,
		['output'] = 42
	},
	[7] = {
		['level'] = 7,
		['need'] = {{2,9260},{3,4630},{4,2320}},
		['upgradeTime'] = 780,
		['capacity'] = 118000,
		['output'] = 56
	},
	[8] = {
		['level'] = 8,
		['need'] = {{2,15200},{3,7600},{4,3800}},
		['upgradeTime'] = 1440,
		['capacity'] = 151000,
		['output'] = 72
	},
	[9] = {
		['level'] = 9,
		['need'] = {{2,23700},{3,11900},{4,5940}},
		['upgradeTime'] = 2400,
		['capacity'] = 189000,
		['output'] = 90
	},
	[10] = {
		['level'] = 10,
		['need'] = {{2,35600},{3,17800},{4,8900}},
		['upgradeTime'] = 3600,
		['capacity'] = 231000,
		['output'] = 110
	},
	[11] = {
		['level'] = 11,
		['need'] = {{2,51600},{3,25800},{4,12900}},
		['upgradeTime'] = 4920,
		['capacity'] = 277000,
		['output'] = 132
	},
	[12] = {
		['level'] = 12,
		['need'] = {{2,72700},{3,36300},{4,18200}},
		['upgradeTime'] = 6360,
		['capacity'] = 328000,
		['output'] = 156
	},
	[13] = {
		['level'] = 13,
		['need'] = {{2,99900},{3,49900},{4,25000}},
		['upgradeTime'] = 7920,
		['capacity'] = 382000,
		['output'] = 182
	},
	[14] = {
		['level'] = 14,
		['need'] = {{2,134000},{3,67200},{4,33600}},
		['upgradeTime'] = 9600,
		['capacity'] = 441000,
		['output'] = 210
	},
	[15] = {
		['level'] = 15,
		['need'] = {{2,178000},{3,88800},{4,44400}},
		['upgradeTime'] = 11400,
		['capacity'] = 504000,
		['output'] = 240
	},
	[16] = {
		['level'] = 16,
		['need'] = {{2,231000},{3,115000},{4,57700}},
		['upgradeTime'] = 13320,
		['capacity'] = 571000,
		['output'] = 272
	},
	[17] = {
		['level'] = 17,
		['need'] = {{2,296000},{3,148000},{4,73900}},
		['upgradeTime'] = 15360,
		['capacity'] = 643000,
		['output'] = 306
	},
	[18] = {
		['level'] = 18,
		['need'] = {{2,374000},{3,187000},{4,93500}},
		['upgradeTime'] = 17520,
		['capacity'] = 718000,
		['output'] = 342
	},
	[19] = {
		['level'] = 19,
		['need'] = {{2,468000},{3,234000},{4,117000}},
		['upgradeTime'] = 19800,
		['capacity'] = 798000,
		['output'] = 380
	},
	[20] = {
		['level'] = 20,
		['need'] = {{2,578000},{3,289000},{4,145000}},
		['upgradeTime'] = 22200,
		['capacity'] = 882000,
		['output'] = 420
	},
	[21] = {
		['level'] = 21,
		['need'] = {{2,709000},{3,354000},{4,177000}},
		['upgradeTime'] = 24720,
		['capacity'] = 970000,
		['output'] = 462
	},
	[22] = {
		['level'] = 22,
		['need'] = {{2,861000},{3,431000},{4,215000}},
		['upgradeTime'] = 27360,
		['capacity'] = 1060000,
		['output'] = 506
	},
	[23] = {
		['level'] = 23,
		['need'] = {{2,1040000},{3,519000},{4,259000}},
		['upgradeTime'] = 30120,
		['capacity'] = 1160000,
		['output'] = 552
	},
	[24] = {
		['level'] = 24,
		['need'] = {{2,1240000},{3,621000},{4,310000}},
		['upgradeTime'] = 33000,
		['capacity'] = 1260000,
		['output'] = 600
	},
	[25] = {
		['level'] = 25,
		['need'] = {{2,1480000},{3,738000},{4,369000}},
		['upgradeTime'] = 36000,
		['capacity'] = 1370000,
		['output'] = 650
	},
	[26] = {
		['level'] = 26,
		['need'] = {{2,1740000},{3,871000},{4,436000}},
		['upgradeTime'] = 39120,
		['capacity'] = 1470000,
		['output'] = 702
	},
	[27] = {
		['level'] = 27,
		['need'] = {{2,2050000},{3,1020000},{4,511000}},
		['upgradeTime'] = 42360,
		['capacity'] = 1590000,
		['output'] = 756
	},
	[28] = {
		['level'] = 28,
		['need'] = {{2,2390000},{3,1190000},{4,597000}},
		['upgradeTime'] = 45720,
		['capacity'] = 1710000,
		['output'] = 812
	},
	[29] = {
		['level'] = 29,
		['need'] = {{2,2770000},{3,1390000},{4,694000}},
		['upgradeTime'] = 49200,
		['capacity'] = 1830000,
		['output'] = 870
	},
	[30] = {
		['level'] = 30,
		['need'] = {{2,3210000},{3,1600000},{4,802000}},
		['upgradeTime'] = 52800,
		['capacity'] = 1950000,
		['output'] = 930
	},
	[31] = {
		['level'] = 31,
		['need'] = {{2,3690000},{3,1850000},{4,923000}},
		['upgradeTime'] = 56520,
		['capacity'] = 2080000,
		['output'] = 992
	},
	[32] = {
		['level'] = 32,
		['need'] = {{2,4230000},{3,2120000},{4,1060000}},
		['upgradeTime'] = 60360,
		['capacity'] = 2220000,
		['output'] = 1056
	},
	[33] = {
		['level'] = 33,
		['need'] = {{2,4830000},{3,2420000},{4,1210000}},
		['upgradeTime'] = 64320,
		['capacity'] = 2360000,
		['output'] = 1122
	},
	[34] = {
		['level'] = 34,
		['need'] = {{2,5500000},{3,2750000},{4,1370000}},
		['upgradeTime'] = 68400,
		['capacity'] = 2500000,
		['output'] = 1190
	},
	[35] = {
		['level'] = 35,
		['need'] = {{2,6230000},{3,3120000},{4,1560000}},
		['upgradeTime'] = 72600,
		['capacity'] = 2650000,
		['output'] = 1260
	},
	[36] = {
		['level'] = 36,
		['need'] = {{2,7040000},{3,3520000},{4,1760000}},
		['upgradeTime'] = 76920,
		['capacity'] = 2800000,
		['output'] = 1332
	},
	[37] = {
		['level'] = 37,
		['need'] = {{2,7930000},{3,3970000},{4,1980000}},
		['upgradeTime'] = 81360,
		['capacity'] = 2950000,
		['output'] = 1406
	},
	[38] = {
		['level'] = 38,
		['need'] = {{2,8910000},{3,4450000},{4,2230000}},
		['upgradeTime'] = 85920,
		['capacity'] = 3110000,
		['output'] = 1482
	},
	[39] = {
		['level'] = 39,
		['need'] = {{2,9970000},{3,4990000},{4,2490000}},
		['upgradeTime'] = 90600,
		['capacity'] = 3280000,
		['output'] = 1560
	},
	[40] = {
		['level'] = 40,
		['need'] = {{2,11100000},{3,5570000},{4,2780000}},
		['upgradeTime'] = 95400,
		['capacity'] = 3440000,
		['output'] = 1640
	},
	[41] = {
		['level'] = 41,
		['need'] = {{2,12400000},{3,6200000},{4,3100000}},
		['upgradeTime'] = 100320,
		['capacity'] = 3620000,
		['output'] = 1722
	},
	[42] = {
		['level'] = 42,
		['need'] = {{2,13800000},{3,6890000},{4,3450000}},
		['upgradeTime'] = 105360,
		['capacity'] = 3790000,
		['output'] = 1806
	},
	[43] = {
		['level'] = 43,
		['need'] = {{2,15300000},{3,7640000},{4,3820000}},
		['upgradeTime'] = 110520,
		['capacity'] = 3970000,
		['output'] = 1892
	},
	[44] = {
		['level'] = 44,
		['need'] = {{2,16900000},{3,8450000},{4,4230000}},
		['upgradeTime'] = 115800,
		['capacity'] = 4160000,
		['output'] = 1980
	},
	[45] = {
		['level'] = 45,
		['need'] = {{2,18700000},{3,9330000},{4,4670000}},
		['upgradeTime'] = 121200,
		['capacity'] = 4350000,
		['output'] = 2070
	},
	[46] = {
		['level'] = 46,
		['need'] = {{2,20600000},{3,10300000},{4,5140000}},
		['upgradeTime'] = 126720,
		['capacity'] = 4540000,
		['output'] = 2162
	},
	[47] = {
		['level'] = 47,
		['need'] = {{2,22600000},{3,11300000},{4,5650000}},
		['upgradeTime'] = 132360,
		['capacity'] = 4740000,
		['output'] = 2256
	},
	[48] = {
		['level'] = 48,
		['need'] = {{2,24800000},{3,12400000},{4,6200000}},
		['upgradeTime'] = 138120,
		['capacity'] = 4940000,
		['output'] = 2352
	},
	[49] = {
		['level'] = 49,
		['need'] = {{2,27200000},{3,13600000},{4,6790000}},
		['upgradeTime'] = 144000,
		['capacity'] = 5150000,
		['output'] = 2450
	},
	[50] = {
		['level'] = 50,
		['need'] = {{2,32700000},{3,16300000},{4,8160000}},
		['upgradeTime'] = 150000,
		['capacity'] = 5360000,
		['output'] = 2550
	},
	[51] = {
		['level'] = 51,
		['need'] = {{2,38900000},{3,19400000},{4,9720000}},
		['upgradeTime'] = 156120,
		['capacity'] = 5570000,
		['output'] = 2652
	},
	[52] = {
		['level'] = 52,
		['need'] = {{2,45900000},{3,23000000},{4,11500000}},
		['upgradeTime'] = 162360,
		['capacity'] = 5790000,
		['output'] = 2756
	},
	[53] = {
		['level'] = 53,
		['need'] = {{2,53800000},{3,26900000},{4,13400000}},
		['upgradeTime'] = 168720,
		['capacity'] = 6010000,
		['output'] = 2862
	},
	[54] = {
		['level'] = 54,
		['need'] = {{2,62600000},{3,31300000},{4,15700000}},
		['upgradeTime'] = 175200,
		['capacity'] = 6240000,
		['output'] = 2970
	},
	[55] = {
		['level'] = 55,
		['need'] = {{2,72500000},{3,36200000},{4,18100000}},
		['upgradeTime'] = 181800,
		['capacity'] = 6470000,
		['output'] = 3080
	},
	[56] = {
		['level'] = 56,
		['need'] = {{2,83400000},{3,41700000},{4,20900000}},
		['upgradeTime'] = 188520,
		['capacity'] = 6700000,
		['output'] = 3192
	},
	[57] = {
		['level'] = 57,
		['need'] = {{2,95500000},{3,47800000},{4,23900000}},
		['upgradeTime'] = 195360,
		['capacity'] = 6940000,
		['output'] = 3306
	},
	[58] = {
		['level'] = 58,
		['need'] = {{2,109000000},{3,54500000},{4,27200000}},
		['upgradeTime'] = 202320,
		['capacity'] = 7190000,
		['output'] = 3422
	},
	[59] = {
		['level'] = 59,
		['need'] = {{2,124000000},{3,61900000},{4,30900000}},
		['upgradeTime'] = 209400,
		['capacity'] = 7430000,
		['output'] = 3540
	},
	[60] = {
		['level'] = 60,
		['need'] = {{2,133000000},{3,66700000},{4,33400000}},
		['upgradeTime'] = 216600,
		['capacity'] = 7690000,
		['output'] = 3660
	},
	[61] = {
		['level'] = 61,
		['need'] = {{2,144000000},{3,71800000},{4,35900000}},
		['upgradeTime'] = 223920,
		['capacity'] = 7940000,
		['output'] = 3782
	},
	[62] = {
		['level'] = 62,
		['need'] = {{2,154000000},{3,77200000},{4,38600000}},
		['upgradeTime'] = 231360,
		['capacity'] = 8200000,
		['output'] = 3906
	},
	[63] = {
		['level'] = 63,
		['need'] = {{2,166000000},{3,82900000},{4,41500000}},
		['upgradeTime'] = 238920,
		['capacity'] = 8470000,
		['output'] = 4032
	},
	[64] = {
		['level'] = 64,
		['need'] = {{2,178000000},{3,89000000},{4,44500000}},
		['upgradeTime'] = 246600,
		['capacity'] = 8740000,
		['output'] = 4160
	},
	[65] = {
		['level'] = 65,
		['need'] = {{2,191000000},{3,95400000},{4,47700000}},
		['upgradeTime'] = 254400,
		['capacity'] = 9010000,
		['output'] = 4290
	},
	[66] = {
		['level'] = 66,
		['need'] = {{2,204000000},{3,102000000},{4,51100000}},
		['upgradeTime'] = 262320,
		['capacity'] = 9290000,
		['output'] = 4422
	},
	[67] = {
		['level'] = 67,
		['need'] = {{2,218000000},{3,109000000},{4,54600000}},
		['upgradeTime'] = 270360,
		['capacity'] = 9570000,
		['output'] = 4556
	},
	[68] = {
		['level'] = 68,
		['need'] = {{2,233000000},{3,117000000},{4,58400000}},
		['upgradeTime'] = 278520,
		['capacity'] = 9850000,
		['output'] = 4692
	},
	[69] = {
		['level'] = 69,
		['need'] = {{2,249000000},{3,125000000},{4,62300000}},
		['upgradeTime'] = 286800,
		['capacity'] = 10100000,
		['output'] = 4830
	},
	[70] = {
		['level'] = 70,
		['need'] = 0,
		['upgradeTime'] = 0,
		['capacity'] = 10400000,
		['output'] = 4970
	}
}
return buildAluminium