local buildOil={
	[0] = {
		['level'] = 0,
		['need'] = {{2,3},{3,1},{4,6}},
		['upgradeTime'] = 2,
		['capacity'] = 0,
		['output'] = 0
	},
	[1] = {
		['level'] = 1,
		['need'] = {{2,20},{3,10},{4,40}},
		['upgradeTime'] = 8,
		['capacity'] = 6300,
		['output'] = 3
	},
	[2] = {
		['level'] = 2,
		['need'] = {{2,86},{3,43},{4,173}},
		['upgradeTime'] = 20,
		['capacity'] = 18900,
		['output'] = 9
	},
	[3] = {
		['level'] = 3,
		['need'] = {{2,268},{3,134},{4,536}},
		['upgradeTime'] = 40,
		['capacity'] = 37800,
		['output'] = 18
	},
	[4] = {
		['level'] = 4,
		['need'] = {{2,660},{3,330},{4,1320}},
		['upgradeTime'] = 72,
		['capacity'] = 63000,
		['output'] = 30
	},
	[5] = {
		['level'] = 5,
		['need'] = {{2,1400},{3,698},{4,2790}},
		['upgradeTime'] = 136,
		['capacity'] = 94500,
		['output'] = 45
	},
	[6] = {
		['level'] = 6,
		['need'] = {{2,2650},{3,1320},{4,5300}},
		['upgradeTime'] = 264,
		['capacity'] = 132000,
		['output'] = 63
	},
	[7] = {
		['level'] = 7,
		['need'] = {{2,4630},{3,2320},{4,9260}},
		['upgradeTime'] = 520,
		['capacity'] = 176000,
		['output'] = 84
	},
	[8] = {
		['level'] = 8,
		['need'] = {{2,7600},{3,3800},{4,15200}},
		['upgradeTime'] = 960,
		['capacity'] = 227000,
		['output'] = 108
	},
	[9] = {
		['level'] = 9,
		['need'] = {{2,11900},{3,5940},{4,23700}},
		['upgradeTime'] = 1600,
		['capacity'] = 284000,
		['output'] = 135
	},
	[10] = {
		['level'] = 10,
		['need'] = {{2,17800},{3,8900},{4,35600}},
		['upgradeTime'] = 2400,
		['capacity'] = 347000,
		['output'] = 165
	},
	[11] = {
		['level'] = 11,
		['need'] = {{2,25800},{3,12900},{4,51600}},
		['upgradeTime'] = 3280,
		['capacity'] = 416000,
		['output'] = 198
	},
	[12] = {
		['level'] = 12,
		['need'] = {{2,36300},{3,18200},{4,72700}},
		['upgradeTime'] = 4240,
		['capacity'] = 491000,
		['output'] = 234
	},
	[13] = {
		['level'] = 13,
		['need'] = {{2,49900},{3,25000},{4,99900}},
		['upgradeTime'] = 5280,
		['capacity'] = 573000,
		['output'] = 273
	},
	[14] = {
		['level'] = 14,
		['need'] = {{2,67200},{3,33600},{4,134000}},
		['upgradeTime'] = 6400,
		['capacity'] = 662000,
		['output'] = 315
	},
	[15] = {
		['level'] = 15,
		['need'] = {{2,88800},{3,44400},{4,178000}},
		['upgradeTime'] = 7600,
		['capacity'] = 756000,
		['output'] = 360
	},
	[16] = {
		['level'] = 16,
		['need'] = {{2,115000},{3,57700},{4,231000}},
		['upgradeTime'] = 8880,
		['capacity'] = 857000,
		['output'] = 408
	},
	[17] = {
		['level'] = 17,
		['need'] = {{2,148000},{3,73900},{4,296000}},
		['upgradeTime'] = 10240,
		['capacity'] = 964000,
		['output'] = 459
	},
	[18] = {
		['level'] = 18,
		['need'] = {{2,187000},{3,93500},{4,374000}},
		['upgradeTime'] = 11680,
		['capacity'] = 1080000,
		['output'] = 513
	},
	[19] = {
		['level'] = 19,
		['need'] = {{2,234000},{3,117000},{4,468000}},
		['upgradeTime'] = 13200,
		['capacity'] = 1200000,
		['output'] = 570
	},
	[20] = {
		['level'] = 20,
		['need'] = {{2,289000},{3,145000},{4,578000}},
		['upgradeTime'] = 14800,
		['capacity'] = 1320000,
		['output'] = 630
	},
	[21] = {
		['level'] = 21,
		['need'] = {{2,354000},{3,177000},{4,709000}},
		['upgradeTime'] = 16480,
		['capacity'] = 1460000,
		['output'] = 693
	},
	[22] = {
		['level'] = 22,
		['need'] = {{2,431000},{3,215000},{4,861000}},
		['upgradeTime'] = 18240,
		['capacity'] = 1590000,
		['output'] = 759
	},
	[23] = {
		['level'] = 23,
		['need'] = {{2,519000},{3,259000},{4,1040000}},
		['upgradeTime'] = 20080,
		['capacity'] = 1740000,
		['output'] = 828
	},
	[24] = {
		['level'] = 24,
		['need'] = {{2,621000},{3,310000},{4,1240000}},
		['upgradeTime'] = 22000,
		['capacity'] = 1890000,
		['output'] = 900
	},
	[25] = {
		['level'] = 25,
		['need'] = {{2,738000},{3,369000},{4,1480000}},
		['upgradeTime'] = 24000,
		['capacity'] = 2050000,
		['output'] = 975
	},
	[26] = {
		['level'] = 26,
		['need'] = {{2,871000},{3,436000},{4,1740000}},
		['upgradeTime'] = 26080,
		['capacity'] = 2210000,
		['output'] = 1053
	},
	[27] = {
		['level'] = 27,
		['need'] = {{2,1020000},{3,511000},{4,2050000}},
		['upgradeTime'] = 28240,
		['capacity'] = 2380000,
		['output'] = 1134
	},
	[28] = {
		['level'] = 28,
		['need'] = {{2,1190000},{3,597000},{4,2390000}},
		['upgradeTime'] = 30480,
		['capacity'] = 2560000,
		['output'] = 1218
	},
	[29] = {
		['level'] = 29,
		['need'] = {{2,1390000},{3,694000},{4,2770000}},
		['upgradeTime'] = 32800,
		['capacity'] = 2740000,
		['output'] = 1305
	},
	[30] = {
		['level'] = 30,
		['need'] = {{2,1600000},{3,802000},{4,3210000}},
		['upgradeTime'] = 35200,
		['capacity'] = 2930000,
		['output'] = 1395
	},
	[31] = {
		['level'] = 31,
		['need'] = {{2,1850000},{3,923000},{4,3690000}},
		['upgradeTime'] = 37680,
		['capacity'] = 3120000,
		['output'] = 1488
	},
	[32] = {
		['level'] = 32,
		['need'] = {{2,2120000},{3,1060000},{4,4230000}},
		['upgradeTime'] = 40240,
		['capacity'] = 3330000,
		['output'] = 1584
	},
	[33] = {
		['level'] = 33,
		['need'] = {{2,2420000},{3,1210000},{4,4830000}},
		['upgradeTime'] = 42880,
		['capacity'] = 3530000,
		['output'] = 1683
	},
	[34] = {
		['level'] = 34,
		['need'] = {{2,2750000},{3,1370000},{4,5500000}},
		['upgradeTime'] = 45600,
		['capacity'] = 3750000,
		['output'] = 1785
	},
	[35] = {
		['level'] = 35,
		['need'] = {{2,3120000},{3,1560000},{4,6230000}},
		['upgradeTime'] = 48400,
		['capacity'] = 3970000,
		['output'] = 1890
	},
	[36] = {
		['level'] = 36,
		['need'] = {{2,3520000},{3,1760000},{4,7040000}},
		['upgradeTime'] = 51280,
		['capacity'] = 4200000,
		['output'] = 1998
	},
	[37] = {
		['level'] = 37,
		['need'] = {{2,3970000},{3,1980000},{4,7930000}},
		['upgradeTime'] = 54240,
		['capacity'] = 4430000,
		['output'] = 2109
	},
	[38] = {
		['level'] = 38,
		['need'] = {{2,4450000},{3,2230000},{4,8910000}},
		['upgradeTime'] = 57280,
		['capacity'] = 4670000,
		['output'] = 2223
	},
	[39] = {
		['level'] = 39,
		['need'] = {{2,4990000},{3,2490000},{4,9970000}},
		['upgradeTime'] = 60400,
		['capacity'] = 4910000,
		['output'] = 2340
	},
	[40] = {
		['level'] = 40,
		['need'] = {{2,5570000},{3,2780000},{4,11100000}},
		['upgradeTime'] = 63600,
		['capacity'] = 5170000,
		['output'] = 2460
	},
	[41] = {
		['level'] = 41,
		['need'] = {{2,6200000},{3,3100000},{4,12400000}},
		['upgradeTime'] = 66880,
		['capacity'] = 5420000,
		['output'] = 2583
	},
	[42] = {
		['level'] = 42,
		['need'] = {{2,6890000},{3,3450000},{4,13800000}},
		['upgradeTime'] = 70240,
		['capacity'] = 5690000,
		['output'] = 2709
	},
	[43] = {
		['level'] = 43,
		['need'] = {{2,7640000},{3,3820000},{4,15300000}},
		['upgradeTime'] = 73680,
		['capacity'] = 5960000,
		['output'] = 2838
	},
	[44] = {
		['level'] = 44,
		['need'] = {{2,8450000},{3,4230000},{4,16900000}},
		['upgradeTime'] = 77200,
		['capacity'] = 6240000,
		['output'] = 2970
	},
	[45] = {
		['level'] = 45,
		['need'] = {{2,9330000},{3,4670000},{4,18700000}},
		['upgradeTime'] = 80800,
		['capacity'] = 6520000,
		['output'] = 3105
	},
	[46] = {
		['level'] = 46,
		['need'] = {{2,10300000},{3,5140000},{4,20600000}},
		['upgradeTime'] = 84480,
		['capacity'] = 6810000,
		['output'] = 3243
	},
	[47] = {
		['level'] = 47,
		['need'] = {{2,11300000},{3,5650000},{4,22600000}},
		['upgradeTime'] = 88240,
		['capacity'] = 7110000,
		['output'] = 3384
	},
	[48] = {
		['level'] = 48,
		['need'] = {{2,12400000},{3,6200000},{4,24800000}},
		['upgradeTime'] = 92080,
		['capacity'] = 7410000,
		['output'] = 3528
	},
	[49] = {
		['level'] = 49,
		['need'] = {{2,13600000},{3,6790000},{4,27200000}},
		['upgradeTime'] = 96000,
		['capacity'] = 7720000,
		['output'] = 3675
	},
	[50] = {
		['level'] = 50,
		['need'] = {{2,16300000},{3,8160000},{4,32700000}},
		['upgradeTime'] = 100000,
		['capacity'] = 8030000,
		['output'] = 3825
	},
	[51] = {
		['level'] = 51,
		['need'] = {{2,19400000},{3,9720000},{4,38900000}},
		['upgradeTime'] = 104080,
		['capacity'] = 8350000,
		['output'] = 3978
	},
	[52] = {
		['level'] = 52,
		['need'] = {{2,23000000},{3,11500000},{4,45900000}},
		['upgradeTime'] = 108240,
		['capacity'] = 8680000,
		['output'] = 4134
	},
	[53] = {
		['level'] = 53,
		['need'] = {{2,26900000},{3,13400000},{4,53800000}},
		['upgradeTime'] = 112480,
		['capacity'] = 9020000,
		['output'] = 4293
	},
	[54] = {
		['level'] = 54,
		['need'] = {{2,31300000},{3,15700000},{4,62600000}},
		['upgradeTime'] = 116800,
		['capacity'] = 9360000,
		['output'] = 4455
	},
	[55] = {
		['level'] = 55,
		['need'] = {{2,36200000},{3,18100000},{4,72500000}},
		['upgradeTime'] = 121200,
		['capacity'] = 9700000,
		['output'] = 4620
	},
	[56] = {
		['level'] = 56,
		['need'] = {{2,41700000},{3,20900000},{4,83400000}},
		['upgradeTime'] = 125680,
		['capacity'] = 10100000,
		['output'] = 4788
	},
	[57] = {
		['level'] = 57,
		['need'] = {{2,47800000},{3,23900000},{4,95500000}},
		['upgradeTime'] = 130240,
		['capacity'] = 10400000,
		['output'] = 4959
	},
	[58] = {
		['level'] = 58,
		['need'] = {{2,54500000},{3,27200000},{4,109000000}},
		['upgradeTime'] = 134880,
		['capacity'] = 10800000,
		['output'] = 5133
	},
	[59] = {
		['level'] = 59,
		['need'] = {{2,61900000},{3,30900000},{4,124000000}},
		['upgradeTime'] = 139600,
		['capacity'] = 11200000,
		['output'] = 5310
	},
	[60] = {
		['level'] = 60,
		['need'] = {{2,66700000},{3,33400000},{4,133000000}},
		['upgradeTime'] = 144400,
		['capacity'] = 11500000,
		['output'] = 5490
	},
	[61] = {
		['level'] = 61,
		['need'] = {{2,71800000},{3,35900000},{4,144000000}},
		['upgradeTime'] = 149280,
		['capacity'] = 11900000,
		['output'] = 5673
	},
	[62] = {
		['level'] = 62,
		['need'] = {{2,77200000},{3,38600000},{4,154000000}},
		['upgradeTime'] = 154240,
		['capacity'] = 12300000,
		['output'] = 5859
	},
	[63] = {
		['level'] = 63,
		['need'] = {{2,82900000},{3,41500000},{4,166000000}},
		['upgradeTime'] = 159280,
		['capacity'] = 12700000,
		['output'] = 6048
	},
	[64] = {
		['level'] = 64,
		['need'] = {{2,89000000},{3,44500000},{4,178000000}},
		['upgradeTime'] = 164400,
		['capacity'] = 13100000,
		['output'] = 6240
	},
	[65] = {
		['level'] = 65,
		['need'] = {{2,95400000},{3,47700000},{4,191000000}},
		['upgradeTime'] = 169600,
		['capacity'] = 13500000,
		['output'] = 6435
	},
	[66] = {
		['level'] = 66,
		['need'] = {{2,102000000},{3,51100000},{4,204000000}},
		['upgradeTime'] = 174880,
		['capacity'] = 13900000,
		['output'] = 6633
	},
	[67] = {
		['level'] = 67,
		['need'] = {{2,109000000},{3,54600000},{4,218000000}},
		['upgradeTime'] = 180240,
		['capacity'] = 14400000,
		['output'] = 6834
	},
	[68] = {
		['level'] = 68,
		['need'] = {{2,117000000},{3,58400000},{4,233000000}},
		['upgradeTime'] = 185680,
		['capacity'] = 14800000,
		['output'] = 7038
	},
	[69] = {
		['level'] = 69,
		['need'] = {{2,125000000},{3,62300000},{4,249000000}},
		['upgradeTime'] = 191200,
		['capacity'] = 15200000,
		['output'] = 7245
	},
	[70] = {
		['level'] = 70,
		['need'] = 0,
		['upgradeTime'] = 0,
		['capacity'] = 15700000,
		['output'] = 7455
	}
}
return buildOil