local buildTitanium={
	[0] = {
		['level'] = 0,
		['need'] = {{2,11},{3,11},{4,11}},
		['upgradeTime'] = 2,
		['capacity'] = 0,
		['output'] = 0
	},
	[1] = {
		['level'] = 1,
		['need'] = {{2,70},{3,70},{4,70}},
		['upgradeTime'] = 20,
		['capacity'] = 10500,
		['output'] = 1
	},
	[2] = {
		['level'] = 2,
		['need'] = {{2,304},{3,304},{4,304}},
		['upgradeTime'] = 50,
		['capacity'] = 31500,
		['output'] = 3
	},
	[3] = {
		['level'] = 3,
		['need'] = {{2,938},{3,938},{4,938}},
		['upgradeTime'] = 100,
		['capacity'] = 63000,
		['output'] = 6
	},
	[4] = {
		['level'] = 4,
		['need'] = {{2,2310},{3,2310},{4,2310}},
		['upgradeTime'] = 180,
		['capacity'] = 105000,
		['output'] = 10
	},
	[5] = {
		['level'] = 5,
		['need'] = {{2,4890},{3,4890},{4,4890}},
		['upgradeTime'] = 340,
		['capacity'] = 158000,
		['output'] = 15
	},
	[6] = {
		['level'] = 6,
		['need'] = {{2,9270},{3,9270},{4,9270}},
		['upgradeTime'] = 660,
		['capacity'] = 221000,
		['output'] = 21
	},
	[7] = {
		['level'] = 7,
		['need'] = {{2,16200},{3,16200},{4,16200}},
		['upgradeTime'] = 1300,
		['capacity'] = 294000,
		['output'] = 28
	},
	[8] = {
		['level'] = 8,
		['need'] = {{2,26600},{3,26600},{4,26600}},
		['upgradeTime'] = 2400,
		['capacity'] = 378000,
		['output'] = 36
	},
	[9] = {
		['level'] = 9,
		['need'] = {{2,41600},{3,41600},{4,41600}},
		['upgradeTime'] = 4000,
		['capacity'] = 473000,
		['output'] = 45
	},
	[10] = {
		['level'] = 10,
		['need'] = {{2,62300},{3,62300},{4,62300}},
		['upgradeTime'] = 6000,
		['capacity'] = 578000,
		['output'] = 55
	},
	[11] = {
		['level'] = 11,
		['need'] = {{2,90300},{3,90300},{4,90300}},
		['upgradeTime'] = 8200,
		['capacity'] = 693000,
		['output'] = 66
	},
	[12] = {
		['level'] = 12,
		['need'] = {{2,127000},{3,127000},{4,127000}},
		['upgradeTime'] = 10600,
		['capacity'] = 819000,
		['output'] = 78
	},
	[13] = {
		['level'] = 13,
		['need'] = {{2,175000},{3,175000},{4,175000}},
		['upgradeTime'] = 13200,
		['capacity'] = 956000,
		['output'] = 91
	},
	[14] = {
		['level'] = 14,
		['need'] = {{2,235000},{3,235000},{4,235000}},
		['upgradeTime'] = 16000,
		['capacity'] = 1100000,
		['output'] = 105
	},
	[15] = {
		['level'] = 15,
		['need'] = {{2,311000},{3,311000},{4,311000}},
		['upgradeTime'] = 19000,
		['capacity'] = 1260000,
		['output'] = 120
	},
	[16] = {
		['level'] = 16,
		['need'] = {{2,404000},{3,404000},{4,404000}},
		['upgradeTime'] = 22200,
		['capacity'] = 1430000,
		['output'] = 136
	},
	[17] = {
		['level'] = 17,
		['need'] = {{2,517000},{3,517000},{4,517000}},
		['upgradeTime'] = 25600,
		['capacity'] = 1610000,
		['output'] = 153
	},
	[18] = {
		['level'] = 18,
		['need'] = {{2,655000},{3,655000},{4,655000}},
		['upgradeTime'] = 29200,
		['capacity'] = 1800000,
		['output'] = 171
	},
	[19] = {
		['level'] = 19,
		['need'] = {{2,818000},{3,818000},{4,818000}},
		['upgradeTime'] = 33000,
		['capacity'] = 2000000,
		['output'] = 190
	},
	[20] = {
		['level'] = 20,
		['need'] = {{2,1010000},{3,1010000},{4,1010000}},
		['upgradeTime'] = 37000,
		['capacity'] = 2210000,
		['output'] = 210
	},
	[21] = {
		['level'] = 21,
		['need'] = {{2,1240000},{3,1240000},{4,1240000}},
		['upgradeTime'] = 41200,
		['capacity'] = 2430000,
		['output'] = 231
	},
	[22] = {
		['level'] = 22,
		['need'] = {{2,1510000},{3,1510000},{4,1510000}},
		['upgradeTime'] = 45600,
		['capacity'] = 2660000,
		['output'] = 253
	},
	[23] = {
		['level'] = 23,
		['need'] = {{2,1820000},{3,1820000},{4,1820000}},
		['upgradeTime'] = 50200,
		['capacity'] = 2900000,
		['output'] = 276
	},
	[24] = {
		['level'] = 24,
		['need'] = {{2,2170000},{3,2170000},{4,2170000}},
		['upgradeTime'] = 55000,
		['capacity'] = 3150000,
		['output'] = 300
	},
	[25] = {
		['level'] = 25,
		['need'] = {{2,2580000},{3,2580000},{4,2580000}},
		['upgradeTime'] = 60000,
		['capacity'] = 3410000,
		['output'] = 325
	},
	[26] = {
		['level'] = 26,
		['need'] = {{2,3050000},{3,3050000},{4,3050000}},
		['upgradeTime'] = 65200,
		['capacity'] = 3690000,
		['output'] = 351
	},
	[27] = {
		['level'] = 27,
		['need'] = {{2,3580000},{3,3580000},{4,3580000}},
		['upgradeTime'] = 70600,
		['capacity'] = 3970000,
		['output'] = 378
	},
	[28] = {
		['level'] = 28,
		['need'] = {{2,4180000},{3,4180000},{4,4180000}},
		['upgradeTime'] = 76200,
		['capacity'] = 4260000,
		['output'] = 406
	},
	[29] = {
		['level'] = 29,
		['need'] = {{2,4860000},{3,4860000},{4,4860000}},
		['upgradeTime'] = 82000,
		['capacity'] = 4570000,
		['output'] = 435
	},
	[30] = {
		['level'] = 30,
		['need'] = {{2,5610000},{3,5610000},{4,5610000}},
		['upgradeTime'] = 88000,
		['capacity'] = 4880000,
		['output'] = 465
	},
	[31] = {
		['level'] = 31,
		['need'] = {{2,6460000},{3,6460000},{4,6460000}},
		['upgradeTime'] = 94200,
		['capacity'] = 5210000,
		['output'] = 496
	},
	[32] = {
		['level'] = 32,
		['need'] = {{2,7410000},{3,7410000},{4,7410000}},
		['upgradeTime'] = 100600,
		['capacity'] = 5540000,
		['output'] = 528
	},
	[33] = {
		['level'] = 33,
		['need'] = {{2,8460000},{3,8460000},{4,8460000}},
		['upgradeTime'] = 107200,
		['capacity'] = 5890000,
		['output'] = 561
	},
	[34] = {
		['level'] = 34,
		['need'] = {{2,9620000},{3,9620000},{4,9620000}},
		['upgradeTime'] = 114000,
		['capacity'] = 6250000,
		['output'] = 595
	},
	[35] = {
		['level'] = 35,
		['need'] = {{2,10900000},{3,10900000},{4,10900000}},
		['upgradeTime'] = 121000,
		['capacity'] = 6620000,
		['output'] = 630
	},
	[36] = {
		['level'] = 36,
		['need'] = {{2,12300000},{3,12300000},{4,12300000}},
		['upgradeTime'] = 128200,
		['capacity'] = 6990000,
		['output'] = 666
	},
	[37] = {
		['level'] = 37,
		['need'] = {{2,13900000},{3,13900000},{4,13900000}},
		['upgradeTime'] = 135600,
		['capacity'] = 7380000,
		['output'] = 703
	},
	[38] = {
		['level'] = 38,
		['need'] = {{2,15600000},{3,15600000},{4,15600000}},
		['upgradeTime'] = 143200,
		['capacity'] = 7780000,
		['output'] = 741
	},
	[39] = {
		['level'] = 39,
		['need'] = {{2,17500000},{3,17500000},{4,17500000}},
		['upgradeTime'] = 151000,
		['capacity'] = 8190000,
		['output'] = 780
	},
	[40] = {
		['level'] = 40,
		['need'] = {{2,19500000},{3,19500000},{4,19500000}},
		['upgradeTime'] = 159000,
		['capacity'] = 8610000,
		['output'] = 820
	},
	[41] = {
		['level'] = 41,
		['need'] = {{2,21700000},{3,21700000},{4,21700000}},
		['upgradeTime'] = 167200,
		['capacity'] = 9040000,
		['output'] = 861
	},
	[42] = {
		['level'] = 42,
		['need'] = {{2,24100000},{3,24100000},{4,24100000}},
		['upgradeTime'] = 175600,
		['capacity'] = 9480000,
		['output'] = 903
	},
	[43] = {
		['level'] = 43,
		['need'] = {{2,26700000},{3,26700000},{4,26700000}},
		['upgradeTime'] = 184200,
		['capacity'] = 9930000,
		['output'] = 946
	},
	[44] = {
		['level'] = 44,
		['need'] = {{2,29600000},{3,29600000},{4,29600000}},
		['upgradeTime'] = 193000,
		['capacity'] = 10400000,
		['output'] = 990
	},
	[45] = {
		['level'] = 45,
		['need'] = {{2,32700000},{3,32700000},{4,32700000}},
		['upgradeTime'] = 202000,
		['capacity'] = 10900000,
		['output'] = 1035
	},
	[46] = {
		['level'] = 46,
		['need'] = {{2,36000000},{3,36000000},{4,36000000}},
		['upgradeTime'] = 211200,
		['capacity'] = 11400000,
		['output'] = 1081
	},
	[47] = {
		['level'] = 47,
		['need'] = {{2,39500000},{3,39500000},{4,39500000}},
		['upgradeTime'] = 220600,
		['capacity'] = 11800000,
		['output'] = 1128
	},
	[48] = {
		['level'] = 48,
		['need'] = {{2,43400000},{3,43400000},{4,43400000}},
		['upgradeTime'] = 230200,
		['capacity'] = 12300000,
		['output'] = 1176
	},
	[49] = {
		['level'] = 49,
		['need'] = {{2,47500000},{3,47500000},{4,47500000}},
		['upgradeTime'] = 240000,
		['capacity'] = 12900000,
		['output'] = 1225
	},
	[50] = {
		['level'] = 50,
		['need'] = {{2,57100000},{3,57100000},{4,57100000}},
		['upgradeTime'] = 250000,
		['capacity'] = 13400000,
		['output'] = 1275
	},
	[51] = {
		['level'] = 51,
		['need'] = {{2,68000000},{3,68000000},{4,68000000}},
		['upgradeTime'] = 260200,
		['capacity'] = 13900000,
		['output'] = 1326
	},
	[52] = {
		['level'] = 52,
		['need'] = {{2,80300000},{3,80300000},{4,80300000}},
		['upgradeTime'] = 270600,
		['capacity'] = 14500000,
		['output'] = 1378
	},
	[53] = {
		['level'] = 53,
		['need'] = {{2,94100000},{3,94100000},{4,94100000}},
		['upgradeTime'] = 281200,
		['capacity'] = 15000000,
		['output'] = 1431
	},
	[54] = {
		['level'] = 54,
		['need'] = {{2,110000000},{3,110000000},{4,110000000}},
		['upgradeTime'] = 292000,
		['capacity'] = 15600000,
		['output'] = 1485
	},
	[55] = {
		['level'] = 55,
		['need'] = {{2,127000000},{3,127000000},{4,127000000}},
		['upgradeTime'] = 303000,
		['capacity'] = 16200000,
		['output'] = 1540
	},
	[56] = {
		['level'] = 56,
		['need'] = {{2,146000000},{3,146000000},{4,146000000}},
		['upgradeTime'] = 314200,
		['capacity'] = 16800000,
		['output'] = 1596
	},
	[57] = {
		['level'] = 57,
		['need'] = {{2,167000000},{3,167000000},{4,167000000}},
		['upgradeTime'] = 325600,
		['capacity'] = 17400000,
		['output'] = 1653
	},
	[58] = {
		['level'] = 58,
		['need'] = {{2,191000000},{3,191000000},{4,191000000}},
		['upgradeTime'] = 337200,
		['capacity'] = 18000000,
		['output'] = 1711
	},
	[59] = {
		['level'] = 59,
		['need'] = {{2,217000000},{3,217000000},{4,217000000}},
		['upgradeTime'] = 349000,
		['capacity'] = 18600000,
		['output'] = 1770
	},
	[60] = {
		['level'] = 60,
		['need'] = {{2,233000000},{3,233000000},{4,233000000}},
		['upgradeTime'] = 361000,
		['capacity'] = 19200000,
		['output'] = 1830
	},
	[61] = {
		['level'] = 61,
		['need'] = {{2,251000000},{3,251000000},{4,251000000}},
		['upgradeTime'] = 373200,
		['capacity'] = 19900000,
		['output'] = 1891
	},
	[62] = {
		['level'] = 62,
		['need'] = {{2,270000000},{3,270000000},{4,270000000}},
		['upgradeTime'] = 385600,
		['capacity'] = 20500000,
		['output'] = 1953
	},
	[63] = {
		['level'] = 63,
		['need'] = {{2,290000000},{3,290000000},{4,290000000}},
		['upgradeTime'] = 398200,
		['capacity'] = 21200000,
		['output'] = 2016
	},
	[64] = {
		['level'] = 64,
		['need'] = {{2,311000000},{3,311000000},{4,311000000}},
		['upgradeTime'] = 411000,
		['capacity'] = 21800000,
		['output'] = 2080
	},
	[65] = {
		['level'] = 65,
		['need'] = {{2,334000000},{3,334000000},{4,334000000}},
		['upgradeTime'] = 424000,
		['capacity'] = 22500000,
		['output'] = 2145
	},
	[66] = {
		['level'] = 66,
		['need'] = {{2,357000000},{3,357000000},{4,357000000}},
		['upgradeTime'] = 437200,
		['capacity'] = 23200000,
		['output'] = 2211
	},
	[67] = {
		['level'] = 67,
		['need'] = {{2,382000000},{3,382000000},{4,382000000}},
		['upgradeTime'] = 450600,
		['capacity'] = 23900000,
		['output'] = 2278
	},
	[68] = {
		['level'] = 68,
		['need'] = {{2,409000000},{3,409000000},{4,409000000}},
		['upgradeTime'] = 464200,
		['capacity'] = 24600000,
		['output'] = 2346
	},
	[69] = {
		['level'] = 69,
		['need'] = {{2,436000000},{3,436000000},{4,436000000}},
		['upgradeTime'] = 478000,
		['capacity'] = 25400000,
		['output'] = 2415
	},
	[70] = {
		['level'] = 70,
		['need'] = 0,
		['upgradeTime'] = 0,
		['capacity'] = 26100000,
		['output'] = 2485
	}
}
return buildTitanium