local languageList={
	[0] = {
		['id'] = 0,
		['code'] = 'en',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = true,
		['priority'] = 3,
		['name'] = 'fgLang1',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_en.png'
	},
	[1] = {
		['id'] = 1,
		['code'] = 'zh',
		['longCode_ios'] = 'zh-Hans',
		['longCode_android'] = 'zh_CN',
		['isOpen'] = true,
		['priority'] = 1,
		['name'] = 'fgLang2',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_zh_cn.png'
	},
	[2] = {
		['id'] = 2,
		['code'] = 'fr',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 8,
		['name'] = 'fgLang3',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_fr.png'
	},
	[3] = {
		['id'] = 3,
		['code'] = 'it',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang4',
		['iconUrl'] = ''
	},
	[4] = {
		['id'] = 4,
		['code'] = 'de',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 7,
		['name'] = 'fgLang5',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_de.png'
	},
	[5] = {
		['id'] = 5,
		['code'] = 'es',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang6',
		['iconUrl'] = ''
	},
	[6] = {
		['id'] = 6,
		['code'] = 'nl',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang7',
		['iconUrl'] = ''
	},
	[7] = {
		['id'] = 7,
		['code'] = 'ru',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 4,
		['name'] = 'fgLang8',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_ru.png'
	},
	[8] = {
		['id'] = 8,
		['code'] = 'ko',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 6,
		['name'] = 'fgLang9',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_ko.png'
	},
	[9] = {
		['id'] = 9,
		['code'] = 'ja',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 5,
		['name'] = 'fgLang10',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_ja.png'
	},
	[10] = {
		['id'] = 10,
		['code'] = 'hu',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang11',
		['iconUrl'] = ''
	},
	[11] = {
		['id'] = 11,
		['code'] = 'pt',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang12',
		['iconUrl'] = ''
	},
	[12] = {
		['id'] = 12,
		['code'] = 'ar',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang13',
		['iconUrl'] = ''
	},
	[13] = {
		['id'] = 13,
		['code'] = 'nb',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang14',
		['iconUrl'] = ''
	},
	[14] = {
		['id'] = 14,
		['code'] = 'pl',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang15',
		['iconUrl'] = ''
	},
	[15] = {
		['id'] = 15,
		['code'] = 'tr',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang16',
		['iconUrl'] = ''
	},
	[16] = {
		['id'] = 16,
		['code'] = 'uk',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang17',
		['iconUrl'] = ''
	},
	[17] = {
		['id'] = 17,
		['code'] = 'ro',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang18',
		['iconUrl'] = ''
	},
	[18] = {
		['id'] = 18,
		['code'] = 'bg',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 100,
		['name'] = 'fgLang19',
		['iconUrl'] = ''
	},
	[19] = {
		['id'] = 19,
		['code'] = 'zh',
		['longCode_ios'] = 'zh-Hant',
		['longCode_android'] = 'zh_TW',
		['isOpen'] = true,
		['priority'] = 2,
		['name'] = 'fgLang20',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_zh_tw.png'
	},
	[20] = {
		['id'] = 20,
		['code'] = 'th',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 9,
		['name'] = 'fgLang21',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_th.png'
	},
	[21] = {
		['id'] = 21,
		['code'] = 'vi',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 10,
		['name'] = 'fgLang22',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_vi.png'
	},
	[22] = {
		['id'] = 22,
		['code'] = 'id',
		['longCode_ios'] = '',
		['longCode_android'] = '',
		['isOpen'] = false,
		['priority'] = 11,
		['name'] = 'fgLang23',
		['iconUrl'] = 'res/images/icon/langIcon/langIcon_id.png'
	}
}
return languageList