local TEMPLATE={
	f1="指挥中心",
	f2="1号机库",
	f3="科研中心",
	f4="改造工厂",
	f5="1号仓库",
	f6="造币厂",
	f7="铁矿厂",
	f8="石油厂",
	f9="硅矿厂",
	f10="钛矿厂",
	f51="1号机库",
	f52="制造飞机、解锁更高等级飞机",
	f13="金币",
	f14="铁矿",
	f15="石油",
	f16="硅矿",
	f17="钛矿",
	f18="命中",
	f19="闪避",
	f20="暴击",
	f21="暴抗",
	f22="女妖战机指挥",
	f23="巡游战机指挥",
	f24="雷电战机指挥",
	f25="堡垒战机指挥",
	f26="女妖战机维护",
	f27="巡游战机维护",
	f28="雷电战机维护",
	f29="堡垒战机维护",
	f30="金币铸造",
	f31="铁矿冶炼",
	f32="石油分馏",
	f33="硅矿开采",
	f34="钛矿提纯",
	f35="建造科技",
	f36="存储技术",
	f37="战斗经验",
	f38="引擎强化",
	f39="金属风暴",
	f40="女妖战机维护",
	f41="反物质磁轨炮",
	f42="巡游战机维护",
	f43="集束激光",
	f44="雷电战机维护",
	f45="饱和打击",
	f46="堡垒战机维护",
	f53="科研中心",
	f54="可以研发高级科技，大幅增加战斗力",
	f55="改造工厂",
	f56="把低等级飞机改造为高等级飞机",
	f57="1号仓库",
	f58="增加所有资源容量并保护这些资源不被掠夺",
	f59="造币厂",
	f60="制造金钱并提供金钱容量",
	f61="铁矿厂",
	f62="生产铁矿并提供铁矿容量",
	f63="石油厂",
	f64="生产石油并提供石油容量",
	f65="硅矿厂",
	f66="生产硅矿并提供硅矿容量",
	f67="钛矿厂",
	f68="生产钛矿并提供钛矿容量",
	fc1000="少量金币",
	fc1001="少量铁矿",
	fc1002="少量石油",
	fc1003="少量硅矿",
	fc1004="少量钛矿",
	fc1005="大量金币",
	fc1006="大量铁矿",
	fc1007="大量石油",
	fc1008="大量硅矿",
	fc1009="大量钛矿",
	fc1010="海量金币",
	fc1011="海量铁矿",
	fc1012="海量石油",
	fc1013="海量硅矿",
	fc1014="海量钛矿",
	fc1015="小型金币增产",
	fc1016="小型钢铁增产",
	fc1017="小型石油增产",
	fc1018="小型硅矿增产",
	fc1019="小型钛矿增产",
	fc1020="急速生产",
	fc1021="高爆炸药",
	fc1022="离子护盾",
	fc1023="激光制导",
	fc1024="电子干扰",
	fc1025="贫铀弹",
	fc1026="反应附甲",
	fc1027="急速行军",
	fc1028="免战",
	fc1029="指挥插件",
	fc1030="技能芯片",
	fc1031="高级飞城",
	fc1032="随机飞城",
	fc1033="小型指挥插件宝箱",
	fc1034="技能芯片宝箱",
	fc1035="大型资源箱",
	fc1036="特大型资源箱",
	fc1037="超大型资源箱",
	fc1038="暴击",
	fc1039="攻击",
	fc1040="命中",
	fc1041="闪避",
	fc1042="生命",
	fc1043="暴抗",
	fc1044="经验值",
	fc1045="声望",
	fc1046="数据核心",
	fc1047="运输线Ⅰ",
	fc1048="运输线Ⅱ",
	fc1049="运输线Ⅲ",
	fc1050="瓶盖",
	fc1051="新手大礼包",
	fc1052="急速发展包",
	fc1053="战争机器包",


	fc1054="普通防御配件",
	fc1055="普通攻击配件",
	fc1056="普通反克制配件",
	fc1057="普通克制配件",
	fc1058="普通暴免配件",
	fc1059="普通暴伤配件",
	fc1060="中级防御配件",
	fc1061="中级攻击配件",
	fc1062="中级反克制配件",
	fc1063="中级克制配件",
	fc1064="中级暴免配件",
	fc1065="中级暴伤配件",
	fc1066="高级防御配件",
	fc1067="高级攻击配件",
	fc1068="高级反克制配件",
	fc1069="高级克制配件",
	fc1070="高级暴免配件",
	fc1071="高级暴伤配件",
	fc1072="顶级防御配件",
	fc1073="顶级攻击配件",
	fc1074="顶级反克制配件",
	fc1075="顶级克制配件",
	fc1076="顶级暴免配件",
	fc1077="顶级暴伤配件",


	fc1078="普通蓝图碎片",
	fc1079="高级蓝图碎片",

	fc1080="低级血量蓝图",
	fc1081="低级攻击蓝图",
	fc1082="低级反克制蓝图",
	fc1083="低级克制蓝图",
	fc1084="低级暴免蓝图",
	fc1085="低级暴伤蓝图",
	fc1086="中级血量蓝图",
	fc1087="中级攻击蓝图",
	fc1088="中级反克制蓝图",
	fc1089="中级克制蓝图",
	fc1090="中级暴免蓝图",
	fc1091="中级暴伤蓝图",
	fc1092="高级血量蓝图",
	fc1093="高级攻击蓝图",
	fc1094="高级反克制蓝图",
	fc1095="高级克制蓝图",
	fc1096="高级暴免蓝图",
	fc1097="高级暴伤蓝图",
	fc1098="顶级血量蓝图",
	fc1099="顶级攻击蓝图",
	fc1100="顶级反克制蓝图",
	fc1101="顶级克制蓝图",
	fc1102="顶级暴免蓝图",
	fc1103="顶级暴伤蓝图",


	fc1104="反克制",
	fc1105="克制",
	fc1106="暴免",
	fc1107="暴伤",


	fc1108="补给线Ⅰ",
	fc1109="补给线Ⅱ",
	fc1110="补给线Ⅲ",
	fc1111="补给线Ⅳ",
	fc1112="补给线Ⅴ",
	fc1113="补给线Ⅵ",
	fc1114="补给线Ⅶ",
	fc1115="补给线Ⅷ",
	fc1116="补给线Ⅸ",
	fc1117="补给线Ⅹ",
	fc1118="补给线Ⅺ",

	fc1119="低级抽取",
	fc1120="中级抽取",
	fc1121="高级抽取",
	fc1122="限时商店",
	fc1123="累计充值",
	fc1124="急速发展",
	fc1125="数据核心宝箱",
	fc1126="每日充值",
	fc1127="资源采集",
	fc1128="战争之王",
	fc1129="荣誉勋章",
	fc1130="下士",
	fc1131="中士",
	fc1132="上士",
	fc1133="少尉",
	fc1134="中尉",
	fc1135="上尉",
	fc1136="少校",
	fc1137="中校",
	fc1138="上校",
	fc1139="少将",
	fc1140="中将",
	fc1141="上将",
	fc1142="五星上将",
	fc1143="最高指挥官",
	fc1144="首冲大回馈",
	fc1145="暗黑基地7天",
	fc1146="冰晶基地7天",
	fc1147="黄金基地7天",
	fc1148="土豪金基地7天",
	fc1149="配件零件",
	fc1150="配件零件宝箱",
	fc1151="双倍充值卡",
    fc1152="机密图纸",
    fc1153="机密图纸包",
    fc1154="军备竞赛",


	f1020="横排攻击",
	f1021="单体攻击",
	f1022="竖排攻击",
	f1023="群体攻击",
	f1024="轻型女妖战机",
	f1025="轻型巡游战机",
	f1026="轻型雷电战机",
	f1027="轻型堡垒战机",
	f1028="中型女妖战机",
	f1029="中型巡游战机",
	f1030="中型雷电战机",
	f1031="中型堡垒战机",
	f1032="重型女妖战机",
	f1033="重型巡游战机",
	f1034="重型雷电战机",
	f1035="重型堡垒战机",
	f1036="精英女妖战机",
	f1037="精英巡游战机",
	f1038="精英雷电战机",
	f1039="精英堡垒战机",
	f1040="可制造战机，每升一级提高战机生产速度5%",
	f1041="将低级战机改装为高级战机，建筑每升一级，改装速度提升5%",
	f1042="首充大奖",
	f1043="开服豪礼",
	f1044="等级礼包",
	f1045="成长计划",
	f1046="大转盘",
	f1047="钻石豪礼",


	f1048="对堡垒造成125%的伤害",
	f1049="对女妖造成125%的伤害<br/>        对雷电造成80%的伤害",
	f1050="对巡游造成125%的伤害<br/>        对女妖造成80%的伤害",
	f1051="对雷电造成125%的伤害<br/>        对巡游造成80%的伤害",


	f1052="钻石",
	f1053="能量",
	fg1000="不速之客 ",
	fg1001="捍卫领空",
	fg1002="出人意料 ",
	fg1003="主动出击",
	fg1004="扩大战果 ",
	fg1005="追击",
	fg1006="逆转     ",
	fg1007="任性的资本",
	fg1008=" 好兆头  ",
	fg1009=" 胜利天平",
	fg1010=" 致命打击",
	fg1011=" 灭灯行动",
	fg1012=" 没有仁慈",
	fg1200="铁矿增产",
	fg1201="石油开采",
	fg1202="硅矿勘探",
	fg1203="钛矿精炼",
	fg1204="金币铸造",
	fg1205="能量护盾",
	fg1206="聚能攻击",
	fg1207="等级",
	fg1208="火力支援",
	fg1209="防御集群",
	fg1210="命中",
	fg1211="闪避",
	fg1212="暴击",
	fg1213="暴击抵抗",
	fg1214="连续射击",
	fg1215="急速离子炮",
	fg1216="高频攻击",
	fg1217="饱和轰炸",

	fySkill1="每级增加1%命中率",
	fySkill2="每级增加1%闪避",
	fySkill3="每级增加1%暴击",
	fySkill4="每级增加1%暴抗",
	fySkill5="每级增加1%女妖战机攻击",
	fySkill6="每级增加1%巡游战机攻击",
	fySkill7="每级增加1%雷电战机攻击",
	fySkill8="每级增加1%堡垒战机攻击",
	fySkill9="每级增加1%女妖战机生命值",
	fySkill10="每级增加1%巡游战机生命值",
	fySkill11="每级增加1%雷电战机生命值",
	fySkill12="每级增加1%堡垒战机生命值",
	fyProp01="玩家经验, 经验可以升级, 带领更多的兵",
	fyProp02="玩家金币，可以用来修坦克，等等",
	fyProp03="钢铁, 玩家资源需要",
	fyProp04="石油, 玩家资源需要",
	fyProp05="硅矿, 玩家资源需要",
	fyProp06="钛矿, 玩家资源需要",
	fyProp07="声望等级越高，可研发的科技等级越高。可通过每日登陆与活动奖励获得",
	fyProp08="体力点, 用于出征",
	fyProp09="钻石, 游戏里的货币",
	fyProp10="贡献点, 贡献越多越好",
	fyProp11="联盟科技， 等级越高越好",
	fyProp12="vip点数, 点数越多， 等级越高",
	fyProp13="成就点, 成就越高, 带更多的兵",
	fyProp14="每个充值档位首次购买都会获得2倍的钻石！",
	fyProp15="可在竞技场商店兑换各种道具",

	f_act_sign="签到",

	fgLang1="English",
	fgLang2="中文",
	fgLang3="Français",

	fgLang5="Deutsch",


	fgLang8="Русский",
	fgLang9="한국어",
	fgLang10="日本語",









	fgLang20="繁體中文",
	fgLang21="ภาษาไทย",
	fgLang22="Tiếng Việt",
	fgLang23="Bahasa Indonesia",

	fgAircraftName17="王牌女妖战机",
	fgAircraftName18="王牌巡游战机",
	fgAircraftName19="王牌雷电战机",
	fgAircraftName20="王牌堡垒战机",

}

return TEMPLATE
