--- 图片字体配置
local BMFontCfg={}

--- 战场中的战机数量显示
BMFontCfg.aircraftCount="res/images/fight/aircraftCount.fnt"

function BMFontCfg:getLabel(bmFntName,defaultText,defaultSize,defaultColor)
	defaultSize=defaultSize or 24
	defaultColor=defaultColor or cc.c3b(0xff,0xff,0xff)

	local l
	local b,errStr=pcall(function()
		l=ccui.TextBMFont:create(defaultText,bmFntName)
	end)
	if not b then
		l=XMLLabel(defaultText,defaultSize,defaultColor)
		l:setAnchorPoint(0.5,0.5) -- LabelBMFont 的默认锚点为正中心
		
		__print__(errStr)
		LogRecorder:push(errStr,LOG_LEVEL_ERROR,"chatErr")
	end
	
	return l
end

return BMFontCfg
