---通讯数据转换器
local _adapter=nil

--- 广播侦听器注册
local T={}

---[静态]通讯数据转换器
function T:setStaticAdapter(adapter)
	_adapter=adapter
end

--- 本地战斗广播信息
T.LOCAL_FIGHT=-1

--- 注册所有的广播频道
function T:regBroadcast()
	self:_reg(2000,S2CDataUpdate)
end

--- 注册本地广播频道
function T:regLocalBroadcast()
	self:_reg_local(-1,Local_BroadcastFight)
end

--- 注册
function T:_reg(channel,handler)
	_adapter:luaAddBroadcastChannelListener(
		channel,
		function(data)
			handler:receiveHandler(data)
		end
	)
end

--- 注册(本地)
function T:_reg_local(channel,handler)
	Adapter_local:addBroadcastChannelListener(
		channel,
		function(data)
			handler:receiveHandler(data)
		end
	)
end

return T
