--[[
    重置补给线
]]
local T = extend(AbstractC2SCommand1)

T.type = 11

function T:ctor()
    AbstractC2SCommand1.ctor(self,ChannelIds.ACCESSORY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        diamond = data:readInt() -- 返回的钻石
        PlayerInstance:setDiamond(diamond)

        SupplyLineManager:resetAllPoint()
    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
