--[[
    卸载配件
]]
local T = extend(AbstractC2SCommand)

T.type = 2

function T:ctor()
    self.super.ctor(self,ChannelIds.ACCESSORY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.airType)
    data:writeByte(self.slotType)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        AccessorySystemManager:getSlotBox():unloadAccessory(self.airType,self.slotType)
    end

    return state
end

function T:exec(airType,slotType,callback) -- 战机类型，槽位类型（位置）
    self.airType = airType
    self.slotType = slotType
    self.super.exec(self,callback)
end

return T
