--[[
    (一键完成)钻石招募
]]
local TEMPLATE=extend(AbstractC2SCommand)

TEMPLATE.type = 3

function TEMPLATE:ctor()
    self.super.ctor(self,ChannelIds.RECRUIT)
end

function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeShort(self.sid)
    data:writeInt(self.bid)
    data:writeShort(self.num)
    return data
end

function TEMPLATE:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        local diamond = data:readInt()
        -- 返回的是剩余的钻石
        PlayerInstance:setDiamond(diamond)
    end

    return state
end

function TEMPLATE:exec(sid,bid,num,callback)
    self.sid = sid
    self.bid = bid
    self.num = num
    self.super.exec(self,callback)
end

return TEMPLATE
