--[[
    查看奖励返回
]]
local T = extend(AbstractC2SCommand)

T.type = 14

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")


function T:ctor()
    self.super.ctor(self,ChannelIds.NORMAL_ACTIVITY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    local allData = {}
    if state == ReturnCode.SUCCESS then   
        allData.rechargeMark = data:readInt() -- 充值标记
        allData.length = data:readByte() -- 长度为3

        allData.awardData = {}
        for i = 1,allData.length,1 do
            allData.awardData[i] = self.AwardDataDecoder:decode(data) -- 返回一个表r
        end


    end
    return state,allData

end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
