--[[
    领取首次充值奖励
]]
local T = extend(AbstractC2SCommand)

T.type = 15

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")


function T:ctor()
    self.super.ctor(self,ChannelIds.NORMAL_ACTIVITY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.index)
    data:writeByte(SetStates.reChargeState:getCurSdkType())

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    local awardData = nil
    if state == ReturnCode.SUCCESS then   
        awardData = self.AwardDataDecoder:decode(data) -- 返回一个表r
        self.AwardDataDecoder:addAWard(awardData) -- 发放

        SetStates.reChargeState:setValue(self.index) -- 设置为已经领取了
    end

    return state,awardData
end

function T:exec(index,callback)
    self.index = index -- index:索引，0到2
    self.super.exec(self,callback)
end

return T
