--[[
    购买成长计划
]]
local T = extend(AbstractC2SCommand)

T.type = 9

function T:ctor()
    self.super.ctor(self,ChannelIds.NORMAL_ACTIVITY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        local gems = data:readInt()
        PlayerInstance:setDiamond(gems)
        ActivityManager.growthPlanInfo:setBuyValue()

    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
