--[[
    买瓶盖
]]
local T = extend(AbstractC2SCommand)

T.type = 12

function T:ctor()
    self.super.ctor(self,ChannelIds.NORMAL_ACTIVITY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        PlayerInstance:setDiamond(data:readInt())
        local num = data:readInt() -- 读取的是瓶盖数量
        PropsInfoMgr:setPlayerPropByID(205,num)
    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
