--- 申请加入联盟
local T=Class.ApplyJoinAllianceCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=7
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
    data:writeByte(self.type)
	data:writeInt(self.allianceId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local aList=UserInfo.allianceBox.appliedAllianceIdList
		if not aList then
			aList={}
			UserInfo.allianceBox.appliedAllianceIdList=aList
		end
		
		aList[self.allianceId]=true
	end

	return state
end

function T:exec(allianceId,callback)
	self.allianceId=allianceId
	AbstractC2SCommand1.exec(self,callback)
end

return T