--- 创建联盟
local T=Class.CreateAllianceCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=2
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeString(self.name)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
		local id=data:readUnsignedInt()
		local name=self.name
		
		AllianceManager:createAlliance(id,name)
	end
	
	return state
end

function T:exec(name,callback)
	self.name=name
	
	AbstractC2SCommand1.exec(self,callback)
end

return T