--- 退出联盟
local T=Class.ExitAllianceCommand(AbstractC2SCommand1)

--- 联盟信息
T.MyAllianceInfo=require("src.app.model.alliance.MyAllianceInfo")

function T:def()
	--- 类型
	self.type=14
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		AllianceManager:exitAlliance()
	end

	return state
end

--- 退出联盟
function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end


return T
