--- 获取联盟科技信息
local T=Class.GetAllianceScienceInfoCommand(AbstractC2SCommand1)

--- 第一次获取的服务器时间(毫秒)
T.firstGetSec=nil

function T:def()
	--- 类型
	self.type=24
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		---解析联盟科技信息
		UserInfo.allianceBox.myAlliance:decodeDonateInfo(data)
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
