--- 获取自己联盟的信息
local T=Class.GetMyAllianceInfoCommand(AbstractC2SCommand1)

--- 第一次获取的服务器时间(毫秒)
T.firstGetSec=nil

function T:def()
	--- 类型
	self.type=1
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
    data:writeByte(self.type)
	if not self.firstGetSec then
		data:writeInt(0)
		self.firstGetSec=TimeUtils:getSyncMillis()
	else
		data:writeInt(math.floor((TimeUtils:getSyncMillis()-self.firstGetSec)/1000))
	end

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local updated=data:readBoolean()
		if updated then
			---解析联盟信息
			UserInfo.allianceBox.myAlliance:decodeMy(data)
		end

		return state,updated
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
