--- 踢出成员
local T=Class.KickOutMemberCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=20
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.targetUserId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		AllianceManager:rmvMemberFromMyAlliance(self.targetUserId)
	end

	return state
end

--- 踢出成员
-- @param targetUserId 目标对象的用户ID
function T:exec(targetUserId,callback)
	self.targetUserId=targetUserId
	AbstractC2SCommand1.exec(self,callback)
end


return T
