--- 搜索联盟
local T=Class.SearchAllianceCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=13
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeString(self.allianceName)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local isSearched=data:readBoolean()
		if isSearched then
			return state,isSearched,require("src.app.model.alliance.AllianceRankBox"):decodeAllianceData(data)
		end

		return state,isSearched
	end

	return state
end

function T:exec(allianceName,callback)
	self.allianceName=allianceName

	AbstractC2SCommand1.exec(self,callback)
end

return T
