--- 购买竞技场挑战点数
local T=Class.BuyChallengePointCommand(AbstractC2SCommand1)

function T:def()
	self.type=7
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		DailyStates:addArenaBuyNum(1)
	
		PlayerInstance:setDiamond(data:readInt())
		local nNum=data:readInt()
		DailyStates:addArenaFightNum(nNum-DailyStates:getArenaFightNum())
		
		return state
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
