--- 清除竞技场挑战失败后的冷却时间
local T=Class.ClearArenaFailCooldownCommand(AbstractC2SCommand1)

function T:def()
	self.type=8
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		SetStates:setArenaFailTime(0)
		ArenaInfoMgr:updateCheck()
		
		PlayerInstance:setDiamond(data:readInt())
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T