--- 获取竞技场排名列表
local T=Class.GetArenaRankListCommand(AbstractC2SCommand1)

function T:def()
	self.type=10
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)
	data:writeInt(self.startIndex)
	data:writeInt(self.endIndex)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		ArenaInfoMgr:decodeRankInfo(data,self.startIndex)
		
		return state,self.startIndex
	end

	return state
end

function T:exec(startIndex,endIndex,callback)
	self.startIndex=startIndex
	self.endIndex=endIndex
	AbstractC2SCommand1.exec(self,callback)
end

return T
