local T=Class.GetIntegralShopInfoCommand(AbstractC2SCommand1)

function T:def()
	self.type=11
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local myRank=data:readUnsignedInt()
		ArenaInfoMgr:setRank(myRank)
		ArenaInfoMgr:decodeIntegralExchangeList(data)
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T