--[[
    撤军:也是开始返回部队
]]
local T = extend(AbstractC2SCommand)

T.type = 3

function T:ctor()
    self.super.ctor(self,ChannelIds.WORLDMAP)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.id)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        ArmyTaskQueueManager:withDrawAircraft(data,self.id)
    end

    return state
end

function T:exec(id,callback) -- id是队列id
    self.id = id
    self.super.exec(self,callback)
end

return T
