--- 修改玩家名称(昵称)和头像
local T=Class.ChangePlayerNameCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=1
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.GUIDE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeString(self.playerName)
	data:writeByte(self.photoId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		UserInfoMgr:setPlayerName(self.playerName)
		UserInfoMgr:setPhotoId(self.photoId)
	end

	return state
end

function T:exec(playerName,photoId,callback)
	self.playerName=playerName
	self.photoId=photoId
	
	AbstractC2SCommand1.exec(self,callback)
end

return T
