--- 升级
local TEMPLATE=extend(AbstractC2SCommand)

--- 类型,对应于服务器的BUILDING_LEVEL_UP
TEMPLATE.type = 3

--- 服务器穿过来的数据
TEMPLATE.dataFromSever = nil

--- 构造函数
function TEMPLATE:ctor()
    --调用父类的构造成数,UPGRADE通道，是逻辑端口,不是物理端口
    self.super.ctor(self,ChannelIds.UPGRADE)
end

--- 封装发送的数据
function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    local id = BuildingsInfoMgr:getBuildQueue()[self.dataFromSever.id].id
    data:writeInt(id)

    return data
end

--- 解码接收的数据并且处理数据
function TEMPLATE:decode(data)
    local state=data:readUnsignedByte()--是否处理成功
    local diamond = nil
    if state==ReturnCode.SUCCESS then
        PlayerInstance:buildingLvlUp(self.dataFromSever.location)
        diamond = data:readUnsignedInt() -- 返回的钻石

        BuildingsInfoMgr:remvoeQueueItem(self.dataFromSever.id)

    end

    return state,diamond
end

--- 请求时传入参数并且保存在这个文件中
function TEMPLATE:exec(data,callback)
    self.dataFromSever = data
    self.super.exec(self,callback)
end

return TEMPLATE
