--[[
    分享战报
]]
local T = extend(AbstractC2SCommand)

T.type = 6

function T:ctor()
    self.super.ctor(self,ChannelIds.CHAT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.channelType) 
    data:writeInt(self.battleReportId)
	data:writeByte(self.msgType)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        -- 成功了
    end

    return state
end

function T:exec(channelType,battleReportId,msgType,callback) -- channelType：频道类型(0世界，1联盟)， battleReportId：战报id
    self.channelType = channelType
    self.battleReportId = battleReportId
    self.msgType=msgType
    self.super.exec(self,callback)
end

return T
