--[[
    兑换商品
]]
local T = extend(AbstractC2SCommand)

T.type = 4

function T:ctor()
    self.super.ctor(self,ChannelIds.SENNIOR_DLEVEL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.data.id)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        PropsInfoMgr:addPlayerPropByID(self.data.sid,self.data.num)
        PropsInfoMgr:setPlayerPropByID(208,data:readInt()) -- 勋章剩余数量
        HonorManager:setRevenge(data:readInt())
    end

    return state
end

function T:exec(data,callback)
    self.data = data
    self.super.exec(self,callback)
end

return T
