--[[
    得到荣誉勋章
]]
local T = extend(AbstractC2SCommand)

T.type = 1

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")

function T:ctor()
    self.super.ctor(self,ChannelIds.SENNIOR_DLEVEL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    local awardData = nil
    if state == ReturnCode.SUCCESS then   
        awardData = self.AwardDataDecoder:decode(data) -- 返回一个表r
        self.AwardDataDecoder:addAWard(awardData) -- 发放

        SetStates.getMedalAward:setYday(UnitConversion.getYday())

    end

    return state,awardData
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
