--[[
    升级高级指挥
]]
local T = extend(AbstractC2SCommand)

T.type = 2

function T:ctor()
    self.super.ctor(self,ChannelIds.SENNIOR_DLEVEL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        HonorManager:setSeniorDLevel(data:readInt())  -- 高级指挥等级
        PropsInfoMgr:setPlayerPropByID(208,data:readInt()) -- 勋章剩余数量
        HonorManager:setRevenge(data:readInt())  -- 复仇值

    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
