--[[
    得到新手礼包的内购信息
]]
local T = extend(AbstractC2SCommand)

T.type = 3

function T:ctor()
    self.super.ctor(self,ChannelIds.PAY_PORT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        NewPackageManager:decodeServer(data)
    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
