--[[
    删除某一类的索引邮件
]]
local T = extend(AbstractC2SCommand)

T.type = 8

function T:ctor()
    self.super.ctor(self,ChannelIds.MAIL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.msgType)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        MailManager:deleteAllMailByIndex(self.msgType)
    end

    return state
end

function T:exec(msgType,callback)
    self.msgType = msgType
    self.super.exec(self,callback)
end

return T
