--[[


    删除某一封邮件


]]
local T = extend(AbstractC2SCommand)

T.type = 4

function T:ctor()
	self.super.ctor(self,ChannelIds.MAIL)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	data:writeByte(self.msgType)
	data:writeInt(self.id)
	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		if self.msgType == 4 then
			
		else
			-- 3种情况,更新数据
			MailManager:deleteOneMailByIndexAndId(self.msgType,self.id)
		end
	end

	return state
end

function T:exec(msgType,id,callback)
	self.msgType = msgType
	self.id = id
	self.super.exec(self,callback)
end

return T
