--[[
    查看邮件信息
]]
local T = extend(AbstractC2SCommand)

T.type = 2

function T:ctor()
    self.super.ctor(self,ChannelIds.MAIL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.msgType)
    data:writeInt(self.id)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        -- 3种情况,更新数据
        MailManager:readMail(self.msgType,self.id,data)

    end

    return state
end

function T:exec(msgType,id,callback) -- 邮件id
    self.msgType = msgType
    self.id = id
    self.super.exec(self,callback)
end

return T
