--[[
    替换主城样式
]]
local T = extend(AbstractC2SCommand)

T.type = 9

function T:ctor()
    self.super.ctor(self,ChannelIds.SKILL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.showType)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        PlayerInstance:setPlayerShowType(self.showType)
    end
    
    return state
end

function T:exec(showType,callback)
    self.showType = showType
    self.super.exec(self,callback)
end

return T
