--- 购买道具
local TEMPLATE=extend(AbstractC2SCommand)

--- 类型,对应于服务器的BUILDING_LEVEL_UP
TEMPLATE.type = 3

--- 道具的sid
TEMPLATE.sid = nil

--- 构造函数
function TEMPLATE:ctor()
    --调用父类的构造成数,UPGRADE通道，是逻辑端口,不是物理端口
    self.super.ctor(self,ChannelIds.PROP)
end

--- 封装发送的数据
function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeShort(self.sid)

    return data
end

--- 解码接收的数据并且处理数据
function TEMPLATE:decode(data)
    local state=data:readUnsignedByte()--是否处理成功
    if state == ReturnCode.SUCCESS then
        local gems = data:readUnsignedInt()
        PlayerInstance:setDiamond(gems)
    end
    return state
end

--- 请求时传入参数并且保存在这个文件中
function TEMPLATE:exec(sid,callback)
    self.sid = sid
    self.super.exec(self,callback)
end

return TEMPLATE
