--- 秒时间
local T=extend(AbstractC2SCommand)

--- 类型
T.type=2

--- 构造函数
function T:ctor()
    --调用父类的构造成数
    self.super.ctor(self,ChannelIds.TECHNOLOY)
end

function T:encode()
    local data=ByteArray:new();
    data:writeByte(self.type)
    data:writeInt(self.queueItem.id)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()--是否处理成功
    if state==ReturnCode.SUCCESS then
        local diamond = data:readUnsignedInt() -- 返回的钻石,这里后台没有算啊！！！！
        
        --更新钻石数
        PlayerInstance:setDiamond(diamond)

       TechnologiesInfoMgr:studyCompleteItem(self.queueItem.technologySid)
    end
    
    return state
end

function T:exec(queueItem,callback)
    self.queueItem=queueItem
    self.super.exec(self,callback)
end

return T
