--- 升级科技项
local T=extend(AbstractC2SCommand)

--- 类型
T.type=1

--- 构造函数
function T:ctor()
    --调用父类的构造成数
    self.super.ctor(self,ChannelIds.TECHNOLOY)
end

function T:encode()
    local data=ByteArray:new();
    data:writeByte(self.type)
    data:writeShort(self.sid)
    data:writeBoolean(self.isUsedDiamond)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()--是否处理成功
    if state==ReturnCode.SUCCESS then
        local id=data:readUnsignedInt()  -- 队列id
        local endTimeSec=GameUtils:modifyTimeZone(data:readUnsignedInt())  -- 结束时刻
        local diamond = data:readUnsignedInt() -- 返回的钻石
        
        --更新钻石数
        PlayerInstance:setDiamond(diamond)
        --UserInfo.gems = diamond
        --print("新的科技队列项:id=",id,"sid=",self.sid)
        --添加科技升级队列
        TechnologiesInfoMgr:addQueueItem(id,endTimeSec,self.sid)
    end
    
    return state
end

function T:exec(sid,isUsedDiamond,callback)
    self.sid=sid
    self.isUsedDiamond=isUsedDiamond
    self.super.exec(self,callback)
end

return T
