--[[
    facebookshare
]]
local T = extend(AbstractC2SCommand)

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")

T.type = 7

function T:ctor()
    self.super.ctor(self,ChannelIds.SOCIAL_CONTACT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    local awardData = nil
    if state == ReturnCode.SUCCESS then   
        awardData = self.AwardDataDecoder:decode(data) -- 返回一个表r
        self.AwardDataDecoder:addAWard(awardData) -- 发放

        SetStates.faceBookShareAward:setMark(UnitConversion.getYday())
    end

    return state,awardData
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
