--[[
    添加黑名单
]]
local T = extend(AbstractC2SCommand)

T.type = 4

function T:ctor()
    self.super.ctor(self,ChannelIds.SOCIAL_CONTACT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeString(self.targetName)
    data:writeInt(self.targetId)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        SocialManager:addBlack(self.targetId,self.targetName)
    end

    return state
end

function T:exec(targetName,targetId,callback)
    self.targetName = targetName
    self.targetId = targetId

    self.super.exec(self,callback)
end

return T
