--Author    : YuDing
--Date      : 2015/1/31
--Introduce : 玩家随机迁移城市

local TEMPLATE = extend(AbstractC2SCommand)

TEMPLATE.type = 5


--- 构造函数
function TEMPLATE:ctor()
    --调用父类的构造成数,UPGRADE通道，是逻辑端口,不是物理端口, true代表不用黑色的遮罩
    self.super.ctor(self, ChannelIds.WORLDMAP)
end

--- 封装发送的数据
function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

--- 解码接收的数据并且处理数据
function TEMPLATE:decode(data)
    local state = data:readUnsignedByte()       --是否处理成功

    if state == ReturnCode.SUCCESS then
        local x = data:readShort()
        local y = data:readShort()

        local descripe = Language:get("uc447",x,y)
		MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )

        -- 刷新数据
        PlayerInstance:setWorldPosition(x, y)
    end

    return state
end

function TEMPLATE:exec(callback)
    self.super.exec(self, callback)
end

return TEMPLATE







--endregion
