--- 退回到登陆场景
local T=Class.Back2LoginScenceCommand()

function T:ctor()
	if BGMgr:isGuide() then
		BGMgr:hideHollowMask()
	end
	
	-- 回到登陆界面的时候，清除聊天和邮箱数据
	UserInfoMgr:clearChatAndMailData()

	--停止网络检测器
	NetDetector:stop()
	NetManager:close()

	Cocos2dxUtils:timeOut(function()
		UserInfoMgr:stopUpdateCheck()

		LocalNoti:app2background()

		--重置新手引导
		if BGMgr then
			BGMgr:reset()
		end

		--派发广播
		CommonBroadcast:luaDispatchEvent(BACK_2_LOGIN_SCENCE)

		local s=require("src.app.uiScript.scenes.LoadingScene")()
		if Director:getRunningScene() then
			Director:replaceScene(s)
		else
			Director:runWithScene(s)
		end
	end,0)
end

return T
