local AbstractEnterFightPlayCommand=require("src.app.controler.enterFight.AbstractEnterFightPlayCommand")

--- 进入战斗回放
local T=Class.EnterReplayFightCommand(AbstractEnterFightPlayCommand)

function T:def()
	AbstractEnterFightPlayCommand.def(self)

	--- 邮件编号
	-- self.mailSid=nil
end

--- 进入章节战斗演播
-- @param fightData 邮件编号
-- @param getDataCompleteCallback 获取数据完成时回调
function T:ctor(fightData,getDataCompleteCallback)
	self.fightData=fightData
	self.fightData.fightInitData.originalFightType=fightData.fightInitData.fightType
	self.getDataCompleteCallback=getDataCompleteCallback

	AbstractEnterFightPlayCommand.ctor(self,FightType.FIGHT_TYPE_REPLAY)

	self:switchExcessiveWindow()
end

--- 获取战斗数据
function T:getFightData(getCompleteHandler)
	if getCompleteHandler then
		getCompleteHandler(self.fightData)
	end
	if self.getDataCompleteCallback then
		self.getDataCompleteCallback()
	end
end

return T
