--- 战机逻辑执行器
local T=Class.AircraftLogicCalcer(LuaEventDispatcher2)

--- 攻击类型计算器
T.AttackTypeCalcer=require("src.app.logic.fightLogic.AttackTypeCalcer")

--- 事件-攻击
T.EVENT_ATTACK="event_attack"

--- 事件-死亡
T.EVENT_DIED="event_died"

function T:def()
	LuaEventDispatcher2.def(self)

	--- 战场逻辑执行器
	-- self.fightLogicExecor=nil

	--- 阵营
	-- self.camp=nil

	--- 在己方阵营的位置
	-- self.loc=nil

	--- 总的生命值
	-- self.totalHp=nil

	---战机SID
	-- self.sid=nil

	---数量
	-- self.count=nil

	---单个战机的攻击值
	-- self.singleAttack=nil

	---单个战机的生命值
	-- self.singleHp=nil

	---基础命中
	-- self.baseHit=nil

	---基础闪避
	-- self.baseDodge=nil

	---基础暴击
	-- self.baseCrit=nil

	---基础暴击抵抗
	-- self.baseCritResist=nil

	--- 战机数据模板
	-- self.dataTemplate=nil
end

function T:ctor(fightLogicExecor,camp,loc,data)
	self.fightLogicExecor=fightLogicExecor
	self.camp=camp
	self.loc=loc
	self.totalHp=data.count*data.singleHp
	mapping(self,data)

	self.dataTemplate=Aircraft_temp[data.sid]
end

--- 执行AI
function T:execAI()
	--它的AI很简单,就是攻击
	self:attack()
end

--- 攻击
function T:attack()
	self:luaDispatchEvent(T.EVENT_ATTACK,self,self.dataTemplate.attackEffName)
end

--- 被攻击
--@param srcAircraft
--@param damageData 伤害数据
function T:beAttack(srcAircraft,damageData)
	if damageData.isHit then
		self.totalHp=self.totalHp-damageData.damage
		if self.totalHp <= 0 then
			self.totalHp=0

			return 0
		end

		self.count=math.ceil(self.totalHp/self.singleHp)
	end

	return self.count
end

return T
