--- 战败条件计算
local T={}

--- 计算
function T:calc(desCampAircrafts,desLoc,failureConditions)
	if failureConditions then
		local type=failureConditions.type
		if type == 1 then 
			--指定阵位上的飞机少于等于
			
			for k,v in pairs(failureConditions.argments) do
				if desCampAircrafts[k].count > v then
					return false
				end
			end
			
			return true
		elseif type == 2 then
			--战机总数少于等于
			
			local c=0
			for _,v in pairs(desCampAircrafts) do
				c=c+v.count
			end
			
			if c <= failureConditions.argments then
				return true
			end
			
			return false
		end
	else
		local desAircraft=desCampAircrafts[desLoc]
		if not desAircraft then
			-- 检查被攻击方的所有飞机是否都已死完
			local t = true
			for _ in pairs(desCampAircrafts) do
				return false
			end
			
			return true
		end
	end
	
	return false
end

return T
