--- 接入的SDK状态监视器
local T=Class.SDKStateDetector()

local _print=print
local function print(...)
	_print(string.format("\t<%s>:%s",T.__name,table.concat({...},"\t")))
end

function T:def()

end

function T:ctor()

end

--- 退回到登陆界面
function T:back2LoginScenceHandler()
	self:stop()
end

--- 被登出
function T:loginoutHandler()
	self:stop()

	print("收到登出事件")

	require("src.app.controler.Back2LoginScenceCommand")()

	SDK_Delegate:setLoginState(SDK_Delegate.LOGIN_STATE_SWITCH)
end

--- 开始切换账号
function T:startSwitchAccountHnalder()
	self:stop()

	print("开始切换账号事件")

	require("src.app.controler.Back2LoginScenceCommand")()
end

--- 开始监视
function T:start()
	CommonBroadcast:luaAddEventListener(BACK_2_LOGIN_SCENCE,self,self.back2LoginScenceHandler)
	SDK_Delegate:luaAddEventListener(SDK_Delegate.EVT_TYPE_LOGINOUT,self,self.loginoutHandler)
	if C_PFM == cc.PLATFORM_OS_IPHONE or C_PFM == cc.PLATFORM_OS_IPAD then
		SDK_Delegate:luaAddEventListener(SDK_Delegate.EVT_TYPE_SWITCH_ACCOUNT_START,self,self.startSwitchAccountHnalder)
	end
end

--- 停止监视
function T:stop()
	CommonBroadcast:luaRemoveEventListener(BACK_2_LOGIN_SCENCE,self,self.back2LoginScenceHandler)
	SDK_Delegate:luaRemoveEventListener(SDK_Delegate.EVT_TYPE_LOGINOUT,self,self.loginoutHandler)
	if C_PFM == cc.PLATFORM_OS_IPHONE or C_PFM == cc.PLATFORM_OS_IPAD then
		SDK_Delegate:luaRemoveEventListener(SDK_Delegate.EVT_TYPE_SWITCH_ACCOUNT_START,self,self.startSwitchAccountHnalder)
	end
end

return T()
