local NodeInfo=require("src.app.model.WorldMap.NodeInfo")
local MapNodeType=require("src.app.model.WorldMap.MapNodeType")

local MapNodeResLocType=require("src.app.model.WorldMap.MapNodeResLocType")

--- 地图节点信息-资源点
local T=Class.NodeInfoResLoc(NodeInfo)

function T:def()
	NodeInfo.def(self)
	
	self.type=MapNodeType.RES_LOC
	
	--- 资源类型
	self.resType=MapNodeResLocType.RES_GOLD
end

function T:decode(data)
	NodeInfo.decode(self,data)
	
	self.resType=data:readUnsignedByte()
end

return T