--- 飞机管理
local T = Class.AircraftManager(LuaEventDispatcher2)

--- 事件-战机数量改变刷新
T.EVT_TYPE_AIRCRAFT_REFRESH = "evt_type_aircraft_refresh"

--- 事件-防守部队改变
T.EVT_TYPE_DEFENCE_ARMY = "evt_type_defence_army"

--- 事件-维修部队改变
T.EVT_TYPE_REPAIR_ARMY = "evt_type_repair_army"

function T:def()
	LuaEventDispatcher2.def(self)


    --- 增加的飞机数量,当飞机生产完成的时候
	self.addAircraftNum = {}

end

--- 判断战机是否有修理的战机,false:没有维修，true：有维修
function T:judgeAirIsRepair()
	local list = UserInfo.city.aircraftBox.repairAircrafts
	for k,v in pairs(list) do
		if v then
			if v.num > 0 then
				return true
			end
		end
	end
	return false
end

--- 飞机生产完后设置生产的数量
function T:setAddAircraftNumBySid(sid,num)
	self.addAircraftNum[sid] = num
    local dd = 3
end

--- 得到飞机生产完后设置生产的数量
function T:getAddAircraftNumBySid(sid)
	if self.addAircraftNum[sid] then
        return self.addAircraftNum[sid]
    else
        return 0
    end
end


return T
