--- 累计充值
local T = Class.CumulativeRechargeInfo(AbstractActivityInfo)

--- 事件-时间刷新
T.EVT_ACTIVTIY_TIME_REFRESH = "evt_activity_time_refresh"

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")


function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 203
    self.priority = FixAndDynamicAct_temp[self.sid].priority

    --- 结束时间
    self.endTimeSec = nil
    --- 剩余时间
    self.remainingSec = nil
end

--- 这个是临时的，每次都要重新获取
function T:decode(data)
    local lotteryData = {} 
    lotteryData.hasRechargeDiamond = data:readInt() -- 已充值的钻石数
    lotteryData.mark = data:readInt()
    local length = data:readByte()
    lotteryData.award = {}
    for i = 1,length,1 do  -- 依次是从0到4共5项
        local temp = {}
        temp.sid = i - 1 -- 存入的是从0到4的sid
        temp.showAward = self.AwardDataDecoder:decode(data)
        temp.needDiamond = data:readInt()
        lotteryData.award[#lotteryData.award + 1] = temp
    end

    return lotteryData
end

function T:setEndTimeSec(endTimeSec)
    self.endTimeSec = endTimeSec
end


--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()   
    return false
end


return T