--- 钻石抽钻石
local T = Class.DrawDiamondInfo(AbstractActivityInfo)

--- 事件-时间刷新
T.EVT_ACTIVTIY_TIME_REFRESH = "evt_activity_time_refresh"

function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 101
    self.priority = FixAndDynamicAct_temp[self.sid].priority

    --- 结束时间
    self.endTimeSec = nil
    --- 剩余时间
    self.remainingSec = nil
end

--- 得到抽钻石的所有抽奖数据(这个是临时的，每次都要重新获取)
function T:decode(data)
    local lotteryData = {}
    lotteryData.num = data:readByte() -- 当前已抽次数
    lotteryData.isLottery = data:readBoolean() -- 是否还能抽取,如果还能抽取,继续读取
    if lotteryData.isLottery then
        lotteryData.needGems = data:readInt() -- 当前抽取所需的钻石
    end
    

    return lotteryData
end

function T:setEndTimeSec(endTimeSec)
    self.endTimeSec = endTimeSec
end

--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()
    return false
end


return T