--- 首充大奖
local T = Class.FirstRechargeInfo(AbstractActivityInfo)

--- 事件--首冲后刷新
T.EVT_FIRST_RECHARGE_REFRESH = "evt_first_recharge_refresh"

--- 首冲标记
T.FIRST_RECHARGE_AWARD = 127

function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 1000 -- 暂时先写成这个sid
    --self.priority = FixAndDynamicAct_temp[self.sid].priority
end

function T:setList(list)
    self.list = list
end

function T:judgeOpenValueLogic()
    --return not self:getValue()
    return false -- 暂时先关闭
end


--- 得到值:首冲奖励领取标记(空或0未领取，1已领取)
function T:getValue()
    if self.list[self.FIRST_RECHARGE_AWARD] and self.list[self.FIRST_RECHARGE_AWARD] == 1 then
        return true -- 已经领取       
    else
        return false -- 未领取
    end
end

--- 设置值,未领取变为领取
function T:setValue()
    if self:getValue() == true then -- 领取了就算了
        return
    end

    self.list[self.FIRST_RECHARGE_AWARD] = 1
    self:luaDispatchEvent(self.EVT_FIRST_RECHARGE_REFRESH)
    self:luaDispatchEvent(self.EVT_ACTIVTIY_HOMEPAGE_TAG_REFRESH .. self.sid)
end

--- 判断主界面是否可以转圈bool值:首冲活动永远不会出现感叹号
function T:judgeHomePage()
    return false
end


return T