--- 战争之王
local T = Class.GameOfWarInfo(AbstractActivityInfo)

--- 事件-时间刷新
T.EVT_ACTIVTIY_TIME_REFRESH = "evt_activity_time_refresh"

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")


function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 107
    self.priority = FixAndDynamicAct_temp[self.sid].priority

    --- 结束时间
    self.endTimeSec = nil
    --- 剩余时间
    self.remainingSec = nil
end

--- 这个是临时的，每次都要重新获取
function T:decode(data)
    local tempData = {} 
    tempData.num = data:readInt() -- 攻打次数
    tempData.awardMark = data:readInt() -- 奖励领取标记

    local length = data:readByte()
    tempData.award = {}
    for i = 1,length,1 do
        local temp = {}
        temp.sid = i - 1
        temp.needNum = data:readInt() -- 需求数量
        temp.showAward = self.AwardDataDecoder:decode(data) -- 奖励品

        tempData.award[#tempData.award + 1] = temp
    end

    return tempData

end

function T:setEndTimeSec(endTimeSec)
    self.endTimeSec = endTimeSec
end


--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()   
    return false
end


return T