--- 每日签到次数:这里只有5天，从0到4
local T = Class.DailyAttendanceCount()

--- 设置标记
T.mark = 103

function T:def()
    --- 状态列表
	self.list = {}
end


function T:setList(list)
    self.list = list
end

--- 得到签到次数
function T:getCount()
    if self.list[self.mark] then 
        return self.list[self.mark]
    else
        return 0 -- 
    end

end

--- 设置签到次数:因为是一个循环
function T:setCount(count)
    self.list[self.mark] = count

    if self.list[self.mark] >= 5 then
        self.list[self.mark] = 0
    end
    SetStates.signManager:luaDispatchEvent(SetStates.signManager.EVT_DAILY_ATTENDANCE_ALL_DATA_REFRESH)
    ActivityManager.signInfo:refreshState()
end

--- 增加签到次数
function T:addCount(addNum)
    local lastCount = self:getCount()

    self.list[self.mark] = lastCount + addNum

    if self.list[self.mark] >= 5 then
        self.list[self.mark] = 0
    end
    SetStates.signManager:luaDispatchEvent(SetStates.signManager.EVT_DAILY_ATTENDANCE_ALL_DATA_REFRESH)
    ActivityManager.signInfo:refreshState()
end

--- 得到签到的真实天数
function T:getTrueDay()
    return self:getCount() + 1
end


return T
