--[[
    公告内容盒子
]]
local T = Class.AnnounceContentBox(LuaEventDispatcher2)

-- 公告信息
T.AnnounceContentInfo = require("src.app.model.announce.AnnounceContentInfo")


function T:def()
    LuaEventDispatcher2.def(self)

    -- 配件信息
    self.announceContentBox = {}

end

function T:decode(data,id)
    local info = self.AnnounceContentInfo()
    info:decode(data)
    self.announceContentBox[id] = info
end

--- 得到某一个公告的内容信息
function T:getAnnounceContentById(id)
    if self.announceContentBox[id] then
        return self.announceContentBox[id]
    else
        return nil
    end

end


return T