local AbstractGuideStep=require("src.app.model.beginnersGuide.AbstractGuideStep")

--- 修改角色名
local T=Class.GuideStep_modifyRoleName(AbstractGuideStep)

--- 不能跳过此步
T.isNotAllowSkip=true

function T:def()
	AbstractGuideStep.def(self)
end

function T:start()
	AbstractGuideStep.start(self)

	while WindowManager:getCurrentWindow() do
		WindowManager:pop()
	end

	if not UserInfoMgr:getIsChangeName() then
		local gt=self.GuideTipBox(Language:get("ug1217"))
		gt:setSkipButtonState(fasle)

		BGMgr:hideHollowMask()
		MUIAlter_custom.show({
			info=gt,
			callback=function()
				local evtHdl=self._evtHandlers

				--玩家改名完成
				evtHdl[BGMgr.EVT_PLAYER_NAME_CHANGED]=function(callback)
					BGMgr:complete()
					BGMgr:next()
				end

				WindowManager:push(
					require("src.app.uiScript.components.beginnersGuide.CreatePlayerWindow").new()
				)
			end
		})
	else
		local message="不能修改玩家角色名"

		__print__("GuideErr",message)
		LogRecorder:push(message,LOG_LEVEL_ERROR,"GuideErr")

		BGMgr:complete()
		BGMgr:next()
	end
end

return T
