--- 内购管理器
local T=Class.IAPMgr(LuaEventDispatcher2)

--- 支付完成
T.EVT_TYPE_PAY_SUCCESS="evt_type_pay_success"

--- 支付失败
T.EVT_TYPE_PAY_FAILURE="evt_type_pay_failure"

function T:def()
	LuaEventDispatcher2.def(self)

	--- 当前支付状态
	self._isPaying=false

	--- 遮罩
	-- uiMask
end

function T:ctor()
	LuaEventDispatcher2.ctor(self)
end

--- 商品编号
function T:pay(productData)
	self._productData=productData
	self._isPaying=true

	self:addMask()

	Command:payIapGoods(self._productData.productId,1)
end

--- 支付完成
function T:handlePayComplete()

end

--- 验证支付完成
function T:verifyPayComplete(award)

end

--- 添加遮罩
function T:addMask()
	if self.uiMask then
		return
	end

	local uiMask = require("src.app.uiScript.components.common.CommunicationWaitingMask")()
	Director:getRunningScene():addChild(uiMask)
	self.uiMask = uiMask
end
--- 移除遮罩
function T:rmvMask()
	if self.uiMask then
		self.uiMask:removeFromParent()
		self.uiMask = nil
	end
end

return T
