--[[
    社交盒子
]]
local T = extend()

--- 社交信息项
T.SocialInfo = require "src.app.model.socialContact.SocialInfo"

--- 社交信息
T.socialList = nil

function T:decode(data)
    local len = data:readUnsignedByte()
    local modelSocialInfo = {}
    for i = 1,len,1 do
        local info = mapping({}, self.SocialInfo)
        info:decode(data)
        modelSocialInfo[info.id] = info
    end

    self.socialList = modelSocialInfo

end




return T