--region DominanceLuckyState.lua
--Author    : YuDing
--Date      : 2015/4/2
--Introduce : 统御(指挥插件)幸运值
-- 一般设置
local T = Class.DominanceLucky(LuaEventDispatcher2)

function T:def()
    LuaEventDispatcher2.def(self)

	--- 状态列表
	self.list = { }

    --- 设置标记
    self.mark = 121

    --- 派发的事件
    self.CHANGE = "change" 
end

function T:setList(list)
	self.list = list
end

--- 获取相应的数值
function T:getDominanceLucky()
    local value = self.list[self.mark] or 0
    return value
end

--- 设置相应的数值
function T:setDominanceLucky(num)
    self.list[self.mark] = num

    self:luaDispatchEvent(self.CHANGE) -- 立即刷新   
end

return T







--endregion
