--- 分享标记
local T = Class.FaceBookShareAward(LuaEventDispatcher2)

--- 设置标记
T.mark = 136

--- 事件--分享成功后
T.EVT_FACK_BOOK_SHARE_REFRESH = "evt_face_book_share_refresh"

function T:def()
	LuaEventDispatcher2.def(self)

	--- 状态列表
	self.list = {}
end


function T:setList(list)
	self.list = list
end


--- 得到mark值
function T:getValue()
	if self.list[self.mark] then
		return self.list[self.mark]
	else
		return 0
	end

end

--- 设置mark值
function T:setMark(value)
	self.list[self.mark] = value
	self:luaDispatchEvent(self.EVT_FACK_BOOK_SHARE_REFRESH)
end

--- 判断是否已经分享:true:未分享，false:分享了
function T:judgeIsShare()
	local nowDay = UnitConversion.getYday()
	local serverDay = self:getValue()
	
	print(string.format("客户端日of年:%d,服务器日of年:%d",nowDay,serverDay))
	if nowDay == serverDay then
		return false
	else
		return true
	end
end

return T
