--region JoinAllianceAward.lua
--Author    : YuDing
--Date      : 2015/5/21
--Introduce : 军团加入奖励

local T = Class.joinAllianceAward(LuaEventDispatcher2)

--- 设置标记
T.mark = 130

--- 已接受事件
T.RECEIVE = "RECEIVE"

function T:def()
    LuaEventDispatcher2.def(self)

	--- 状态列表
	self.list = { }
end

function T:setList(list)
	self.list = list
end

--- 设置标识
--- self.list[self.mark]为0 或者为空 表示 还未加入军团
function T:setReceiveState()
    self.list[self.mark] = 1 

    self:luaDispatchEvent(self.RECEIVE) -- 立即刷新    
end

--- 得到状态
function T:getState()
    local t = self.list[self.mark]

    if not t then -- 不存在的 也赋值为0 
        return 0
    else 
        return t
    end
end


return T





--endregion
