--- 每日免费抽奖日期标记, 这个日期是上次免费抽是今年第几天，如果和今天不一样，就可以免费抽，一样就不能免费抽，15一次
local T = Class.LuckyLotteryState(LuaEventDispatcher2)

--- 设置标记
T.mark = 112

--- 事件--抽奖后
T.EVT_FREE_LUCKY_LOTTERY_REFRESH = "evt_free_lucky_lottery_refresh"


function T:def()
    LuaEventDispatcher2.def(self)


    --- 状态列表
	self.list = {}
end


function T:setList(list)
    self.list = list
end


--- 得到上次签到的时间是今年的第几天
function T:getYday()
    if self.list[self.mark] then 
        return self.list[self.mark]
    else
        return 0
    end

end

--- 设置抽奖的今天是今年的第几天
function T:setYday(day)
    self.list[self.mark] = day
    self:luaDispatchEvent(self.EVT_FREE_LUCKY_LOTTERY_REFRESH)
end

--- 判断是否可以每日免费抽取:false:不能抽取
--- 日期我设置成今天的,就代表今天已经抽取了,今天就不能抽取了
function T:judgeIsLottrey()
    local nowDay = UnitConversion.getYday()
    local serverDay = self:getYday()
    if nowDay == serverDay then
        return false
    else
        return true
    end
end

--- 获取购买的钻石数:现在是15个钻石
function T:getBuyGems()
    return 15
end



return T
