--- 三倍充值标记
local T = Class.ThreePurchaseState(LuaEventDispatcher2)

--- 设置标记
T.MARK = 124

--- 事件--3倍充值结束后
T.EVT_THREE_PURCHASE_COMPLETE = "evt_three_purchase_complete"

function T:def()
    LuaEventDispatcher2.def(self)


    --- 状态列表
    T.list = { }
end

function T:setList(list)
    self.list = list
end

--- 得到总值
function T:getTotalValue()
    return self.list[self.MARK] or 0
end

--- 获取关闭相应的数值
function T:getTypeValue(type)
    local value = self.list[self.MARK] or 0
    return BitOperator:_and(value, type) ~= 0 -- true：1已经领取了，false：0还没有领取
end

--- 设置为领取了
function T:setTypeValue(type)
    local value = self.list[self.MARK] or 0
    self.list[self.MARK] = BitOperator:_or(value,type)

    self:luaDispatchEvent(self.EVT_THREE_PURCHASE_COMPLETE)

end

--- 设置为未领取
function T:setTypeValueNotGet(type)
    local value = self.list[self.MARK] or 0

    local notValue = BitOperator:_not(type)
    self.list[self.MARK] = BitOperator:_and(notValue,value)

end


return T
