--- 战机生产队列项
local T=Class.AircraftProduceQueueItem()

function T:def()
	--- 队列id
	self.id=0

	--- 结束时间(完成时间)
	self.endTimeSec=0

	--- 对应于哪个建筑物的bid，机库1还是2,还有改造工厂的bid,就是那个唯一id
	self.bid=0

	--- 战机的sid
	self.unitType = 0

	--- 战机的数量(一共有多少战机生产或者改造的总数量)
	self.unitNum = 0

	--- 表示生产还是改造（0为生产，1为改造）
	self.recruitType = 0

	--- 时间间隔
	self.remainingSec=0

    --- 位置
    self.location = 0
end

function T:decode(byteArray)
	self.id = byteArray:readUnsignedInt()
	self.endTimeSec = GameUtils:modifyTimeZone(byteArray:readInt())
	self.bid = byteArray:readUnsignedByte()
	self.unitType = byteArray:readUnsignedShort()
	self.unitNum = byteArray:readUnsignedShort()
	self.recruitType = byteArray:readUnsignedByte()
end

function T:getLocation()
    if self.location == 0 then 
        local list = BuildingsInfoMgr:getBuildingInfos()
        for k,v in pairs(list) do  -- k是id
            if v.id == self.bid then 
                self.location = v.location
                break
            end
        end
    end

    return self.location
end

return T
