local T=Class.BattlesInfo()

function T:def()
	--- 战斗信息
	-- self.battleInfos=nil
	
	--- 星级信息
	-- self.starInfos=nil
	
	--- 战役奖励状态
	-- self.campaignAwardStatus=nil
end

function T:ctor(byteArray)
	-- 战斗信息
	local battleInfos={}
	local len=byteArray:readUnsignedShort()
	for i=1,len,1 do
		local k=byteArray:readInt()
		local v=byteArray:readInt()
		battleInfos[k]=v
	end
	self.battleInfos=battleInfos

	-- 星级信息
	local starInfos={}
	local len=byteArray:readUnsignedShort()
	for i=1,len,1 do
		local k=byteArray:readUnsignedShort()
		local v=byteArray:readUnsignedByte()
		starInfos[k]=v
	end
	self.startInfos=starInfos

	-- 各战役的奖励领取情况
	local campaignAwardStatus={}
	local len=byteArray:readUnsignedByte()
	for i=1,len,1 do
		local k=byteArray:readUnsignedByte() -- 章节sid
		local v=byteArray:readUnsignedByte() -- 值，与操作1,2,4
		campaignAwardStatus[k]=v
	end
	self.campaignAwardStatus=campaignAwardStatus
end

return T