local T=Class.TechnologiesInfo()

--- 科技信息项
T.TechnologyInfo=require("src.app.model2.technology.TechnologyInfo")

--- 科技队列项
T.TechnologyQueueItem=require("src.app.model2.technology.TechnologyQueueItem")

function T:def()
	---科技信息
	self.infos=nil

	---科技队列
	self.queue=nil
end

function T:ctor(byteArray)
	-- 信息
	local len=byteArray:readUnsignedByte()
	local infos={}
	for i=1,len,1 do
		local item=self.TechnologyInfo()
		item:decode(byteArray)

		infos[item.sid]=item
	end
	self.infos=infos

	--队列
	local len=byteArray:readUnsignedByte()
	local queue={}
	for i=1,len,1 do
		local item=self.TechnologyQueueItem()
		item:decode(byteArray)

		queue[item.technologySid]=item

	end
	self.queue=queue
end

return T
