--[[
 *	安装配件弹出窗口选择
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 选择的飞机类型
T.chooseAirType = nil

--- 构造函数
function T:ctor(id)
    self.id = id
    self:init()

end

function T:init()
    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )


    self:setContentSize(cc.size(500,400))

    self:getWidget()

end

--- 进入
function T:onEnter()
    
end

--- 退出
function T:onExit()
    
end


--- 得到控件
function T:getWidget()
    -- 请选择要装配的某一种飞机类型
    local des = XMLLabel()
    des:setAlign("center","top")
    des:setContentSize(cc.size(600,36))
    self:addChild(des)
    REL:toOther("center","top",des,self,0,10)
    des:setString(Language:get("uc610"))

    -- 飞机类型1
    local chooseFrame1 = ccui.ImageView:create()
    chooseFrame1:loadTexture("checkBottom.png",ccui.TextureResType.plistType)
    self:addChild(chooseFrame1)
    REL:toOther("left","top",chooseFrame1,self,20,50)
    chooseFrame1:setTouchEnabled(true)
    chooseFrame1:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            AudioManager:playEffect(SoundRes.SOUND_COMMON_BUTTON)
            REL:toOther("center","middle",self.chooseImg,chooseFrame1,0,0)
            if self.chooseAirType ~= 1 then
                self.chooseImg:setVisible(true)
                self.chooseAirType = 1
            else
                if self.chooseImg:isVisible() == false then
                    self.chooseImg:setVisible(true)
                    self.chooseAirType = 1
                else
                    self.chooseImg:setVisible(false)
                    self.chooseAirType = nil
                end
            end
        end
    end)

    local name1 = XMLLabel()
    name1:setAlign("left","middle")
    name1:setContentSize(cc.size(400,36))
    self:addChild(name1)
    REL:toOther("left","middle",name1,chooseFrame1,40,0)
    name1:setString(Language:get("uc576"))

    -- 飞机类型2
    local chooseFrame2 = ccui.ImageView:create()
    chooseFrame2:loadTexture("checkBottom.png",ccui.TextureResType.plistType)
    self:addChild(chooseFrame2)
    REL:toOther("left","top",chooseFrame2,self,20,100)
    chooseFrame2:setTouchEnabled(true)
    chooseFrame2:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            AudioManager:playEffect(SoundRes.SOUND_COMMON_BUTTON)
            REL:toOther("center","middle",self.chooseImg,chooseFrame2,0,0)
            if self.chooseAirType ~= 2 then
                self.chooseImg:setVisible(true)
                self.chooseAirType = 2
            else
                if self.chooseImg:isVisible() == false then
                    self.chooseImg:setVisible(true)
                    self.chooseAirType = 2
                else
                    self.chooseImg:setVisible(false)
                    self.chooseAirType = nil
                end
            end
        end
    end)


    local name2 = XMLLabel()
    name2:setAlign("left","middle")
    name2:setContentSize(cc.size(400,36))
    self:addChild(name2)
    REL:toOther("left","middle",name2,chooseFrame2,40,0)
    name2:setString(Language:get("uc577"))

    -- 飞机类型3
    local chooseFrame3 = ccui.ImageView:create()
    chooseFrame3:loadTexture("checkBottom.png",ccui.TextureResType.plistType)
    self:addChild(chooseFrame3)
    REL:toOther("left","top",chooseFrame3,self,20,150)
    chooseFrame3:setTouchEnabled(true)
    chooseFrame3:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            AudioManager:playEffect(SoundRes.SOUND_COMMON_BUTTON)
            REL:toOther("center","middle",self.chooseImg,chooseFrame3,0,0)
            if self.chooseAirType ~= 3 then
                self.chooseImg:setVisible(true)
                self.chooseAirType = 3
            else
                if self.chooseImg:isVisible() == false then
                    self.chooseImg:setVisible(true)
                    self.chooseAirType = 3
                else
                    self.chooseImg:setVisible(false)
                    self.chooseAirType = nil
                end
            end
        end
    end)


    local name3 = XMLLabel()
    name3:setAlign("left","middle")
    name3:setContentSize(cc.size(400,36))
    self:addChild(name3)
    REL:toOther("left","middle",name3,chooseFrame3,40,0)
    name3:setString(Language:get("uc578"))


    -- 飞机类型4
    local chooseFrame4 = ccui.ImageView:create()
    chooseFrame4:loadTexture("checkBottom.png",ccui.TextureResType.plistType)
    self:addChild(chooseFrame4)
    REL:toOther("left","top",chooseFrame4,self,20,200)
    chooseFrame4:setTouchEnabled(true)
    chooseFrame4:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            AudioManager:playEffect(SoundRes.SOUND_COMMON_BUTTON)
            REL:toOther("center","middle",self.chooseImg,chooseFrame4,0,0)
            if self.chooseAirType ~= 4 then
                self.chooseImg:setVisible(true)
                self.chooseAirType = 4
            else
                if self.chooseImg:isVisible() == false then
                    self.chooseImg:setVisible(true)
                    self.chooseAirType = 4
                else
                    self.chooseImg:setVisible(false)
                    self.chooseAirType = nil
                end
            end
        end
    end)



    local name4 = XMLLabel()
    name4:setAlign("left","middle")
    name4:setContentSize(cc.size(400,36))
    self:addChild(name4)
    REL:toOther("left","middle",name4,chooseFrame4,40,0)
    name4:setString(Language:get("uc579"))


    -- 钩钩图片
    local chooseImg = ccui.ImageView:create()
    chooseImg:loadTexture("needEnoughIcon.png",ccui.TextureResType.plistType)
    self:addChild(chooseImg)
    REL:toOther("left","middle",chooseImg,self,0,0)
    self.chooseImg = chooseImg
    self.chooseImg:setVisible(false)
    

    -- 确定按钮
    local btn = Button.new("false","true")
	btn:setButtonState("button_green_normal.png","button_general_down.png")
    btn:setString(Language:get("uc611"))
	self:addChild(btn)
	REL:toOther("center","bottom",btn,self,0,20)
    btn:setTextShadow()
    btn:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            if self.chooseAirType == nil then
                local descripe = Language:get("uc616")
		        MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
            else
                local function finish()
                    self.muialter2:hide()
                    local descripe = Language:get("uc598")
		            MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
                end
                local accessoryBox = AccessorySystemManager:getAccessoryBox()
                local accessoryInfos = accessoryBox.accessoryInfos
                local info = accessoryInfos[self.id]
                Command:installAccessory(self.id,self.chooseAirType,info.slotType,finish)

            end
        end
    end)

end



function T:setMUIAlter2(muialter2)
    self.muialter2 = muialter2
end



return T