---机库正在制作Layout
local T = class("T",function() return ccui.Layout:create() end)

--- 服务器数据
T.dataFromServer = nil

--- 正在制造的项
T.aircraftFactoryIsProduceItem = require "src.app.uiScript.components.aircraftFactory.aircraftFactoryIsProduce.AircraftFactoryIsProduceItem"


--- 构造函数
function T:ctor(data)
	self.dataFromServer = data

	self:registerScriptHandler(function(e)
		if e == CocosEvent.ENTER then
		--			self:onEnter()
		elseif e == CocosEvent.EXIT then
		--			self:onExit()
		elseif e == CocosEvent.CLEAN_UP then
			self:cleanUp()
		end
	end)
end

function T:cleanUp()
	UserInfoMgr:luaRemoveEventListener(UserInfoMgr.EVT_TYPE_RESET,self,self.updateAircraftProduceList)
end

function T:init()
	local listView = ListView.new()
	self:addChild(listView)
	REL:relOther(listView,self,10,0,0,0)
	self.listView = listView

	self:AddToListview()

	--断线重连/或重新登陆
	UserInfoMgr:luaAddEventListener(UserInfoMgr.EVT_TYPE_RESET,self,self.updateAircraftProduceList)
end

function T:AddToListview()
	local list = AircraftProduceQueueMgr:getAircraftQueue(self.dataFromServer.id)

	local uiList=self.listView
	for k,v in pairs(list) do
		if v then
			local res = self.aircraftFactoryIsProduceItem.new(k,v.recruitType,self.listView,v.bid)  -- 传入的是队列id和类型
			--res:setContentSize(cc.size(res.size.width,res.size.height))
			uiList:pushBackCustomItem(res)
		end
	end
end

--- 刷新战机生产列表
function T:updateAircraftProduceList()
	local list = AircraftProduceQueueMgr:getAircraftQueue(self.dataFromServer.id)

	local uiList=self.listView
	uiList:removeAllItems()
	
	for k,v in pairs(list) do
		if v then
			local res = self.aircraftFactoryIsProduceItem.new(k,v.recruitType,self.listView,v.bid)  -- 传入的是队列id和类型
			--res:setContentSize(cc.size(res.size.width,res.size.height))
			uiList:pushBackCustomItem(res)
		end
	end
end

return T
