--- 机库下拉打开的Layout
local T = class("T",function() return ccui.Layout:create() end)

--- list（战机的sid）的sid
T.sid = nil

--- res的基础值
T.baseValue = 100000

--- 滑动条最小数量
T.smallCount = nil

--- 滑动条最大数量
T.maxCount = nil

--- 战机的数量,现在暂时默认为1
T.num = 1

--- bid
T.dataFromServer = nil

--- 主窗口
T.airWindow = nil

--- list列表项
T.list = nil

--- 建筑物的位置
T.location = nil

--- 构造函数
function T:ctor(sid,dataFromServer,airWindow,list)
	self.sid = sid
	self.dataFromServer = dataFromServer
	self.airWindow = airWindow
	self.list = list

	--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
	--	self:setBackGroundColor(cc.c3b(random(0,255),0,0))
	--	self:setBackGroundColorOpacity(100)

	self.location = self.dataFromServer.location

	self:registerScriptHandler(
		function(eventType)
			--print("Construct:"..eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then

			end
		end
	)
	local size = nil
	if self.location == 5 then
        if self.sid >= 17 then
            size = cc.size(640,585 + 82 + 60)
        else
            size = cc.size(640,585 + 82)
        end
		
	else
        if self.sid >= 17 then
            size = cc.size(640,640 + 22 + 20)
        else
            size = cc.size(640,640 + 22)
        end

		
	end
	self:setContentSize(size)

	-- 得到控件
	self:GetWidget()
	-- 设置最小和最大值
	self:SetMaxAndSmallLogic()
	-- 设置数据
	self:SetData()
	-- 按钮回调设置
	self:SetButton()
	-- 设置一键完成是否可以点击
	self:_setImmediateLogic()

end

function T:onEnter()
	local function refresh()
		self:SetMaxAndSmallLogic()
		self:SetData()
	end
	self.refresh = refresh
	ResourceManager:luaAddEventListener(ResourceManager.EVT_TYPE_RESOURCE_REFRESH,nil,self.refresh)

end

function T:onExit()
	self._slider:luaRemoveEventListener(EVENT_CHANGE,nil,self.percentChangedEvent)
	ResourceManager:luaRemoveEventListener(ResourceManager.EVT_TYPE_RESOURCE_REFRESH,nil,self.refresh)
end

function T:cleanUp()

end

--- 更新战机显示
function T:updateAircraft(sid)
	if self.uiAircraft then
		self.uiAircraft:removeFromParent()
	end

	local T=GameUtils:getAicraftModelUrl(Camp.CAMP2,sid)
	if T then
		local o=T()
		o:setScale(0.8)
		self:addChild(o)
		o:setPosition(96,self:getContentSize().height-85)
		self.uiAircraft=o
	end
end

function T:GetWidget()
	-- 头像
	local iconPath = IconManager.iconPath

	self:updateAircraft(self.sid)

	-- 基础攻击力图片
	local _imgAttack = ccui.ImageView:create()
	_imgAttack:loadTexture(iconPath .. Prop_temp[1].propIcon)
	_imgAttack:setScale(IconManager.baseScale[1],IconManager.baseScale[2])
	self:addChild(_imgAttack)
	REL:toOther("left","top",_imgAttack,self,20 + 290/2 + 25,5)
	self._imgAttack = _imgAttack

	-- 基础攻击力
	local labelAttack = XMLLabel()
	labelAttack:setContentSize(cc.size(300, 27))
	self:addChild(labelAttack)
	REL:toOther("left", "middle", labelAttack, self._imgAttack, self._imgAttack:getContentSize().width - 20, 0)
	self._labelAttack = labelAttack

	-- 基础hp图片
	local _imgHp = ccui.ImageView:create()
	_imgHp:loadTexture(iconPath .. Prop_temp[1].propIcon)
	_imgHp:setScale(IconManager.baseScale[1],IconManager.baseScale[2])
	self:addChild(_imgHp)
	REL:toOther("left","top",_imgHp,self._imgAttack,self._imgAttack:getContentSize().width + 80,0)
	self._imgHp = _imgHp

	-- 基础hp
	local labelHp = XMLLabel()
	labelHp:setContentSize(cc.size(300, 27))
	self:addChild(labelHp)
	REL:toOther("left", "middle", labelHp, self._imgHp, self._imgHp:getContentSize().width - 20, 0)
	self._labelHp = labelHp

	-- 基础攻击类型图片
	local _attackType = ccui.ImageView:create()
	_attackType:loadTexture(iconPath .. Prop_temp[1].propIcon)
	_attackType:setScale(IconManager.baseScale[1],IconManager.baseScale[2])
	self:addChild(_attackType)
	REL:toOther("left","top",_attackType,self,20 + 290/2 + 25,90)
	self._attackType = _attackType

	-- 基础攻击类型
	local labelAttackType = XMLLabel()
	labelAttackType:setContentSize(cc.size(300, 27))
	self:addChild(labelAttackType)
	REL:toOther("left", "middle", labelAttackType, self._attackType,self._attackType:getContentSize().width - 20, 0)
	self._labelAttackType = labelAttackType

	-- 按钮弹出信息
	local btnInfo = Button.new("false","false")
	btnInfo:setName("Button_info")
	btnInfo:setButtonState("infoButton_normal.png","iconButton_general_down.png")
	self:addChild(btnInfo)
	REL:toOther("right","top",btnInfo,self,35,45)
	self._btnInfo = btnInfo

	-- 中间资源部分
	if self.location == 5 then
        if self.sid >= 17 then
        	local resView = ResView.new(6)  -- 5是资源项目的数目
		    local needResTable = Aircraft_temp[self.sid].resourceCosts
		    local upCraftCosts = Aircraft_temp[self.sid].upCraftCosts
            local propCosts = Aircraft_temp[self.sid].propCosts
		    resView:addResItem(nil,needResTable,upCraftCosts,propCosts)
		    self:addChild(resView)
		    REL:toOther("left","top",resView,self,0,170) -- 顶部相对向下是正的
		    self.resView = resView
        else     
		    local resView = ResView.new(5)  -- 5是资源项目的数目
		    local needResTable = Aircraft_temp[self.sid].resourceCosts
		    local upCraftCosts = Aircraft_temp[self.sid].upCraftCosts
		    resView:addResItem(nil,needResTable,upCraftCosts)
		    self:addChild(resView)
		    REL:toOther("left","top",resView,self,0,170) -- 顶部相对向下是正的
		    self.resView = resView
        end
	else
        if self.sid >= 17 then
            local resView = ResView.new(5)  -- 4是资源项目的数目
		    local needResTable = Aircraft_temp[self.sid].upResourceCosts
            local propCosts = Aircraft_temp[self.sid].propCosts
		    resView:addResItem(nil,needResTable,nil,propCosts)
		    self:addChild(resView)
		    REL:toOther("left","top",resView,self,0,170) -- 顶部相对向下是正的
		    self.resView = resView

        else     
            local resView = ResView.new(4)  -- 4是资源项目的数目
		    local needResTable = Aircraft_temp[self.sid].upResourceCosts
		    resView:addResItem(nil,needResTable,nil)
		    self:addChild(resView)
		    REL:toOther("left","top",resView,self,0,170) -- 顶部相对向下是正的
		    self.resView = resView
        end

	end


	-- 生产按钮
	local btnProduce = Button.new("true","true")
	btnProduce:setName("Button_upgrade")
	btnProduce:setButtonState("bigButton_yellow_normal.png","bigButton_general_down.png")
	btnProduce:setButtonPic("oneKeyLevelUpIcon.png")
	btnProduce:setString(Language:get("uc113"))
	self:addChild(btnProduce)
	REL:toOther("right","bottom",btnProduce,self,80,0)
	self._btnProduce = btnProduce

	if BGMgr:isGuide() and self.sid == 1 then
		BGMgr:regGuideObj(BGMgr.TGR_AIRCRAFT_PRODUCT_ITEM_PRODUCT_BUTTON,btnProduce)

		BGMgr:fire(BGMgr.EVT_AIRCRAFT_PRODUCT_1_EXPLANDED)
	end

	-- 一键生产按钮
	local btnImmediateProduce = Button.new("true","true")
	btnImmediateProduce:setName("Button_immediate_upgrade")
	btnImmediateProduce:setButtonState("bigButton_purple_normal.png","bigButton_purple_normal.png")
	btnImmediateProduce:setButtonPic("addSpeedIcon.png")
	btnImmediateProduce:setString(Language:get("uc112"))
	self:addChild(btnImmediateProduce)
	REL:toOther("left","bottom",btnImmediateProduce,self,80,0)
	self._btnImmediateProduce = btnImmediateProduce

	-- 滑动条下面的背景图片
	local imgImage_back3 = ccui.ImageView:create()
	imgImage_back3:loadTexture("productSilderBack.png",ccui.TextureResType.plistType)
	self:addChild(imgImage_back3)
	REL:toOther("left","top",imgImage_back3,self.resView,0,self.resView.size.height + 5)
	self._imgImage_back3 = imgImage_back3

	-- 滑动条
	local slider = Slider("productSilderFore.png","h3","sliderButton.png","sliderButton.png")
	self:addChild(slider)
	REL:relOther(slider,self._imgImage_back3,158,84,8,8)
	self._slider = slider

	-- 战机数量
	local labelNum = XMLLabel()
	labelNum:setContentSize(cc.size(150, 27))
	self:addChild(labelNum)
	REL:toOther("left", "middle", labelNum, self._imgImage_back3, 15, 0)
	self._labelNum = labelNum

	-- 消耗时间
	local labelTime = XMLLabel()
	labelTime:setContentSize(cc.size(150, 27))
	labelTime:setHAlign("center")
	labelTime:setVAlign("middle")
	self:addChild(labelTime)
	REL:toOther("center", "middle", labelTime, self._slider, 0, 0)
	self._labelTime = labelTime


	-- 左边-按钮
	local leftBtn = ccui.Button:create()
	leftBtn:setName("leftBtn")
	leftBtn:loadTextures("buttonRed_normal.png", "buttonRed_normal.png", "",ccui.TextureResType.plistType)
	imgImage_back3:addChild(leftBtn)
	--    leftBtn:setScale(40,30)
	REL:toOther("left","middle",leftBtn,imgImage_back3,100,0)
	self.leftBtn = leftBtn
	-- 右边+按钮
	local rightBtn = ccui.Button:create()
	rightBtn:setName("rightBtn")
	rightBtn:loadTextures("buttonInc_normal.png", "buttonInc_normal.png", "",ccui.TextureResType.plistType)
	imgImage_back3:addChild(rightBtn)
	--    rightBtn:setScale(40,30)
	REL:toOther("right","middle",rightBtn,imgImage_back3,20,0)
	self.rightBtn = rightBtn


    if self.sid >= 17 then
        self._btnImmediateProduce:setVisible(false)
    else
        self._btnImmediateProduce:setVisible(true)
    end


end

function T:SetData()
	local data = Aircraft_temp[self.sid]
	local aircraftInfo = UserInfo.city.aircraftBox.infos[self.sid]

	-- 头像
	local iconPath = IconManager.iconPath
	--self._imgHead:loadTexture(iconPath .. data.icon)

	self._imgAttack:loadTexture(iconPath .. AircraftBaseAttribute_temp[2].icon)
	self._imgHp:loadTexture(iconPath .. AircraftBaseAttribute_temp[5].icon)
	self._attackType:loadTexture(iconPath .. AircraftAttackType_temp[data.attackType].icon)

	local attackOff = PlayerInstance:getAircraftAttack(aircraftInfo) - data.attack
	self._labelAttack:setString(data.attack)

	local hpOff = PlayerInstance:getAircraftHp(aircraftInfo) - data.hp
	self._labelHp:setString(data.hp)

	self._labelAttackType:setString(Language:get(AircraftAttackType_temp[data.attackType].name))

	if self.location == 5 then
		self._labelTime:setString(UnitConversion.handleTime4(BuildingDiamondCalculation:AircraftProActualTime(self.dataFromServer.location,data.time)))
	else
		self._labelTime:setString(UnitConversion.handleTime4(BuildingDiamondCalculation:AircraftProActualTime(self.dataFromServer.location,data.upgradeTime)))
	end


	if self.maxCount == 0 or self.maxCount == 1 then
		self._slider:setIsGray(false)
		self._labelTime:setVisible(false)
		self._slider:setEnabled(false)
	end
	self:RefreshData(100)
	self._slider:setValue(100)

	-- 升级按钮禁止点击并且置灰
	if self.maxCount == 0 then
		self._btnProduce:setIsGray(true)
		self._btnProduce:setTouchEnabled(false)
	else
		self._btnProduce:setIsGray(false)
		self._btnProduce:setTouchEnabled(true)
	end

end

--- 滑动条改变则刷新数据
function T:RefreshData(per)
	local percent = nil
	if per == 0 then
		percent = 1
	else
		percent = per
	end

	local data = Aircraft_temp[self.sid]
	--    local allNum = math.floor((self.maxCount-1)*percent/100)+1
	--    self._slider:setValue(value)
	local allNum = math.floor((percent * (self.maxCount - 1))/100) + 1
	if self._slider:getEnabled() == true then
		if allNum < 1 then -- 0.555还是取1
			allNum = 1
		end
	end

	if per == 0 then
		allNum = self.smallCount
	end

	self.num = allNum

	if allNum == self.smallCount then
		self.leftBtn:setIsGray(true)
		self.leftBtn:setTouchEnabled(false)
		self.rightBtn:setIsGray(false)
		self.rightBtn:setTouchEnabled(true)

	elseif allNum == self.maxCount then
		self.rightBtn:setIsGray(true)
		self.rightBtn:setTouchEnabled(false)
		self.leftBtn:setIsGray(false)
		self.leftBtn:setTouchEnabled(true)

	else
		self.leftBtn:setIsGray(false)
		self.rightBtn:setIsGray(false)
		self.leftBtn:setTouchEnabled(true)
		self.rightBtn:setTouchEnabled(true)
	end

	local time = nil
	if self.location == 5 then
		time = allNum * (BuildingDiamondCalculation:AircraftProActualTime(self.dataFromServer.location,data.time))
	else
		time = allNum * (BuildingDiamondCalculation:AircraftProActualTime(self.dataFromServer.location,data.upgradeTime))
	end

	self._labelNum:setString(allNum)
	self._labelTime:setString(UnitConversion.handleTime4(time))

	--- 机库可造飞机数量为0的时候，需求资源也显示1个飞机消耗的资源数量
	if allNum == 0 then
		allNum = allNum + 1
	end

	local needResTable = data.upResourceCosts
	if self.location == 5 then
		needResTable = data.resourceCosts
	else
		needResTable = data.upResourceCosts
	end

	local num = #needResTable
	for i = 1,num,1 do
		local resData = needResTable[i] -- {2,100}
		local maxNum = resData[2] -- 等级资源需求数量
		local nowNum = UserInfo.city[Resource_temp[resData[1]].attributeName]  -- 玩家当前拥有数量
		self.resView:setResAttribute(i,nil,nil,maxNum*allNum,nowNum)
	end

	-- 战机数量
	if self.location == 5 then
		local upCraftCosts = Aircraft_temp[self.sid].upCraftCosts
		if upCraftCosts then
			local maxNum = upCraftCosts[2] -- 等级资源需求数量
			local nowNum = UserInfo.city.aircraftBox.infos[upCraftCosts[1]].num  -- 玩家当前拥有数量
			self.resView:setResAttribute(5,nil,nil,maxNum*allNum,nowNum)
		end
        if self.sid >= 17 then -- 这里之前还要把道具加到计算里面，计算最大值;那边消耗的道具也要扣除
            local propCosts = Aircraft_temp[self.sid].propCosts
            if propCosts then
                local maxNum = propCosts[2]
			    local nowNum = PropsInfoMgr:getPlayerPropByID(propCosts[1])
			    self.resView:setResAttribute(6,nil,nil,maxNum*allNum,nowNum)
            end
        end

    else
        if self.sid >= 17 then
            local propCosts = Aircraft_temp[self.sid].propCosts
            if propCosts then
                local maxNum = propCosts[2]
			    local nowNum = PropsInfoMgr:getPlayerPropByID(propCosts[1])
			    self.resView:setResAttribute(5,nil,nil,maxNum*allNum,nowNum)
            end
        end
	end
end

function T:SetButton()
	local function callback(sender, eventType)
		if eventType == ccui.TouchEventType.ended then
			local name = sender:getName()
			if name == "Button_info" then
				self:BtnInfoLogic()
			elseif name == "Button_immediate_upgrade" then
				self:BtnImmediateProduceLogic()
			elseif name == "Button_upgrade" then
				if BGMgr:isGuide() then
					BGMgr:fire(BGMgr.EVT_TGR_UI,BGMgr.TGR_AIRCRAFT_PRODUCT_ITEM_PRODUCT_BUTTON)
				end

				self:BtnProduceLogic()
			else
				print("按钮不对")
			end
		end
	end

	self._btnInfo:addTouchEventListener(callback)
	self._btnImmediateProduce:addTouchEventListener(callback)
	self._btnProduce:addTouchEventListener(callback)

	-- slider的监听
	local function percentChangedEvent(t)
		local percent = t:getValue()
		self:RefreshData(percent)
	end
	self.percentChangedEvent = percentChangedEvent
	self._slider:luaAddEventListener(EVENT_CHANGE,nil,percentChangedEvent)

	-- 按钮+和-
	local function callback1(sender, eventType)
		if eventType == ccui.TouchEventType.ended or eventType == "longDownTrigger" then
			if self._slider:getEnabled() == false then
				return
			end
			local name = sender:getName()
			local value = self._slider:getValue()
			if name == "leftBtn" then  -- 减
				-- 得到实际的百分比
				local realValue = 100/(self.maxCount - 1)

				if value >= 0 then
					value = value - realValue
				end

				self:RefreshData(value)
				self._slider:setValue(value)
			else
				local realValue = 100/(self.maxCount - 1)

				if value < realValue then  -- 要考虑0和1的情况
					--value = value + realValue * 2
					value = value + realValue
				elseif value < 100 and value >= realValue then
					value = value + realValue
				end
				self:RefreshData(value)
				self._slider:setValue(value)
			end
		end
	end

	BaseButton:extend(self.leftBtn)
	BaseButton:extend(self.rightBtn)
	self.leftBtn:addTouchEventListener(callback1)
	self.rightBtn:addTouchEventListener(callback1)

end

--- 设置一键完成按钮是否隐藏
function T:_setImmediateLogic()
	if self.location == 5 then
		self._btnImmediateProduce:setVisible(false)
	end
end

--- 设置最大和最小数量逻辑
function T:SetMaxAndSmallLogic()
	local data = Aircraft_temp[self.sid]

	local needResTable = nil
	if self.location == 5 then
		needResTable = data.resourceCosts
	else
		needResTable = data.upResourceCosts
	end

	local num = #needResTable

	local value = nil

	for i = 1,num,1 do
		local resData = needResTable[i] -- {2,100}
		-- 服务器
		local nowNum = UserInfo.city[Resource_temp[resData[1]].attributeName]  -- 玩家当前拥有数量
		-- 本地
		local maxNum = resData[2] -- 等级资源需求数量

		local data = math.floor(nowNum/maxNum)
		if value == nil then
			value = data
		else
			if data < value then
				value = data
			end
		end
	end

	-- 战机数量
	if self.location == 5 then
		local upCraftCosts = Aircraft_temp[self.sid].upCraftCosts
		if upCraftCosts then
			local maxNum = upCraftCosts[2] -- 战机数量
			local nowNum = UserInfo.city.aircraftBox.infos[upCraftCosts[1]].num  -- 玩家当前拥有数量
			local data = math.floor(nowNum/maxNum)
			if data < value then
				value = data
			end
		end
	end

    if self.sid >= 17 then
        local propCosts = Aircraft_temp[self.sid].propCosts
        if propCosts then
            local maxNum = propCosts[2] -- 道具数量
            local nowNum = PropsInfoMgr:getPlayerPropByID(propCosts[1])
            local data = math.floor(nowNum/maxNum)
            if data < value then
				value = data
			end
        end
    end


	if value == 0 then
		self.smallCount = 0
		self.maxCount = 0
	elseif value == 1 then
		self.smallCount = 1
		self.maxCount = 1
	elseif value > 1 and value < 100 then
		self.smallCount = 1
		self.maxCount = value
	elseif value >= 100 then
		self.smallCount = 1
		self.maxCount = 100
	end

end

--- 按钮信息逻辑
function T:BtnInfoLogic()
	local layout = AircraftPopInfo.new(self.sid)
	MUIAlter_noTitle.show(
		{
			info = layout,
			flag = 4,
		}
	)
end

--- 按钮一健生产逻辑
function T:BtnImmediateProduceLogic()
	-- new的有大小
	local layout = require("src.app.uiScript.components.aircraftFactory.aircraftFactoryProduce.AircraftFactoryProduceOneClickProduct").new(self.sid,self.dataFromServer,self.list)
	local muialter = MUIAlter.show(
		{
			title = Language:get("uc58"),
			info = layout,
			flag = 4,
			callback = function(flag)
			end
		}
	)
	layout:setMUIAlter2(muialter)
end

--- 按钮生产逻辑
function T:BtnProduceLogic()
	-- 看队列是否够
	local buildQueueCount = VipManager.getVipProduceQueueCount()
	local buildingQueue = AircraftProduceQueueMgr:getAircraftQueue(self.dataFromServer.id)

	local i = 0
	for k,v in pairs(buildingQueue) do
		if v then
			i = i + 1

		end
	end
	if i >= buildQueueCount then  -- 建造队列已满

		local describe1 = Language:get("uc329",UserInfo.vipLevel)
		local describe2 = Language:get("uc330",UserInfo.vipLevel,buildQueueCount)
		local describe3 = Language:get("uc331")

		local layout = VipTipsInfo.new(describe1,describe2,describe3)

		MUIAlter.show(
			{
				info = layout,
				size = 30,
				flag = 1,
				confirmText = Language:get("uc332"),
				triggerCloseMethod = "buttons",
				isShowCloseButton = true,
				callback = function(flag)
					-- 转到vip界面
					if flag == 0 then
						WindowManager:push(
							require("src.app.uiScript.components.vip.VIPWindow").new()
						)
					end
				end
			}
		)


		return
	end

	local function finish()
		AudioManager:playEffect(SoundRes.SND_START_PRODUCE)

		-- 转到正在生产界面
		local buttonlayout3 = self.airWindow.switchButtonContainer.buttonLayouts[3]
		buttonlayout3:luaDispatchEvent("buttons_event",buttonlayout3)

		-- 再重新刷新一次
		self:SetMaxAndSmallLogic()
		self:SetData()
	end

	local upResourceCosts = nil
	if self.location == 5 then
		upResourceCosts = Aircraft_temp[self.sid].resourceCosts
	else
		upResourceCosts = Aircraft_temp[self.sid].upResourceCosts
	end

	local upCraftCosts = nil
	local recruitType = nil -- 招募类型
	if self.location == 5 then
		upCraftCosts = Aircraft_temp[self.sid].upCraftCosts
		recruitType = 1
	else
		recruitType = 0
	end

    local propCosts = nil
    if self.sid >= 17 then
        propCosts = Aircraft_temp[self.sid].propCosts
    end


	BuildingCommand.NomalRecruitCommand(self.sid,self.dataFromServer.id,self.num,recruitType,finish,upResourceCosts,upCraftCosts,propCosts)
end

return T
