--[[
 *	急速发展项
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor(tag)
    self.tag = tag

    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    self.size = cc.size(622,143 - 3)
    self:setContentSize(self.size)

    self:init()
end

--- 进入
function T:onEnter()
    
end

--- 退出
function T:onExit()
    
end


function T:init()
    -- 背景图片
    local back = ccui.ImageView:create()
    back:loadTexture("showBottom.png",ccui.TextureResType.plistType)
    self:addChild(back)
    REL:toOther("left","top",back,self,2,0)
    self.back = back

    local tag = self.tag
    -- 前往按钮
    local getBtn = Button.new("false","true")
	getBtn:setButtonState("button_blue_normal.png","button_blue_normal.png")
	getBtn:setString(Language:get("uc840"))
	self:addChild(getBtn)
    REL:toOther("right","middle",getBtn,self.back,20,-20)
    getBtn:setTextShadow()
    self.getBtn = getBtn
    getBtn:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            if tag == 1 then
                WindowManager:push(
			        require("src.app.uiScript.components.warehousestorage.WarehousestorageWindow").new(3)
		        )
            elseif tag == 2 then
                local info = require("src.app.model2.build.BuildingInfo")()
		        if BuildingsInfoMgr:getBuildingInfos()[2] then
			        info = BuildingsInfoMgr:getBuildingInfos()[2]
		        else
			        info.sid = 2
			        info.remainingSec = 0
			        info.location = 2
			        info.level = 0
			        info.id = nil
		        end
		        WindowManager:push(
			        require("src.app.uiScript.components.aircraftFactory.AircraftFactoryWindow").new(info, 2)
		        )
            elseif tag == 3 then
                local info = require("src.app.model2.build.BuildingInfo")()
		        if BuildingsInfoMgr:getBuildingInfos()[4] then
			        info = BuildingsInfoMgr:getBuildingInfos()[4]
		        else
			        info.sid = 3
			        info.remainingSec = 0
			        info.location = 4
			        info.level = 0
			        info.id = nil
		        end
		        WindowManager:push(
			        require("src.app.uiScript.components.building.BuildingWindow").new(info, 2)
		        )

            end
        end
    end)


    --- 描述
    local des = XMLLabel()
    des:setAlign("left","middle")
    des:setContentSize(cc.size(400,36))
    self:addChild(des)
    REL:toOther("left","middle",des,back,20,0)
    if tag == 1 then
        des:setString(Language:get("uc837"))
    elseif tag == 2 then
        des:setString(Language:get("uc838"))
    elseif tag == 3 then
        des:setString(Language:get("uc839"))
    end


end


return T
