local T=Class.GuideTipBox(
	function()
		return ccui.Layout:create()
	end,
	AbstractUI
)

function T:def()
	AbstractUI.def(self)

	--- 小秘书(你懂的!!)
	-- _uiLittleSecretary

	--- 提示文本背景
	-- _uiTipBack

	--- 提示文本
	-- _uiTipText
end

function T:ctor(text)
	AbstractUI.ctor(self)

	self.text=text

	self:_init()
end

function T:_init()
	REL:relScreen(self,0,0,0,0)

	--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
	--	self:setBackGroundColor(cc.c3b(random(0,255),0,0))
	--	self:setBackGroundColorOpacity(100)

	local _uiLittleSecretary=SecretaryGenerator:getFelt("susy_clothing_1")
	self:addChild(_uiLittleSecretary)
	REL:toOther("left","bottom",_uiLittleSecretary,self,0,0)
	self._uiLittleSecretary=_uiLittleSecretary

	local _uiTipBack=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("guideTipBack.png"))
	self:addChild(_uiTipBack,1)
	self._uiTipBack=_uiTipBack

	local _uiTipText=XMLLabel(self.text)
	_uiTipText:setLineSpacing(4)
	_uiTipText:setCssStyle(CssStyles.default26)
	_uiTipText:setWidth(344)
	self:addChild(_uiTipText,2)
	self._uiTipText=_uiTipText

	_uiTipText:updateView()
	local ts=_uiTipText:getContentSize()
	_uiTipBack:setContentSize(cc.size(ts.width+50,math.max(ts.height+50,_uiTipBack:getContentSize().height)))
	REL:toOther("left","top",_uiTipBack,_uiLittleSecretary,230,140)
	REL:toOther("center","middle",_uiTipText,_uiTipBack,0,0)

	--跳过按钮
	local _uiSkipButton=BaseButton:createButton(nil,"guideCloseButton.png")
--	_uiSkipButton:setScale(0.5)
	self:addChild(_uiSkipButton,3)
	REL:toOther("right","top",_uiSkipButton,_uiTipBack,-8,-_uiSkipButton:getContentSize().height+8)
	self._uiSkipButton=_uiSkipButton

	_uiSkipButton:addTouchEventListener(function(t,e)
		if e == ccui.TouchEventType.ended then
			MUIAlter.show({
				info=Language:get("ug1222"),
				flag=3,
				zOrder=TOP_ORDER + 300,
				callback=function(flag)
					if flag == FLAG_OK then
						self:__hide__(true)
					
						BGMgr:skip()
					end
				end
			})
		end
	end)
end

function T:setSkipButtonState(isEnabeld)
	if self._uiSkipButton then
		self._uiSkipButton:setTouchEnabled(isEnabeld)
		self._uiSkipButton:setIsGray(not isEnabeld)
	end
end

return T
