local AbstractCampPlayContainer=require("src.app.uiScript.components.fight.AbstractCampPlayContainer")

--- 阵营1演播容器
local T = Class.Camp1PlayContainer(AbstractCampPlayContainer)

function T:def()
	AbstractCampPlayContainer.def(self)
	
	--- 背景
	--self.uiBack=nil

	--- 地面特效
	-- self.uiGroundEffPlayer=nil
end

--- 构造函数
function T:ctor(campData)
	self.campData=campData
	AbstractCampPlayContainer.ctor(self,Camp.CAMP1)
end

--- 进入
function T:onEnter()

end

--- 退出
function T:onExit()

end

--- 内存清理
function T:cleanUp()

end

--- 初始化
function T:init()
	AbstractCampPlayContainer.init(self)

	self.AbstractATKEff:setStaticCamp1UIs(
		self,
		self.uiBackLayer,
		self.uiBottomEffectLayer,
		self.uiFormLocsLayer,
		self.uiTopEffectLayer
	)

	local w,h,a,b=self.FightCfg:getMaskSize(V_SZ.width,V_SZ.height)

	--地图滚动
	local u=self.SeaPlayer()
	u:setContentSize(cc.size(w,h))
	self.uiBackLayer:addChild(u)
	u:setAnchorPoint(cc.p(0,1))
	REL:toOther("left","top",u,self,0,b)
	u:setRotation(self.FightCfg.SEP_ROTATION)
	u:setOffset(-0.4,-1)
	u:play(cc.rect(0,0,w,h))
	self.uiGroundEffPlayer=u

	--底层云彩移动
	local u=self.FightCloudPlayer({
		"cloud1_bottom.png",
		"cloud2_bottom.png",
		"cloud3_bottom.png"
	})
	u.camp=Camp.CAMP1
	u:setContentSize(cc.size(w,h))
	self.uiBottomEffectLayer:addChild(u)
	u:setAnchorPoint(cc.p(1,0))
	REL:toOther("right","bottom",u,self,V_SZ.width,a)
	u:setRotation(self.FightCfg.SEP_ROTATION+180)
	u:play()
	self.uiCloudEffectPlayer=u

	--顶层云彩移动
	local u=self.TopCloudPlayer({
		"cloud1_top.png"
	})
	u:setContentSize(cc.size(w,h))
	self.uiTopEffectLayer:addChild(u)
	u:setAnchorPoint(cc.p(1,0))
	REL:toOther("right","bottom",u,self,V_SZ.width,a)
	u:setRotation(self.FightCfg.SEP_ROTATION+180)
	u:play()
	self.uiCloudEffectPlayer=u
end

return T
