local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营2-等级1)
local T=Class.Banshee_lv1_camp2(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractBanshee.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv1_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("banshee_lv1_2_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-5,5)
	self.uiEff1=uiEff1
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-62,y=-24},
		{x=-13,y=-49}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-63,y=-54},{x=-39,y=18},{x=8,y=-30}},
		{{x=14,y=18},{x=-39,y=18},{x=8,y=-30}},
	}
end

return T
