local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营2-等级3)
local T=Class.Banshee_lv3_camp2(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractBanshee.init(self)
	
	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv3_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("banshee_lv3_2_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-21,19)
	self.uiEff1=uiEff1
	
	local uiEff2=ResLoader:createAnimationSprite("banshee_lv3_2_2")
	self:addChild(uiEff2,101)
	uiEff2:setPosition(31,-4)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-64,y=-32},
		{x=-19,y=-57}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-62,y=-54},{x=-38,y=45},{x=7,y=-24}},
		{{x=-38,y=45},{x=7,y=-24},{x=68,y=-19}},
	}
end

return T
