local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营1-等级4)
local T=Class.Banshee_lv4_camp1(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractBanshee.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv4_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	local uiEff1=ResLoader:createAnimationSprite("banshee_lv4_1_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-51,33)
	self.uiEff1=uiEff1

	local uiEff2=ResLoader:createAnimationSprite("banshee_lv4_1_2")
	self:addChild(uiEff2,101)
	uiEff2:setPosition(42,-15)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=50,y=42},
		{x=114,y=10}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-67,y=54},{x=58,y=30},{x=80,y=-45}},
	}
end

return T
