local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营2-等级4)
local T=Class.Banshee_lv4_camp2(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractBanshee.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv4_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	local uiEff1=ResLoader:createAnimationSprite("banshee_lv4_2_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-38,37)
	self.uiEff1=uiEff1

	local uiEff2=ResLoader:createAnimationSprite("banshee_lv4_2_2")
	self:addChild(uiEff2,101)
	uiEff2:setPosition(49,-11)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-102,y=-41},
		{x=-46,y=-73},
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-56,y=-33},{x=-45,y=56},{x=90,y=-30}},
	}
end


return T
