local AbstractFort=require("src.app.uiScript.components.fight.aircraftModels.fort.AbstractFort")

--- 战机模型--堡垒(阵营2-等级5)
local T=Class.Fort_lv5_camp2(AbstractFort)

function T:def()
	AbstractFort.def(self)
end

function T:ctor()
	AbstractFort.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractFort.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_fort_lv5_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff1:setAnchorPoint({x=1,y=0.5})
	uiEff1:setRotation(-180-30)
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-95,62)
	self.uiEff1=uiEff1
	
	local uiEff2=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff2:setAnchorPoint({x=1,y=0.5})
	uiEff2:setRotation(-180-30)
	self:addChild(uiEff2,101)
	uiEff2:setPosition(115,-43)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-70,y=8},
		{x=-43,y=-6},
		{x=-20,y=-22},
		{x=-54,y=18},
		{x=-29,y=3},
		{x=-7,y=-12}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-84,y=48},{x=-84,y=54},{x=64,y=-44}},
	}
end

return T
