local AbstractParade=require("src.app.uiScript.components.fight.aircraftModels.parade.AbstractParade")

--- 战机模型--巡游(阵营1-等级1)
local T=Class.Parade_lv1_camp1(AbstractParade)

function T:def()
	AbstractParade.def(self)
end

function T:ctor()
	AbstractParade.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractParade.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_parade_lv1_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	--尾焰1
	local uiPlume1=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume1,101)
	uiPlume1:setRotation(-28)
	uiPlume1:setPosition(-84,-33)

	--尾焰2
	local uiPlume2=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume2,101)
	uiPlume2:setRotation(-28)
	uiPlume2:setPosition(-67,-46)
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=87,y=48}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-65,y=7},{x=3,y=-34},{x=70,y=47}},
	}
end

return T
