local AbstractParade=require("src.app.uiScript.components.fight.aircraftModels.parade.AbstractParade")

--- 战机模型--巡游(阵营2-等级1)
local T=Class.Parade_lv1_camp2(AbstractParade)

function T:def()
	AbstractParade.def(self)
end

function T:ctor()
	AbstractParade.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractParade.init(self)
	
	--尾焰1
	local uiPlume1=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume1,99)
	uiPlume1:setRotation(-28 + 180)
	uiPlume1:setPosition(70,52)

	--尾焰2
	local uiPlume2=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume2,99)
	uiPlume2:setRotation(-28 + 180)
	uiPlume2:setPosition(84,42)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_parade_lv1_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-92,y=-63}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-83,y=-52},{x=56,y=-5},{x=-2,y=30}},
	}
end

return T
