local AbstractThunder=require("src.app.uiScript.components.fight.aircraftModels.thunder.AbstractThunder")

--- 战机模型--雷电(阵营1-等级5)
local T=Class.Thunder_lv5_camp1(AbstractThunder)

function T:def()
	AbstractThunder.def(self)
end

function T:ctor()
	AbstractThunder.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractThunder.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_thunder_lv5_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	--尾焰1
	local uiPlume1=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume1,101)
	uiPlume1:setRotation(-28)
	uiPlume1:setPosition(-115,-54)

	--尾焰2
	local uiPlume2=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume2,101)
	uiPlume2:setRotation(-28)
	uiPlume2:setPosition(-100,-64)
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=104,y=38}
	}
end

return T
