--[[
 * 部队视图
]]

local T = class("T",function() return ccui.Layout:create() end)

T.LayoutItem = require("src.app.uiScript.components.help.LayoutItem")


--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()
    
end

function T:onExit()
    
end


function T:init()
    -- 背景图片
    local needListBack = Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("canvasBack.png"))
	self:addChild(needListBack)
    REL:relOther(needListBack,self,0,0,0,0)
    
    -- listView
    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,needListBack,0,0,5,5)
    self.listView = listView

    -- BUFF
    self:addBuff()
    -- 克制
    self:addRestrain()
    -- 战斗
    self:addFight()
end

function T:addBuff()
    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc453"),Language:get("uc454"))
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

end


function T:addRestrain()
    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc455"),Language:get("uc456"))
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

end


function T:addFight()
    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc457"),Language:get("uc458"))
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

end


return T
