--[[
 *	奖励品项
]]

local T = class("T",function() return ccui.Layout:create() end)

--- 数据
T.data = nil

--- 构造函数
function T:ctor(data) 
    self.data = data

    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    self:init()
end

--- 进入
function T:onEnter()
    
end

--- 退出
function T:onExit()
    
end


--- 初始化
function T:init()
    self:setContentSize(cc.size(623,80))
    local data = self.data

    -- 背景图片
    local back = ccui.ImageView:create()
    back:loadTexture("propBottom.png",ccui.TextureResType.plistType)
    self:addChild(back)
    REL:toOther("center","bottom",back,self,0,0)

    -- 图片
    local icon = AwardItem.new({awardData = data,sizeScale = IconManager.baseScale})
    icon.count:setVisible(false)
    self:addChild(icon)
    REL:toOther("left","middle",icon,back,80,0)

    -- 数量
    local count = XMLLabel()
    count:setContentSize(cc.size(150,36))
    count:setAlign("left","middle")
    self:addChild(count)
    REL:toOther("left","middle",count,self,500,0)
    count:setString(Language:get("uc522",data.count))

    -- 名字
    local name = XMLLabel()
    name:setContentSize(cc.size(400,36))
    name:setAlign("center","middle")
    self:addChild(name)
    REL:toOther("center","middle",name,self,0,0)
    name:setString(data.name)

end


return T
