--[[
 *	战机强化所有项视图
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 等级
T.fighterLevel = nil

--- sid组合
T.sids = nil

--- 构造函数
function T:ctor(fighterLevel,sids)
    self.fighterLevel = fighterLevel
    self.sids = sids

    self:setContentSize(cc.size(568 + 2,552 + 2))

    self:init()

end

function T:init()
    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    self:_addItems()
end

--- 进入
function T:onEnter()
end

--- 退出
function T:onExit()
end


function T:_addItems()
    local sids = self.sids
    local num = #sids

    -- 距离左边，顶部
    local pos = { {0,0},{286,0},{0,278},{286,278} }

    self.items = {}

    for i = 1,num,1 do
        local item = require("src.app.uiScript.components.laboratory.LabAircraftItem").new(self.fighterLevel,sids[i])
        self:addChild(item)
        REL:toOther("left","top",item,self,pos[i][1],pos[i][2])
        self.items[#self.items + 1] = item
    end
    
end




return T