local AbstractLoginView=require("src.app.uiScript.components.login.AbstractLoginView")

local T=Class.LoginView_normal(AbstractLoginView)

function T:def()
	AbstractLoginView.def(self)
end

function T:ctor()
	AbstractLoginView.ctor(self)
end

--- 获取登陆信息
function T:doGetLogin()
	local data=DataStorage:getLoginData()
	if not data then
		data={
			uid=ServerListMgr:getUniqueId(),
			isTourist=true,
			pwd=nil,
			serverId=ServerListMgr:getDefaultServerData().id
		}
	end
	self.loginData=data
	
	self:getLoginDataComplete()
end

--- 进入用户名输入视图
function T:enterUNameInputView()
	local v=self.LoginInputBox(self.loginData,function()
		self:updateUserInfo()

		self:enterGame()
	end)

	MUIAlter.show({
		info=v,
		title=Language:get("ug_login"),
		flag=4,
		isShowCloseButton=true,
		callback=function()
			if self.updateUserInfo then
				self:updateUserInfo()
			end
		end
	})
end

return T
