local T=Class.BindingAccountCvs(
	function()
		return ccui.Layout:create()
	end,
	AbstractUI
)

function T:def()
	AbstractUI.def(self)
end

function T:ctor()
	AbstractUI.ctor(self)

	self:init()
end

function T:init()
	self:setContentSize(cc.size(560,620))
	--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid )
	--	self:setBackGroundColor(cc.c3b(0,0,0))
	--	self:setBackGroundColorOpacity(100)

	--账号>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	--"账号"标题
	local uiNameCap=XMLLabel(Language:get("ug_loginInput_nameCap"))
	uiNameCap:setFontSize(32)
	uiNameCap:setAlign("center","middle")
	uiNameCap:setContentSize(cc.size(140,50))
	self:addChild(uiNameCap)
	REL:toOther("left","top",uiNameCap,self,20,40)
	self.uiNameCap=uiNameCap

	--"账号"输入框背景
	local uiNameBack=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("downListBack.png"))
	uiNameBack:setContentSize(cc.size(360,50))
	self:addChild(uiNameBack)
	REL:toOther("left","top",uiNameBack,self,168,40)
	self.uiNameBack=uiNameBack

	--"账号"输入框
	local uiNameInput=require("src.app.uiScript.components.common.InputBox"):create(
		cc.size(300,50),
		ccui.Scale9Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("editBoxBack.png"),cc.rect(0,0,1,1))
	)
	uiNameInput:setInputMode(cc.EDITBOX_INPUT_MODE_EMAILADDR)
	uiNameInput:setPlaceHolder(Language:get("ug_uidPlaceHold"))
	self:addChild(uiNameInput)
	REL:toOther("left","middle",uiNameInput,uiNameBack,10,0)
	self.uiNameInput=uiNameInput

	--"账号"输入框状态
	local uiNameStateIcon=cc.Sprite:createWithSpriteFrameName("needNotEnoughIcon.png")
	self:addChild(uiNameStateIcon)
	REL:toOther("right","middle",uiNameStateIcon,uiNameBack,0,0)
	self.uiNameStateIcon=uiNameStateIcon

	--	local lLimit,uLimit=unpack(GameCfg.ACCOUNT_NAME_LEN_LIMIT)

	--"账号"输入框提示
	local uiNameTip=XMLLabel(Language:get("ug_uidTip",unpack(GameCfg.ACCOUNT_NAME_LEN_LIMIT)))
	uiNameTip:setFontSize(20)
	uiNameTip:setHeight(36)
	self:addChild(uiNameTip)
	REL:relOther(uiNameTip,uiNameBack,0,0,uiNameBack:getContentSize().height,SIZE_NIL)
	self.uiNameTip=uiNameTip

	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	--密码>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	--"密码"标题
	local uiPWDCap=XMLLabel(Language:get("ug_loginInput_pwdCap"))
	uiPWDCap:setFontSize(32)
	uiPWDCap:setAlign("center","middle")
	uiPWDCap:setContentSize(cc.size(140,50))
	self:addChild(uiPWDCap)
	REL:toOther("left","top",uiPWDCap,self,20,236)
	self.uiPWDCap=uiPWDCap

	--"密码"输入框背景
	local uiPWDBack=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("downListBack.png"))
	uiPWDBack:setContentSize(cc.size(360,50))
	self:addChild(uiPWDBack)
	REL:toOther("left","top",uiPWDBack,self,168,236)
	self.uiPWDBack=uiPWDBack

	--"密码"输入框
	local uiPWDInput=require("src.app.uiScript.components.common.InputBox"):create(
		cc.size(300,50),
		ccui.Scale9Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("editBoxBack.png"),cc.rect(0,0,1,1))
	)
	uiPWDInput:setPlaceHolder(Language:get("ug_pwdPlaceHold"))
	uiPWDInput:setInputFlag(cc.EDITBOX_INPUT_FLAG_PASSWORD)
	self:addChild(uiPWDInput)
	REL:toOther("left","middle",uiPWDInput,uiPWDBack,10,0)
	self.uiPWDInput=uiPWDInput

	--"密码"输入框状态
	local uiPWDStateIcon=cc.Sprite:createWithSpriteFrameName("needNotEnoughIcon.png")
	self:addChild(uiPWDStateIcon)
	REL:toOther("right","middle",uiPWDStateIcon,uiPWDBack,0,0)
	self.uiPWDStateIcon=uiPWDStateIcon

	--"密码"输入框提示
	local uiPWDTip=XMLLabel(Language:get("ug_pwdTip",unpack(GameCfg.ACCOUNT_PWD_LEN_LIMIT)))
	uiPWDTip:setFontSize(20)
	uiPWDTip:setHeight(36)
	self:addChild(uiPWDTip)
	REL:relOther(uiPWDTip,uiPWDBack,0,0,uiPWDBack:getContentSize().height,SIZE_NIL)
	self.uiPWDTip=uiPWDTip

	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	--确认密码>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	--"确认密码"标题
	local uiRePWDCap=XMLLabel(Language:get("ug_loginInput_rePwdCap"))
	uiRePWDCap:setFontSize(28)
	uiRePWDCap:setAlign("center","middle")
	uiRePWDCap:setContentSize(cc.size(140,50))
	self:addChild(uiRePWDCap)
	REL:toOther("left","top",uiRePWDCap,self,20,342)
	self.uiRePWDCap=uiRePWDCap

	--"确认密码"输入框背景
	local uiRePWDBack=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("downListBack.png"))
	uiRePWDBack:setContentSize(cc.size(360,50))
	self:addChild(uiRePWDBack)
	REL:toOther("left","top",uiRePWDBack,self,168,342)
	self.uiRePWDBack=uiRePWDBack

	--"确认密码"输入框
	local uiRePWDInput=require("src.app.uiScript.components.common.InputBox"):create(
		cc.size(340,50),
		ccui.Scale9Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("editBoxBack.png"),cc.rect(0,0,1,1))
	)
	uiRePWDInput:setPlaceHolder(Language:get("ug_rePwdPlaceHold"))
	uiRePWDInput:setInputFlag(cc.EDITBOX_INPUT_FLAG_PASSWORD)
	self:addChild(uiRePWDInput)
	REL:toOther("center","middle",uiRePWDInput,uiRePWDBack,0,0)
	self.uiRePWDInput=uiRePWDInput

	--"确认密码"输入框状态
	local uiRePWDStateIcon=cc.Sprite:createWithSpriteFrameName("needNotEnoughIcon.png")
	self:addChild(uiRePWDStateIcon)
	REL:toOther("right","middle",uiRePWDStateIcon,uiRePWDBack,0,0)
	self.uiRePWDStateIcon=uiRePWDStateIcon
	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	--"确定"按钮
	local uiBindingButton=BaseButton:createButton(Language:get("ug_binding"),"button_blue_normal.png","button_general_down.png")
	self:addChild(uiBindingButton)
	REL:toOther("center","bottom",uiBindingButton,self,0,20)
	self.uiBindingButton=uiBindingButton

	uiNameInput:luaAddEventListener("changed",nil,
		function(t)
			self:updateBindingButtonState()
		end
	)

	uiPWDInput:luaAddEventListener("changed",nil,
		function(t)
			self:updateBindingButtonState()
		end
	)

	uiRePWDInput:luaAddEventListener("changed",nil,
		function(t)
			self:updateBindingButtonState()
		end
	)

	uiBindingButton:addTouchEventListener(function(t,e)
		if e == ccui.TouchEventType.ended then
			self:binding()
		end
	end)

	self:updateBindingButtonState()
end

--- 设置绑定按钮状态
function T:setBindingButtonState(isEnabled)
	self.uiBindingButton:setTouchEnabled(isEnabled)
	self.uiBindingButton:setIsGray(not isEnabled)
end

--- 检查 UID 输入状态
function T:checkUidInputState()
	local uid=string.trim(self.uiNameInput:getText())

	if not uid then
		self.uiNameStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needNotEnoughIcon.png"))
		return false
	end

	local lLimit,uLimit=unpack(GameCfg.ACCOUNT_PWD_LEN_LIMIT)
	local len=StringUtils.getWCharCount(uid)

	if
		len < lLimit or len > uLimit
		or
		not StringUtils:isEMailUrl(uid)
	then
		self.uiNameStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needNotEnoughIcon.png"))
		return false
	end

	self.uiNameStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needEnoughIcon.png"))
	return true
end

--- 检查 PWD 输入状态
function T:checkPwdInputState()
	local pwd=string.trim(self.uiPWDInput:getText())
	if not pwd then
		self.uiPWDStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needNotEnoughIcon.png"))
		return false
	end

	local lLimit,uLimit=unpack(GameCfg.ACCOUNT_PWD_LEN_LIMIT)
	local len=StringUtils.getWCharCount(pwd)

	if
		len < lLimit or len > uLimit
		or
		not string.find(pwd,"^%w+$")
	then
		self.uiPWDStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needNotEnoughIcon.png"))
		return false
	end

	self.uiPWDStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needEnoughIcon.png"))
	return true
end

--- 检查 rePWD 输入状态
function T:cheackRePwdInputState()
	local pwd,rePwd=string.trim(self.uiPWDInput:getText()),string.trim(self.uiRePWDInput:getText())
	if not rePwd or rePwd == "" or rePwd ~= pwd
	then
		self.uiRePWDStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needNotEnoughIcon.png"))
		return false
	end

	self.uiRePWDStateIcon:setSpriteFrame(ResLoader:getSpriteFrame("needEnoughIcon.png"))
	return true
end

--- 更新绑定按钮状态
function T:updateBindingButtonState()
	if self:checkUidInputState() and self:checkPwdInputState() and self:cheackRePwdInputState() then
		self:setBindingButtonState(true)
	else
		self:setBindingButtonState(false)
	end
end

--- 绑定
function T:binding()
	local pwd,uid=self.uiPWDInput:getText(),self.uiNameInput:getText()

	local BindingAccountCommand=require("src.app.communication.login.BindingAccountCommand")
	BindingAccountCommand():exec(
		uid,
		pwd,
		function(state,errCode,eMailList)
			if state == ReturnCode.SUCCESS then
				--存储当前登陆的账号信息
				local account=DataStorage:getLoginData()
				account.uid=uid
				account.pwd=pwd
				account.isTourist=nil
				DataStorage:putLoginData(account)

				MUIAlter.show({
					info=Language:get("ug_bindingSucc"),
					callback=function()
						self.__hide__()
					end
				})
			elseif state == BindingAccountCommand.REGISTER_FAIL then
				if errCode == BindingAccountCommand.REGISTER_COUNT_FULL then
					local eMailListStr=""
					for k,v in ipairs(eMailList) do
						eMailListStr=eMailListStr.."<br/>"..v
					end

					MUIAlter.show({
						info=Language:get("ug_bindingUidFull",eMailListStr)
					})
				else
					MUIAlter_singleLine.show({
						info=Language:get("ug_bigningUidExist"),
						showSecond=0.8
					})
				end
			else
				MUIAlter_singleLine.show({
					info=ErrorCode:getErrInfo(state)
				},WindowManager:getCurrentWindow())
			end
		end
	)
end

return T
