--[[
 *	钻石弹出信息
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 默认是打开�?
T.judge = nil

function T:ctor(info)
    self:setContentSize(cc.size(524,180))

    self.info = info
    self.judge = false

    self:init()

end


function T:init()
    -- 信息
    local info = XMLLabel()
    info:setContentSize(cc.size(524 - 16 - 16,36))
    self:addChild(info)
    REL:toOther("left","top",info,self,16,10)
    if self.info then
        info:setString(self.info)
    end

    -- 点击是否选中按钮
    local isChoose = Button.new("false","false")
	isChoose:setButtonState("checkBottom.png","checkBottom.png")
	self:addChild(isChoose)
	REL:toOther("left","bottom",isChoose,self,30,30)
    self.isChoose = isChoose

    --- 不再提示
    local noTips = XMLLabel()
    noTips:setContentSize(cc.size(200,36))
    noTips:setVAlign("middle")
    self:addChild(noTips)
    REL:toOther("left","middle",noTips,isChoose,35,0)
    noTips:setString(Language:get("uc353"))
    noTips:setTouchEnabled(true)
    noTips:addTouchEventListener(function(sender,eventType) 
        if eventType == ccui.TouchEventType.ended then 
            self:chooseLogic()
        end

    end)


    isChoose:addTouchEventListener(function(sender,eventType) 
        if eventType == ccui.TouchEventType.ended then 
            self:chooseLogic()
        end

    end)

end

function T:setMuialter(muialter)
    self.muialter = muialter
end


function T:chooseLogic()
    if self.judge == false then
        if self.right then
            self.right:setVisible(true)
        else
            local right = ccui.ImageView:create()
            right:loadTexture("needEnoughIcon.png",ccui.TextureResType.plistType)
            self:addChild(right)
            REL:toOther("center","middle",right,self.isChoose,0,0)
            self.right = right
        end

        self.judge = true
    else
        if self.right then
            self.right:setVisible(false)
        end

        self.judge = false
    end
end

return T
