--[[
 *	好友列表项
]]
local Item = class("Item",function() return ccui.Layout:create() end)

--- 构造函数
function Item:ctor(name)
    self:setContentSize(cc.size(524,100))
    self.name = name

    -- 名字
    local labelName = XMLLabel()
    labelName:setContentSize(cc.size(300,36))
    self:addChild(labelName)
    REL:toOther("left","middle",labelName,self,30,0)
    labelName:setString(name) -- 默认24

    -- 选中按钮
    local choose = Button.new("false","true")
	choose:setButtonState("button_green_normal.png","button_general_down.png")
	choose:setString(Language:get("uc413"))
	self:addChild(choose)
	REL:toOther("right","middle",choose,self,20,0)
    choose:setTextShadow()
    choose:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            SocialManager:luaDispatchEvent(SocialManager.EVT_ONE_FRIEND_REFRESH,self.name)
            self.muialter2:hide()
        end
    end)

    -- 下划线
--    local seqLine1Frame = ResLoader:getSpriteFrame("seqLine1.png")
--    local seqLine1FrameSize = seqLine1Frame:getOriginalSize()
--    local seqLine1 = Scale9Sprite:createWithFrame(seqLine1Frame,cc.rect(seqLine1FrameSize.width/2,seqLine1FrameSize.height/2,1,1))
--    seqLine1:setContentSize(self.size.width,2)
--	  self:addChild(seqLine1)
--    REL:toOther("center", "top", seqLine1, self, 0, 285)


end

--- 设置弹出窗口
function Item:setMUIAlter2(muialter2)
    self.muialter2 = muialter2
end

--[[
 *	好友列表
]]
local T = class("T",function() return ccui.Layout:create() end)


--- 构造函数
function T:ctor()
    self:setContentSize(cc.size(524,700))

    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,self,0,0,0,0)
    self.listView = listView

    local count = SocialManager:getFriendCount()
    if count == 0 then
        local notHasLable = XMLLabel()
        notHasLable:setContentSize(cc.size(400,36))
        notHasLable:setAlign("center","middle")
        self:addChild(notHasLable)
        REL:toOther("center","middle",notHasLable,self,0,0)
        self.notHasLable = notHasLable
        notHasLable:setString(Language:get("uc414"))
    else
    end
end

--- 设置弹出窗口
function T:init(muialter2)
    self.muialter2 = muialter2

    local count = SocialManager:getFriendCount()
    if count == 0 then
    else
        local list = SocialManager:getFriendList()
        for k,v in pairs(list) do
            if v then
                local res = Item.new(v.name)
                res:setMUIAlter2(self.muialter2)
                self.listView:pushBackCustomItem(res)
            end
        end
    end

end

return T
