--- 项的弹出信息，比如有道具等等
local T = class("T",function() return ccui.Layout:create() end)

function T:ctor(iconUrl,name,num,description)
	self:setContentSize(cc.size(500,400))

	self.iconUrl = iconUrl
	self.name = name
	self.num = num
	self.description = description

	self:init()
end

function T:init()
	-- 图片
	local icon = ccui.ImageView:create()
	local iconPath = IconManager.iconPath
	if string.find(self.iconUrl, iconPath) then -- add by yuding
		icon:loadTexture(self.iconUrl)
	else
		icon:loadTexture(iconPath .. self.iconUrl)
	end

	self:addChild(icon)
	REL:toOther("left","top",icon,self,20,20)

	-- 名字
	local name = XMLLabel()
	name:setContentSize(cc.size(400,36))
	name:setVAlign("middle")
	self:addChild(name)
	REL:toOther("left","middle",name,icon,110,20)
    if self.name then
        name:setString(Language:get("uc310",self.name))
    end
	

	if self.num then
		-- 数量
		local num = XMLLabel()
		num:setContentSize(cc.size(200,36))
		num:setVAlign("middle")
		self:addChild(num)
		REL:toOther("left","middle",num,icon,110,-20)
		num:setString(Language:get("uc311",self.num))
		self.labelNum = num
	end

	-- 描述
	local describe = XMLLabel()
	describe:setContentSize(cc.size(450,100))
    describe:setVAlign("middle")
	self:addChild(describe)
	REL:toOther("left","middle",describe,self,20,-20)
	if self.description then
		describe:setString(self.description)
	end
end

return T
