--[[
 *	列表中的项
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor()
    
end

function T:init()
    -- 背景图片
    local back = cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("famBack_big.png"))
    self:addChild(back)

    local size = back:getContentSize()
    self:setContentSize(size)

    REL:toOther("center","middle",back,self,0,0)
    self.back = back

    -- icon
    local icon = ccui.ImageView:create()

    local iconPath = IconManager.iconPath
    icon:loadTexture(iconPath .. Prop_temp[1].propIcon)

    self:addChild(icon)
    REL:toOther("left","top",icon,back,4,21)
    self.icon = icon

    -- 拥有
    local hasUse = XMLLabel()
    hasUse:setContentSize(cc.size(200,27))
    self:addChild(hasUse)
    REL:toOther("left","bottom",hasUse,back,18,25)
    self.hasUse = hasUse

    -- 标题
    local title = XMLLabel()
    title:setVAlign("middle")
    title:setContentSize(cc.size(600,27))
    self:addChild(title)
    REL:toOther("left","middle",title,back,110,75)
    self.title = title

    -- 描述
    local describe = XMLLabel()
    describe:setContentSize(cc.size(310,36))
    describe:setAlign("left","middle")
    self:addChild(describe)
    REL:toOther("left","top",describe,back,130,80)
    self.describe = describe


    -- 按钮
    local btnUse = Button.new("false","true")
    btnUse.buttonText:setHAlign("center")
    btnUse.buttonText:setVAlign("middle")
    self:addChild(btnUse)
    self.btnUse = btnUse
end

return T
