--- 所欲弹出窗口汇总
local T = {}

--- 升级失败提示窗口
function T.MUIUpGradeFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc13",state),
			size = 30
		}
	)
end
--- 升级成功提示窗口
function T.MUIUpGradeSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc12"),
			size = 30
		}
	)
end
--- 弹出充值页面窗口
function T.MUIToReCharge()
	MUIAlter.show(
		{
			info = Language:get("uc15"),
			size = 30,
			flag = 3,
			confirmText = Language:get("ug103"),
			cancelText = Language:get("ug104"),
			callback = function(flag)
				if flag == 0 then
					VipManager:enterIapWindow()
				end
			end
		}
	)
end


--- 取消和确定窗口
function T.MUIImmediate(info,confirm)
	MUIAlter.show(
		{
			info = info,
			size = 30,
			flag = 3,
			callback = function(flag)
				if flag == 0 then -- 0为确定，1为取消
					confirm()
				end
			end
		}
	)
end


--- 取消升级失败窗口
function T.CancleUpGradeFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc18",state),
			size = 30
		}
	)
end

--- 取消升级成功窗口
function T.CancleUpGradeSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc19"),
			size = 30
		}
	)
end

--- 加速升级成功窗口
function T.SpeedUpGradeSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc20"),
			size = 30
		}
	)
end

--- 加速升级失败窗口
function T.SpeedUpGradeFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc21",state),
			size = 30
		}
	)
end

--- 使用道具失败
function T.UsePropFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc34",state),
			size = 30
		}
	)
end

--- 使用道具成功
function T.UsePropSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc35"),
			size = 30
		}
	)
end

--- 购买并且使用道具成功
function T.BuyAndUsePropSuccess(content)
	local descripe = Language:get("uc36",content)
	MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
end

--- 购买并且使用道具失败
function T.BuyAndUsePropFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc37",state),
			size = 30
		}
	)
end

--- 购买道具失败
function T.BuyPropFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc65",state),
			size = 30
		}
	)
end

--- 购买道具成功
function T.BuyPropSuccess(content)
	local descripe = Language:get("uc64",content)
	MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
end

--- 生产失败
function T.NomalRecruitFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc46",state),
			size = 30
		}
	)
end

--- 取消生产失败
function T.CancleNomalRecruitFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc48",state),
			size = 30
		}
	)
end

--- 取消生产成功
function T.CancleNomalRecruitSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc47"),
			size = 30
		}
	)
end

--- 资源不足提示
function T.ResourceNotEnough()
	MUIAlter.show(
		{
			info = Language:get("uc49"),
			size = 30
		}
	)
end

--- 加速生产成功
function T.SpeedNomalRecruitSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc51"),
			size = 30
		}
	)
end

--- 加速生产失败
function T.SpeedNomalRecruitFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc50",state),
			size = 30
		}
	)
end


--- 一键生产失败
function T.GemsNomalRecruitFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc53",state),
			size = 30
		}
	)
end

--- 一键生产成功
function T.GemsNomalRecruitSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc52"),
			size = 30
		}
	)
end


--- 读取邮件失败
function T.ReadMailFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc72",state),
			size = 30
		}
	)
end

--- 回放战斗失败
function T.PlayBackFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc73",state),
			size = 30
		}
	)
end

--- 删除邮件失败
function T.DeleteMailFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc74",state),
			size = 30
		}
	)
end

--- 发送邮件失败
function T.SendMailFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc75",state),
			size = 30
		}
	)
end

--- 获得系统邮件奖励失败
function T.GetSysAwardFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc76",state),
			size = 30
		}
	)
end

--- 回放他人录像失败
function T.PlayBackOtherFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc77",state),
			size = 30
		}
	)
end

--- 回放他人录像失败
function T.GetTenMailFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc90",state),
			size = 30
		}
	)
end

--- 用户已经升级成功,不能加速
function T.UpGradeSuccessNotClick()
	MUIAlter.show(
		{
			info = Language:get("uc107"),
			size = 30
		}
	)
end

--- 用户已经升级成功,不能加速
function T.PropNumNotEnough()
	MUIAlter.show(
		{
			info = Language:get("uc152"),
			size = 30
		}
	)
end

--- 提示加入军团
function T.JoinGroup(finish)
	MUIAlter.show(
		{
			info = Language:get("uc153"),
			size = 30,
			callback = function()
				finish()
			end
		}
	)
end

--- 不能输入空的聊天信息
function T.InputEmptyChat()
	MUIAlter.show(
		{
			info = Language:get("uc154"),
			size = 30
		}
	)
end

--- 含有非法字符，请替换
function T.InputNotLegalCharater()
	MUIAlter.show(
		{
			info = Language:get("uc155"),
			size = 30
		}
	)
end

--- 还需几秒发送下一条信息
function T.SendNextChatTime(time)
    local descripe = Language:get("uc156",time)
	MUIAlter_singleLine.show( {info = descripe,showSecond = 1,offsetY = -240 } )
end


--- 请输入目标的用户名
function T.InputUserName()
	MUIAlter.show(
		{
			info = Language:get("uc158"),
			size = 30
		}
	)
end

--- 输入的用户名不正确，请重新输入
function T.InputUserNameAgain()
	MUIAlter.show(
		{
			info = Language:get("uc159"),
			size = 30
		}
	)
end

--- 队列已满
function T.BuildQueueFull()
	MUIAlter.show(
		{
			info = Language:get("uc182"),
			size = 30
		}
	)
end

--- 该玩家处于防护罩状态，无法对其进攻
function T.PlayerIsProtect()
	MUIAlter.show(
		{
			info = Language:get("uc211"),
			size = 30
		}
	)
end

--- 部队出征个数已达上限，是否查看部队出征情况
function T.CheckArmyBattle(confirm)
	MUIAlter.show(
		{
			info = Language:get("uc212"),
			size = 30,
			flag = 3,
			callback = function(flag)
				if flag == 0 then -- 0为确定，1为取消
					confirm()
				end
			end
		}
	)
end


--- 该资源点已有己方部队驻扎，不能再次派遣部队
function T.HasBattleStation()
	MUIAlter.show(
		{
			info = Language:get("uc213"),
			size = 30
		}
	)
end

--- 部队失败
function T.BattleFail(state)
	MUIAlter.show(
		{
			info = Language:get("uc215",state),
			size = 30
		}
	)
end

--- 钻石不够
function T.DiamondIsNotEnough()
	MUIAlter.show(
		{
			info = Language:get("uc226"),
			size = 30
		}
	)
end


--- 金币不够
function T.MoneyIsNotEnough()
	MUIAlter.show(
		{
			info = Language:get("uc227"),
			size = 30
		}
	)
end


--- 没有可以修理的战机
function T.NotReapairAircraft()
	MUIAlter.show(
		{
			info = Language:get("uc228"),
			size = 30
		}
	)
end

--- 该玩家是你的联盟成员，确认要发起进攻?
function T.AttackAlliance(confirm)
	MUIAlter.show(
		{
			info = Language:get("uc273"),
			size = 30,
			flag = 3,
			callback = function(flag)
				if flag == 0 then -- 0为确定，1为取消
					confirm()
				end
			end

		}
	)
end

--- 金币不足
function T.MoneyIsNotEnough2()
	MUIAlter.show(
		{
			info = Language:get("uc305"),
			size = 30
		}
	)
end

--- 钻石消耗窗口
function T.DiamondPopInfo(layout,confirm)
	layout:retain()

	if BGMgr:isGuide() then
		return MUIAlter.show({
			info = layout,
			size = 30,
			flag = 3,
			triggerCloseMethod="buttons",
			callback = function(flag)
				if flag == 0 then
					confirm()
				end
				layout:release()
			end
		})
	else
		return MUIAlter.show({
			info = layout,
			size = 30,
			flag = 3,
			callback = function(flag)
				if flag == 0 then
					confirm()
				end
				layout:release()
			end
		})
	end
end

--- 用户没上线，不能私聊
function T.UserNotExist(confirm)
	MUIAlter.show(
		{
			info = Language:get("uc389"),
			size = 30,
			flag = 3,
			callback = function(flag)
				if flag == 0 then -- 0为确定，1为取消
					confirm()
				end
			end
		}
	)
end

--- 不能给自己发送私聊信息
function T.NotSendSelf()
	MUIAlter.show(
		{
			info = Language:get("uc390"),
			size = 30
		}
	)
end

--- 你已被禁言
function T.Gag()
	MUIAlter.show(
		{
			info = Language:get("uc391"),
			size = 30
		}
	)
end


-- 目标已不在原地
function T.TargetNotAuto()
	MUIAlter.show(
		{
			info = Language:get("uc442"),
			size = 30
		}
	)
end


--- 高级飞城
function T.HighFly(layout,confirm)
	layout:retain()
	MUIAlter.show(
		{
			info = layout,
			size = 30,
			flag = 2,
			confirmText = Language:get("uc448"),
			callback = function(flag)
				if flag == 0 then
					confirm()
				end
				layout:release()
			end
		}
	)

end


-- 该资源点已有己方部队驻扎，不能再次派遣部队
function T.NotSendArmyAgain()
	MUIAlter.show(
		{
			info = Language:get("uc450"),
			size = 30
		}
	)
end


-- （自己）你有部队正在执行任务，无法传送
function T.selfIsArmyTast()
	MUIAlter.show({
			info = Language:get("uc451"),
			size = 30
	})
end


-- 该区域已被己方驻守，无需侦察
function T.NotNeedScout()
	MUIAlter.show(
		{
			info = Language:get("uc459"),
			size = 30
		}
	)
end

--- 钻石消耗窗口
function T.AllianceSocialPopInfo(layout,confirm)
	layout:retain()
	MUIAlter.show(
		{
			info = layout,
			size = 30,
			flag = 2,
			confirmText = Language:get("uc465"),
			callback = function(flag)
				if flag == 0 then
					confirm()
				end
				layout:release()
			end
		}
	)

end

--- 友盟数已经达到最大值20，不能添加了
function T.FriendHasReachMax()
	MUIAlter.show(
		{
			info = Language:get("uc467"),
			size = 30
		}
	)
end


--- 敌盟数已经达到最大值20，不能添加了
function T.EnemyHasReachMax()
	MUIAlter.show(
		{
			info = Language:get("uc468"),
			size = 30
		}
	)
end

--- 购买商品成功
function T.buyGoodsSuccess()
	MUIAlter.show(
		{
			info = Language:get("uc480"),
			size = 30
		}
	)
end


--- 建筑队列已满，您的建筑队列已达到最大数量
function T.buildQueueFull()
	MUIAlter.show(
		{
			info = Language:get("uc516"),
			size = 30
		}
	)
end

--- 上一级别对应属性等级没有强化满时，当前强化等级不能超过上一级的最大等级
function T.lastLevelNotFull()
	MUIAlter.show(
		{
			info = Language:get("uc560"),
			size = 30
		}
	)
end


-- 不能提交任务
function T.CannotSubmitDailyTask()
	MUIAlter.show(
		{
			info = Language:get("uy165"),
			size = 30
		}
	)
end



return T
