--- 领取荣誉勋章
local T = class("T",function() return ccui.Layout:create() end)

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")

--- 构造函数
function T:ctor(data)
    self.data = data

	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)

	self:setContentSize(cc.size(580,240))


	self:init()

end

--- 进入
function T:onEnter()

end

--- 退出
function T:onExit()

end


function T:init()
    local w,h=580,240
	local top=16

    local tb = self.data

	--奖励显示项列表
	local uiAwardList=ccui.Layout:create()
	REL:relOther(uiAwardList,self,10,10,10,16)
	self:addChild(uiAwardList)

	local uiList=require("src.app.communication.award.AwardDataDecoder"):award2LayoutList(tb)
	local w,h=require("src.app.communication.award.AwardDataDecoder"):arrangeInLayout(uiList,uiAwardList)

	self:setContentSize(cc.size(
		w,
		top+ --上边框
		36+20+ --名称
		36+20+ --进度
		36+4+ --奖励标题
		h+ --奖励列表
		top --下边框
	))

    -- 军衔图片
    local iconPath = IconManager.iconPath

    local militaryImg = ccui.ImageView:create()
    militaryImg:loadTexture(iconPath .. MilitaryRank_temp[HonorManager:getMilitaryRank()].icon)
    --militaryImg:setScale(0.6)
    self:addChild(militaryImg)
    REL:toOther("left","middle",militaryImg,self,10 - HonorManager:getShowLeftMilitaryOffset(HonorManager:getMilitaryRank(),1) + 5,120)


    -- 军衔名字
    local militaryName = XMLLabel()
    militaryName:setVAlign("middle")
    militaryName:setContentSize(cc.size(300,36))
    self:addChild(militaryName)
    militaryName:setString(Language:get("uc1026",Language:get(HonorManager:getMilitaryRankName(HonorManager:getMilitaryRank()))))
    REL:toOther("left","middle",militaryName,militaryImg,HonorManager:getShowMilitaryOffset(HonorManager:getMilitaryRank()),0)

        
	top=top+militaryName:getHeight()+20

	--分隔线1
	local uiSep2=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("seqLine1.png"))
	self:addChild(uiSep2)
	REL:relOther(uiSep2,self,10,10,70,SIZE_NIL)

	--奖励标题
	local uiAwardCap=XMLLabel(Language:get("uy67"))
	uiAwardCap:setAlign("left","middle")
	uiAwardCap:setHeight(36)
	self:addChild(uiAwardCap)
	REL:relOther(uiAwardCap,self,10,10,top,SIZE_NIL)

	top=top+uiAwardCap:getHeight()+4

	REL:toOther("center","top",uiAwardList,self,0,top)


    local levelUp = Button.new("false","true")
	levelUp:setButtonState("longButton_green_normal.png","longButton_general_down.png")
    levelUp:setString(Language:get("uc438"))
	self:addChild(levelUp)
	REL:toOther("center","bottom",levelUp,self,0,-40)
    levelUp:setTextShadow()
    levelUp:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then 
            local function finish(data)
                if data then
                    self.AwardDataDecoder:showSuccessWindow(data)
                    self.muialter:hide()

                end
            end

            Command:getMedal(finish)
        end
    end)





end



function T:setMuialter(muialter)
	self.muialter = muialter
end


return T
