--[[
 *	输入框
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 编辑框的大小，弹出输入框的背景图片
function T:ctor(size,scale9Pic)
    self:setContentSize(size)
    local spriteFrame = ResLoader:getSpriteFrame(scale9Pic)
    local spriteFrameSize = spriteFrame:getOriginalSize()
    local scale9Sprite = ccui.Scale9Sprite:createWithSpriteFrame(spriteFrame,cc.rect(spriteFrameSize.width/2,spriteFrameSize.height/2,1,1))
    --local scale9Sprite = ccui.Scale9Sprite:createWithSpriteFrame(cc.SpriteFrameCache:getInstance():getSpriteFrame(scale9Pic),cc.rect(spriteFrameSize.width/2,spriteFrameSize.height/2,1,1))
    --scale9Sprite:setContentSize(size)
    local editBox = ccui.EditBox:create(size,scale9Sprite)
    self:addChild(editBox)
    REL:toOther("left","top",editBox,self,0,0)
    editBox:setInputMode(cc.EDITBOX_INPUT_MODE_SINGLELINE)
    self.editBox = editBox

    editBox:setFontSize(defaultCssStyle.size)
    editBox:setFontName(defaultCssStyle.fontName)  -- 不设置字体，就不会缩进




    --editBox:setMaxLength(4)
    --editBox:setFontSize(24) -- 编辑的输入框里面的大小
    --editBox:setPlaceholderFontSize(24)  -- 编辑的输入框外面的默认文本的大小

--  uiPwd:setMaxLength(48)
--	uiPwd:setInputMode(cc.EDITBOX_INPUT_MODE_SINGLELINE)
--	uiPwd:setInputFlag(cc.EDITBOX_INPUT_FLAG_PASSWORD)
--	self:addChild(uiPwd)
--	REL:toOther("center","top",uiPwd,uiBack,0,80)
--	self.uiPwd=uiPwd

end

return T
