--[[
 *	玩家升级后弹出窗口
]]

local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor()
    self:setContentSize(cc.size(550,120))

    PlayerInstance:setPlayerLvlDiff(false)


    self:init()

end

function T:init()
    local playerLvl = PlayerInstance:getPlayerLevel()

    local secret = SecretaryGenerator:getBust("susy_clothing_1",SecretaryGenerator.DEFAULT_BUST_RECT)
    self:addChild(secret)
    secret:setAnchorPoint(cc.p(0, 0))
    secret:setScale(0.5)
    REL:toOther("left","top",secret,self,20,5)

    local upLabel = XMLLabel()
    upLabel:setVAlign("middle")
    upLabel:setContentSize(cc.size(300,36))
    self:addChild(upLabel)
    REL:toOther("left","middle",upLabel,secret,220,0)
    upLabel:setString(Language:get("uc931",playerLvl))


    -- 更新
    local i = 0

    local commandLvl = BuildingsInfoMgr:getBuildingInfos()[1].level
    if commandLvl >= 5 then
        if BuildingsInfoMgr:getBuildingInfos()[4] then
        else
            i = i + 1
        end
    end

    if playerLvl == 7 then -- 7
        i = i + 1
    end
    if playerLvl == 10 then -- 10
        i = i + 1
    end
    if playerLvl == 15 then --  15
        i = i + 1
    end

    if i == 1 then
        self:setContentSize(cc.size(550,120 + i * 150 + 50))
    else
        self:setContentSize(cc.size(550,120 + i * 150))
    end
    
    REL:toOther("left","top",secret,self,20,5)
    REL:toOther("left","middle",upLabel,secret,220,0)

    local top = 250

    if commandLvl >= 5 and not BuildingsInfoMgr:getBuildingInfos()[4] then
        local name = XMLLabel()
        name:setContentSize(cc.size(280,36))
        self:addChild(name)
        REL:toOther("left","top",name,self,70,top)
        name:setString(Language:get("uc932"))

        -- 前往按钮
        local btn = Button.new("false","true")
	    btn:setButtonState("button_blue_normal.png","button_blue_normal.png")
	    btn:setString(Language:get("uc933"))
	    self:addChild(btn)
        REL:toOther("left","middle",btn,name,300,-10)
        btn:setTextShadow()
        btn:addTouchEventListener(function(sender, eventType)
            if eventType == ccui.TouchEventType.ended then
                self.muialter:hide()
                local info = require("src.app.model2.build.BuildingInfo")()
		        if BuildingsInfoMgr:getBuildingInfos()[4] then
			        info = BuildingsInfoMgr:getBuildingInfos()[4]
		        else
			        info.sid = 3
			        info.remainingSec = 0
			        info.location = 4
			        info.level = 0
			        info.id = nil
		        end
		        WindowManager:switch(
			        require("src.app.uiScript.components.building.BuildingWindow").new(info, 1)
		        )

            end
        end)

        top = top + 100

    end

    if playerLvl == 7 then -- 7
        local name = XMLLabel()
        name:setContentSize(cc.size(280,36))
        self:addChild(name)
        REL:toOther("left","top",name,self,70,top)
        name:setString(Language:get("uc934"))

        -- 前往按钮
        local btn = Button.new("false","true")
	    btn:setButtonState("button_blue_normal.png","button_blue_normal.png")
	    btn:setString(Language:get("uc933"))
	    self:addChild(btn)
        REL:toOther("left","middle",btn,name,300,-10)
        btn:setTextShadow()
        btn:addTouchEventListener(function(sender, eventType)
            if eventType == ccui.TouchEventType.ended then
                self.muialter:hide()
                WindowManager:switch(
	                require("src.app.uiScript.components.laboratory.LabWindow").new()
                )
            end
        end)

        top = top + 100

    end

    if playerLvl == 10 then -- 10
        local name = XMLLabel()
        name:setContentSize(cc.size(280,36))
        self:addChild(name)
        REL:toOther("left","top",name,self,70,top)
        name:setString(Language:get("uc935"))

        -- 前往按钮
        local btn = Button.new("false","true")
	    btn:setButtonState("button_blue_normal.png","button_blue_normal.png")
	    btn:setString(Language:get("uc933"))
	    self:addChild(btn)
        REL:toOther("left","middle",btn,name,300,-10)
        btn:setTextShadow()
        btn:addTouchEventListener(function(sender, eventType)
            if eventType == ccui.TouchEventType.ended then
                self.muialter:hide()
                WindowManager:switch(
	    	        require("src.app.uiScript.components.accessory.accessorySystem.AccessorySystemWindow").new()
	            )    
            end
        end)

        top = top + 100

    end

    if playerLvl == 15 then --  15
        local name = XMLLabel()
        name:setContentSize(cc.size(280,36))
        self:addChild(name)
        REL:toOther("left","top",name,self,70,top)
        name:setString(Language:get("uc936"))

        -- 前往按钮
        local btn = Button.new("false","true")
	    btn:setButtonState("button_blue_normal.png","button_blue_normal.png")
	    btn:setString(Language:get("uc933"))
	    self:addChild(btn)
        REL:toOther("left","middle",btn,name,300,-10)
        btn:setTextShadow()
        btn:addTouchEventListener(function(sender, eventType)
            if eventType == ccui.TouchEventType.ended then
                self.muialter:hide()
		        require("src.app.communication.arena.GetArenaInfoCommand")():exec(
			        function(state)
				        WindowManager:switch(
					        require("src.app.uiScript.components.arena.ArenaWindow").new(state == ReturnCode.SUCCESS and 1 or 2)
				        )
			        end
		        )
            end
        end)

    end




end




function T:setMuialter(muialter)
    self.muialter = muialter
end


return T
