--[[
 *	vip主窗口
]]
local T = class(
    "T",
    function() 
        local o = AbstractWindow.new(1)
        o.super = AbstractWindow
        return o
    end
)


--- 构造函数
function T:ctor()
    self:setWindowTitle(Language:get("uc481"))

    self:addVipView()

    -- 调用一次，透明度才没问题
	self:initCompleteHandler()
end


function T:onEnter()
    self.super.onEnter(self)
end

function T:onExit()
    self.super.onExit(self)
end

function T:addVipView()
    -- 背景图片
   	local f = ResLoader:getSpriteFrame("viewBack.png")
	local s = f:getOriginalSize()
	local viewBack = Scale9Sprite:createWithFrame(f,cc.rect(s.width/2,s.height-1,1,1))
	self:addChild(viewBack)
    REL:relOther(viewBack,self.uiContainer,0,0,0,0)
	self.viewBack = viewBack

    local vipView = require("src.app.uiScript.components.vip.VIPView").new()
	self:addChild(vipView)
	REL:relOther(vipView,self.uiContainer,0,0,20,CommonCfg.BOTTOM_CONTAINER_HEIGTH)
	vipView:init()
end


return T