local MapNode=require("src.app.uiScript.components.worldMap.MapNode")

--- 地图显示节点-边框
local T=Class.MapNodeBorder(MapNode)

function T:def()
	MapNode.def(self)

	--- 背景
	-- _uiBack
end

function T:ctor(...)
	MapNode.ctor(self,...)
end

function T:_init()
	MapNode._init(self)
	
	local uiBack=ccui.Layout:create()
	uiBack:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
	uiBack:setBackGroundColorOpacity(100)
	uiBack:setBackGroundColor(cc.c3b(0,0,0))
	self:addChild(uiBack)
	REL:relOther(uiBack,self,0,0,0,0)
	self._uiBack=uiBack
end

return T
