local Point=require("src.app.uiScript.components.worldMap.mapMarchRoute.Point")

--- 路线
local T=Class.Route()

function T:def()
	--- 编号
	self.id=0
	
	--- 目标点-x
	-- targetX
	
	--- 目标点-y
	-- targetY

	--- 角度
	-- angle

	--- 距离
	-- distance

	--- 涉及的单元格字典
	-- 格式如下:
	--	refCellDict={}
	--		[cell.x..","..cell.y]={}
	--			Point
	self.refCellDict={}
	
	--- 部队图标
	-- uiArmyIcon
end

function T:ctor(id,targetX,targetY,angle,distance)
	self.id=id
	self.targetX=targetX
	self.targetY=targetY
	self.angle=angle
	self.distance=distance
end

--- 添加物理坐标点到涉及的单元格中
function T:addPoint2RefCell(dvcX,dvcY,grdX,grdY,pointType)
	local key=grdX..","..grdY
	local pts=self.refCellDict[key]
	if not pts then
		pts={}
		self.refCellDict[key]=pts
	end

	pts[#pts+1]=Point(dvcX,dvcY,pointType)
end

--- 获取路线点从涉及的单元格中
function T:getRefCellPoits(grdX,grdY)
	return self.refCellDict[grdX..","..grdY]
end

--- 获取所有路线点
function T:getAllPoints()
	local pts,n={},1
	for _,v in pairs(self.refCellDict) do
		for _,pt in ipairs(v) do
			pts[n]=pt
			n=n+1
		end
	end
	
	return pts
end

return T
