local T={}

T.AircraftLoc=require("src.app.uiScript.scenes.homePage.base.AircraftLoc")

T.uiAircraftLocs={}

T.aircraftLocs={}

function T:init(aircraftLocs)
	self.aircraftLocs=aircraftLocs

	--测试-绘制可点击区域
	--	for k,v in pairs(aircraftLocs) do
	--		local pts={}
	--
	--		local p=v.position
	--		for _,offset in ipairs(v.hitArea) do
	--			pts[#pts+1]={x=p.x+offset.x,y=p.y+offset.y}
	--		end
	--
	--		local dn=cc.DrawNode:create()
	--		dn:clear()
	--		self:addChild(dn)
	--		dn:drawPolygon(pts,#pts,cc.c4b(0xff,0x00,0xff,0x44),1,cc.c4b(0xff,0x00,0x00,0x44))
	--	end
end

function T:showAircraft(aircraftId,count)
	local uiLoc=self.uiAircraftLocs[aircraftId]
	if count > 0 then
		if not uiLoc then
			uiLoc=self.AircraftLoc()
			uiLoc:setPosition(self.aircraftLocs[aircraftId].position)
			self:addChild(uiLoc)

			self.uiAircraftLocs[aircraftId]=uiLoc
		end

		uiLoc:setAircraftId(aircraftId)
		uiLoc:setCount(count)
	else
		if uiLoc then
			uiLoc:removeFromParent(true)
			self.uiAircraftLocs[aircraftId]=nil
		end
	end
end

function T:onTouch(touch)
	local touchP=self:convertToNodeSpace(touch)
	for k,v in pairs(self.aircraftLocs) do
		local pts={}
		local p=v.position
		for _,offset in ipairs(v.hitArea) do
			pts[#pts+1]={x=p.x+offset.x,y=p.y+offset.y}
		end

		if MathUtil.containsPointInPolygon(touchP,pts) then
			self:showAircraftDetail(k)
			return true
		end
	end
	return false
end

function T:showAircraftDetail(aircraftSid)
	local info=UserInfo.city.aircraftBox.infos[aircraftSid]
	if info and info:getNum() > 0 then
		local layout = AircraftPopInfo.new(aircraftSid)
		MUIAlter_noTitle.show({
			info = layout,
			flag = 4,
		})
	end
end

return T
