-- 荣誉商店视图

local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor(data)
    self.data = data
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()

end

function T:onExit()
    
end

--- 初始化
function T:init()
   
	--商品列表
	local uiGoodsList=ccui.ListView:create()
	uiGoodsList:setTouchEnabled(true)
	uiGoodsList:setBounceEnabled(true)
	uiGoodsList:setItemsMargin(8)
	uiGoodsList:setGravity(ccui.ListViewGravity.centerHorizontal)
	self:addChild(uiGoodsList)
	REL:relOther(uiGoodsList,self,4,0,0,4)
	self.uiGoodsList = uiGoodsList


    self:updateGoodsList()


end

--- 更新商品列表
function T:updateGoodsList()
	self.uiGoodsList:removeAllItems()

	local gList=self.data
	if not gList then
		return
	end

	local itemAddEff=function(item)
		item:setOpacity(0)
		item:runAction(
			cc.FadeIn:create(0.5)
		)
	end

	local i,len=1,#gList
	self:runAction(
		cc.RepeatForever:create(cc.Sequence:create(
			cc.DelayTime:create(0.1),
			cc.CallFunc:create( function()
				if i <= len then
					local item=require("src.app.uiScript.scenes.playerInfo.honor.HonorShopItem").new(gList[i])
					self.uiGoodsList:pushBackCustomItem(item)
					itemAddEff(item)
				else
					self:stopAllActions()
				end
				i=i+1
			end)
		))
	)
end


return T
