-- 荣誉规则说明第2页
local T = class("T",function() return ccui.Layout:create() end)


--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)

end


function T:onEnter()

end

function T:onExit()

end

--- 初始化
function T:init()
    -- 背景图片
    local honorNameBottom = ccui.ImageView:create()
    honorNameBottom:loadTexture("honorNameBottom.png",ccui.TextureResType.plistType)
    self:addChild(honorNameBottom)
    REL:toOther("center","top",honorNameBottom,self,0,10)
    self.honorNameBottom = honorNameBottom

    -- 军衔
    local name1 = XMLLabel()
    name1:setAlign("center","middle")
    name1:setContentSize(cc.size(300,36))
    self:addChild(name1)
    REL:toOther("center","middle",name1,honorNameBottom,-220,0)
    name1:setString(Language:get("uc995"))

    -- 奖励
    local icon = ccui.ImageView:create()
    local iconPath = IconManager.iconPath
    icon:loadTexture(iconPath .. Prop_temp[208].propIcon)
    icon:setScale(40/100,40/100)
    self:addChild(icon)
    REL:toOther("center","middle",icon,honorNameBottom,-90,0)


    local name2 = XMLLabel()
    name2:setAlign("left","middle")
    name2:setContentSize(cc.size(300,36))
    self:addChild(name2)
    REL:toOther("left","middle",name2,icon,40,0)
    name2:setString(Language:get("uc996"))

    -- 荣誉点数
    local name3 = XMLLabel()
    name3:setAlign("center","middle")
    name3:setContentSize(cc.size(300,36))
    self:addChild(name3)
    REL:toOther("center","middle",name3,honorNameBottom,100,0)
    name3:setString(Language:get("uc997"))


    -- 人数
    local name4 = XMLLabel()
    name4:setAlign("center","middle")
    name4:setContentSize(cc.size(300,36))
    self:addChild(name4)
    REL:toOther("center","middle",name4,honorNameBottom,220,0)
    name4:setString(Language:get("uc998"))

    local datas = mapping({}, MilitaryRank_temp)

    table.sort(datas,function(x,y) return x.id > y.id end)

    local listView = ListView.new()
	self:addChild(listView)
	REL:relOther(listView,self,0,0,100,0)
	self.listView = listView

    for i = 1,14,1 do
        local layout = ccui.Layout:create()
        layout:setContentSize(cc.size(640,150))

        --横隔线1
        local seqLine1Frame = ResLoader:getSpriteFrame("seqLine1.png")
        local seqLine1FrameSize = seqLine1Frame:getOriginalSize()
        local seqLine1 = Scale9Sprite:createWithFrame(seqLine1Frame,cc.rect(seqLine1FrameSize.width/2,seqLine1FrameSize.height/2,1,1))
        seqLine1:setContentSize(500,2)
	    layout:addChild(seqLine1)
        REL:toOther("center", "bottom", seqLine1, layout, 0, 10)

        -- 军衔
        local tempIcon = ccui.ImageView:create()
        local iconPath = IconManager.iconPath
        tempIcon:loadTexture(iconPath .. datas[i].icon)
        --tempIcon:setScale(0.6)
        layout:addChild(tempIcon)
        REL:toOther("center","middle",tempIcon,layout,-220,0)

        local temp1 = XMLLabel()
        temp1:setAlign("center","bottom")
        temp1:setContentSize(cc.size(300,36))
        layout:addChild(temp1)
        REL:toOther("center","bottom",temp1,tempIcon,0,60)
        temp1:setString(Language:get(datas[i].name))

        -- 奖励
        local temp2 = XMLLabel()
        temp2:setAlign("center","middle")
        temp2:setContentSize(cc.size(400,36))
        layout:addChild(temp2)
        REL:toOther("center","middle",temp2,layout,-60,0)
        local awardMedalNum = datas[i].awardMedalNum
        if awardMedalNum[2] == 0 then
            temp2:setString(Language:get("uc999",awardMedalNum[1]))
        else
            temp2:setString(Language:get("uc1000",awardMedalNum[1],awardMedalNum[2]))
        end


        -- 荣誉点数
        local temp3 = XMLLabel()
        temp3:setAlign("center","middle")
        temp3:setContentSize(cc.size(300,36))
        layout:addChild(temp3)
        REL:toOther("center","middle",temp3,layout,100,0)
        temp3:setString(Language:get("uc999",datas[i].needHonors))


        -- 人数
        local temp4 = XMLLabel()
        temp4:setAlign("center","middle")
        temp4:setContentSize(cc.size(300,36))
        layout:addChild(temp4)
        REL:toOther("center","middle",temp4,layout,220,0)
        if datas[i].humans == 0 then
            temp4:setString(Language:get("uc1001"))
        else
            temp4:setString(datas[i].humans)
        end

        listView:pushBackCustomItem(layout)

    end


end



return T
