--- 战机相关的工具方法
local T={}

--- 获取带颜色的战机名
function T:getRichName(aircraftTempData)
	if aircraftTempData then
		local name=aircraftTempData.name
		local quality=aircraftTempData.aircraftQuality
		local lvsString=Language:get("ug_quality_lv")

		if name and quality and lvsString then
			local lvStrings=StringUtils.split(lvsString, ",")
			local lvString=lvStrings[quality]

			if lvString then
				return string.gsub(lvString,"#1",Language:get(name))
			end
		end
	end

	return "?"
end

return T
