local T={}

--- 判断 实例/类 是否继承此指定的类
-- @param instance 实例/类
-- @param superClass 超类
function T.is(instance,superClass)
	local bases
	if instance.class then
		bases={instance.class}
	else
		bases=instance.__bases
	end

	if not bases then
		return false
	end

	for _,v in ipairs(bases) do
		if v == superClass then
			return true
		elseif T.is(v,superClass) then
			return true
		end
	end

	return false
end

return T
