--- 队列
local T=Class.Queue()

function T:def()
	--- 元素列表
	self.list={}

	--- 头元素索引
	self.s=0

	--- 尾元素索引
	self.e=0
end

--- 压入数据
-- @param self
-- @param value 数据
function T:push(value)
	self.e=self.e+1
	self.list[self.e]=value
end

--- 查看顶元素
function T:look(index)
	index=index or 1

	if self.s < self.e then
		return self.list[self.s+index]
	end
	return nil
end

--- 弹出数据
-- @param self
-- @return 数据
function T:pop()
	if self.s < self.e then
		local s=self.s+1
		self.s=s
		local v=self.list[s]
		self.list[s]=nil

		return v
	end
	return nil
end

--- 队列是否为空
function T:isEmpty()
	return self.e == self.s
end

--- 队列的长度
function T:getLength()
	return self.e - self.s
end

--- 清空队列数据
function T:clearT()
	local length = self:getLength()
	for i = 1,length,1 do
		self:pop()
	end
end

return T
