--- 栈
local T=Class.Stack()

function T:def()
	--- 元素列表
	self.list={}

	--- 尾元素索引
	self.i=0
end

--- 压入数据
-- @param self
-- @param value 数据
function T:push(value)
	self.i=self.i+1
	self.list[self.i]=value
end

--- 查看顶元素
function T:look(index)
	index=index or 0

	if self.i > index then
		return self.list[self.i - index]
	end
	return nil
end

--- 弹出数据
-- @param self
-- @return 数据
function T:pop()
	if self.i > 0 then
		local v=self.list[self.i]
		self.list[self.i]=nil
		self.i=self.i-1

		return v
	end

	return nil
end

--- 队列是否为空
function T:isEmpty()
	return self.i == 0
end

--- 队列的长度
function T:getLength()
	return self.i
end

return T
