local T=Class.AbstractSDKDelegate(LuaEventDispatcher2)

--- 事件-登陆完成
T.EVT_TYPE_LOGIN_SUCCESS="evt_type_login_success"

--- 事件-登陆失败
T.EVT_TYPE_LOGIN_FAILURE="evt_type_login_failure"

--- 事件-登陆被取消
T.EVT_TYPE_LOGIN_CANCEL="evt_type_login_cancel"

--- 事件-登出
T.EVT_TYPE_LOGINOUT="evt_type_loginout"

--- 事件-切换账号成功
T.EVT_TYPE_SWITCH_ACCOUNT_SUCCESS="evt_type_switch_account_success"

--- 事件-切换账号失败
T.EVT_TYPE_SWITCH_ACCOUNT_FAILURE="evt_type_switch_account_failure"

--- 事件-切换账号被取消
T.EVT_TYPE_SWITCH_ACCOUNT_CANCEL="evt_type_switch_account_cancel"

--- 事件-支付成功
T.EVT_TYPE_PAY_SUCCESS="evt_type_pay_success"

--- 事件-支付失败
T.EVT_TYPE_PAY_FAILURE="evt_type_pay_failure"

--- 事件-分享成功
T.EVT_TYPE_SHARE_SUCCESS="evt_type_share_success"

--- 事件-分享失败
T.EVT_TYPE_SHARE_FAILURE="evt_type_share_failure"

--登陆状态>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--- 登陆状态-登陆
T.LOGIN_STATE_LOGIN=0

--- 登陆状态-重新登陆
T.LOGIN_STATE_RELOGIN=1

--- 登陆状态-切换账号
T.LOGIN_STATE_SWITCH=2

--- 登陆状态-已登陆
T.LOGIN_STATE_LOGINED=3
--登陆状态<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

function T:def()
	LuaEventDispatcher2.def(self)
	
	--- 登陆状态
	self._login_state=self.LOGIN_STATE_LOGIN
end

function T:ctor()
	LuaEventDispatcher2.ctor(self)
end

--- 设置登陆状态
function T:setLoginState(value)
	print(debug.traceback())

	if value ~= self._login_state then
		self._login_state=value
	end
end
--- 获取登陆状态
function T:getLoginState()
	return self._login_state
end

--- 获取SDK代码
function T:getPlatformCode()
	return nil
end

return T
