local T=Class.Word()

function T:def()
	--- 被替换为的字符
	-- self.replaceChs=nil

	--- 子节点列表
	-- self.nextWords=nil
end

function T:ctor(replaceChs,nextWords)
	self.replaceChs=replaceChs
	self.nextWords=nextWords
end

--- 将敏感词或文本转换到敏感词树节点列表中
function T:reslove(text,nextWords)
	local strByte=string.byte
	local strRep=string.rep
	local getWCharCount=StringUtils.getWCharCount

	local e=string.len(text)
	local replaceChs=false
	for i=1,e,1 do
		local wCh=strByte(text,i)

		local w=nextWords[wCh]
		if w then
			if i == e then
				w.replaceChs=strRep("*",getWCharCount(text))
			else
				if w.nextWords then
					nextWords=w.nextWords
				else
					nextWords={}
					w.nextWords=nextWords
				end
			end
		else
			local newNw=nil
			if i == e then
				replaceChs=strRep("*",getWCharCount(text))
			else
				replaceChs=nil
				newNw={}
			end

			nextWords[wCh]=T(replaceChs,newNw)
			nextWords=newNw
		end
	end
end

--- 将敏感词或文本列表转换为敏感词树节点
-- @param textArr 敏感词列表
function T:resloves(textArr)
	if type(textArr) ~= "table" then
		return nil
	end

	local nextWords={}

	for _,v in pairs(textArr) do
		T:reslove(v,nextWords)
	end

	return T(false,nextWords)
end

return T
