local buildMoney={
	[0] = {
		['level'] = 0,
		['need'] = {{2,6},{3,9},{4,6}},
		['upgradeTime'] = 2,
		['capacity'] = 0,
		['output'] = 0
	},
	[1] = {
		['level'] = 1,
		['need'] = {{2,40},{3,60},{4,40}},
		['upgradeTime'] = 10,
		['capacity'] = 10500,
		['output'] = 1
	},
	[2] = {
		['level'] = 2,
		['need'] = {{2,173},{3,260},{4,173}},
		['upgradeTime'] = 25,
		['capacity'] = 31500,
		['output'] = 3
	},
	[3] = {
		['level'] = 3,
		['need'] = {{2,536},{3,804},{4,536}},
		['upgradeTime'] = 50,
		['capacity'] = 63000,
		['output'] = 6
	},
	[4] = {
		['level'] = 4,
		['need'] = {{2,1320},{3,1980},{4,1320}},
		['upgradeTime'] = 90,
		['capacity'] = 105000,
		['output'] = 10
	},
	[5] = {
		['level'] = 5,
		['need'] = {{2,2790},{3,4190},{4,2790}},
		['upgradeTime'] = 170,
		['capacity'] = 158000,
		['output'] = 15
	},
	[6] = {
		['level'] = 6,
		['need'] = {{2,5300},{3,7950},{4,5300}},
		['upgradeTime'] = 330,
		['capacity'] = 221000,
		['output'] = 21
	},
	[7] = {
		['level'] = 7,
		['need'] = {{2,9260},{3,13900},{4,9260}},
		['upgradeTime'] = 650,
		['capacity'] = 294000,
		['output'] = 28
	},
	[8] = {
		['level'] = 8,
		['need'] = {{2,15200},{3,22800},{4,15200}},
		['upgradeTime'] = 1200,
		['capacity'] = 378000,
		['output'] = 36
	},
	[9] = {
		['level'] = 9,
		['need'] = {{2,23700},{3,35600},{4,23700}},
		['upgradeTime'] = 2000,
		['capacity'] = 473000,
		['output'] = 45
	},
	[10] = {
		['level'] = 10,
		['need'] = {{2,35600},{3,53400},{4,35600}},
		['upgradeTime'] = 3000,
		['capacity'] = 578000,
		['output'] = 55
	},
	[11] = {
		['level'] = 11,
		['need'] = {{2,51600},{3,77400},{4,51600}},
		['upgradeTime'] = 4100,
		['capacity'] = 693000,
		['output'] = 66
	},
	[12] = {
		['level'] = 12,
		['need'] = {{2,72700},{3,109000},{4,72700}},
		['upgradeTime'] = 5300,
		['capacity'] = 819000,
		['output'] = 78
	},
	[13] = {
		['level'] = 13,
		['need'] = {{2,99900},{3,150000},{4,99900}},
		['upgradeTime'] = 6600,
		['capacity'] = 956000,
		['output'] = 91
	},
	[14] = {
		['level'] = 14,
		['need'] = {{2,134000},{3,202000},{4,134000}},
		['upgradeTime'] = 8000,
		['capacity'] = 1100000,
		['output'] = 105
	},
	[15] = {
		['level'] = 15,
		['need'] = {{2,178000},{3,266000},{4,178000}},
		['upgradeTime'] = 9500,
		['capacity'] = 1260000,
		['output'] = 120
	},
	[16] = {
		['level'] = 16,
		['need'] = {{2,231000},{3,346000},{4,231000}},
		['upgradeTime'] = 11100,
		['capacity'] = 1430000,
		['output'] = 136
	},
	[17] = {
		['level'] = 17,
		['need'] = {{2,296000},{3,444000},{4,296000}},
		['upgradeTime'] = 12800,
		['capacity'] = 1610000,
		['output'] = 153
	},
	[18] = {
		['level'] = 18,
		['need'] = {{2,374000},{3,561000},{4,374000}},
		['upgradeTime'] = 14600,
		['capacity'] = 1800000,
		['output'] = 171
	},
	[19] = {
		['level'] = 19,
		['need'] = {{2,468000},{3,701000},{4,468000}},
		['upgradeTime'] = 16500,
		['capacity'] = 2000000,
		['output'] = 190
	},
	[20] = {
		['level'] = 20,
		['need'] = {{2,578000},{3,868000},{4,578000}},
		['upgradeTime'] = 18500,
		['capacity'] = 2210000,
		['output'] = 210
	},
	[21] = {
		['level'] = 21,
		['need'] = {{2,709000},{3,1060000},{4,709000}},
		['upgradeTime'] = 20600,
		['capacity'] = 2430000,
		['output'] = 231
	},
	[22] = {
		['level'] = 22,
		['need'] = {{2,861000},{3,1290000},{4,861000}},
		['upgradeTime'] = 22800,
		['capacity'] = 2660000,
		['output'] = 253
	},
	[23] = {
		['level'] = 23,
		['need'] = {{2,1040000},{3,1560000},{4,1040000}},
		['upgradeTime'] = 25100,
		['capacity'] = 2900000,
		['output'] = 276
	},
	[24] = {
		['level'] = 24,
		['need'] = {{2,1240000},{3,1860000},{4,1240000}},
		['upgradeTime'] = 27500,
		['capacity'] = 3150000,
		['output'] = 300
	},
	[25] = {
		['level'] = 25,
		['need'] = {{2,1480000},{3,2210000},{4,1480000}},
		['upgradeTime'] = 30000,
		['capacity'] = 3410000,
		['output'] = 325
	},
	[26] = {
		['level'] = 26,
		['need'] = {{2,1740000},{3,2610000},{4,1740000}},
		['upgradeTime'] = 32600,
		['capacity'] = 3690000,
		['output'] = 351
	},
	[27] = {
		['level'] = 27,
		['need'] = {{2,2050000},{3,3070000},{4,2050000}},
		['upgradeTime'] = 35300,
		['capacity'] = 3970000,
		['output'] = 378
	},
	[28] = {
		['level'] = 28,
		['need'] = {{2,2390000},{3,3580000},{4,2390000}},
		['upgradeTime'] = 38100,
		['capacity'] = 4260000,
		['output'] = 406
	},
	[29] = {
		['level'] = 29,
		['need'] = {{2,2770000},{3,4160000},{4,2770000}},
		['upgradeTime'] = 41000,
		['capacity'] = 4570000,
		['output'] = 435
	},
	[30] = {
		['level'] = 30,
		['need'] = {{2,3210000},{3,4810000},{4,3210000}},
		['upgradeTime'] = 44000,
		['capacity'] = 4880000,
		['output'] = 465
	},
	[31] = {
		['level'] = 31,
		['need'] = {{2,3690000},{3,5540000},{4,3690000}},
		['upgradeTime'] = 47100,
		['capacity'] = 5210000,
		['output'] = 496
	},
	[32] = {
		['level'] = 32,
		['need'] = {{2,4230000},{3,6350000},{4,4230000}},
		['upgradeTime'] = 50300,
		['capacity'] = 5540000,
		['output'] = 528
	},
	[33] = {
		['level'] = 33,
		['need'] = {{2,4830000},{3,7250000},{4,4830000}},
		['upgradeTime'] = 53600,
		['capacity'] = 5890000,
		['output'] = 561
	},
	[34] = {
		['level'] = 34,
		['need'] = {{2,5500000},{3,8250000},{4,5500000}},
		['upgradeTime'] = 57000,
		['capacity'] = 6250000,
		['output'] = 595
	},
	[35] = {
		['level'] = 35,
		['need'] = {{2,6230000},{3,9350000},{4,6230000}},
		['upgradeTime'] = 60500,
		['capacity'] = 6620000,
		['output'] = 630
	},
	[36] = {
		['level'] = 36,
		['need'] = {{2,7040000},{3,10600000},{4,7040000}},
		['upgradeTime'] = 64100,
		['capacity'] = 6990000,
		['output'] = 666
	},
	[37] = {
		['level'] = 37,
		['need'] = {{2,7930000},{3,11900000},{4,7930000}},
		['upgradeTime'] = 67800,
		['capacity'] = 7380000,
		['output'] = 703
	},
	[38] = {
		['level'] = 38,
		['need'] = {{2,8910000},{3,13400000},{4,8910000}},
		['upgradeTime'] = 71600,
		['capacity'] = 7780000,
		['output'] = 741
	},
	[39] = {
		['level'] = 39,
		['need'] = {{2,9970000},{3,15000000},{4,9970000}},
		['upgradeTime'] = 75500,
		['capacity'] = 8190000,
		['output'] = 780
	},
	[40] = {
		['level'] = 40,
		['need'] = {{2,11100000},{3,16700000},{4,11100000}},
		['upgradeTime'] = 79500,
		['capacity'] = 8610000,
		['output'] = 820
	},
	[41] = {
		['level'] = 41,
		['need'] = {{2,12400000},{3,18600000},{4,12400000}},
		['upgradeTime'] = 83600,
		['capacity'] = 9040000,
		['output'] = 861
	},
	[42] = {
		['level'] = 42,
		['need'] = {{2,13800000},{3,20700000},{4,13800000}},
		['upgradeTime'] = 87800,
		['capacity'] = 9480000,
		['output'] = 903
	},
	[43] = {
		['level'] = 43,
		['need'] = {{2,15300000},{3,22900000},{4,15300000}},
		['upgradeTime'] = 92100,
		['capacity'] = 9930000,
		['output'] = 946
	},
	[44] = {
		['level'] = 44,
		['need'] = {{2,16900000},{3,25400000},{4,16900000}},
		['upgradeTime'] = 96500,
		['capacity'] = 10400000,
		['output'] = 990
	},
	[45] = {
		['level'] = 45,
		['need'] = {{2,18700000},{3,28000000},{4,18700000}},
		['upgradeTime'] = 101000,
		['capacity'] = 10900000,
		['output'] = 1035
	},
	[46] = {
		['level'] = 46,
		['need'] = {{2,20600000},{3,30800000},{4,20600000}},
		['upgradeTime'] = 105600,
		['capacity'] = 11400000,
		['output'] = 1081
	},
	[47] = {
		['level'] = 47,
		['need'] = {{2,22600000},{3,33900000},{4,22600000}},
		['upgradeTime'] = 110300,
		['capacity'] = 11800000,
		['output'] = 1128
	},
	[48] = {
		['level'] = 48,
		['need'] = {{2,24800000},{3,37200000},{4,24800000}},
		['upgradeTime'] = 115100,
		['capacity'] = 12300000,
		['output'] = 1176
	},
	[49] = {
		['level'] = 49,
		['need'] = {{2,27200000},{3,40700000},{4,27200000}},
		['upgradeTime'] = 120000,
		['capacity'] = 12900000,
		['output'] = 1225
	},
	[50] = {
		['level'] = 50,
		['need'] = {{2,32700000},{3,49000000},{4,32700000}},
		['upgradeTime'] = 125000,
		['capacity'] = 13400000,
		['output'] = 1275
	},
	[51] = {
		['level'] = 51,
		['need'] = {{2,38900000},{3,58300000},{4,38900000}},
		['upgradeTime'] = 130100,
		['capacity'] = 13900000,
		['output'] = 1326
	},
	[52] = {
		['level'] = 52,
		['need'] = {{2,45900000},{3,68900000},{4,45900000}},
		['upgradeTime'] = 135300,
		['capacity'] = 14500000,
		['output'] = 1378
	},
	[53] = {
		['level'] = 53,
		['need'] = {{2,53800000},{3,80700000},{4,53800000}},
		['upgradeTime'] = 140600,
		['capacity'] = 15000000,
		['output'] = 1431
	},
	[54] = {
		['level'] = 54,
		['need'] = {{2,62600000},{3,93900000},{4,62600000}},
		['upgradeTime'] = 146000,
		['capacity'] = 15600000,
		['output'] = 1485
	},
	[55] = {
		['level'] = 55,
		['need'] = {{2,72500000},{3,109000000},{4,72500000}},
		['upgradeTime'] = 151500,
		['capacity'] = 16200000,
		['output'] = 1540
	},
	[56] = {
		['level'] = 56,
		['need'] = {{2,83400000},{3,125000000},{4,83400000}},
		['upgradeTime'] = 157100,
		['capacity'] = 16800000,
		['output'] = 1596
	},
	[57] = {
		['level'] = 57,
		['need'] = {{2,95500000},{3,143000000},{4,95500000}},
		['upgradeTime'] = 162800,
		['capacity'] = 17400000,
		['output'] = 1653
	},
	[58] = {
		['level'] = 58,
		['need'] = {{2,109000000},{3,163000000},{4,109000000}},
		['upgradeTime'] = 168600,
		['capacity'] = 18000000,
		['output'] = 1711
	},
	[59] = {
		['level'] = 59,
		['need'] = {{2,124000000},{3,186000000},{4,124000000}},
		['upgradeTime'] = 174500,
		['capacity'] = 18600000,
		['output'] = 1770
	},
	[60] = {
		['level'] = 60,
		['need'] = {{2,133000000},{3,200000000},{4,133000000}},
		['upgradeTime'] = 180500,
		['capacity'] = 19200000,
		['output'] = 1830
	},
	[61] = {
		['level'] = 61,
		['need'] = {{2,144000000},{3,215000000},{4,144000000}},
		['upgradeTime'] = 186600,
		['capacity'] = 19900000,
		['output'] = 1891
	},
	[62] = {
		['level'] = 62,
		['need'] = {{2,154000000},{3,232000000},{4,154000000}},
		['upgradeTime'] = 192800,
		['capacity'] = 20500000,
		['output'] = 1953
	},
	[63] = {
		['level'] = 63,
		['need'] = {{2,166000000},{3,249000000},{4,166000000}},
		['upgradeTime'] = 199100,
		['capacity'] = 21200000,
		['output'] = 2016
	},
	[64] = {
		['level'] = 64,
		['need'] = {{2,178000000},{3,267000000},{4,178000000}},
		['upgradeTime'] = 205500,
		['capacity'] = 21800000,
		['output'] = 2080
	},
	[65] = {
		['level'] = 65,
		['need'] = {{2,191000000},{3,286000000},{4,191000000}},
		['upgradeTime'] = 212000,
		['capacity'] = 22500000,
		['output'] = 2145
	},
	[66] = {
		['level'] = 66,
		['need'] = {{2,204000000},{3,306000000},{4,204000000}},
		['upgradeTime'] = 218600,
		['capacity'] = 23200000,
		['output'] = 2211
	},
	[67] = {
		['level'] = 67,
		['need'] = {{2,218000000},{3,328000000},{4,218000000}},
		['upgradeTime'] = 225300,
		['capacity'] = 23900000,
		['output'] = 2278
	},
	[68] = {
		['level'] = 68,
		['need'] = {{2,233000000},{3,350000000},{4,233000000}},
		['upgradeTime'] = 232100,
		['capacity'] = 24600000,
		['output'] = 2346
	},
	[69] = {
		['level'] = 69,
		['need'] = {{2,249000000},{3,374000000},{4,249000000}},
		['upgradeTime'] = 239000,
		['capacity'] = 25400000,
		['output'] = 2415
	},
	[70] = {
		['level'] = 70,
		['need'] = 0,
		['upgradeTime'] = 0,
		['capacity'] = 26100000,
		['output'] = 2485
	}
}
return buildMoney