local buildSteel={
	[0] = {
		['level'] = 0,
		['need'] = {{2,1},{3,6},{4,3}},
		['upgradeTime'] = 2,
		['capacity'] = 0,
		['output'] = 0
	},
	[1] = {
		['level'] = 1,
		['need'] = {{2,10},{3,40},{4,20}},
		['upgradeTime'] = 4,
		['capacity'] = 8400,
		['output'] = 4
	},
	[2] = {
		['level'] = 2,
		['need'] = {{2,43},{3,173},{4,86}},
		['upgradeTime'] = 10,
		['capacity'] = 25200,
		['output'] = 12
	},
	[3] = {
		['level'] = 3,
		['need'] = {{2,134},{3,536},{4,268}},
		['upgradeTime'] = 20,
		['capacity'] = 50400,
		['output'] = 24
	},
	[4] = {
		['level'] = 4,
		['need'] = {{2,330},{3,1320},{4,660}},
		['upgradeTime'] = 36,
		['capacity'] = 84000,
		['output'] = 40
	},
	[5] = {
		['level'] = 5,
		['need'] = {{2,698},{3,2790},{4,1400}},
		['upgradeTime'] = 68,
		['capacity'] = 126000,
		['output'] = 60
	},
	[6] = {
		['level'] = 6,
		['need'] = {{2,1320},{3,5300},{4,2650}},
		['upgradeTime'] = 132,
		['capacity'] = 176000,
		['output'] = 84
	},
	[7] = {
		['level'] = 7,
		['need'] = {{2,2320},{3,9260},{4,4630}},
		['upgradeTime'] = 260,
		['capacity'] = 235000,
		['output'] = 112
	},
	[8] = {
		['level'] = 8,
		['need'] = {{2,3800},{3,15200},{4,7600}},
		['upgradeTime'] = 480,
		['capacity'] = 302000,
		['output'] = 144
	},
	[9] = {
		['level'] = 9,
		['need'] = {{2,5940},{3,23700},{4,11900}},
		['upgradeTime'] = 800,
		['capacity'] = 378000,
		['output'] = 180
	},
	[10] = {
		['level'] = 10,
		['need'] = {{2,8900},{3,35600},{4,17800}},
		['upgradeTime'] = 1200,
		['capacity'] = 462000,
		['output'] = 220
	},
	[11] = {
		['level'] = 11,
		['need'] = {{2,12900},{3,51600},{4,25800}},
		['upgradeTime'] = 1640,
		['capacity'] = 554000,
		['output'] = 264
	},
	[12] = {
		['level'] = 12,
		['need'] = {{2,18200},{3,72700},{4,36300}},
		['upgradeTime'] = 2120,
		['capacity'] = 655000,
		['output'] = 312
	},
	[13] = {
		['level'] = 13,
		['need'] = {{2,25000},{3,99900},{4,49900}},
		['upgradeTime'] = 2640,
		['capacity'] = 764000,
		['output'] = 364
	},
	[14] = {
		['level'] = 14,
		['need'] = {{2,33600},{3,134000},{4,67200}},
		['upgradeTime'] = 3200,
		['capacity'] = 882000,
		['output'] = 420
	},
	[15] = {
		['level'] = 15,
		['need'] = {{2,44400},{3,178000},{4,88800}},
		['upgradeTime'] = 3800,
		['capacity'] = 1010000,
		['output'] = 480
	},
	[16] = {
		['level'] = 16,
		['need'] = {{2,57700},{3,231000},{4,115000}},
		['upgradeTime'] = 4440,
		['capacity'] = 1140000,
		['output'] = 544
	},
	[17] = {
		['level'] = 17,
		['need'] = {{2,73900},{3,296000},{4,148000}},
		['upgradeTime'] = 5120,
		['capacity'] = 1290000,
		['output'] = 612
	},
	[18] = {
		['level'] = 18,
		['need'] = {{2,93500},{3,374000},{4,187000}},
		['upgradeTime'] = 5840,
		['capacity'] = 1440000,
		['output'] = 684
	},
	[19] = {
		['level'] = 19,
		['need'] = {{2,117000},{3,468000},{4,234000}},
		['upgradeTime'] = 6600,
		['capacity'] = 1600000,
		['output'] = 760
	},
	[20] = {
		['level'] = 20,
		['need'] = {{2,145000},{3,578000},{4,289000}},
		['upgradeTime'] = 7400,
		['capacity'] = 1760000,
		['output'] = 840
	},
	[21] = {
		['level'] = 21,
		['need'] = {{2,177000},{3,709000},{4,354000}},
		['upgradeTime'] = 8240,
		['capacity'] = 1940000,
		['output'] = 924
	},
	[22] = {
		['level'] = 22,
		['need'] = {{2,215000},{3,861000},{4,431000}},
		['upgradeTime'] = 9120,
		['capacity'] = 2130000,
		['output'] = 1012
	},
	[23] = {
		['level'] = 23,
		['need'] = {{2,259000},{3,1040000},{4,519000}},
		['upgradeTime'] = 10040,
		['capacity'] = 2320000,
		['output'] = 1104
	},
	[24] = {
		['level'] = 24,
		['need'] = {{2,310000},{3,1240000},{4,621000}},
		['upgradeTime'] = 11000,
		['capacity'] = 2520000,
		['output'] = 1200
	},
	[25] = {
		['level'] = 25,
		['need'] = {{2,369000},{3,1480000},{4,738000}},
		['upgradeTime'] = 12000,
		['capacity'] = 2730000,
		['output'] = 1300
	},
	[26] = {
		['level'] = 26,
		['need'] = {{2,436000},{3,1740000},{4,871000}},
		['upgradeTime'] = 13040,
		['capacity'] = 2950000,
		['output'] = 1404
	},
	[27] = {
		['level'] = 27,
		['need'] = {{2,511000},{3,2050000},{4,1020000}},
		['upgradeTime'] = 14120,
		['capacity'] = 3180000,
		['output'] = 1512
	},
	[28] = {
		['level'] = 28,
		['need'] = {{2,597000},{3,2390000},{4,1190000}},
		['upgradeTime'] = 15240,
		['capacity'] = 3410000,
		['output'] = 1624
	},
	[29] = {
		['level'] = 29,
		['need'] = {{2,694000},{3,2770000},{4,1390000}},
		['upgradeTime'] = 16400,
		['capacity'] = 3650000,
		['output'] = 1740
	},
	[30] = {
		['level'] = 30,
		['need'] = {{2,802000},{3,3210000},{4,1600000}},
		['upgradeTime'] = 17600,
		['capacity'] = 3910000,
		['output'] = 1860
	},
	[31] = {
		['level'] = 31,
		['need'] = {{2,923000},{3,3690000},{4,1850000}},
		['upgradeTime'] = 18840,
		['capacity'] = 4170000,
		['output'] = 1984
	},
	[32] = {
		['level'] = 32,
		['need'] = {{2,1060000},{3,4230000},{4,2120000}},
		['upgradeTime'] = 20120,
		['capacity'] = 4440000,
		['output'] = 2112
	},
	[33] = {
		['level'] = 33,
		['need'] = {{2,1210000},{3,4830000},{4,2420000}},
		['upgradeTime'] = 21440,
		['capacity'] = 4710000,
		['output'] = 2244
	},
	[34] = {
		['level'] = 34,
		['need'] = {{2,1370000},{3,5500000},{4,2750000}},
		['upgradeTime'] = 22800,
		['capacity'] = 5000000,
		['output'] = 2380
	},
	[35] = {
		['level'] = 35,
		['need'] = {{2,1560000},{3,6230000},{4,3120000}},
		['upgradeTime'] = 24200,
		['capacity'] = 5290000,
		['output'] = 2520
	},
	[36] = {
		['level'] = 36,
		['need'] = {{2,1760000},{3,7040000},{4,3520000}},
		['upgradeTime'] = 25640,
		['capacity'] = 5590000,
		['output'] = 2664
	},
	[37] = {
		['level'] = 37,
		['need'] = {{2,1980000},{3,7930000},{4,3970000}},
		['upgradeTime'] = 27120,
		['capacity'] = 5910000,
		['output'] = 2812
	},
	[38] = {
		['level'] = 38,
		['need'] = {{2,2230000},{3,8910000},{4,4450000}},
		['upgradeTime'] = 28640,
		['capacity'] = 6220000,
		['output'] = 2964
	},
	[39] = {
		['level'] = 39,
		['need'] = {{2,2490000},{3,9970000},{4,4990000}},
		['upgradeTime'] = 30200,
		['capacity'] = 6550000,
		['output'] = 3120
	},
	[40] = {
		['level'] = 40,
		['need'] = {{2,2780000},{3,11100000},{4,5570000}},
		['upgradeTime'] = 31800,
		['capacity'] = 6890000,
		['output'] = 3280
	},
	[41] = {
		['level'] = 41,
		['need'] = {{2,3100000},{3,12400000},{4,6200000}},
		['upgradeTime'] = 33440,
		['capacity'] = 7230000,
		['output'] = 3444
	},
	[42] = {
		['level'] = 42,
		['need'] = {{2,3450000},{3,13800000},{4,6890000}},
		['upgradeTime'] = 35120,
		['capacity'] = 7590000,
		['output'] = 3612
	},
	[43] = {
		['level'] = 43,
		['need'] = {{2,3820000},{3,15300000},{4,7640000}},
		['upgradeTime'] = 36840,
		['capacity'] = 7950000,
		['output'] = 3784
	},
	[44] = {
		['level'] = 44,
		['need'] = {{2,4230000},{3,16900000},{4,8450000}},
		['upgradeTime'] = 38600,
		['capacity'] = 8320000,
		['output'] = 3960
	},
	[45] = {
		['level'] = 45,
		['need'] = {{2,4670000},{3,18700000},{4,9330000}},
		['upgradeTime'] = 40400,
		['capacity'] = 8690000,
		['output'] = 4140
	},
	[46] = {
		['level'] = 46,
		['need'] = {{2,5140000},{3,20600000},{4,10300000}},
		['upgradeTime'] = 42240,
		['capacity'] = 9080000,
		['output'] = 4324
	},
	[47] = {
		['level'] = 47,
		['need'] = {{2,5650000},{3,22600000},{4,11300000}},
		['upgradeTime'] = 44120,
		['capacity'] = 9480000,
		['output'] = 4512
	},
	[48] = {
		['level'] = 48,
		['need'] = {{2,6200000},{3,24800000},{4,12400000}},
		['upgradeTime'] = 46040,
		['capacity'] = 9880000,
		['output'] = 4704
	},
	[49] = {
		['level'] = 49,
		['need'] = {{2,6790000},{3,27200000},{4,13600000}},
		['upgradeTime'] = 48000,
		['capacity'] = 10300000,
		['output'] = 4900
	},
	[50] = {
		['level'] = 50,
		['need'] = {{2,8160000},{3,32700000},{4,16300000}},
		['upgradeTime'] = 50000,
		['capacity'] = 10700000,
		['output'] = 5100
	},
	[51] = {
		['level'] = 51,
		['need'] = {{2,9720000},{3,38900000},{4,19400000}},
		['upgradeTime'] = 52040,
		['capacity'] = 11100000,
		['output'] = 5304
	},
	[52] = {
		['level'] = 52,
		['need'] = {{2,11500000},{3,45900000},{4,23000000}},
		['upgradeTime'] = 54120,
		['capacity'] = 11600000,
		['output'] = 5512
	},
	[53] = {
		['level'] = 53,
		['need'] = {{2,13400000},{3,53800000},{4,26900000}},
		['upgradeTime'] = 56240,
		['capacity'] = 12000000,
		['output'] = 5724
	},
	[54] = {
		['level'] = 54,
		['need'] = {{2,15700000},{3,62600000},{4,31300000}},
		['upgradeTime'] = 58400,
		['capacity'] = 12500000,
		['output'] = 5940
	},
	[55] = {
		['level'] = 55,
		['need'] = {{2,18100000},{3,72500000},{4,36200000}},
		['upgradeTime'] = 60600,
		['capacity'] = 12900000,
		['output'] = 6160
	},
	[56] = {
		['level'] = 56,
		['need'] = {{2,20900000},{3,83400000},{4,41700000}},
		['upgradeTime'] = 62840,
		['capacity'] = 13400000,
		['output'] = 6384
	},
	[57] = {
		['level'] = 57,
		['need'] = {{2,23900000},{3,95500000},{4,47800000}},
		['upgradeTime'] = 65120,
		['capacity'] = 13900000,
		['output'] = 6612
	},
	[58] = {
		['level'] = 58,
		['need'] = {{2,27200000},{3,109000000},{4,54500000}},
		['upgradeTime'] = 67440,
		['capacity'] = 14400000,
		['output'] = 6844
	},
	[59] = {
		['level'] = 59,
		['need'] = {{2,30900000},{3,124000000},{4,61900000}},
		['upgradeTime'] = 69800,
		['capacity'] = 14900000,
		['output'] = 7080
	},
	[60] = {
		['level'] = 60,
		['need'] = {{2,33400000},{3,133000000},{4,66700000}},
		['upgradeTime'] = 72200,
		['capacity'] = 15400000,
		['output'] = 7320
	},
	[61] = {
		['level'] = 61,
		['need'] = {{2,35900000},{3,144000000},{4,71800000}},
		['upgradeTime'] = 74640,
		['capacity'] = 15900000,
		['output'] = 7564
	},
	[62] = {
		['level'] = 62,
		['need'] = {{2,38600000},{3,154000000},{4,77200000}},
		['upgradeTime'] = 77120,
		['capacity'] = 16400000,
		['output'] = 7812
	},
	[63] = {
		['level'] = 63,
		['need'] = {{2,41500000},{3,166000000},{4,82900000}},
		['upgradeTime'] = 79640,
		['capacity'] = 16900000,
		['output'] = 8064
	},
	[64] = {
		['level'] = 64,
		['need'] = {{2,44500000},{3,178000000},{4,89000000}},
		['upgradeTime'] = 82200,
		['capacity'] = 17500000,
		['output'] = 8320
	},
	[65] = {
		['level'] = 65,
		['need'] = {{2,47700000},{3,191000000},{4,95400000}},
		['upgradeTime'] = 84800,
		['capacity'] = 18000000,
		['output'] = 8580
	},
	[66] = {
		['level'] = 66,
		['need'] = {{2,51100000},{3,204000000},{4,102000000}},
		['upgradeTime'] = 87440,
		['capacity'] = 18600000,
		['output'] = 8844
	},
	[67] = {
		['level'] = 67,
		['need'] = {{2,54600000},{3,218000000},{4,109000000}},
		['upgradeTime'] = 90120,
		['capacity'] = 19100000,
		['output'] = 9112
	},
	[68] = {
		['level'] = 68,
		['need'] = {{2,58400000},{3,233000000},{4,117000000}},
		['upgradeTime'] = 92840,
		['capacity'] = 19700000,
		['output'] = 9384
	},
	[69] = {
		['level'] = 69,
		['need'] = {{2,62300000},{3,249000000},{4,125000000}},
		['upgradeTime'] = 95600,
		['capacity'] = 20300000,
		['output'] = 9660
	},
	[70] = {
		['level'] = 70,
		['need'] = 0,
		['upgradeTime'] = 0,
		['capacity'] = 20900000,
		['output'] = 9940
	}
}
return buildSteel