--- 语言包
local T = {
	ug_version="<span color='0xcccccc'>version: [#1]#2</span>",
	ug_getServerListErr1 = "<span color = '0xfd0000'>Failed to load the right server list data, or failed to parse the server list data</span><br/>Tap to try again",
	ug_needUpdateCpp = "<span color = '0xfd0000'>New game version is needed!</span><br/>Tap to continue",
	ug_tourist = "Guest",
	ug_loginInput_nameCap = "Account:",
	ug_uidPlaceHold = "Enter Email Address",
	ug_loginInput_pwdCap = "Password:",
	ug_pwdPlaceHold = "Enter Password",
	ug_loginInput_rePwdCap = "Confirm Password:",
	ug_rePwdPlaceHold = "Enter Again",
	ug_retPWD = "Forget Password",
	ug_login = "Login",
	ug_touristLogin = "Play as Guest",
	ug_uidIsEmpty = "\"The account\" can't be empty",
	ug_pwdIsEmpty = "\"The password\" can't be empty",
	ug_binding = "Bind",
	ug_bindingSucc = "Bound successfully, you can use your new account to login",
	ug_bibdingUidExist = "The account already exists!",
	ug_bindingUidFull = "Each device can hold 3 accounts. Bound account of your device: #1",
	ug_uidTip = "Please enter a real <span color = '0xfd0000ff'>email address</span> as your account which is <span color = '0xfd0000ff'>the only way to find the password back</span>. (The account shall be of <span color = '0xfd0000ff'>#1</span> to <span color = '0xfd0000ff'>#2</span> English Characters)",
	ug_pwdTip = "Please enter <span color = '0xfd0000ff'>#1</span> to <span color = '0xfd0000ff'>#2</span> English characters (Case Sensitive) or numbers!",
	ug_lastLoginAccontDelTip = "This is the account you used last time. Sure to delete it?",
	ug_serverstate_recom = "",
	ug_serverstate_busy = "",
	ug_selServerTitle = "Select Server",
	ug_selLanguageTip = "Unavailable for Now",

	ug_updating = "Updating resource",
	ug_updatingProgress = "Updating resource (#1/#2)",
	ug_updatingCreateFileErr = "Update failed. File can't be created<br/>Tap to try again",
	ug_updatingNetworkErr = "Update failed. Network error<br/>Tap to try again",
	ug_updatingUncompressErr = "Update failed. Error occurred when decompressing files<br/>Tap to try again",
	ug_updatingVersionErr = "Update failed. Version number is wrong<br/>Tap to try again",
	ug_updatingUnknowErr = "Update failed. Unknow error<br/>Tap to try again",

	ug1 = "HyperSpace engine is starting, please wait!",
	ug2 = "Getting the latest version!",
	ug3 = "<span color = 'fa493c'>Failed to load the latest version</span><br/>Tap to try again",
	ug4 = "Getting server list data",
	ug5 = "<span color = 'fa493c'>Failed to load the server list</span><br/>Tap to try again",
	ug6 = "Connecting to the server",
	ug7 = "<span color = 'fa493c'>Failed to connect the server</span>",
	ug8 = "Getting the secret key",
	ug9 = "<span color = 'fa493c'>Time-out in getting the secret key</span>",
	ug10 = "<span color = 'fa493c'>Network Exception</span><br/><span color = 'ff0000'>code:#1</span>",
	ug11 = "Logging In",
	ug12 = "<span color = 'fa493c'>Failed to login the server</span>",
	ug13 = "Request overtime",
	ug14 = "<span color = 'ff0000'>Failed to parse the date returned by the server! Please update the game</span>",
	ug15 = "<span color = 'ff0000'>Reconnecting!</span>",
	ug16 = "Loading resource",
	ug17 = "<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>Login</span>",
	ug18 = "<span size = 18 color = '0xdd0011'>Failed to update resource</span>",
	ug19 = "<span size = 18 color = '0xdd0011'>Successfully loaded the latest version data</span>",
	ug20 = "<span size = 18 color = '0xdd0011'>Connecting the server</span>",
	ug21 = "<span size = 18 color = '0xdd0011'>Waiting for the server secret key</span>",
	ug22 = "<span size = 18 color = '0xdd0011'>User Login</span>",
	ug23 = "<span size = 24 color = '0xdd0011'>This account is already logged in on another client!</span>",

	ug80 = "<span size = 24 color = '0xdd0011'>Out of memory. In order to have a better game experience, please close other background processes!</span>",
	ug100 = "<span class = 'alterTitle'>Reminder</span>",
	ug101 = "<span class = 'alterConfirmButton'>Confirm</span>",
	ug102 = "<span class = 'alterConfirmButton'>Cancel</span>",
	ug103 = "<span class = 'alterConfirmButton'>Yes</span>",
	ug104 = "<span class = 'alterConfirmButton'>No</span>",

	ug120 = "<span class = 'alterConfirmButton'>On</span>",
	ug121 = "<span class = 'alterConfirmButton'>Off</span>",

	ug200 = "<span class = 'blue24'>Chapter #1</span><br/><span class = 'default24'>#2</span>",
	ug201 = "<span color = '0x00ff96'>#1/#2</span>",
	ug202 = "<span size = 24 color = '0xcccccc'>Chapter #1<br/>#2</span>",
	ug203 = "<span color = '0xcccccc' >#1/#2</span>",

	ug220 = "<span size = 30>#1</span>",
	ug221 = "<span size = 26>Present level #1</span>",
	ug222 = "<span size = 26>#1 LV#2</span><br/><span size = 22>　　Unlock requirement: attack \"Chapter #3: #4\" and gain #5 stars<br/>　　　　Effect: #6</span>",
	ug223 = "<span color = '0x00ff96'><span size = 26>#1 LV#2</span><br/><span size = 22>　　Unlocking Condition: attacking \"Chapter #3: #4\" and reaching Star #<br/>　　　　Effect: #6</span></span>",
	ug224 = "<span size = 26 color = '0xfd0000'>Locked</span>",

	ug250 = "Mainline",
	ug251 = "<span size = 28 shadowColor = '0x000000cc' shadowOffset = '2,-2'>#1</span>",
	ug252 = "#1/#2(#3)",
	ug254 = "×#1",
	ug255 = "<span size = '26'>#1</span>",
	ug257 = "#1/#2",
	ug300 = "Format",

	ug301 = "<span class = 'switchTitleOne'>Format</span>",
	ug302 = "<span class = 'switchTitleOne'>Engage</span>",
	ug303 = "<span class = 'switchTitleOne'>Repair</span>",

	ug320 = "Max Power",
	ug321 = "Attack",
	ug322 = "Number of Troops:#1",
	ug323 = "Power: #1",
	ug324 = "Skill/Tech increases:",
	ug325 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug326 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug327 = "<span size = '24'>No warplanes in your formation. Please tap\"<span color = '0xff7f24ff'>Max Power</span>\" or tap \"Formation\" to set!</span>",
	ug328 = "Attack:",
	ug329 = "HP:",

	ug340 = "Choose Warplane",

	ug360 = "Repair",
	ug361 = "<span size = 26>Repair all: </span>",
	ug362 = "<span size = 26>80% of troops can go to Repair Plant after being damaged in battles</span>",

	ug400 = "<span color = 'fd0000ff'>Error occurred when synchronizing with the server data!</span>",
	ug401 = "Skip",
	ug403 = "Enemy troops",
	ug404 = "<span size = '22'>LV.#1</span>",
	ug405 = "Round: <span color = '0x00ff96'>#1/#2</span>",
	ug406 = "<span size = '22'>Trophies</span>",
	ug407 = "#1 warplanes could be repaired in the repair plant",
	ug408 = "Repair",
	ug409 = "Close",
	ug410 = "<span size = '22'>You're defeated! You can:</span>",
	ug411 = "<span size = '22'>Research skills to improve the warplane's attribute</span>",
	ug412 = "Research",
	ug413 = "<span size = '22'>Produce advanced warplane to improve your Power</span>",
	ug414 = "Produce Warplanes",
	ug415 = "<span size = '22'>Upgrade Commander and gain more fighting units</span>",
	ug416 = "Upgrade Commander",
	ug417 = "<span size = '22'>Upgrade skills to improve the warplane's attribute</span>",
	ug418 = "Upgrade Skill",
	ug419 = "Failed to gain battle data",
	ug420 = "<span size = '22'>Failed to get the battle replay data!</span>",
	ug421 = "<span size = '22'>Replay</span>",
	ug422 = "We sent <span color = '0x00ff96'>#1</span> warplanes",
	ug423 = "The enemy sent <span color = '0x00ff96'>#1</span> warplanes",
	ug424 = "Try to improve your warplane's power",
	ug425 = "Parts",
	ug426 = "Tech",
	ug427 = "Warplane",
	ug428 = "Commander",
	ug429 = "Skill",
	ug430 = "Repair",

	ug441 = "Tips: levels may grant <span color = '0x00ff96'>skill chips</span>",

	ug500 = "<span size = '26'>Add troops</span>",

	ug600 = "League",
	ug601 = "<span class = 'switchTitleOne'>Home</span>",
	ug602 = "<span class = 'switchTitleOne'>Members</span>",
	ug603 = "<span class = 'switchTitleOne'>Other</span>",
	ug604 = "<span class = 'switchTitleOne'>Create League</span>",
	ug605 = "<span class = 'switchTitleOne'>Invite</span>",
	ug606 = "<span class = 'switchTitleOne'>League List</span>",

	ug620 = "<span class = 'switchTitleTwo'>Members</span>",
	ug621 = "<span class = 'switchTitleTwo'>Apply</span>",
	ug623 = "Members: <br/><span color = '0x00ff96'>#1/#2</span>",

	ug640 = "Name:",
	ug641 = "President:",
	ug642 = "Ranking:",
	ug643 = "Level:",
	ug644 = "Power:",
	ug645 = "Members:",
	ug648 = "League Notice:",
	ug649 = "League Mail",
	ug650 = "Settings",
	ug651 = "League \"#1\"'s Message",
	ug652 = "<span color = '0x00ff96'>#1/#2</span>",

	ug660 = "Last Login",
	ug661 = "Username",
	ug662 = "Post",
	ug663 = "Level",
	ug664 = "Power",
	ug665 = "Operate",
	ug666 = "Members: <span color = '0x00ff96'>#1/#2</span>",
	ug667 = "Mail to all members",
	ug668 = "League Name",
	ug669 = "Member",
	ug670 = "Power",
	ug671 = "Operate",
	ug672 = "President",
	ug673 = "Vice-President",
	ug674 = "Members",
	ug675 = "Mail",
	ug676 = "Whisper",
	ug677 = "Kick Out",
	ug678 = "Leave",
	ug679 = "Member name: #1",
	ug680 = "Contribution: #1",
	ug681 = "Set Position:",
	ug682 = "Member Setting",
	ug683 = "New president appointed! \"<span color = '0x00ff96'>#1</span>\" is our new president!",
	ug684 = "\"<span color = '0x00ff96'>#1</span>\" has been set as the vice-president of the League!",
	ug685 = "\"<span color = '0x00ff96'>#1</span>\" has been set as League member!",
	ug687 = "\"<span color = '0x00ff96'>#1</span>\" has been removed from the League!",
	ug688 = "Left!",
	ug689 = "\"<span color = '0x00ff96'>#1</span>\" has kicked you out of the league!",
	ug690 = "You have dismissed the league!",
	ug691 = "Dismiss",
	ug692 = "You have become a president",
	ug693 = "You have become a vice president",
	ug694 = "You are no longer a vice president",

	ug700 = "Enter League Name!",
	ug701 = "League creation needs: #1<br/>You have: #2",
	ug702 = "<span color = '0x00ff96'> #1#2</span>",
	ug703 = ", <span color = '0x00ff96'> #1#2</span>",
	ug704 = "Check",
	ug705 = "Search",
	ug706 = "Please enter a name!",
	ug707 = "League created successfully!",
	ug708 = "Need more resources to create a league!",
	ug710 = "The name shall be ≥ #1 characters and ≤#2 characters (Each Chinese Word=2 Characters)",
	ug711 = "Applying",
	ug712 = "Create league",

	ug720 = "Name: #1",
	ug721 = "Level: #1",
	ug722 = "Member: <span color = '0x00ff96'>#1/#2</span></span>",
	ug723 = "Ranking: #1",
	ug724 = "League President:#1",
	ug725 = "Slogan:",
	ug726 = "League Info",
	ug727 = "Apply",
	ug728 = "Cancel Application",
	ug729 = "Applied!",
	ug730 = "Apply failure!",
	ug731 = "Application cancelled!",
	ug732 = "Failed to cancel!",
	ug733 = "Max reached",
	ug734 = "You can apply to #1 leagues at the same time!",

	ug740 = "League Introduction (For Public)",
	ug741 = "League Notice (For Members)",
	ug742 = "Save changing",
	ug743 = "Saved successfully!",

	ug760 = "#1 years before",
	ug761 = "#1 months before",
	ug762 = "#1 days before",
	ug763 = "In #1 hours",

	ug780 = "Ranking",
	ug781 = "League Name",
	ug782 = "Member",
	ug783 = "Power",
	ug784 = "Check",
	ug785 = "#1/#2",
	ug786 = "Tap or slide up to check the following 20",
	ug789 = "League unfound!",
	ug791 = "Failed to get the league info!",

	ug800 = "Ranking",
	ug801 = "League Name",
	ug802 = "Inviter",
	ug803 = "Time",
	ug804 = "Operate",
	ug820 = "Reject All",

	ug821 = "Agree",
	ug822 = "Reject",
	ug823 = "You have no league invitation now",
	ug825 = "Operation succeeded!",

	ug840 = "<span class = 'switchTitleTwo'>League Event</span>",
	ug841 = "<span class = 'switchTitleTwo'>Donation Info</span>",
	ug842 = "<span class = 'switchTitleTwo'>All Leagues</span>",
	ug843 = "<span class = 'switchTitleTwo'>Quit League</span>",
	ug844 = "<span class = 'switchTitleTwo'>Dismiss</span>",
	ug845 = "If you want to dismiss the league, enter \"<span color = '0xfd0000'>dismiss</span>\" and tap \"confirm\"",
	ug846 = "Enter \"<span color = '0xfd0000'>ok</span>\" and tap \"Confirm\" to leave the league and you will lose all contribution!",

	ug860 = "League invitation is sent successfully!",
	ug863 = "You have no league invitation now",
	ug864 = "Accept",
	ug865 = "Reject",
	ug867 = "Operation succeeded!",
	ug899 = "League Store",
	ug900 = "League Tech",
	ug901 = "League Tech",
	ug902 = "Details:",
	ug903 = "[Type]",
	ug904 = "[Required]",
	ug905 = "[You Have]",
	ug906 = "[Tech]",
	ug907 = "[Contribution]",
	ug908 = "[Operate]",
	ug909 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> (LV.#2) </span>",
	ug910 = "Donate",
	ug912 = "It has reached the max level!",
	ug913 = "Required: #1",
	ug914 = "Owned: #1",
	ug915 = "Reward:",
	ug916 = "League Donation",
	ug917 = "Tech+#1",
	ug918 = "Contribution +#1",
	ug919 = "Fame+#1",
	ug920 = "Skill Chip +#1",
	ug922 = "Today's \"<span color = '0xfd0000'>#1</span>\"Donation Chance:<span color = '0xfd0000'>#2</span>/<span color = '0xfd0000'>#3</span>",
	ug923 = "Today's\"<span color = '0xfd0000'>#1</span>\"Donation Chances have reached the max!",
	ug924 = "Each resource can be donated <span color = '0xfd0000'>#1</span> times. Donate tech?points and contribute points with diamonds to get rewards *<span color = '0xfd0000'>#2</span>",
	ug925 = "<span color = '0xff0000ff'>Unlocks when the league reaches Lv. #1</span>",
	ug926 = "Can't donate the tech till the league reaches level <span color = '0xffff00'>#1</span>",
	ug927 = "Required: #1<span color = '0xffff00'>(3*Tech Points)</span>",
	ug928 = "Donation Notice Settings",
	ug929 = "Today's Donation:<span color = '0xfd0000'>#1</span>",
	ug930 = "Change",
	ug931 = "Required: <span color = '0xfd0000'>#1</span>",
	ug932 = "Required: <span color = '0xfd0000'>#1</span><span color = '0xffff00'>(3*Tech Points)</span>",
	ug933 = "Need more resource to donate!",
	ug934 = "Need more diamonds!",
	ug935 = "Contribution: #1",
	ug936_1 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span>",
	ug936_2 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span> (#3/#4)",
	ug937 = "Contribution",
	ug938_1 = "No more chance for you to purchase today",
	ug938_2 = "<span color = '0xff0000ff'>Exchange available when the League reaches Lv.#1</span>",
	ug939 = "Insufficient Contribution to exchange this item!",

	ug940 = "You can send <span color = '0xffff00'>#1</span> league mails daily. No more chances today!",
	ug941 = "Cancel",

	ug1000 = "Commander, the energy is full. Please give orders!",

	ug1100 = "<br/>",
	ug1101 = "#1<span color = '0x02f752'>  ×#2</span>",

	ug1199 = "Unknown troops",
	ug1200 = "We found unknow troops approaching our base. All warplanes, go to defend!",
	ug1201 = "The enemy is too powerful and we are suffering great losses. We have to avoid their main forces. Commander, please order to return.",
	ug1202 = "There's a warplane coming to scout our base. We should destroy it immidiately so it will not succeed!",
	ug1203 = "A few more enemy warplanes are approaching our base. Vanish them before they come and scout the base out!",
	ug1204 = "The radar has detected some warplanes. Our warplanes are strong enough to defeat them. Please give orders!",
	ug1205 = "<span size = '36'>Choose character</span>",
	ug1206 = "Please enter a player name!",
	ug1207 = "The player name shall be ≥#1 and ≤#2 characters (Each 1 Chinese word=2 characters)",
	ug1208 = "Set Success",
	ug1209 = "The left warplanes will barely defeat following enemies. We must produce new warplanes. Please follow me to the Hangar.",
	ug1210 = "It takes some time to produce warplanes but the enemies are coming closer. Please use diamonds to accelerate!",
	ug1211 = "The commander's ability grants bonus attributes to the troops. Do remember to upgrade the commander in time!",
	ug1212 = "The level of \"Commander\" decides the max number of warplanes in each team. Tap UPGRADE to enter the page of Commander Upgrade.",
	ug1213 = "The enemy is coming! Luckily we have enough warplanes now. Give them a lesson!",
	ug1214 = "The enemy's warplanes are becoming more advanced. We should develop our base to fight against them. Commander, go with me and construct the base.",
	ug1215 = "Resources are needed for developing base and producing warplanes. Please follow me to build resource building.",
	ug1216 = "You've finished lots of quests. Go to claim reward. Develop with quest could upgrade your commander fast.",
	ug1217 = "The enemy is keeping attacking us. Commander, please develop the base according the guide. Attack anyone who dares to attack us!",
	ug1219 = "Skip",
	ug1220 = "Choose Commander",
	ug1221 = "Commander, what's your order?",
	ugG_tip_1 = "Tap the level",
	ugG_tip_2 = "Fight Enemies",
	ugG_tip_3 = "Set the most power+C77ful warplanes",
	ugG_tip_4 = "Launch attack",
	ugG_tip_5 = "Enter Hangar",
	ugG_tip_6 = "Details",
	ugG_tip_7 = "Produce Warplanes",
	ugG_tip_8 = "Accelerate production",
	ugG_tip_9 = "Confirm",
	ugG_tip_10 = "Close the page",
	ugG_tip_11 = "Check the commander's info",
	ugG_tip_12 = "Check the commander's attribute",
	ugG_tip_13 = "Upgrade Commander",
	ugG_tip_14 = "Enter Command Center",
	ugG_tip_15 = "Upgrade Building",
	ugG_tip_16 = "Enter Resource Map",
	ugG_tip_17 = "Tap the spare resource spot",
	ugG_tip_18 = "Tap to build",
	ugG_tip_19 = "Back to Base",
	ugG_tip_20 = "Open quest list",
	ugG_tip_21 = "Collect Quest Rewards",
	ugG_tip_22 = "Free",
	ug1222 = "Sure to skip the guide? <br/><span color = '0xfd0000'>(Newbies are strongly suggested to follow the guide)</span>",

	ug1299 = "Arena",
	ug1300 = "<span class = 'switchTitleOne'>Challenge</span>",
	ug1301 = "<span class = 'switchTitleOne'>Troops Setting</span>",
	ug1302 = "<span class = 'switchTitleOne'>Ranking List</span>",
	ug1303 = "Challenge Chance: <span color = '0xffff00ff'>#1</span>/#2 #3",
	ug1304 = "Ranking",
	ug1305 = "Name",
	ug1306 = "Level",
	ug1307 = "Sure to purchase <span color = '0xffff00ff'>#2</span> change of chanllange with <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> ",
	ug1308 = require("res.data.lang.en.arenaDes"),
	ug1309 = "You can't purchase more arena chances! Upgrace VIP level to purchase more chances!",
	ug1310 = "Points: <span color = '0xffff00ff'>#1</span>",
	ug1311 = "Exchange",
	ug1312 = "Record",
	ug1313 = "Save formation",
	ug1314 = "Power of the troop is lower than the previous set. Sure to save the settings?",
	ug1315 = "Saved successfully!",
	ug1316 = "Your chances to challenge in the arena are full. No need to purchase!",
	ug1317 = "You should set troops first before challenging!",
	ug1318 = "(<span color = '0xffff00ff'>#1</span>)",
	ug1319 = "Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to clear challenge CD?",
	ug1320 = "Challenge CD Cleared",
	ug1321 = "Successfully bought arena points",
	ug1322 = "<span color = '0xffff00ff'>#1</span> challenged <span color = '0xffff00ff'>you</span> succeeded",
	ug1323 = "<span color = '0xffff00ff'>You</span> challenged <span color = '0xffff00ff'>#1</span> succeeded",
	ug1324 = "<span color = '0xffff00ff'>#1</span> challenged <span color = '0xffff00ff'>you</span> failed",
	ug1325 = "<span color = '0xffff00ff'>You</span> challenged <span color = '0xffff00ff'>#1</span> failed",
	ug1326 = "<span color = '0x00ff96ff'>↑#1</span>",
	ug1327 = "<span color = '0xff0000ff'>↓#1</span>",
	ug1328 = "→#1",
	ug1329 = "Record",
	ug1330 = "#1<br/>Time of the battle: #2</span><br/><span class = 'yellow24'>#3</span>",
	ug1331 = "Our troops have challenged #1",
	ug1332 = "Out troops are challenged by #1",
	ug1333 = "Victory",
	ug1334 = "Failure",
	ug1335 = "Victory",
	ug1336 = "Failure",
	ug1337 = "Collect Reward",
	ug1338 = "Yesterday Ranking: <span color = '0xffff00ff'>#1</span>",
	ug1339 = "None",

	ug1340 = "Point Store",
	ug1341 = "Exchange",
	ug1342 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2</span>",
	ug1343 = "Points: <br/>#1",
	ug1344 = "<span color = '0xff0000ff'>Top  #1 of the Arena can exchange</span>",
	ug1345 = "<span class = 'blue24'>Your points: </span> #1",
	ug1346 = "Insufficient points to exchange this item!",
	ug1347 = "Exchanged successfully!",
	ug1348 = "<span class = 'chatFightReport20'>Challenge Report (challenged #1)</span>",
	ug1349 = "<span class = 'chatFightReport24'>Challenge Report (challenged #1)</span>",

	greece_num = "Ⅰ,Ⅱ,Ⅲ,Ⅳ,Ⅴ,Ⅵ,Ⅶ,Ⅷ,Ⅸ,Ⅹ",

	uy1 = "Commander",
	uy2 = "Military Rank:",
	uy3 = "Precise",
	uy4 = "Critical",
	uy5 = "Major",
	uy6 = "Dragon-Speed Robbing",
	uy7 = "Warplanes of Each Formation:",
	uy8 = "",
	uy9 = "Hit",
	uy10 = "Required Commander Level: #1",
	uy11 = "Need #1 skill points",
	uy12 = "The skill chip has reached the max level",
	uy13 = "Gold Store",
	uy14 = "Iron Store",
	uy15 = "Oil Store",
	uy16 = "Silicon Store",
	uy17 = "Titanium Store",
	uy18 = "LV.#1",
	uy19 = "Power",
	uy20 = "Target Info",
	uy21 = "(#1, #2)",
	uy22 = "Terrain Info",
	uy23 = "The attack may grant the following buffs:",
	uy24 = "Hit:",
	uy25 = "Dodge:",
	uy26 = "Favorite",
	uy27 = "Place Info",
	uy28 = "Type",
	uy29 = "(#1,#2)",
	uy30 = "<span class = 'switchTitleOne'>Details</span>",
	uy31 = "<span class = 'switchTitleOne'>Skill</span>",
	uy32 = "<span class = 'switchTitleOne'>Social</span>",
	uy33 = "Player Info",
	uy34 = "You have #1 skill chips now",
	uy35 = "Reset",
	uy36 = "Buy",
	uy37 = "Honor",
	uy38 = "Power",
	uy39 = "Energy",
	uy40 = "Commander",
	uy41 = "Number of Troops",
	uy42 = "Fame",
	uy43 = "Normal Medal (#1 Fame)",
	uy44 = "Copper Medal (#1 Fame)",
	uy45 = "Silver Medal (#1 Fame)",
	uy46 = "Gold Medal (#1 Fame)",
	uy47 = "Get decorated 1 time daily to win Fame",
	uy48 = "Award Decoration",
	uy49 = "Spend #1 Gold",
	uy50 = "Spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>",
	uy51 = "Number of Troops",
	uy52 = "<span class = 'switchTitleOne'>Quest</span>",
	uy53 = "<span class = 'switchTitleOne'>Daily Quest</span>",
	uy54 = "Honor",
	uy55 = "Character Quest",
	uy56 = "Base Development",
	uy57 = "Resource Quest",
	uy58 = "Go",
	uy59 = "Complete",
	uy60 = "Mainline Quest",
	uy61 = "Progress: Lv.#1",
	uy62 = "Progress: Incomplete",
	uy63 = "Output: #1/hour",
	uy64 = "Completed",
	uy65 = "Progress: #1",
	uy66 = "Present: #1",
	uy67 = "Rewards",
	uy68 = "<span color = '0xfff9990e' size = '26'>Congratulations! You gained: </span>",
	uy69 = "Location",
	uy70 = "Favorite",
	uy71 = "Mini Map",
	uy72 = "Search",
	uy73 = "X",
	uy74 = "Y",
	uy75 = "Scout",
	uy76 = "Attack",
	uy77 = "Coordinate",
	uy78 = "League",
	uy79 = "None",
	uy80 = "(LV.#1)",
	uy81 = "Quest failure!",
	uy82 = "Favorite",
	uy83 = "All",
	uy84 = "Resource",
	uy85 = "Friends",
	uy86 = "Rival",
	uy87 = "Return",
	uy88 = "Save",
	uy89 = "#1 Lv.#2",
	uy90 = "Level",
	uy91 = "Troops",
	uy92 = "Bag",
	uy93 = "Parts",
	uy94 = "Ranking",
	uy95 = "Help",
	uy96 = "Store",
	uy97 = "#1 , #2",
	uy98 = "It needs <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to move the base to the destination. Sure to buy them?",
	uy99 = "Back to City",
	uy100 = "Sure to spend <span class = 'popGems24'>98</span><img src = 'diamond.png' width = 32 height = 32/> to move the city to (#1,#2)?",
	uy101 = "Sure to use 1 relocate token to move the city to (#1,#2)?",
	uy102 = "Failed to move the city!",
	uy103 = "The city has moved successfully!",
	uy104 = "The level is not qualified for unlocking!",
	uy105 = "Base",
	uy106 = "Map",
	uy107 = "Mail",
	uy108 = "Number of Troops:",
	uy109 = "Change",
	uy110 = "Settings",
	uy114 = "Character",
	uy115 = "Quest",
	uy116 = "Command Center",
	uy117 = "Research Center",
	uy118 = "Warplane Laboratory",
	uy119 = "Wishing Well",
	uy120 = "Modify Factory",
	uy121 = "Hangar 1",
	uy122 = "Hangar 2",
	uy123 = "Warehouse 1",
	uy124 = "Warehouse 2",
	uy125 = "Mint",
	uy126 = "Resource Map",
	uy127 = "You have #1 resource points now. Tap the guide to build resource building!",
	uy128 = "Sure to close the notice?",
	uy129 = "Failed to gain reward!",
	uy130 = "NULL",
	uy131 = "Collect reward failure!",
	uy132 = "Power+",
	uy133 = "Commander, the reinforcement has reached. Please take them.",
	uy134 = "Reinforcement",
	uy135 = "Collect",
	uy136 = "Failed to get the gift info!",
	uy137 = "Secret Supply",
	uy138 = "Fame increased!",
	uy139 = "Fame increase failure!",
	uy140 = "Get Diamond",
	uy141 = "Arena",
	uy142 = "Hangar",
	uy143 = "Warehouse",
	uy144 = "<span class = 'chatName24'>#1:</span>#2",
	uy145 = "Increases commanding capability",
	uy146 = "Use the commander plug-in to increase commanding capability",
	uy147 = "The higher the lucky points, the higher the chance to succeed",
	uy148 = "You have:",
	uy149 = "Cost:",
	uy150 = "Increase",
	uy151 = "+10",
	uy152 = "Present level:",
	uy153 = "Max Level:",
	uy154 = "Present troops:",
	uy155 = "World",
	uy156 = "<span class = 'switchTitleTwo'>Normal Quest</span>",
	uy157 = "<span class = 'switchTitleTwo'>League Quest</span>",
	uy158 = "Contacts Error",
	uy159 = "Start",
	uy160 = "Complete",
	uy161 = "<span class = 'default28'>Do you want to spend <span class = 'popGems'>#1</span><img src = 'diamond.png'/> to finish this quest at once?</span>",
	uy162 = "You have quest in process. Refresh will cause quest reset. Continue?",
	uy163 = "You have quests with reward. Refresh will cause quest reset. Continue?",
	uy164 = "Quest refreshed!",
	uy165 = "You have quests in the queue, so you can't claim more quest!",
	uy166 = "Sever No.1",
	uy167 = "Increase VIP level to gain more icons",
	uy168 = "It costs #1 diamonds to change the icon",
	uy169 = "Replace",
	uy170 = "<span color = 'ff0000'>VIP#1, can't select</span>",
	uy171 = "VIP#1 unlocks",
	uy172 = "Sure to change the icon with #1 diamonds?",
	uy173 = "Icon changed!",
	uy174 = "Please choose a different icon!",
	uy175 = "The higher the fame level, the higher the available tech level<br/>Login daily to gain fame<br/>Attending events can gain Fame",
	uy185 = "Max Level",
	uy186 = "Target Info",
	uy187 = "Quest list refreshed!",
	uy188 = "Refresh",
	uy189 = "Sure to spend #1 <img src = 'diamond.png' width = 32 height = 32/> to buy the skill chips you need to upgrade the skill?",
	uy190 = "Gain #1 Fame",
	uy191 = "Sure to increase #2 Fame with  <img src = 'diamond.png' width = 32 height = 32/>?",
	uy192 = "Commander, the reinforcement is coming. Please take them.",
	uy193 = "Power: #1",
	uy194 = "The node info is added",
	uy195 = "You can't add more to the favorite",
	uy196 = "Collect",
	uy197 = "You can attend free lottery. Tap to check for details",
	uy198 = "A new resource point is unlocked. Tap to check now",
	uy199 = "Unlocks when the character reaches Lv.10",

	fy1000 = "Spend 1 commander plug-in to upgrade!",
	fy1001 = "You have no commander plug-in. Sure to use #1 <img src = 'diamond.png' width = 32 height = 32/> to upgrade the commander level?",
	fy1002 = "Upgraded!",
	fy1003 = "Commander upgrade failure!",
	fy1004 = "No skill has upgraded",
	fy1005 = "Skill reset successfully",
	fy1006 = "Failed to reset the skill!",
	fy1007 = "Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to reset all skills? All used skill chips will be returned after that!",
	fy1008 = "Number of Troops",
	fy1009 = "Successfully bought Energy!",
	fy1010 = "The research center unlocks when the Command Center reaches Lv.5. \"High-tech\" can greatly increase our power",
	fy1011 = "The Hangar will unlock when the Command Center reaches Lv.13. Producing various of \"advanced warplanes\" will make us face powerful enemies",
	fy1012 = "Modify Factory will unlock when Command Center reaches Lv.13. You can \"modify\" normal warplanes into advanced warplanes!",
	fy1013 = "The mint unlocks when the Command Center reaches Lv.3. This is a way to get \"gold\"",
	fy1014 = "The warehouse will unlock when the Command Center reaches Lv.6. It will provide you more space for \"resource storage\"",
	fy1015 = "The warehouse will unlock when the Command Center reaches Lv.11. It will provide you more space for \"resource storage\"",
	fy1016 = "The league unlocks when the Command Center reaches Lv.5",
	fy1017 = "EXP",
	fy1018 = "Energy",
	fy1019 = "Diamond",
	fy1020 = "Contribution Points",
	fy1021 = "League Tech",
	fy1022 = "VIP points",
	fy1033 = "Honor points",
	fy1034 = "Double diamonds",
	fy1035 = "Arena Point",

	uc1 = "<span class = 'switchTitleOne'>Construct</span>",
	uc2 = "<span class = 'switchTitleOne'>Details</span>",
	uc3 = "<span class = 'default22'>[Type]</span>",
	uc4 = "<span class = 'default22'>[Required]</span>",
	uc5 = "<span class = 'default22'>[You Have]</span>",
	uc6 = "Instant",
	uc7 = "Upgrade",

	uc8 = "h",
	uc9 = "m",
	uc10 = "s",
	uc11 = "Buy & use items",
	uc12 = "#1 has reached Lv.#2",
	uc13 = "Upgrade failure #1",
	longTextDes = require("res.data.lang.en.longTextDes"),
	uc15 = "<img src = 'diamond.png' width = 32 height = 32/> are not enough. Buy some in the store?",
	uc16 = "<img src = 'diamond.png' width = 32 height = 32/><span class = 'default24'>#1</span>",
	uc17 = "Cancel</span>",
	uc18 = "Failed to cancel#1",
	uc19 = "Upgrade cancelled!",
	uc20 = "Successfully accelerated upgrade",
	uc21 = "Failed to accelerate upgrade #1",
	uc22 = "Research",
	uc23 = "<span class = 'red24'>Research Center should reach Lv.#1</span>",
	uc24 = "#1Lv#2",
	uc25 = "#1Lv#2→Lv#3",
	uc26 = "<span class = 'switchTitleOne'>Resource</span>",
	uc27 = "<span class = 'switchTitleOne'>Building</span>",
	uc28 = "Buy",
	uc29 = "Diamond",
	uc30 = "You have: #1</span>",
	uc31 = "Owned: #1",
	uc32 = "Buy & Use",
	uc33 = "Use",
	uc34 = "Use item failure #1",
	uc35 = "#1 used",
	uc36 = "Successfully bought and used #1",
	uc37 = "Failed to buy and use #1",
	uc38 = "#1  +#2%（#3）",
	uc39 = "Output: #1/hour",
	uc40 = "Output: #1 (#2+#3)/hour",
	uc41 = "<span class = 'default24WithBlackOutline'>#1/#2</span>",
	uc42 = "<img src = 'timeIcon.png'/> #1",
	uc43 = "<span class = 'red24'>Lv.#1 Hangar required</span>",
	uc44 = "#1X#2",
	uc46 = "Production failure #1",
	uc47 = "Production cancelled!",
	uc48 = "Failed to cancel#1",
	uc49 = "Insufficient resource",
	uc50 = "Failed to accelerate production #1",
	uc51 = "Successfully accelerated production",
	uc52 = "Produced All",
	uc53 = "Produce All failure #1",
	uc54 = "Cost Diamond: <img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc55 = "You have:<img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc56 = "1. Complete All will complete your selections at once",
	uc57 = "2. Complete All won't consume any resource, and you needn't wait for long",
	uc58 = "Produce All",
	uc59 = "Item",
	uc60 = "<span class = 'switchTitleOne'>Bag</span>",
	uc61 = "<span class = 'switchTitleOne'>Store</span>",
	uc62 = "<span size = '20'><img src = 'diamond.png'/> #1</span>",
	uc63 = "<span class = 'default28'>Do you want to spend <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to purchase items?</span>",
	uc64 = "Bought #1 successfully",
	uc65 = "Failed to buy #1",
	uc66 = "Mail",
	uc67 = "<span class = 'switchTitleOne'>Mail</span>",
	uc68 = "<span class = 'switchTitleOne'>Report</span>",
	uc69 = "<span class = 'switchTitleOne'>Inbox</span>",
	uc70 = "<span class = 'yellow26'>#1 unread</span>",
	uc71 = "<span class = 'default26'>#1 messages</span>",
	uc72 = "Failed to check mails#1",
	uc73 = "Failed to replay battle #1",
	uc74 = "Failed to delete mail#1",
	uc75 = "Failed to send mail #1",
	uc76 = "Failed to gain system reward through mail",
	uc77 = "Replay other's battle #1",
	uc78 = "<span class = 'default26'>#1-#2 #3:#4</span>",
	uc80 = "<span class = 'default26'>From: #1</span>",
	uc81 = "<span class = 'default26'>Send to: #1</span>",
	uc82 = "<span class = 'default26'>From: system</span>",
	uc84 = "<span class = 'default26'>Send to: system</span>",
	uc85 = "Check mails",
	uc86 = "Mail",
	uc87 = "Sure to delete all mails?",
	uc88 = "Sure to send the mail?",
	uc89 = "re:#1",
	uc90 = "Failed to load the following 10 mails #1",
	uc100 = "#1 LV.#2",
	uc102 = "<span class = 'gesNum24'>#1</span>",
	uc103 = "<span class = 'default26WithOutline'>#1</span>",
	uc104 = "<span size = '18'>#1</span>",
	uc107 = "The user has upgraded and need not to accelerate",
	uc108 = "   Free",
	uc109 = "<span class = 'switchTitleOne'>Produce</span>",
	uc110 = "<span class = 'switchTitleOne'>Producing</span>",
	uc111 = "<span class = 'gesNum20'>#1</span>",
	uc112 = "Instant",
	uc113 = "Produce",
	uc114 = "<span class = 'switchTitleTwo'>All</span>",
	uc115 = "<span class = 'switchTitleTwo'>Buff</span>",
	uc116 = "<span class = 'switchTitleTwo'>Chest</span>",
	uc117 = "<span class = 'switchTitleTwo'>Other</span>",
	uc118 = "<span class = 'switchTitleOne'>Status</span>",
	uc119 = "City status",
	uc120 = "Buy",
	uc121 = "Volume:",
	uc122 = "<span size = '20'>#1</span>",
	uc123 = "Items: #1",
	uc124 = "<span class = 'default26'>The present Warehouse can prevent  #1 of each resource from being robbed</span>",
	uc125 = "<span class = 'default20'>(+#1% #2)</span>",
	uc126 = "<span class = 'default26'>Tap or slide up to check the following 10</span>",
	uc127 = "Theme",
	uc128 = "From",
	uc129 = "To",
	uc130 = "Our troops have attacked<span class = 'blue24'> #1</span><br/>Location: #2(#3.#4)</span><br/>Time: #5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>Honor: #7</span>",
	uc131 = "<span class = 'default26'>Battle Info</span>",
	uc132 = "<span class = 'default26'>Trophies</span>",
	uc133 = "<span class = 'default26'>Resource</span>",
	uc134 = "<span class = 'default26'>Loss of warplanes</span>",
	uc138 = "<span class = 'red24'>#1 #2</span>",
	uc139 = "Part of warplanes can be repaired in Troops - Repair Plant",
	uc140 = "Battle Report",
	uc141 = "<span class = 'switchTitleOne'>World</span>",
	uc142 = "<span class = 'switchTitleOne'>Alliance</span>",
	uc143 = "<span class = 'switchTitleOne'>Whisper</span>",
	uc144 = "Chat",
	uc145 = "<span class = 'chatName20'>#1</span>",
	uc146 = "<span class = 'chatContent20'>#1</span>",
	uc147 = "Build",
	uc148 = "No.1 Warehouse",
	uc149 = "No.2 Warehouse",
	uc150 = "No.1 Hangar",
	uc151 = "No.3 Hangar",
	uc152 = "Insufficient items. Please purchase more",
	uc153 = "You have no league. Please join one",
	uc154 = "Message can't be blank",
	uc155 = "Illegal characters. Please change",
	uc156 = "#1 seconds later to send next message",
	uc157 = "TO",
	uc158 = "Please enter a player name",
	uc159 = "Incorrect user name. Please try again",
	uc160 = "#1-#2 #3:#4",
	uc161 = "<span class = 'yellow24'>Result: attacking succeeded</span>",
	uc162 = "<span class = 'red24'>Result: attacking falied</span>",
	uc163 = "<span class = 'yellow24'>Result: defending succeeded</span>",
	uc164 = "<span class = 'red24'>Result: defending failed</span>",
	uc165 = "<span class = 'green24'>#1</span>",
	uc166 = "<span class = 'addCount'>+#1</span>",
	uc167 = "Modify",
	uc168 = "<span color = '0xff0000'>One or more characters can'e be displayed</span>",
	uc169 = "Resource Building",
	uc171 = "<span class = 'build26WithOutline'>#1 (#2)</span>",
	uc172 = "<img src = 'timeIcon.png'/> #1",
	uc173 = "<span class = 'red24'>#1</span>",
	uc174 = "#1  <span class = 'ownTitle'>You have: #2</span>",
	uc175 = "<span class = 'gesNum20'>#1</span>",
	uc176 = "<span class = 'default22'>#1</span>",
	uc177 = "<span class = 'default22'>#1</span>",
	uc178 = "<span class = 'itemTitle26'>#1</span>",
	uc182 = "The building queues are full. Upgrade VIP to get more queues",
	uc183 = "#1*#2 are produced successfully",
	uc184 = "#1 has reached Lv.#2",
	uc185 = "<img src = 'timeIcon.png'/> #1",
	uc186 = "Command Center",
	uc187 = "<span class = 'default24'>LV.#1</span>",
	uc189 = "Present:#1",
	uc191 = "<span class = 'default26'>#1</span>",
	uc192 = "<span class = 'default26'>#1</span><span class = 'addCount26'>+#2</span>",
	uc193 = "<span class = 'default26'>#1%</span><span class = 'addCount26'>+#2%</span>",
	uc194 = "Research Center",
	uc195 = "#1 hours",
	uc197 = "#1 used",
	uc198 = "Marching time: #1",
	uc199 = "Troops' load: #1",
	uc200 = "Target Location X #1 Y #2",
	uc201 = "Fight",
	uc202 = "Defense Troops",
	uc203 = "Troops Expedition",
	uc204 = "Time of Arrival",
	uc205 = "Process of collecting",
	uc206 = "Time of Return",
	uc207 = "<span class = 'default20'>#1</span>",
	uc208 = "<span class = 'default20'>Collect: #1/#2</span>",
	uc209 = "<span class = 'default28'>Do you want to spend <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to accelerate?</span>",
	uc211 = "The player is protected by a shield and can't be attacked now. ",
	uc212 = "Your marching troop roster is full. Do you want to check the details.",
	uc213 = "The resource is already occupied. You can't send troops again.",
	uc214 = "If you attack, you will lose the protection shield. Sure to attack?",
	uc215 = "Failure",
	uc216 = "<span class = 'default22'>Status of Troops: marching</span>",
	uc217 = "Left Time: #1",
	uc218 = "<span class = 'default22'>Status of Troops: collecting</span>",
	uc219 = "<span class = 'default22'>Status of Troops: returning</span>",
	uc220 = "<span class = 'default22'>Forces Info</span>",
	uc221 = "Troops Info",
	uc222 = "<span class = 'default22'>#1(#2)</span>",
	uc223 = "<span class = 'default22'>#1</span>",
	uc224 = "Present:#1",
	uc225 = "<span class = 'default18'>#1</span>",
	uc226 = "Need more diamonds to repair the warplanes",
	uc227 = "Need more gold. Can't fix the warplane",
	uc228 = "No available warplane",
	uc229 = "The troops are collecting resource. Do you want to recall now?",
	uc230 = "Troops are set off, target (#1,#2)",
	uc231 = "The #1 is repaired",
	uc232 = "All damaged warplanes are repaired",
	uc233 = "Need higher Command Center Level. Sure to upgrade it in the Command Center?",
	uc234 = "Troops expedition #1/#2",
	uc235 = "Gold Field",
	uc236 = "Iron Field",
	uc237 = "Oil Field",
	uc238 = "Silicon Field",
	uc239 = "Titanium Field",
	uc240 = "<span class = 'yellow24'>Battle Report (attacking #1)</span>",
	uc241 = "<span class = 'yellow24'>Battle Report (being attacked by #1)</span>",
	uc242 = "<span class = 'yellow24'>Return Report</span>",
	uc243 = "<span class = 'orange24'>Return Report</span>",
	uc244 = "Your target #1 (#2,#3) has left the place. The troop is coming back",
	uc245 = "Your target #1 (#2,#3) is protected by a shield. The troop is coming back.",
	uc246 = "Your target #1 (#2,#3) is already garrisoned by our units. The troop is coming back.",
	uc247 = "Our troops are attack by #1<br/>Location: #2(#3.#4)<br/>Time: #5<br/><span class = 'yellow24'>#6</span><br/>Honor: #7",
	uc248 = "Our troops have attacked<span class = 'blue24'> #1</span>'s #2<br/>Location: #3(#4.#5)<br/>Time: #6<br/><span class = 'yellow24'>#7</span><br/>Honor: #8",
	uc249 = "The #1 protected by our troops is attacked by #2<br/>Location: #3(#4.#5)<br/>Time: #6<br/><span class = 'yellow24'>#7</span><br/>Honor: #8",
	uc250 = "Send to",
	uc251 = "World Channel",
	uc252 = "League Channel",
	uc253 = "Battle Report has been sent to the chatting channel",
	uc254 = "<span class = 'chatFightReport24'>Battle Report (attacking #1)</span>",
	uc255 = "<span class = 'chatFightReport24'>Battle Report (Being attacked by #1)</span>",
	uc256 = "<span class = 'chatFightReport20'>Battle Report (attacking #1)</span>",
	uc257 = "<span class = 'chatFightReport20'>Battle Report (Being attacked by #1)</span>",
	uc258 = "<span class = 'chatFightReport20'>Return Report</span>",
	uc259 = "Ranking",
	uc260 = "<span class = 'switchTitleTwo'>Power</span>",
	uc261 = "<span class = 'switchTitleTwo'>Levels</span>",
	uc262 = "<span class = 'switchTitleTwo'>Honor</span>",
	uc263 = "[Ranking]",
	uc264 = "[Name]",
	uc265 = "[Level]",
	uc266 = "#1",
	uc267 = "LV#1",
	uc268 = "Tap or slide up to check the following 20",
	uc269 = "<span class = 'default24'>#1</span>",
	uc270 = "#1-#2 #3:#4",
	uc272 = "<span class = 'red24'>-#1</span>",
	uc273 = "The player is your league member. Continue to attack him?",
	uc274 = "All Members",
	uc276 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span>",
	uc277 = "<span class = 'blue24'>Owned: #1</span>",
	uc278 = "<span class = 'default26'>#1</span>",
	uc279 = "<span class = 'default22'>Send</span>",
	uc280 = "Sure to cancel the upgrade?",
	uc281 = "Sure to cancel the research?",
	uc282 = "Sure to cancel the production?",
	uc283 = "The building of #1 is completed",
	uc284 = "#1 #2 are produced",
	uc285 = "Level",
	uc286 = "Power: #1",
	uc287 = "League: #1",
	uc288 = "Whisper",
	uc289 = "Mail",
	uc290 = "Befriend",
	uc291 = "Blacklist",
	uc292 = "Invite to League",
	uc293 = "Need more energy! Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to buy 5 energy?",
	uc294 = "<span class = 'default26'>Target Info</span>",
	uc295 = "Location: #1 (#2,#3)",
	uc296 = "Scout Report",
	uc297 = "Time: #1-#2 #3:#4",
	uc298 = "Garrison Player",
	uc299 = "Garrison Player: <span class = 'blue24'>#1</span>",
	uc300 = "<span class = 'default26'>Resource</span>",
	uc301 = "Garrison the place to gain #1 #2 every hour. The total amount shall be no more than that the troops's load capacity.",
	uc302 = "#1 can be robbed of #2 at most",
	uc303 = "<span class = 'default26'>Forces Info</span>",
	uc304 = "Spend #1 to scout this area",
	uc305 = "Need more gold. Go to buy some!",
	uc306 = "[Power]",
	uc307 = "[Stars]",
	uc308 = "[Honor]",
	uc309 = "No battle occured so it can't be replay.",
	uc310 = "<span class = 'yellow26'>#1</span>",
	uc311 = "Quantity: #1",
	uc312 = "<span class = 'red26'>#1</span>",
	uc314 = "<span size = '20'>Congratulations, you gained</span>",
	uc315 = "<span class = 'default22'>#1</span>",
	uc316 = "Retreat All",
	uc317 = "<span class = 'default26'>No more chances for you to purchase. You are<span class = 'yellow26'>VIP#1</span></span>",
	uc318 = "<span class = 'yellow24'>VIP#1</span> You can purchase Energy <span class = 'yellow24'>#2</span> times daily",
	uc319 = "Increase <span class = 'yellow24'>VIP</span> to gain more purchase chances",
	uc320 = "<span class = 'default26'>Your marching troop roster is full. Do you want to check the details.You're <span class = 'yellow26'>VIP#1</span></span>",
	uc321 = "<span class = 'yellow24'>VIP#1</span> provides <span class = 'yellow24'>#2</span> marching troop.",
	uc322 = "Increase <span class = 'yellow24'>VIP</span> to gain more marching troops.",
	uc323 = "<span class = 'default26'>The queues of building are full. You are <span class = 'yellow26'>VIP#1</span></span>",
	uc324 = "<span class = 'yellow24'>VIP#1</span> provides <span class = 'yellow24'>#2</span> building queues",
	uc325 = "Increase <span class = 'yellow24'>VIP</span> to gain building queues",
	uc326 = "<span class = 'default26'>The queues of research are full. You're <span class = 'yellow26'>VIP#1</span></span>",
	uc327 = "<span class = 'yellow24'>VIP#1</span> provides <span class = 'yellow24'>#2</span> research queues",
	uc328 = "Increase <span class = 'yellow24'>VIP</span> to gain research queues",
	uc329 = "<span class = 'default26'>The queues of production are full. You're <span class = 'yellow26'>VIP#1</span></span>",
	uc330 = "<span class = 'yellow24'>VIP#1</span> provides <span class = 'yellow24'>#2</span> producing queues",
	uc331 = "Increase <span class = 'yellow24'>VIP</span> to gain more production queue",
	uc332 = "<span class = 'default22'>VIP Special</span>",
	uc333 = "Need higher research center level",
	uc334 = "Settings",
	uc335 = "Bind Account",
	uc336 = "Server List",
	uc337 = "Game Settings",
	uc338 = "Language",
	uc339 = "Notice of Payment",
	uc340 = "Notification",
	uc341 = "Change Password",
	uc342 = "Contact Us",
	uc343 = "Payment Notice Setting",
	uc344 = "<span class = 'default24'>Upgrade Commander</span>",
	uc345 = "<span class = 'default24'>Buy Energy</span>",
	uc346 = "<span class = 'default24'>Buy Items</span>",
	uc347 = "<span class = 'default24'>Building Accelerating</span>",
	uc348 = "<span class = 'default24'>Accelerate warplane production</span>",
	uc349 = "<span class = 'default24'>Tech Accelerating</span>",
	uc350 = "<span class = 'default24'>Marching Accelerating</span>",
	uc351 = "<span class = 'default24'>Maintenance Units (Diamond )</span>",
	uc352 = "<span class = 'default24'>Complete Now</span>",
	uc353 = "No more notice",
	uc354 = "Notice Settings",
	uc355 = "Game Settings",
	uc356 = "<span class = 'default24'>The city is attacked</span>",
	uc357 = "<span class = 'default24'>Building and production completed</span>",
	uc358 = "<span class = 'default24'>Energy is full</span>",
	uc359 = "<span class = 'default24'>Secret Reward</span>",
	uc360 = "<span class = 'default24'>Protected by shield</span>",
	uc361 = "<span class = 'default24'>You've collected enough resource</span>",
	uc362 = "<span class = 'default24'>Attack wild mine Default occupy</span>",
	uc363 = "<span class = 'default24'>Notice of unlocking new resource</span>",
	uc364 = "<span class = 'default24'>Music Switch</span>",
	uc365 = "<span class = 'default24'>Sound Switch</span>",
	uc366 = "The protection shield is invalid. The enemies could attack at any time!",
	uc367 = "Warplane Laboratory",
	uc368 = "<span class = 'switchTitleOne'>Warplane Enhancing</span>",
	uc369 = "<span class = 'switchTitleOne'>Artery</span>",
	uc370 = "Ⅰ",
	uc371 = "Ⅱ",
	uc372 = "Ⅲ",
	uc373 = "Ⅳ",
	uc374 = "<span class = 'addCount'>+#1</span>",
	uc375 = "Enhanc Attack",
	uc376 = "Enhance HP",
	uc377 = "LV#1/#2",
	uc378 = "HP Enhanced",
	uc379 = "Attack enhanced successfully",
	uc380 = "Still need #1 data cores. Sure to spend <span class = 'popGems24'>#2</span><img src = 'diamond.png' width = 32 height = 32/> to buy them and upgrade?(<span class = 'Green24'>20% Off</span>)",
	uc381 = "Sure to spend #1 data core items?",
	uc383 = "Character level is not qualified",
	uc384 = "<span class = 'red24'>Unlocks when the character reaches Lv.#1. Successfully blocking will gain lots of data cores</span>",
	uc385 = "Intercepted Today: #1/#2",
	uc386 = "No more chances for interception today. Failed to intercept",
	uc387 = "Fight",
	uc388 = "Set Troops",
	uc389 = "The player is offline. Send a mail?",
	uc390 = "You can't chat with yourself",
	uc391 = "You are muted",
	uc392 = "<span class = 'switchTitleTwo'>Friends</span>",
	uc393 = "<span class = 'switchTitleTwo'>Blacklist</span>",
	uc395 = "<span class = 'default26'>Friends: [#1/#2]</span>",
	uc396 = "Search",
	uc397 = "<span class = 'default26'>Blacklist: [#1/#2]</span>",
	uc398 = "Sure to defriend #1?",
	uc399 = "Sure to unblock #1?",
	uc400 = "Defriend",
	uc401 = "Unblock",
	uc402 = "Sure to befriend #1",
	uc403 = "Sure to block #1",
	uc404 = "Friend list is full",
	uc405 = "Blacklist is full",
	uc406 = "<span class = 'default28'>No friends</span>",
	uc407 = "<span class = 'default28'>None in Blacklist</span>",
	uc408 = "Befriend",
	uc409 = "Blocked",
	uc410 = "Friend deleted",
	uc411 = "Unblocked successfully",
	uc412 = "Mail sent",
	uc413 = "Add",
	uc414 = "<span class = 'default28'>You have no one in your Contacts</span>",
	uc415 = "Contacts",
	uc416 = "<span class = 'default24'>Notice of Research shortcut</span>",
	uc417 = "<span class = 'default24'>Notice of Producing shortcut</span>",
	uc418 = "<span class = 'default24'>Notice of building shortcut</span>",
	uc419 = "<span class = 'switchTitleOne'>Daily Sign-in</span>",
	uc420 = "<span class = 'switchTitleOne'>Continuous Sign-in</span>",
	uc421 = "Sign In",
	uc422 = "×#1",
	uc423 = "Day #1",
	uc424 = "<span class = 'yellow24'>Claim Tomorrow</span>",
	uc425 = "Sign In",
	uc426 = "<span class = 'default24'>You've signed in for #1/30 days. After all rewards are collected, the sign-in record will be reset and re-start</span>",
	uc427 = "#1 days",
	uc428 = "<span class = 'switchTitleOne'>Event</span>",
	uc429 = "<span class = 'switchTitleOne'>Announcement</span>",
	uc430 = "Collecting completed",
	uc431 = "Growth Plan",
	uc432 = "Spending 998 diamonds will return 5988 diamonds",
	uc433 = "Buy",
	uc434 = "<span class = 'red22'>Available to vip3</span>",
	uc435 = "Successfully bought Growth Plan",
	uc436 = "VIP level is not qualified",
	uc437 = "Lv.#1",
	uc438 = "Collect",
	uc439 = "Collected",
	uc440 = "Level Gift Pack",
	uc441 = "Commander, the reinforcement has reached. ",
	uc442 = "The target has left the place",
	uc443 = "New Server Reward",
	uc444 = "Specific gift pack could be collected everyday",
	uc445 = "Coordinate Error",
	uc446 = "The coordinate is taken",
	uc447 = "The city is relocated to (#1,#2)",
	uc448 = "Transfer",
	uc449 = "Please enter a coordinate",
	er1 = "Failure Message",
	er2 = "The city doesn't exist",
	er3 = "You're not in the same city",
	er4 = "Illegal name",
	er5 = "The name is taken",
	er6 = "Muted",
	er7 = "Exceeds the max troops",
	er8 = "Insufficient troops to dispatch",
	er9 = "Insufficient troops to dispatch",
	er10 = "Need higher player level to upgrade skills",
	er11 = "Need more skill points to upgrade skills",
	er12 = "Need more diamonds",
	er13 = "Insufficient resource",
	er14 = "Insufficient items",
	er15 = "Coordinate Error",
	er16 = "The coordinate is taken",
	er17 = "You can't build more buildings.",
	er18 = "The slot is not empty",
	er19 = "Building Level Unlock Error",
	er20 = "The queue doesn't exist",
	er21 = "Template Data Unfound",
	er22 = "Error in level limit",
	er23 = "The mail is deleted!",
	er24 = "League unfound",
	er25 = "The league is full",
	er26 = "Permission Denied",
	er27 = "Application unfound",
	er28 = "Chat too frequently",
	er29 = "The player is offline",
	er30 = "Need more energy point",
	er31 = "Donation chances have reached the max",
	er32 = "Chances to buy energy are exhausted",
	er33 = "The queue is full",
	er34 = "Quest unfound",
	er35 = "Quest incomplete",
	er36 = "It's not time",
	er37 = "The event is not started",
	er38 = "The city is protected by a shield",
	er39 = "You can't leave another league in 24 hours",
	er40 = "The player has joined a league",
	er41 = "You've got enough vice-presidents",
	er42 = "The chances to send league mail are exhausted",
	er43 = "Player unfound!",
	er44 = "Illegal account",
	er45 = "Illegal password",
	er46 = "Module Unfound",
	er47 = "Arena Ranking Error",
	er48 = "You haven't joint the arena",
	er49 = "You've used an exchange code",
	er50 = "Wrong exchange code",
	er51 = "The code is already used",
	er52 = "The player is not our league member",
	er100 = "Account registration failure",
	er255 = "Unknown Error",
	uc450 = "The resource is defended by ally. You can't dispatch more troops",
	uc451 = "Some troops are doing quests and can't be transferred",
	uc452 = "Article of Help",
	uc453 = "<span class = 'default28'>BUFF</span>",
	uc455 = "<span class = 'default28'>Counter</span>",
	uc457 = "<span class = 'default28'>Fight</span>",
	uc459 = "The area is defended by ally. No need to scout",
	uc460 = "<span class = 'yellow24'>Scout Report (scouting #1)</span>",
	uc461 = "No available mail to delete",
	uc462 = "Ally",
	uc463 = "Rival",
	uc464 = "Your League",
	uc465 = "Change",
	uc466 = "Neutrality",
	uc467 = "You have 20 ally leagues. Quota is full",
	uc468 = "You have 20 rival leagues. Quota is full",
	uc469 = "Buy Diamond",
	uc470 = "<span class = 'switchTitleOne'>Diamond</span>",
	uc471 = "<span class = 'switchTitleOne'>Sale</span>",
	uc472 = "#1/#2",
	uc473 = "Recharge #1<img src = 'diamond.png' width = 32 height = 32/> more and upgrade to VIP #2",
	uc474 = "(Reward diamonds are not included)",
	uc475 = "Check VIP",
	uc476 = "<span class = 'default28'>First Time Recharge Reward</span>",
	uc477 = "#1 diamonds",
	uc478 = "<span class = 'green20'>#1% off</span>",
	uc479 = "#1#2",
	uc480 = "Successfully bought item",
	uc481 = "VIP",
	uc482 = "VIP Details",
	uc483 = "<span class = 'default28'>VIP #1</span>",
	uc484 = "Provides <span class = 'yellow24'>#1</span> basic building queue",
	uc485 = "Provides <span class = 'yellow24'>#1</span> basic production and research queue",
	uc486 = "Daily chances for buying Energy: <span class = 'yellow24'>#1</span>",
	uc487 = "You can send <span class = 'yellow24'>#1</span> troops at the same time",
	uc488 = "Marching speed in the world +<span class = 'yellow24'>#1%</span>",
	uc489 = "Speed of warplane production is accelerated by <span class = 'yellow24'>#1%</span>",
	uc490 = "Speed of warplane modification is accelerated by <span class = 'yellow24'>#1%</span>",
	uc491 = "Research Speed +<span class = 'yellow24'>#1%</span>",
	uc492 = "Level EXP bonus: <span class = 'yellow24'>#1%</span>",
	uc493 = "Building and research queues enjoy <span class = 'yellow24'>#1</span> seconds of acceleration time ",
	uc494 = "Buy <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> in total to reach",
	uc495 = "<span class = 'default18'>VIP#1 Double</span>",
	uc496 = "Warehouse",
	uc497 = "Counter: #1<br/>#2",
	uc498 = "<span class = 'default20'>Free</span>",
	uc499 = "Please sign for it",
	uc500 = "Invest 1 time for long lasting returns!",
	uc501 = "Return on Investment",
	uc502 = "<span class = 'default50'>400%</span>",
	uc503 = "Recharge",
	uc504 = "Lucky Wheel",
	uc505 = "256",
	uc506 = "Diamond Rewards",
	uc507 = "Each spin grants rewards! The more you try, the more diamonds you can get!",
	uc508 = "<span class = 'default28'>Buy! Buy! Buy!</span>",
	uc509 = "<img src = 'diamond.png' width = 40 height = 40/><span class = 'default28'>#1</span>",
	uc510 = "Max chances reached",
	uc511 = "<span class = 'default18'>VIP#1 Triple</span>",
	uc512 = "Buy",
	uc513 = "VIP unlocks",
	uc514 = "VIP is full",
	uc515 = "Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to buy a permanent queue?",
	uc516 = "Your building queues have reached the max. You are suggested to clear CD with diamond or use Upgrade Now to save some time.",
	uc517 = "Basic building queue #1/5. You can buy #2",
	uc518 = "VIP unlocks building queue #1/3",
	uc519 = "+#1%",
	uc520 = "Left Time:",
	uc521 = "You can get the following items!",
	uc522 = "<span class = 'default28'>×#1</span>",
	uc523 = "More",
	uc524 = "<span class = 'default28'>#1#2</span>",
	uc525 = "<span class = 'default28'>No gift pack</span>",
	uc526 = "<span color = '0xfff9990e' size = '26'>You will gain</span>",
	uc527 = "<span color = '0xfff9990e' size = '20'>#1</span>",
	uc528 = "<span color = '0xfff9990e' size = '20'>Consume</span>",
	uc529 = "Basic iron output +<span class = 'yellow24'>#1%</span> permanently",
	uc530 = "Basic oil output +<span class = 'yellow24'>#1%</span> permanently",
	uc531 = "Basic Silicon Output +<span class = 'yellow24'>#1%</span>",
	uc532 = "Successfully bought building queue",
	uc533 = "<span class = 'green24'>Free</span>",
	uc534 = "Available",
	uc535 = "Lucky Lottery",
	uc536 = "Choose a random chest to gain rewards",
	uc537 = "Choose a random chest to gain rewards<br/> Draw with 1 bottle cap",
	uc538 = "Use the bottle cap to join the lottery",
	uc539 = "Use 1 bottle cap to join the lottery<br/>Cost: #1 diamonds<br/>Your Bottle Caps: 0",
	uc540 = "#1 ×#2<br/>#3",
	uc541 = "Confirm",
	uc542 = "Commander, the rewards have been sent to you. Please take them",
	uc543 = "Login daily to win a free chance for the lottery",
	uc544 = "Use 1 bottle cap to join the lottery<br/> Your Bottle Caps: #1",
	uc545 = "Free Lottery",
	uc546 = "Upgrade the commander to required level to collect rewards",
	uc547 = "Commander, the reinforcement has reached<br/>Please take them",
	uc548 = "Login for 15 days will award you luxury gift pack",
	uc549 = "Spin the lucky wheel to get top warplanes, super resource pack, commander plug-in and more! Super special offers!",
	uc550 = "Character Level",
	uc551 = "Reward",
	uc552 = "Operate",
	uc553 = "Free Lottery",
	uc554 = "Available to commanders no less than Lv.15",
	uc555 = "No more chance today",
	uc556 = "<span class = 'chatNamePrivate20'>You speak to #1</span>",
	uc557 = "<span class = 'chatNamePrivate20'>#1 speaks to you</span>",
	uc558 = "The building queue is full. Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to buy 1 permanent queue?",
	uc559 = "Double Rewards",
	uc560 = "Can't exceed the corresponding attribute level of previous level",
	uc561 = "<span class = 'default28'>Do you want to use <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to finish the update at once?</span>",
	uc562 = "<span class = 'default28'>Do you want to spend <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to buy the required resource in order to finish the update?</span>",
	uc563 = "<span class = 'default28'>Do you want to use <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to accelerate the update?</span>",
	uc564 = "<span class = 'switchTitleOne'>Parts</span>",
	uc565 = "<span class = 'switchTitleOne'>Supply Line</span>",
	uc566 = "<span class = 'switchTitleOne'>Warehouse</span>",
	uc567 = "Parts",
	uc568 = "<span class = 'switchTitleOne'>Enhance</span>",
	uc569 = "<span class = 'switchTitleOne'>Modify</span>",
	uc570 = "HP",
	uc571 = "Attack",
	uc572 = "HP&Anti-Restrain",
	uc573 = "Attack&Restrain",
	uc574 = "HP&Reduce Crit",
	uc575 = "Attack&Critical Damage",
	uc576 = "Banshee Warplane",
	uc577 = "Patrol Warplane",
	uc578 = "Thunder Warplane",
	uc579 = "Fort Warplane",
	uc580 = "<span class = 'gray20'>Lv.#1</span>",
	uc581 = "<span class = 'yellow20'>#1</span>",
	uc582 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc583 = "The part will unlock when the character reaches Lv.#1!",
	uc584 = "You have no parts now. You can get some in Supply Line levels",
	uc585 = "Good",
	uc586 = "Rare",
	uc587 = "Epic",
	uc588 = "Legendary",
	uc589 = "Modified successfully:#1",
	uc590 = "Enhance Level: #1",
	uc591 = "Bonus HP: #1%",
	uc592 = "Attack bonus: #1%",
	uc593 = "Assembly",
	uc594 = "Discharge",
	uc595 = "Disenchant",
	uc596 = "Enhance",
	uc597 = "Modify",
	uc598 = "Successfully assembled!",
	uc599 = "Successfully discharged!",
	uc600 = "<span class = 'green18'>+#1%</span>",
	uc601 = "The disenchanting can be done only in the warehouse!",
	uc602 = "<span class = 'switchTitleTwo'>Parts</span>",
	uc603 = "<span class = 'switchTitleTwo'>Design</span>",
	uc604 = "<span class = 'switchTitleTwo'>Exchange</span>",
	uc605 = "<span class = 'yellow20'>#1</span>",
	uc606 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc607 = "Disenchant",
	uc608 = "Tap to select a quality to disenchant",
	uc609 = "Choose Armor",
	uc610 = "<span class = 'yellow24'>Please select a warplane type</span>",
	uc611 = "Confirm",
	uc616 = "Please choose a warplane type",
	uc617 = "Batch Disenchant",
	uc618 = "<span class = 'yellow24'>Please select the quality of disenchanting</span>",
	uc619 = "Select All",
	uc620 = "No available parts",
	uc621 = "Disenchant",
	uc622 = "The disenchanted material can be viewed on the page of Modification<br/>Disenchant to gain:",
	uc623 = "Cancel",
	uc624 = "<span class = 'green24'>×#1</span>",
	uc625 = "Modified successfully:#1",
	uc626 = "Enhance Level: #1",
	uc627 = "Bonus HP: #1%",
	uc628 = "Attack bonus: #1%",
	uc629 = "Success rate: #1%",
	uc630 = "Enhance",
	uc631 = "Enhance Level: #1<span class = 'green24'>+1</span>",
	uc632 = "Bonus HP: #1% <span class = 'green24'>+#2%</span>",
	uc633 = "Attack bonus: #1%  <span class = 'green24'>+#2%</span>",
	uc634 = "Modify",
	uc635 = "Modification level: #1  <span class = 'green24'>+1</span>",
	uc636 = "Need more gold",
	uc637 = "Enhanced",
	uc638 = "Failed to enhance",
	uc639 = "Insufficient items",
	uc640 = "Modified successfully",
	uc641 = "Quality of Legendary can't be disenchanted",
	uc642 = "The enhance level can't be higher than the character level!",
	uc643 = "You have: #1/Need: #2",
	uc644 = "<span class = 'green24'>#1</span>",
	uc645 = "Disenchant",
	uc646 = "Make",
	uc647 = "Sure to spend 1 #1 to make 1 #2?",
	uc648 = "Made",
	uc650 = "disenchant 1 to gain #1 #2",
	uc651 = "Disenchant",
	uc652 = "<span class = 'green24'>#1/#2</span>",
	uc653 = "Min",
	uc654 = "Max",
	uc655 = "Confirm",
	uc656 = "Exchange",
	uc657 = "Need more normal Design Shards",
	uc658 = "Insufficient Advanced Design Shards",
	uc659 = "Sure to delete the chosen mails?",
	uc660 = "Mail deleted",
	uc661 = "<span class = 'rank1'>#1</span>",
	uc662 = "<span class = 'rank1'>LV#1</span>",
	uc663 = "<span class = 'rank2'>#1</span>",
	uc664 = "<span class = 'rank2'>LV#1</span>",
	uc665 = "<span class = 'rank3'>#1</span>",
	uc666 = "<span class = 'rank3'>LV#1</span>",
	uc667 = "<span class = 'rank4'>#1</span>",
	uc668 = "<span class = 'rank4'>LV#1</span>",
	uc669 = "If the troops win, they will come back directly",
	uc670 = "If the troops win, they will stay and collect resources",
	uc671 = "<span class = 'default28'>Improve Attributes</span>",
	uc672 = "<span class = 'default18'>Anti-Restrain</span>",
	uc673 = "<span class = 'default18'>Restrain</span>",
	uc674 = "<span class = 'default18'>HP</span>",
	uc675 = "<span class = 'default18'>Attack</span>",
	uc676 = "<span class = 'default18'>Reduce Crit</span>",
	uc677 = "<span class = 'default18'>Critical Damage</span>",
	uc678 = "<span class = 'red24'>LV.#1</span>",
	uc679 = "About the League",
	uc680 = "Why joining a league:",
	uc681 = "Ask for help from your league members<br/>and learn from them<br/>League Tech can increase battle attributes<br/>The league grants different designs",
	uc682 = "Join",
	uc683 = "Create",
	uc684 = "<span class = 'alterTitle'>League</span>",
	uc685 = "<span class = 'green22'>Commander Plug-in X2</span>",
	uc686 = "<span class = 'default22'>Create or join a league to collect it for free</span>",
	uc687 = "<span class = 'green22'>League Tech</span>",
	uc688 = "<span class = 'default22'>Bonus granted by techniques will improve your power easily</span>",
	uc689 = "<span class = 'green22'>League Chat</span>",
	uc690 = "<span class = 'default22'>An exclusive channel for you and your friends in the League</span>",
	uc691 = "<span class = 'green22'>League Store</span>",
	uc692 = "<span class = 'default22'>Various items and designs of top parts are waiting for you to exchange</span>",
	uc693 = "Collect",
	uc694 = "<span class = 'default22'>#1</span>",
	uc695 = "Span <span class = 'green24'>#1/50</span> today",
	uc696 = "Available to commanders no lower than Lv.15",
	uc697 = "Your Bottle Caps: <span class = 'green24'>#1</span>",
	uc698 = "<span class = 'green24'>#1</span>",
	uc699 = "<span class = 'build26WithOutline'>#1</span>",
	uc700 = "<span class = 'chatFightReport24'>Return Report</span>",
	uc701 = "Unlock the parts when the character reaches Lv.#1",
	uc702 = "<span class = 'yellow24'>#1</span>",
	uc703 = "Need higher fame level",
	uc704 = "<span class = 'chatContent24'>#1</span>",
	uc705 = "<span class = 'itemTitle24'>#1</span>",
	uc706 = "The league unlocks when the Command Center reaches Lv.5",
	uc707 = "<span class = 'chatSystem20'>#1</span>",
	uc708 = "<span class = 'chatSystem24'>#1</span>",
	uc709 = "#1 levels can be attacked now",
	uc710 = "Left Chance to Reset: #1",
	uc711 = "Level Reset",
	uc712 = "Daily Chances to Reset Supply Line: <span class = 'yellow24'>#1</span>",
	uc713 = "Arena Purchase Chance <span class = 'yellow24'>#1</span>",
	uc714 = "Today's chances to reset are used up. Increase VIP level to gain more chances",
	uc715 = "Sure to reset the supply line with #1 </span><img src = 'diamond.png' width = 32 height = 32/>?",
	uc716 = "Unlocks when you reach Lv.#1",
	uc717 = "Parts Lottery",
	uc718 = "<span class = '_drawCard1_26'>#1</span>",
	uc719 = "<span class = '_drawCard1_24'>Free in #1</span>",
	uc720 = "<span class = '_drawCard1_26'>#1</span>",
	uc721 = "<span class = '_drawCard1_24'>Free in #1</span>",
	uc722 = "<span class = '_drawCard3_26'>#1</span>",
	uc723 = "<span class = '_drawCard1_24'>Free in #1</span>",
	uc724 = "Free",
	uc725 = "Lottery",
	uc726 = "<span class = '_drawCard1_26'>Good </span><br/><span class = '_drawCard2_26'>Rare</span>",
	uc727 = "<span class = '_drawCard1_26'>Good </span><br/><span class = '_drawCard2_26'>Rare </span><br/><span class = '_drawCard3_26'>Epic</span>",
	uc728 = "<span class = '_drawCard2_26'>Rare </span><br/><span class = '_drawCard3_26'>Epic </span><br/><span class = '_drawCard4_26'>Legendary</span>",
	uc729 = "Spend diamond for lottery",
	uc730 = "Sure to spend #1 <img src = 'diamond.png' width = 32 height = 32/> to draw Parts Design?",
	uc731 = "Lottery: <span class = 'green26'>1</span>",
	uc732 = "Lottery: <span class = 'green26'>10</span>",
	uc733 = "<span class = '_drawCard1_26'>#1</span>",
	uc734 = "<span class = '_drawCard4_24'>#1</span>",
	uc735 = "<span class = 'default28'>Recharge</span>",
	uc736 = "<span class = 'yellow24'>Recharge<br/></span>",
	uc737 = "vip#1: accumulated recharge amounts #2<img src = 'diamond.png' width = 32 height = 32/><br/>",
	uc738 = "<span class = 'default28'>Character Attribute</span>",
	uc740 = "<span class = 'default28'>Character Tech</span>",
	uc742 = "<span class = 'default28'>Character Skill</span>",
	uc744 = "<span class = 'default28'>Base Building</span>",
	uc746 = "<span class = 'default28'>Suburb Building</span>",
	uc748 = "<span class = 'default28'>World Resource Point</span>",
	uc750 = "<span class = 'default28'>League</span>",
	uc752 = "<span class = 'default28'>League Tech</span>",
	uc754 = "<span class = 'default28'>Bugs of Game</span>",
	uc756 = "Contact Us",
	uc757 = "Gain Parts",
	uc758 = "Supply Line",
	uc759 = "Make Design",
	uc760 = "Design Lottery",
	uc761 = "Go",
	uc762 = "<span class = 'red24'>You have: #1/Needed: #2</span>",
	uc763 = "<span class = 'green24'>Gold</span>",
	uc764 = "1. Attacking levels of Supply Line won't consume warplanes<br/>2. Chances will reset on 0:00 daily<br/>3. The first time of attacking consumes Energy<br/>4. If reset with diamond, today's attacking won't consume Energy<br/>5. Daily reset chances of Supply Line are related to VIP level<br/>",
	uc765 = "<span class = 'default24'>Upgrade Skill</span>",
	uc766 = "<span class = 'green24'><img src = 'diamond.png' width = 32 height = 32/>+#1</span>",
	uc767 = "<span class = 'red24'><img src = 'diamond.png' width = 32 height = 32/>-#1</span>",
	uc768 = "Ends in #1",
	uc769 = "<span class = '_drawCard1_26'>#1</span>",
	uc770 = "Each disenchanted good part or design grants 1 normal shard<br/>Each disenchanted rare part or design grants 3 normal shards<br/>Each disenchanted epic part or design grants 1 advanced shard<br/>Each disenchanted legendary part or design grants 5 advanced shards<br/>",
	uc771 = "Anti-Restrain bonus: #1%",
	uc772 = "Bonus Restrain: #1",
	uc773 = "Reduce Crit bonus: #1%",
	uc774 = "Critical Damage: #1%",
	uc775 = "Anti-Restrain bonus: #1%  <span class = 'green24'>+#2%</span>",
	uc776 = "Bonus Restrain: #1% <span class = 'green24'>+#2%</span>",
	uc777 = "Reduce Crit bonus: #1%  <span class = 'green24'>+#2%</span>",
	uc778 = "Critical Damage: #1%  <span class = 'green24'>+#2%</span>",
	uc779 = "Your league keeps a neutrality relationship with them. The president can change the league's relationship with others.",
	uc780 = "The league is your enemy. The president can change the league's relationship with others.",
	uc781 = "The league is your ally. The president can change the league's relationship with others.",
	uc782 = "+ #1",
	uc783 = "- #1",
	uc784 = "Available Parts Design Quality:<span class = '_drawCard1_26'>Good",
	uc785 = "Available Parts Design Quality:<span class = '_drawCard1_26'>Good,</span><span class = '_drawCard2_26'>Rare",
	uc786 = "Available Parts Design Quality:<span class = '_drawCard1_26'>Good,</span><span class = '_drawCard2_26'>Rare,</span><span class = '_drawCard3_26'>Epic</span>",
	uc787 = "Available Parts Design Quality:<span class = '_drawCard1_26'>Rare,</span><span class = '_drawCard2_26'>Epic,</span><span class = '_drawCard3_26'>Legendary</span>",
	uc789 = "<span class = 'switchTitleTwo'>Contribution</span>",
	uc790 = "Weekly Contribution",
	uc791 = "<span class = '_drawCard3_24'>Bonus Dodge: </span>#1%",
	uc792 = "<span class = '_drawCard3_24'>Bonus Dodge: </span>#1%",
	uc793 = "<span class = '_drawCard3_24'>Bonus Hit: </span>#1%",
	uc794 = "<span class = '_drawCard3_24'>Bonus Hit: </span>#1%",
	uc795 = "<span class = '_drawCard3_24'>Bonus Dodge: </span>#1% <span class = 'green24'>+#2%</span>",
	uc796 = "<span class = '_drawCard3_24'>Bonus Dodge: </span>#1% <span class = 'green24'>+#2%</span>",
	uc797 = "<span class = '_drawCard3_24'>Bonus Hit: </span>#1% <span class = 'green24'>+#2%</span>",
	uc798 = "<span class = '_drawCard3_24'>Bonus Hit: </span>#1% <span class = 'green24'>+#2%</span>",
	uc799 = "<span class = 'switchTitleOne'>Time-limit Store</span>",
	uc800 = "Buy",
	uc801 = "<span class = 'green24'>#1/#2</span>",
	uc802 = "No more chance to buy",
	uc803 = "Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> for the item?",
	uc804 = "Successfully bought this item",
	uc805 = "Total Recharge",
	uc806 = "Event",
	uc807 = "Total Recharge Rebates",
	uc808 = "The normal Recharge in the event will calculate into the total Recharge<br/>Recharge certain diamonds in the event and claim super reward",
	uc809 = "Bought #1 Diamond in total",
	uc810 = "Total #1 / #2",
	uc811 = "1. Enhancing will improve Attack or HP of the present 4 types of warplanes<br/>2. When the present level's attribute are not enhanced fully, the next level can't be enhanced better",
	uc812 = "Fast Development",
	uc813 = "The order already exists",
	uc814 = "Failure",
	uc815 = "productId error",
	uc816 = "Error occurred in the order",
	uc817 = "The connection is unstable. Please try again",
	uc818 = "Mail: support@tapugame.com",
	uc819 = "Sure to spend <span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to buy it?",
	uc820 = "<span class = 'red24'>Unlocks when the character reaches Lv.#1</span>",
	uc821 = "Search enemies and attack them",
	uc822 = "Manage your base",
	uc823 = "Build Resource Building",
	uc824 = "League: none",
	uc825 = "<span class = 'chatNameAlliance20'>#1</span>",
	uc826 = "<span class = 'chatNameAlliance24'>#1:</span>#2",
	uc827 = "<span class = 'chatNamePrivate24'>You speak to #1: </span>#2",
	uc828 = "<span class = 'chatNamePrivate24'>#1 speaks to you: </span>#2",
	uc829 = "<span class = 'alterTitle'>The Emeny's Coming</span>",
	uc830 = "#1 will arrive in our base",
	uc831 = "Coordinate X:#1,Y: #2",
	uc832 = "Time of Arrival: #1",
	uc833 = "<span class = 'yellow24'>Battle Report (#1 is attacked)</span>",
	uc834 = "<span class = 'chatFightReport24'>Battle Report (#1 is attacked)</span>",
	uc835 = "<span class = 'chatFightReport20'>Battle Report (#1 is attacked)</span>",
	uc836 = "During the event of Fast Development, the time of building, warplane production and tech research will be reduced by 20%",
	uc837 = "Building CD-20%",
	uc838 = "Warplane Production CD -20%",
	uc839 = "Research Time -20%",
	uc840 = "Go",
	uc841 = "Exchange code",
	uc842 = "Exchange",
	uc843 = "Please enter an exchange code!",
	uc844 = "The exchange code should be less than #1 characters (numbers or letters)",
	uc845 = "Our troops have attacked #1 <br/>Location: #2(#3.#4)</span><br/>Time: #5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>Honor: #7</span>",
	uc846 = "Defense: none",
	uc847 = "<span class = 'default28'>Do you want to spend <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to repair the warplane?</span>",
	uc848 = "<span class = 'default28'>Do you want to spend <span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/> to repair all your warplanes?</span>",
	uc849 = "Sure to delete the mail?",
	uc850 = "Change Password",
	uc851 = "Change account",
	uc852 = "Account: #1",
	uc853 = "Server: #1",
	uc854 = "Present password",
	uc855 = "New Password",
	uc856 = "Enter Again",
	uc857 = "Change",
	uc858 = "The original password can't be empty",
	uc859 = "The original password is incorrect",
	uc860 = "The new password can't be empty",
	uc861 = "The password shall be ≥ #1 and ≤#2 characters",
	uc862 = "The two passwords don't match",
	uc863 = "Password changed",
	uc864 = "<span class = 'green24'>#1</span>",
	uc865 = "Gold",
	uc866 = "Your city is under attack",
	uc867 = "Gain Fame",
	uc868 = "#1 Fame",
	uc869 = "Buy",
	uc870 = "Real-name Registration",
	uc871 = "<span class = 'default24'>#1</span>",
	uc872 = "Announcement",
	uc873 = "<span color = '0xffffffff'>#1Ⅰ</span>",
	uc874 = "<span color = '0x00ff96ff'>#1Ⅱ</span>",
	uc875 = "<span color = '0xff41eff'>#1Ⅲ</span>",
	uc876 = "<span color = '0xda70d6ff'>#1Ⅳ</span>",
	uc877 = "<span color = '0xff6100ff'>#1Ⅴ</span>",
	uc878 = "Develop City",
	uc879 = "Produce Troops",
	uc880 = "Research high-tech weapon",
	uc881 = "Catch Spy",
	uc882 = "Explore Unknown Area",
	uc883 = "Maintain Relationship",
	uc884 = "Steal enemy league's secret",
	uc885 = "Develop League Tech",
	uc886 = "Chapter #1 Level #2",
	uc887 = "Attack resource of Lv.#1 and better",
	uc888 = "Lv.#1 Command Center",
	uc889 = "Build Mint",
	uc890 = "Lv.#1 Mint",
	uc891 = "Build Iron Mine",
	uc892 = "Lv.#1 Iron Mine",
	uc893 = "Lv.#1 Oil Well",
	uc894 = "Lv.#1 Silicon Mine",
	uc895 = "Build Titanium Mine",
	uc896 = "Lv.#1 Titanium Mine",
	uc897 = "Build Research Center",
	uc898 = "Lv.#1 Research Center",
	uc899 = "Build Warehouse",
	uc900 = "Lv.#1 Warehouse",
	uc901 = "Build Hangar",
	uc902 = "Lv.#1 Hangar",
	uc903 = "#1 Light Banshee Warplane",
	uc904 = "#1 Light Patrol Warplane",
	uc905 = "#1 Light Thunder Warplane",
	uc906 = "#1 Light Fort Warplane",
	uc907 = "#1 Medium Banshee Warplane",
	uc908 = "#1 Medium Patrol Warplane",
	uc909 = "#1 Medium Thunder Warplane",
	uc910 = "#1 Medium Fort Warplane",
	uc911 = "#1 Heavy Banshee Warplane",
	uc912 = "#1 Heavy Patrol Warplane",
	uc913 = "#1 Heavy Thunder Warplane",
	uc914 = "#1 Heavy Fort Warplane",
	uc915 = "#1 Elite Banshee Warplane",
	uc916 = "#1 Elite Patrol Warplane",
	uc917 = "#1 Elite Thunder Warplane",
	uc918 = "#1 Elite Fort Warplane",
	uc919 = "Iron Output Reaches #1",
	uc920 = "Oil output reaches #1",
	uc921 = "Silicon Output Reaches #1",
	uc922 = "System",
	uc923 = "All Members",
	uc924 = "Congratulations to #1 for commanding becoming #2!",
	uc925 = "Congratulations to #1 for getting #2 in Lottery!",
	uc926 = "Congratulations to #1 for defeating #2 in the arena and being the champion!",
	uc927 = "Return Report",
	uc928 = "<span class = 'red24'>Need fame LV#1</span>",

	uc929 = "Role LV#1 open",
	uc930 = "Level Up!",
	uc931 = "Congratulations! You have reached Level #1!",

	uc932 = "Unlock Research Center",
	uc933 = "go",
	uc934 = "Unlock Warplane Laboratory",
	uc935 = "Unlock Parts",
	uc936 = "Unlock Arena",

	uc937 = "Using buff in battle could help you dealing with difficult enemy",
	uc938 = "Building and Tech research would be accelerated for free. Higher VIP level brings longer free time",
	uc939 = "Fail in level battle will not cost any energy",
	uc940 = "80% of fighers damaged in world battle will be sent to Repair Plant, the rest will be scrapped",
	uc941 = "You will gain great support from League Tech by joining a league",
	uc942 = "Legendary Parts Design could be obtained from lottery, Arena Store and League Store",

	uc943 = "</span><img src = 'beAttack.png' width = 32 height = 32/>",
	uc944 = "Default",
	uc945 = "<span class = 'yellow26'>#1</span>",
	uc946 = "(Only 50% of resource will be returned)",
	uc947 = "<span class = 'yellow24'>#1</span> formation could be set by players",
	uc948 = "We don't have enough warplanes in base for the formation",
	uc949 = "It has been set as default formation",
	uc950 = "Common Formation",

	uc951 = "Formation#1",
	uc952 = "Formation#1( available for VIP#2)",

	uc953 = "Default",
	uc954 = "Replace",
	uc955 = "Apply",

	uc956 = "Formation Set",
	uc957 = "Formation Applied",
	uc958 = "Default Formation Applied",

	uc959 = "HP&Anti-Restrain",
	uc960 = "Attack&Restrain",
	uc961 = "HP&Reduce Crit",
	uc962 = "Attack&Critical Damage",

	uc963 = "<span class = 'yellow24'>#1</span>",
	uc964 = "Added to Favorite",
	uc965 = "You can't add more to Faverite",
	uc966 = "<span class = 'default18'>#1</span>",
	uc967 = "Daily Recharge",
	uc968 = "Recharging diamond daily to certain amount will grant you great reward( presented free diamonds are not included)",
	uc969 = "Resource Collect",
	uc970 = "During the event, collecting certain amount of 5 kinds of resources will grant you specific rewards. Reward for each resource will be granted only once during the event",
	uc971 = "Return Reward for Daily Recharge",

	uc972 = "Gold Goal:#1/4",
	uc973 = "Iron Goal:#1/4",
	uc974 = "Oil Goal:#1/4",
	uc975 = "Silicium Goal:#1/4",
	uc976 = "Titanium Goal:#1/4",
	uc977 = "Resource collected:#1",
	uc978 = "#1/#2",
	uc979 = "Lord of War",
	uc980 = "During the event, attacking other player's base to certain amount will grant you specific reward",
	uc981 = "Attack #1/#2 times",
	
	uc982 = "Military Rank",
	uc983 = "No military rank",
	uc984 = "<span class = 'itemTitle26'>#1</span>",
	uc985 = "<span class = 'itemTitle22'>honor:</span>",
	uc986 = "<span class = 'itemTitle24'>advanced commandLV.#1</span>",
	uc987 = "<span class = 'itemTitle22'>revenge points:</span>",
	uc988 = "Lead troops:<span class = 'green24'>+#1</span>",
	uc989 = "Introduction",
	uc990 = "Insufficient honor medals",
	uc991 = "Advanced command level up successfully",
	uc992 = "Advanced command's level can't be higher than commander's level",
	uc993 = "Honor",
	uc994 = "Honor Shop",
	uc995 = "Military Rank",
	uc996 = "Reward",
	uc997 = "Honor Point",
	uc998 = "Players",
	uc999 = "&#62;=#1",
	uc1000 = "&#62;=#1&&#60;=#2",
	uc1001 = "Unlimited",
	uc1002 = "Honor Medal:<img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/>#1     revenge points:#2",
	uc1003 = "<span color = '0xff0000ff'>advanced command #1 can revenge</span>",
	uc1004 = "<span class = 'default20'>Medal:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #1</span>",
	uc1005 = "Exchange successfully",
	uc1006 = "Insufficient honor medals",
	uc1007 = "<span class = 'switchTitleTwo'>items</span>",
	uc1008 = "<span class = 'switchTitleTwo'>parts</span>",
	uc1009 = "<span class = 'switchTitleTwo'>troops</span>",
	uc1010 = "<span class = 'switchTitleTwo'>heros</span>",
	
	uc1011 = "honor : #1",
	uc1012 = "You have purchased #1 queues<br/>You can also buy #2 queues<br/>You are currently VIP#3, has #4 queues",
	uc1013 = "<span class = 'default22'>#1</span>",
	uc1015 = "Enemy",
    uc1016 = "Share",
    uc1017 = "Get rewards for daily sharing :",
    uc1018 = "rewards",
    uc1019 = "<span class = 'default24'>Always display building names</span>",
	
	uc1020 = "Revenge:<span class = 'green24'>#1</span>",
	uc1021 = "Revenge:<span class = 'red24'>#1</span>",
	uc1022 = "Honor:<span class = 'green24'>#1</span>",
	uc1023 = "Honor:<span class = 'red24'>#1</span>",
	uc1024 = "Honor:#1",
	uc1025 = "Military Rank :",
    uc1026 = "(#1)",
	uc1027 = "Honor Point",
	uc1028 = "Null",
	uc1029 = require("res.data.lang.zh_CN.medalAward"),
	uc1030 = "<span class = 'default28'>promote advanced command</span>",
	uc1031 = "Consume Honor Medal and Revenge Point to upgrade advanced command",
	uc1032 = "<span class = 'default20'>Current Level:LV.#1</span>",
	uc1033 = "<span class = 'default20'>Max Level:LV.</span><span class = 'red20'>#1</span>",
	uc1034 = "<span class = 'default20'>You have:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #1   cost:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #2</span>",
	uc1035 = "<span class = 'default20'>You have Revenge Points:#1   cost:#2</span>",
	uc1036 = "<span class = 'default20'>Extra troops capacity:<span class = 'green20'>#1</span></span>",
	uc1037 = "Increase",
	uc1038 = "Insufficient Revenge Point",
	uc1039 = "<span class = 'default20'>Revenge Point:#1</span>",
	uc1040 = "10 times lottery",
	uc1041 = "Be sure to get 1 TOP Design",
	uc1042 = "Draw lottery 10 times",
	uc1043 = "0/#1",
    uc1044 = "#1¥",
    uc1045 = "#1$",
	uc1046 = "Recharge certain grade and get rewarded，For each grade you can only receive reward once",
	uc1047 = "First time recharge#1grade diamond can get",
	uc1048 = "First Recharge feedback",
	uc1049 = "First Recharge greet feedback",
	uc1050 = "Sure to spend 1#1 to produce 1 part and equip?",
	uc1051 = "Produce and equip successfully!",
	uc1052 = "Replace",
	uc1053 = "default city skin",
	uc1054 = "city skin",
	uc1055 = "<span class = 'default20'>#1</span>",
	uc1056 = "Replace success",
	uc1057 = "This item provide no buffs",
	uc1058 = "still default city skin style",
	uc1059 = "still default city skin style",
	
	uc1060 = "<img src = 'diamond.png' width = 32 height = 32/> #1",
    uc1061 = "Not enough parts components",
    uc1062 = "Make and assembled",
    uc1063 = "<span class = 'green24'>#1</span>",
    uc1064 = "Not enough queues",
    uc1065 = "You can spend a diamond accelerate the current time of the shortest queue, and the task of this added to the queues",
    uc1066 = "Accelerate",
    uc1067 = "Buy",
    uc1068 = "<span class = 'yellow24'>Need</span> <img src = 'diamond.png' width = 32 height = 32/> <span class = 'yellow24'>#1</span>",
    uc1069 = "<span class = 'yellow24'>Free</span>",
    uc1070 = "The current minimum queue has been completed, this task has been added to the queue",
    uc1071 = "Reset double recharge",
    uc1072 = "Reset double recharge success",
    uc1073 = "Whether to reset this tier double recharge?",
	uc1074 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1×#2</span>",
    uc1075 = "Ⅴ",
    uc1076 = "After the players level 12 before you can donate",
    uc1077 = "Alliance donate <span class = 'yellow24'>#1</span> per day",

    uc1078 = "<span class = 'default26'>Daily number of full donation, you are currently<span class = 'yellow26'>VIP#1</span></span>",
	uc1079 = "<span class = 'yellow24'>VIP#1</span> donate <span class = 'yellow24'>#2</span> per day",
	uc1080 = "<span class = 'yellow24'>VIP</span> upgrade can increase the number of daily donations",
	
    uc1081 = "Arms Race",
    uc1082 = "During the activity, the production or modification of a number of war planes, can receive more advanced fighter!",
    uc1083 = "Production of #1 #2 can receive",
    uc1084 = "#1/#2",
    uc1085 = "Produce",


	ug_quality_lv="<span class=qualityLv1>#1</span>,<span class=qualityLv2>#1</span>,<span class=qualityLv3>#1</span>,<span class=qualityLv4>#1</span>,<span class=qualityLv5>#1</span>",
	ug_role="Role",

	ug_persionalCenter="User Center",

	ug_morePay="<span class = 'default20'>More Payment Options</span>",

	ug_guide_2_world=" Commander， welcome to our new base. We could build fortress here. In order to get familiar with surroundings quickly, please follow me to the world map. ",
	ug_guide_2_base=" There are massive rich resource fields here that can be used to speed up our development. However we must be caution if there's greedy enemy. Wait! Alarm! ",
	ug_guide_tip_2_world=" Tap to port to World Map",
	ug_guide_tip_2_base=" Tap to port to Base",

	ug_eg_startGame="<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>Start Game</span>",
	ug_share="Warplane Empire is coming! ",
	ug_share_text=[[Build your city, train your force, occupy resource fields and defense your territory. Make alliance with friends, together you can conquer the world! 
Warplane Empire --the battle is waiting! ]],
	ug_share_failure="Share failed",
	
	ug_quitTip="Exit the game?",
	
	ug_changeNameNotice="Attention please! Commander's name CAN NOT be changed in the game!",
	
	ug_netException="Connection timeout",
	ug_netException_reloginTip="Disconnected from the server!",
	
	ug_mapLocTip = "Sure to scout area(#1,#2)?",
	ug_payFail = "Purchase failed(error code:#1)!",
	ug_payName = "#1diamond",
	ug_guide_resCollectionTip = "Resource map can't provide enough resources we need, we just scouted a Iron Store, let's assign our troops to gather it",
	ug_guide_resLocTip = "The Iron Store's  coordinate has been confirmed",
	ug_guide_armyTaskWaitTip = "There will be sometime before your troops reach destination, you can return to base and wait for the result",
	ug_guide_cellectionComplete = "Your troops have finished gathering, please send them back to base",
	ug_guide_tipOpenArmyTaskWindow = "Double click to open the march task interface",
	ug_guide_clickArmyBack = "Click to send your troops back",
	ug_guide_confirmBack = "Confirm to return",
	ug_switchAccount = "Switch account",
	
	
}


return T





