local TEMPLATE={
	v1 = "Provides #1 resource output and #2 volume. Upgrade it to build higher level buildings.",
	v2 = "Command Center unlocks at Lv.#1",
	v3 = "Upgrade to unlock more tech and increase the research speed by #1%",
	v4 = "+#1% Hit",
	v5 = "+#1% Dodge",
	v6 = "+#1% Critical",
	v7 = "+#1% Critical Resistance",
	v8 = "+#1% Banshee Warplane's Attack",
	v9 = "+#1% Patrol Warplane's Attack",
	v10 = "+#1% Thunder Warplane's Attack",
	v11 = "+#1% Fort Warplane's Attack",
	v12 = "+#1% Banshee Warplane's HP",
	v13 = "+#1% Patrol Warplane's HP",
	v14 = "+#1% Thunder Warplane's HP",
	v15 = "+#1% Fort Warplane's HP",
	v16 = "Provides #1 resource volume and protects them from been robbed",
	v17 = "Produces #1 gold per hour and provides #2 gold volume",
	v18 = "Produces #1 iron per hour and provides #2 iron volume",
	v19 = "Produces #1 oil per hour and provides #2 oil volume",
	v20 = "Produces #1 silicon per hour and provides #2 silicon volume",
	v21 = "Produces #1 titanium and provides #2 titanium volume",
	v22 = "The present warehouse could protect #1 of each resource from being robbed",
	v31 = "You have #1 Honor Medals now",
	v32 = "You have no commander plug-in and can use #1 <img src = 'diamond.png' width = 32 height = 32/> to increase commander level. Need more <br/><img src = 'diamond.png' width = 32 height = 32/>. Sure to Recharge now?",
	v33 = "Spend #1 diamond for #2 energy!",
	v34 = "Commander upgraded. Now you can lead #1 more Warplanes",
	v10000 = "+5% Gold Output/Level",
	v10001 = "+5% Iron Output/Level",
	v10002 = "+5% Oil Output/Level",
	v10003 = "+5% Silicon Output/Level",
	v10004 = "+5% Titanium Output/Level",
	v10005 = "+5% Building Speed/Level",
	v10006 = "+5% Total Resources Volume/Level; +5% Warehouse Protection Volume/Level",
	v10007 = "+5% Battle EXP/Level",
	v10008 = "+5% marching speed/Level",
	v10009 = "+5% Banshee Warplane attack/Level",
	v10010 = "+5% Banshee Warplane HP/Level",
	v10011 = "+5% Patrol Warplane Attack/Level",
	v10012 = "+5% Patrol Warplane HP/Level",
	v10013 = "+5% Thunder Warplane attack/Level",
	v10014 = "+5% Thunder Warplane HP/Level",
	v10015 = "+5% Fort Warplane Attack/Level",
	v10016 = "+5% Fort Warplane HP/Level",
	v10017 = "Basic Gold Output+#1%. Lasts #2",
	v10018 = "Basic Iron Output+#1%. Lasts #2",
	v10019 = "Basic Oil Output+#1%. Lasts #2",
	v10020 = "Basic Silicon Output+#1%. Lasts #2",
	v10021 = "Basic Titanium Output+#1%. Lasts #2",
	v10022 = "Use to gain #1 Gold",
	v10023 = "Use to gain #1 Iron",
	v10024 = "Use to gain #1 Oil",
	v10025 = "Use to gain #1 Silicon",
	v10026 = "Use to gain #1 Titanium",
	v10027 = "Deals #1% more damage. Lasts #2",
	v10028 = "Damage Taken -#1%. Lasts #2",
	v10029 = "Increases precision by #1%. Lasts #2",
	v10030 = "Increases dodge by #1%. Lasts #2",
	v10031 = "Increases critical by #1%. Lasts #2",
	v10032 = "Increases critical resistance by #1%. Lasts #2",
	v10033 = "Doubles the marching speed in the World Map. Lasts #1",
	v10034 = "The base can't be attacked for #1; if you attack others, this status will be cancelled",
	v10035 = "Increases 5 resources' basic output by #1. Lasts #2",
	v10036 = "Has a chance to increase the number of troops a commander can lead",
	v10037 = "Upgrade the commander. Available in levels and daily quests",
	v10038 = "Use to move the base to a chosen place",
	v10039 = "Use to move the base to a random place",
	v10040 = "Use to gain #1 Commander Plug-ins",
	v10041 = "Use to gain #1 Skill Chips",
	v10042 = "Use to gain #1 Iron, Oil and Silicon; #2 Gold and Titanium",
	v10043 = "Use to gain #1 Iron, Oil and Silicon; #2 Gold and Titanium",
	v10044 = "Use to gain #1 Iron, Oil and Silicon; #2 Gold and Titanium",
	v10045 = "It can exchange for Epic Designs",
	v10046 = "It can exchange for Legendary Designs",
	v10047 = "It can make modules for modification",
	v1000 = "<span class = 'default28'>Do you want to spend <span class = 'popGems'>#1</span><img src = 'diamond.png'/> to finish this quest at once?</span>",
	v1001 = "Sure to spend #1 diamonds to buy resources and upgrade?",
	v1002 = "<span class = 'default28'>Do you want to spend <span class = 'popGems'>#1</span><img src = 'diamond.png'/> to finish this quest at once?</span>",
	vg1000 = "Basic iron output +#1% permanently",
	vg1001 = "Basic Oil Output+#1% permanently",
	vg1002 = "Basic Silicon Output +#1% permanently",
	vg1003 = "Basic Titanium output +#1% permanently",
	vg1004 = "Basic Gold Output+#1% Permanently",
	vg1005 = "Basic Warplane HP +#1% permanently",
	vg1006 = "Basic Warplane Attack +#1% permanently",
	vg1007 = "#1(Upgrade the League to unlock more League Tech, which could increase the Tech's top level)",
	vg1008 = "#1(When defending the base, each level increases the troops' attack by 1%)",
	vg1009 = "#1(When defending the base, each level increases the troops' HP by 1%)",
	vg1010 = "#1(Each level increases Hit by 1%)",
	vg1011 = "#1(Each level increases Dodge by 1%, which helps to dodge the enemy's attack)",
	vg1012 = "#1(Each level increases Critical by 1%)",
	vg1013 = "#1(Each level increases Critical Resistance by 1%, which reduces the enemy's Critical)",
	vg1014 = "#1(Each level increases Banshee Warplane's combo rate by 1%)",
	vg1015 = "#1(Each level increases Patrol Warplane's combo rate by 1%)",
	vg1016 = "#1(Each level increases Thunder Warplane's combo rate by 1%)",
	vg1017 = "#1(Each level increases Fort Warplane's combo rate by 1%)",
	v10045 = "Deals bonus damage on Fort Warplane. Increases ally units' damage by 5%. Loads #1 resource",
	v10046 = "Deals bonus damage on Banshee Warplane. Increases all ally units' critical by 5%. Loads #1 resource",
	v10047 = "Deals bonus damage on Patrol Warplane. Reduces 5% of damage dealt by enemy. Loads #1 resource",
	v10048 = "Deals bonus damage on Thunder Warplane. Reduces 5% of damage made by Fort Warplane. Loads #1 resource",
	v10049 = "Deals bonus damage on Fort Warplane. Increases ally units' damage by 10%. Loads #1 resource",
	v10050 = "Deals bonus damage on Banshee Warplane. Increases all ally units' critical by 10%. Loads #1 resource",
	v10051 = "Deals bonus damage on Patrol Warplane. Reduces 10% of damage dealt by enemy. Loads #1 resource",
	v10052 = "Deals bonus damage on Thunder Warplane. Reduces 10% of damage made by Fort Warplane. Loads #1 resource",
	v10053 = "Deals bonus damage on Fort Warplane. Increases ally units' damage by 15%. Loads #1 resource",
	v10054 = "Deals bonus damage on Banshee Warplane. Increases all ally units' critical by 15%. Loads #1 resource",
	v10055 = "Deals bonus damage on Patrol Warplane. Reduces 15% of damage dealt by enemy. Loads #1 resource",
	v10056 = "Deals bonus damage on Thunder Warplane. Reduces 15% of damage made by Fort Warplane. Loads #1 resource",
	v10057 = "Deals bonus damage on Fort Warplane. Increases ally units' damage by 20%. Loads #1 resource",
	v10058 = "Deals bonus damage on Banshee Warplane. Increases all ally units' critical by 20%. Loads #1 resource",
	v10059 = "Deals bonus damage on Patrol Warplane. Reduces 20% of damage dealt by enemy. Loads #1 resource",
	v10060 = "Deals bonus damage on Thunder Warplane. Reduces 20% of damage made by Fort Warplane. Loads #1 resource",
	v10061 = "It includes secret parameter of warplanes. Researching the data to improve warplanes' attributes",
	v10062 = "Halo: increases 5% of damage dealt by ally units<br/>Load: #1 units of resource",
	v10063 = "Halo: increases 5% of Critical of all ally units<br/>Load: #1 units of resource",
	v10064 = "Halo: reduces 5% of damage dealt by all enemy's troops<br/>Load: #1 units of resource",
	v10065 = "Halo: reduces 5% of damage dealt by the enemy's Fort Warplane<br/>Load: #1 units of resource",
	v10066 = "Halo: increases 10% of damage dealt by ally units<br/>Load: #1 units of resource",
	v10067 = "Halo: increases 10% of Critical of all ally units<br/>Load: #1 units of resource",
	v10068 = "Halo: reduces 10% of damage dealt by all enemy's troops<br/>Load: #1 units of resource",
	v10069 = "Halo: reduces 10% of damage dealt by the enemy's Fort Warplane<br/>Load: #1 units of resource",
	v10070 = "Halo: increases 15% of damage dealt by ally units<br/>Load: #1 units of resource",
	v10071 = "Halo: increases 15% of Critical of all ally units<br/>Load: #1 units of resource",
	v10072 = "Halo: reduces 15% of damage dealt by all enemy's troops<br/>Load: #1 units of resource",
	v10073 = "Halo: reduces 15% of damage dealt by the enemy's Fort Warplane<br/>Load: #1 units of resource",
	v10074 = "Halo: increases 20% of damage dealt by ally units<br/>Load: #1 units of resource",
	v10075 = "Halo: increases 20% of Critical of all ally units<br/>Load: #1 units of resource",
	v10076 = "Halo: reduces 20% of damage dealt by all enemy's troops<br/>Load: #1 units of resource",
	v10077 = "Halo: reduces 20% of damage dealt by the enemy's Fort Warplane<br/>Load: #1 units of resource",
	v10078 = "The easy accessible bottle cap looks useless. It is said that with it, you can join a mystic lottery.",
	v10079 = "It can exchange for Epic Designs",
	v10080 = "It can exchange for Legendary Designs",
	v10081 = "It can make parts for modification",
	v10082 = "Use to gain #1 Data Cores",
	
	v10083 = "Provided according to military rank,can be used to upgrade advanced command and to buy special items in honor store",
	v10084 = "use to acquire a Dark style's base skin, last for 7days",
	v10085 = "use to acquire a Ice Crystal style's base skin, last for 7days",
	v10086 = "use to acquire a Gold style's base skin, last for 7days",
	v10087 = "use to acquire a Luxuriant Gold style's base skin, last for 7days",

	v10088="Can replace gold upgrade parts",
    v10089="Use to gain 200 Parts Components",
    v10090="After using any tier you can reset recharge double",
	v10091="When the production of top fighters need to use drawings",
    v10092="Use to gain 100 Confidential Drawings",

    vPlaneDes1_17="Deals bonus damage on Fort Warplane. Increases ally units' damage by 25%. Loads #1 resource",
	vPlaneDes1_18="Deals bonus damage on Banshee Warplane. Increases all ally units' critical by 25%. Loads #1 resource",
	vPlaneDes1_19="Deals bonus damage on Patrol Warplane. Reduces 25% of damage dealt by enemy. Loads #1 resource",
	vPlaneDes1_20="Deals bonus damage on Thunder Warplane. Reduces 25% of damage made by Fort Warplane. Loads #1 resource",
	vPlaneDes2_17="Halo: increases 25% of damage dealt by ally units<br/>Load: #1 units of resource",
	vPlaneDes2_18="Halo: increases 25% of Critical of all ally units<br/>Load: #1 units of resource",
	vPlaneDes2_19="Halo: reduces 25% of damage dealt by all enemy's troops<br/>Load: #1 units of resource",
	vPlaneDes2_20="Halo: reduces 25% of damage dealt by the enemy's Fort Warplane<br/>Load: #1 units of resource",


}

return TEMPLATE
