--- 语言包
local T = {
	--登陆相关
	ug_version="<span color='0xcccccc'>version: [#1]#2</span>",
	ug_getServerListErr1 = "<span color = '0xfd0000'>未能正确获取到服务器列表数据,或解析服务器列表数据失败!</span><br/>点击后重试",
	ug_needUpdateCpp = "<span color = '0xfd0000'>有新的游戏版本需要更新!</span><br/>点击后将进入游戏更新页面",
	ug_tourist = "游客",
	ug_loginInput_nameCap = "账号:",
	ug_uidPlaceHold = "输入邮箱地址",
	ug_loginInput_pwdCap = "密码:",
	ug_pwdPlaceHold = "输入密码",
	ug_loginInput_rePwdCap = "确认密码:",
	ug_rePwdPlaceHold = "再次输入密码",
	ug_retPWD = "找回密码",
	ug_login = "登陆",
	ug_touristLogin = "游客登陆",
	ug_uidIsEmpty = "\"账号\"不能为空",
	ug_pwdIsEmpty = "\"密码\"不能为空",
	ug_binding = "绑定",
	ug_bindingSucc = "绑定成功,您现在可以使用新的账号登陆游戏了",
	ug_bibdingUidExist = "账号已存在!",
	ug_bindingUidFull = "每个设备最多只能绑定3个账号，已经绑定账号:#1",
	ug_uidTip = "请输入真实存在的<span color = '0xfd0000ff'>邮箱地址</span>作为您的账号,此邮箱地址将作为您<span color = '0xfd0000ff'>找回密码的唯一凭证</span>,请妥善保管!(账号长度限制为<span color = '0xfd0000ff'>#1</span>至<span color = '0xfd0000ff'>#2</span>个英文字符)",
	ug_pwdTip = "请输入<span color = '0xfd0000ff'>#1</span>至<span color = '0xfd0000ff'>#2</span>个英文字母(区分大小写)或数字做为您的密码!",
	ug_lastLoginAccontDelTip = "这是您上一次登陆游戏所使用的账号,确定需要删除吗?",
	ug_serverstate_recom = "<span color = '0x77f9b3ff'>推荐</span>",
	ug_serverstate_busy = "<span color = '0xff7f24ff'>繁忙</span>",
	ug_selServerTitle = "选择服务器",
	ug_selLanguageTip = "暂不支持",

	ug_updating = "正在更新资源",
	ug_updatingProgress = "正在更新资源(#1/#2)",
	ug_updatingCreateFileErr = "更新失败,不能创建文件<br/>点击后重试",
	ug_updatingNetworkErr = "更新失败,网络错误<br/>点击后重试",
	ug_updatingUncompressErr = "更新失败,解压文件时发生错误<br/>点击后重试",
	ug_updatingVersionErr = "更新失败,版本号错误<br/>点击后重试",
	ug_updatingUnknowErr = "更新失败,未知错误<br/>点击后重试",

	ug1 = "超时间引擎启动中,请稍候！",
	ug2 = "正在获取最新版本数据！",
	ug3 = "<span color = 'fa493c'>获取最新版本数据失败</span><br/>点击后重试",
	ug4 = "正在获取服务器列表数据",
	ug5 = "<span color = 'fa493c'>获取服务器列表数据失败</span><br/>点击后重试",
	ug6 = "正在连接服务器",
	ug7 = "<span color = 'fa493c'>连接服务器失败</span>",
	ug8 = "正在获取密钥",
	ug9 = "<span color = 'fa493c'>获取密钥超时</span>",
	ug10 = "<span color = 'fa493c'>网络异常</span><br/><span color = 'ff0000'>code:#1</span>",
	ug11 = "正在登陆服务器",
	ug12 = "<span color = 'fa493c'>登陆服务器失败</span>",
	ug13 = "请求超时",
	ug14 = "<span color = 'ff0000'>解析服务器返回的数据时出错！请更新客户端</span>",
	ug15 = "<span color = 'ff0000'>正在断线重连！</span>",
	ug16 = "正在加载资源",
	ug17 = "<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>登  陆</span>",
	ug18 = "<span size = 18 color = '0xdd0011'>更新资源失败</span>",
	ug19 = "<span size = 18 color = '0xdd0011'>获取最新版本数据成功</span>",
	ug20 = "<span size = 18 color = '0xdd0011'>正在连接服务器</span>",
	ug21 = "<span size = 18 color = '0xdd0011'>等待服务器密钥</span>",
	ug22 = "<span size = 18 color = '0xdd0011'>登陆用户</span>",
	ug23 = "<span size = 24 color = '0xdd0011'>您的账号已在别处登陆</span>",

	--颜色包装器
	ug50 = "<span color = '0xffffff'>#1</span>",

	--内存不足
	ug80 = "<span size = 24 color = '0xdd0011'>内存不足,请关闭正在后台运行的其它应用后再进行游戏!</span>",

	--提示框相关
	ug100 = "<span class = 'alterTitle'>提 示</span>",
	ug101 = "<span class = 'alterConfirmButton'>确 定</span>",
	ug102 = "<span class = 'alterConfirmButton'>取 消</span>",
	ug103 = "<span class = 'alterConfirmButton'>是</span>",
	ug104 = "<span class = 'alterConfirmButton'>否</span>",

	ug120 = "<span class = 'alterConfirmButton'>开</span>",
	ug121 = "<span class = 'alterConfirmButton'>关</span>",

	ug200 = "<span class = 'blue24'>第#1章</span><br/><span class = 'default24'>#2</span>",
	ug201 = "<span color = '0x00ff96'>#1/#2</span>",
	ug202 = "<span size = 24 color = '0xcccccc'>第#1章<br/>#2</span>",
	ug203 = "<span color = '0xcccccc' >#1/#2</span>",

	ug220 = "<span size = 30>#1</span>",
	ug221 = "<span size = 26>当前等级#1</span>",
	ug222 = "<span size = 26>#1 LV#2</span><br/><span size = 22>　　开启条件:攻打\"第#3章:#4\"达到#5星<br/>　　　　效果:#6</span>",
	ug223 = "<span color = '0x00ff96'><span size = 26>#1 LV#2</span><br/><span size = 22>　　开启条件:攻打\"第#3章:#4\"达到#5星<br/>　　　　效果:#6</span></span>",
	ug224 = "<span size = 26 color = '0xfd0000'>未开启</span>",

	ug250 = "主线剧情",
	ug251 = "<span size = 28 shadowColor = '0x000000cc' shadowOffset = '2,-2'>#1</span>",
	ug252 = "#1/#2(#3)",
	ug254 = "×#1",
	ug255 = "<span size = '26'>#1</span>",
	ug257 = "#1/#2",

	ug300 = "部队出征",
	ug301 = "<span class = 'switchTitleOne'>设置部队</span>",
	ug302 = "<span class = 'switchTitleOne'>执行任务</span>",
	ug303 = "<span class = 'switchTitleOne'>修理战机</span>",

	ug320 = "最大战力",
	ug321 = "进攻",
	ug322 = "带兵量:#1",
	ug323 = "当前战力:#1",
	ug324 = "技能/科技属性增加:",
	ug325 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug326 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug327 = "<span size = '24'>您的阵形中没有战机,请点击\"<span color = '0xff7f24ff'>最大战力</span>\"按钮或点击\"阵位\"进行阵形布置!</span>",
	ug328 = "攻击:",
	ug329 = "血量:",

	ug340 = "战机选择",

	ug360 = "修  复",
	ug361 = "<span size = 26>全部修理:</span>",
	ug362 = "<span size = 26>战斗中部队损失后,80%可返回修理厂</span>",

	ug400 = "<span color = 'fd0000ff'>与服务器的数据同步出错!</span>",
	ug401 = "跳过战斗",
	ug403 = "敌方部队",
	ug404 = "<span size = '22'>LV.#1</span>",
	ug405 = "回合:<span color = '0x00ff96'>#1/#2</span>",
	ug406 = "<span size = '22'>战利品</span>",
	ug407 = "可在修理厂修理#1架战机",
	ug408 = "修理战机",
	ug409 = "关闭",
	ug410 = "<span size = '22'>战斗失败!您可以:</span>",
	ug411 = "<span size = '22'>研发科技,增加战机属性</span>",
	ug412 = "研发科技",
	ug413 = "<span size = '22'>建造更高级的战机来提示战力</span>",
	ug414 = "生产战机",
	ug415 = "<span size = '22'>提升指挥,增加出战部队的战斗单位</span>",
	ug416 = "提升指挥",
	ug417 = "<span size = '22'>提示技能,增加战机属性</span>",
	ug418 = "提升技能",
	ug419 = "获取战斗数据失败",
	ug420 = "<span size = '22'>获取战斗回放数据失败!</span>",
	ug421 = "<span size = '22'>回放</span>",
	ug422 = "我方出战 <span color = '0x00ff96'>#1</span> 战机",
	ug423 = "敌方出战 <span color = '0x00ff96'>#1</span> 战机",
	ug424 = "尝试提升战机战力吧",
	ug425 = "配件",
	ug426 = "科技",
	ug427 = "战机",
	ug428 = "指挥",
	ug429 = "技能",
	ug430 = "修理",

	ug441 = "小提示:攻打关卡有几率获取<span color = '0x00ff96'>技能芯片</span>哦",

	ug500 = "<span size = '26'>添加部队</span>",

	ug600 = "联盟",
	ug601 = "<span class = 'switchTitleOne'>首   页</span>",
	ug602 = "<span class = 'switchTitleOne'>成   员</span>",
	ug603 = "<span class = 'switchTitleOne'>其   它</span>",
	ug604 = "<span class = 'switchTitleOne'>创建联盟</span>",
	ug605 = "<span class = 'switchTitleOne'>邀   请</span>",
	ug606 = "<span class = 'switchTitleOne'>联盟列表</span>",

	ug620 = "<span class = 'switchTitleTwo'>当前成员</span>",
	ug621 = "<span class = 'switchTitleTwo'>申请列表</span>",
	ug623 = "成员人数:<br/><span color = '0x00ff96'>#1/#2</span>",

	ug640 = "联盟名称:",
	ug641 = "联盟会长:",
	ug642 = "联盟排名:",
	ug643 = "联盟等级:",
	ug644 = "联盟战力:",
	ug645 = "联盟人数:",
	ug648 = "联盟公告:",
	ug649 = "联盟邮件",
	ug650 = "设　　置",
	ug651 = "联盟\"#1\"的信息",
	ug652 = "<span color = '0x00ff96'>#1/#2</span>",

	ug660 = "上次登录",
	ug661 = "用户名",
	ug662 = "职务",
	ug663 = "等级",
	ug664 = "战斗力",
	ug665 = "操作",
	ug666 = "成员数量:<span color = '0x00ff96'>#1/#2</span>",
	ug667 = "全员发送邮件",
	ug668 = "联盟名称",
	ug669 = "人数",
	ug670 = "战力",
	ug671 = "操作",
	ug672 = "会长",
	ug673 = "副会长",
	ug674 = "成员",
	ug675 = "写邮件",
	ug676 = "私聊",
	ug677 = "移出联盟",
	ug678 = "退出联盟",
	ug679 = "成员名称:#1",
	ug680 = "贡献度:#1",
	ug681 = "设置职位:",
	ug682 = "成员设置",
	ug683 = "移交会长成功!\"<span color = '0x00ff96'>#1</span>\"已成为联盟会长!",
	ug684 = "\"<span color = '0x00ff96'>#1</span>\"已被设为联盟副会长!",
	ug685 = "\"<span color = '0x00ff96'>#1</span>\"已被设为联盟成员!",
	ug687 = "\"<span color = '0x00ff96'>#1</span>\"已被移除联盟!",
	ug688 = "退出联盟成功!",
	ug689 = "您已被\"<span color = '0x00ff96'>#1</span>\"驱逐出联盟!",
	ug690 = "您已成功解散联盟!",
	ug691 = "解散联盟",
	ug692 = "您已成为联盟会长",
	ug693 = "您已成为联盟副会长",
	ug694 = "您已被去除副会长职务",

	ug700 = "输入联盟名称!",
	ug701 = "创建联盟需要:#1<br/>当前拥有:#2",
	ug702 = "<span color = '0x00ff96'> #1#2</span>",
	ug703 = ", <span color = '0x00ff96'> #1#2</span>",
	ug704 = "查看",
	ug705 = "搜索",
	ug706 = "请输入联盟名称!",
	ug707 = "创建联盟成功!",
	ug708 = "需要的资源不足,不能创建联盟!",
	ug710 = "联盟名必须大于等于#1个字符,小于等于#2个字符(中文字符算做2个字符)",
	ug711 = "申请中",
	ug712 = "创建联盟",

	ug720 = "名称:#1",
	ug721 = "等级:#1",
	ug722 = "人数:<span color = '0x00ff96'>#1/#2</span></span>",
	ug723 = "排名:#1",
	ug724 = "联盟会长:#1",
	ug725 = "联盟宣言:",
	ug726 = "联盟信息",
	ug727 = "申请加入",
	ug728 = "取消申请",
	ug729  = "申请成功!",
	ug730  = "申请失败!",
	ug731  = "取消申请成功!",
	ug732  = "取消申请失败!",
	ug733 = "已达上限",
	ug734 = "最多只能同时向#1个联盟发出申请!",

	ug740 =  "联盟介绍(非联盟成员可见)",
	ug741 =  "联盟公告(仅联盟成员可见)",
	ug742 = "保存修改",
	ug743 = "保存成功!",

	ug760 = "#1年前",
	ug761 = "#1月前",
	ug762 = "#1日前",
	ug763 = "#1小时内",

	ug780 = "排名",
	ug781 = "联盟名",
	ug782 = "人数",
	ug783 = "战斗力",
	ug784 = "查看",
	ug785 = "#1/#2",
	ug786 = "点击或上拉查看后20个",
	ug789 = "未搜索到指定联盟!",
	ug791 = "获取联盟信息失败!",

	ug800 = "排名",
	ug801 = "联盟名称",
	ug802 = "邀请人",
	ug803 = "时间",
	ug804 = "操作",

	ug820 = "全部拒绝",
	ug821 = "同意",
	ug822 = "拒绝",
	ug823 = "当前没有收到入盟申请",
	ug825 = "操作成功!",

	ug840 = "<span class = 'switchTitleTwo'>联盟事件</span>",
	ug841 = "<span class = 'switchTitleTwo'>捐献统计</span>",
	ug842 = "<span class = 'switchTitleTwo'>所有联盟</span>",
	ug843 = "<span class = 'switchTitleTwo'>退出联盟</span>",
	ug844 = "<span class = 'switchTitleTwo'>解散联盟</span>",
	ug845 = "要解散联盟,请先在输入框中输入\"<span color = '0xfd0000'>dismiss</span>\"后点击\"确定\"按钮",
	ug846 = "输入\"<span color = '0xfd0000'>ok</span>\"点击\"确定\"按钮退出联盟，退出后贡献清零！",

	ug860 = "发送联盟邀请成功!",
	ug863 = "当前没有收到联盟邀请",
	ug864 = "接受邀请",
	ug865 = "拒绝邀请",
	ug867 = "操作成功!",

	ug899 = "联盟商店",
	ug900 = "联盟科技",
	ug901 = "联盟科技",
	ug902 = "科技说明:",
	ug903 = "[类别]",
	ug904 = "[需求]",
	ug905 = "[当前拥有]",
	ug906 = "[科技]",
	ug907 = "[贡献]",
	ug908 = "[操作]",
	ug909 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> (LV.#2) </span>",
	ug910 = "捐献",
	ug912 = "已升至最高等级!",
	ug913 = "需求:#1",
	ug914 = "拥有:#1",
	ug915 = "奖励:",
	ug916 = "联盟捐献",
	ug917 = "科技+#1",
	ug918 = "贡献+#1",
	ug919 = "声望+#1",
	ug920 = "技能芯片+#1",
	ug922 = "今日\"<span color = '0xfd0000'>#1</span>\"捐献次数:<span color = '0xfd0000'>#2</span>/<span color = '0xfd0000'>#3</span>",
	ug923 = "今日\"<span color = '0xfd0000'>#1</span>\"捐献的次数已达上限!",
	ug924 = "每种资源每日可捐献<span color = '0xfd0000'>#1</span>次<br/>使用钻石捐献科技点和贡献点奖励将会翻<span color = '0xfd0000'>#2</span>倍",
	ug925 = "<span color = '0xff0000ff'>联盟等级达到 #1 级解锁</span>",
	ug926 = "需要联盟等级达到<span color = '0xffff00'>#1</span>级才能捐献此项科技",
	ug927 = "需求:#1<span color = '0xffff00'>(3倍科技点)</span>",
	ug928 = "捐献公告设置",
	ug929 = "今日贡献:<span color = '0xfd0000'>#1</span>",
	ug930 = "修改",
	ug931 = "需求:<span color = '0xfd0000'>#1</span>",
	ug932 = "需求:<span color = '0xfd0000'>#1</span><span color = '0xffff00'>(3倍科技点)</span>",
	ug933 = "捐献所需资源不足!",
	ug934 = "所需钻石不足!",
	ug935 = "贡献点:#1",
	ug936_1 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span>",
	ug936_2 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span> (#3/#4)",
	ug937 = "贡献点:<br/>#1",
	ug938_1 = "今日可购买次数已用完",
	ug938_2 = "<span color = '0xff0000ff'>联盟等级 #1 可兑换</span>",
	ug939 = "贡献点数不足,不能兑换此商品!",

	ug940 = "每日只能发送<span color = '0xffff00'>#1</span>封联盟邮件,您今日发送的联盟邮件数量已达上限!",
	ug941 = "取消",

	ug1000 = "指挥官，能量已经恢复完毕，等待您的下一步指令！",

	ug1100 = "<br/>",
	ug1101 = "#1<span color = '0x02f752'>  ×#2</span>",

	ug1199 = "未知部队",
	ug1200 = "发现未知部队正在接近我们基地，现有战机立即升空迎敌！",
	ug1201 = "敌人火力太强，我方战机损失惨重，我们必须避开敌人主力，请指挥官下令返回基地。",
	ug1202 = "刚刚的敌人派出一架飞机前来侦察我们基地，必须立即击毁它，不能让其侦测到我们基地的情况！",
	ug1203 = "还有几架敌机正在接近我们的基地，趁他们还没侦察到我们基地情况，最好立即消灭他们！",
	ug1204 = "又有一批敌机出现在雷达上，我们的战机应该还能应付，请下达进攻指令将其消灭！",
	ug1205 = "<span size = '36'>选择角色</span>",
	ug1206 = "请输入玩家名称!",
	ug1207 = "玩家名称必须大于等于#1个字符,小于等于#2个字符(中文字符算做2个字符)",
	ug1208 = "设置成功",
	ug1209 = "我们剩余的战机很难再应付后面的敌人，必须立即生产一批新的战机投入战斗，请指挥官跟我一起前往机库。",
	ug1210 = "生产飞机需要一定的时间，敌人即将发起进攻，请立即使用钻石加速生产。",
	ug1211 = "指挥官能力对于部队有很大的加成，条件允许请及时升级指挥官能力！",
	ug1212 = "\"指挥\"等级决定每个编队最大可设置的战机数量，点击升级按钮进入指挥升级页面。",
	ug1213 = "敌机出现！还好我们现在拥有足够的战机，让他们知道我们不是好惹的！",
	ug1214 = "敌人的战机越来越先进，我们需要进一步发展基地建设，才能与其对抗，趁敌人进攻间隙，指挥官请跟我一起前往主基地进行建设。",
	ug1215 = "发展基地和生产战机需要大量的资源，请跟我前往资源点建造资源建筑。",
	ug1216 = "刚才有许多任务已完成，请前往领取奖励，往后跟随任务发展，可以快速提升指挥官的等级。",
	ug1217 = "敌人正在不停的对我们发起进攻，请指挥官按照任务的指引发展基地，扩充军力，给予任何胆敢冒犯我们的敌人狠狠一击！",
	ug1219 = "跳过",
	ug1220 = "选择指挥官",
	ug1221 = "指挥官，下一步指令？",
	ugG_tip_1 = "点击关卡",
	ugG_tip_2 = "迎战敌军",
	ugG_tip_3 = "部署最大战力战机",
	ugG_tip_4 = "发起进攻",
	ugG_tip_5 = "进入机库",
	ugG_tip_6 = "展开详情",
	ugG_tip_7 = "生产战机",
	ugG_tip_8 = "加速生产",
	ugG_tip_9 = "确定加速",
	ugG_tip_10 = "关闭页面",
	ugG_tip_11 = "查看指挥官详情",
	ugG_tip_12 = "查看指挥属性",
	ugG_tip_13 = "升级指挥",
	ugG_tip_14 = "进入指挥中心",
	ugG_tip_15 = "升级建筑",
	ugG_tip_16 = "进入资源地图",
	ugG_tip_17 = "点击空闲资源点",
	ugG_tip_18 = "点击建造",
	ugG_tip_19 = "回到主基地",
	ugG_tip_20 = "打开任务列表",
	ugG_tip_21 = "领取任务奖励",
	ugG_tip_22 = "免费加速",
	ug1222 = "您确定要跳过新手引导吗？<br/><span color = '0xfd0000'>(新玩家强烈建议跟随小秘书指引)</span>",

	ug1299 = "竞技场",
	ug1300 = "<span class = 'switchTitleOne'>挑   战</span>",
	ug1301 = "<span class = 'switchTitleOne'>设置部队</span>",
	ug1302 = "<span class = 'switchTitleOne'>排行榜</span>",
	ug1303 = "挑战次数:<span color = '0xffff00ff'>#1</span>/#2 #3",
	ug1304 = "排名",
	ug1305 = "名称",
	ug1306 = "等级",
	ug1307 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买<span color = '0xffff00ff'>#2</span>次挑战次数吗?",
	ug1308 = require("res.data.lang.zh_CN.arenaDes"),
	ug1309 = "您今日购买的竞技场挑战次数已达上限!提升VIP等级可获得更多挑战购买次数!",
	ug1310 = "当前积分:<span color = '0xffff00ff'>#1</span>",
	ug1311 = "积分兑换",
	ug1312 = "挑战记录",
	ug1313 = "保存阵形",
	ug1314 = "您目前设置的部队实力比上一次的明显降低，是否继续保存设置？",
	ug1315 = "保存成功!",
	ug1316 = "您的竞技场挑战次数已满,无需购买!",
	ug1317 = "必须先设置部队才能挑战!",
	ug1318 = "(<span color = '0xffff00ff'>#1</span>)",
	ug1319 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>消除挑战冷却时间吗?",
	ug1320 = "消除挑战冷却时间成功",
	ug1321 = "购买挑战点成功",
	ug1322 = "<span color = '0xffff00ff'>#1</span> 挑战 <span color = '0xffff00ff'>您</span> 成功",
	ug1323 = "<span color = '0xffff00ff'>您</span> 挑战 <span color = '0xffff00ff'>#1</span> 成功",
	ug1324 = "<span color = '0xffff00ff'>#1</span> 挑战 <span color = '0xffff00ff'>您</span> 失败",
	ug1325 = "<span color = '0xffff00ff'>您</span> 挑战 <span color = '0xffff00ff'>#1</span> 失败",
	ug1326 = "<span color = '0x00ff96ff'>↑#1</span>",
	ug1327 = "<span color = '0xff0000ff'>↓#1</span>",
	ug1328 = "→#1",
	ug1329 = "战斗记录",
	ug1330 = "#1<br/>战斗时间:#2</span><br/><span class = 'yellow24'>#3</span>",
	ug1331 = "我们的部队挑战了 #1 ",
	ug1332 = "我们的部队遭到了 #1 的挑战",
	ug1333 = "挑战胜利",
	ug1334 = "挑战失败",
	ug1335 = "挑战防守胜利",
	ug1336 = "挑战防守失败",
	ug1337 = "领取奖励",
	ug1338 = "昨日排名:<span color = '0xffff00ff'>#1</span>",
	ug1339 = "无",

	ug1340 = "积分商城",
	ug1341 = "兑换",
	ug1342 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2</span>",
	ug1343 = "积分:<br/>#1",
	ug1344 = "<span color = '0xff0000ff'>竞技场前 #1 名可兑换</span>",
	ug1345 = "<span class = 'blue24'>我的积分:</span> #1",
	ug1346 = "积分不足,不能兑换此商品!",
	ug1347 = "兑换成功!",
	ug1348 = "<span class = 'chatFightReport20'>挑战报告(挑战 #1 )</span>",


	greece_num = "I,II,III,IV,V,VI,VII,VIII,IX,X",

	uy1 = "指挥",
	uy2 = "军衔:",
	uy3 = "精准",
	uy4 = "暴击",
	uy5 = "少校",
	uy6 = "飞龙探云手",
	uy7 = "每个阵为飞机数量:",
	uy8 = "",
	uy9 = "命中",
	uy10 = "需要指挥官#1级",
	uy11 = "需要技能点#1点",
	uy12 = "技能已达到最大等级",
	uy13 = "金矿矿产",
	uy14 = "铁矿矿产",
	uy15 = "石油矿产",
	uy16 = "硅矿矿产",
	uy17 = "钛矿矿产",
	uy18 = "LV.#1",
	uy19 = "战斗力",
	uy20 = "目标信息",
	uy21 = "(#1, #2)",
	uy22 = "地形说明",
	uy23 = "您的攻击可获得如下增益影响:",
	uy24 = "命中:",
	uy25 = "闪避:",
	uy26 = "收藏",
	uy27 = "地点信息",
	uy28 = "分类",
	uy29 = "(#1,#2)",
	uy30 = "<span class = 'switchTitleOne'>详   情</span>",
	uy31 = "<span class = 'switchTitleOne'>技   能</span>",
	uy32 = "<span class = 'switchTitleOne'>社   交</span>",
	uy33 = "玩家信息",
	uy34 = "当前拥有#1个技能芯片",
	uy35 = "重 置",
	uy36 = "购 买",
	uy37 = "荣誉",
	uy38 = "战斗力",
	uy39 = "能量",
	uy40 = "指 挥",
	uy41 = "带兵数量",
	uy42 = "声 望",
	uy43 = "普通勋章(#1声望)",
	uy44 = "铜质勋章(#1声望)",
	uy45 = "银质勋章(#1声望)",
	uy46 = "金质勋章(#1声望)",
	uy47 = "每天可授勋一次，获得声望",
	uy48 = "授勋",
	uy49 = "花费#1金币",
	uy50 = "花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>",
	uy51 = "带兵量:",
	uy52 = "<span class = 'switchTitleOne'>任   务</span>",
	uy53 = "<span class = 'switchTitleOne'>日常任务</span>",
	uy54 = "成就",
	uy55 = "角色任务",
	uy56 = "基地建设",
	uy57 = "资源任务",
	uy58 = "前 往",
	uy59 = "完 成",
	uy60 = "主线任务",
	uy61 = "进度: #1级",
	uy62 = "进度: 未完成",
	uy63 = "当前产量: #1/小时",
	uy64 = "任务已完成",
	uy65 = "进度: #1",
	uy66 = "当前数量: #1",
	uy67 = "奖 励 品",
	uy68 = "<span color = '0xfff9990e' size = '26'>恭喜！您得到了:</span>",
	uy69 = "定位",
	uy70 = "收藏",
	uy71 = "小地图",
	uy72 = "搜索",
	uy73 = "X",
	uy74 = "Y",
	uy75 = "侦查",
	uy76 = "攻击",
	uy77 = "坐标",
	uy78 = "联盟",
	uy79 = "无",
	uy80 = "(LV.#1)",
	uy81 = "完成任务失败！",
	uy82 = "收 藏",
	uy83 = "所有",
	uy84 = "资源",
	uy85 = "好友",
	uy86 = "敌对",
	uy87 = "返 回",
	uy88 = "保 存",
	uy89 = "#1 Lv.#2",
	uy90 = "关卡",
	uy91 = "部队",
	uy92 = "背包",
	uy93 = "配件",
	uy94 = "排行",
	uy95 = "帮助",
	uy96 = "商店",
	uy97 = "#1 , #2",
	uy98 = "将基地搬迁至目的地还需要<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>，是否购买?",
	uy99 = "回到城市",
	uy100 = "是否消耗<span class = 'popGems24'>98</span><img src = 'diamond.png' width = 32 height = 32/>将城市搬迁至(#1,#2)?",
	uy101 = "是否消耗一个迁徙令将城市搬迁至(#1,#2)?",
	uy102 = "城市迁移失败!",
	uy103 = "城市迁移成功!",
	uy104 = "等级不够，暂未开放!",
	uy105 = "基 地",
	uy106 = "地 图",
	uy107 = "邮 件",
	uy108 = "带兵数量 : ",
	uy109 = "改变头像",
	uy110 = "设置",
	uy114 = "角 色",
	uy115 = "任 务",
	uy116 = "指挥中心",
	uy117 = "科研中心",
	uy118 = "战机实验室",
	uy119 = "许愿池",
	uy120 = "改造工厂",
	uy121 = "机库1",
	uy122 = "机库2",
	uy123 = "仓库1",
	uy124 = "仓库2",
	uy125 = "铸币厂",
	uy126 = "资源地图",
	uy127 = "当前有#1个资源点还未使用, 点击小秘书, 建造资源建筑!",
	uy128 = "确定关闭提示?",
	uy129 = "获取奖励失败!",
	uy130 = "NULL",
	uy131 = "领取奖励失败!",
	uy132 = "战力暴增",
	uy133 = "指挥官，总部的援军已达到，请注意接收",
	uy134 = "援 军",
	uy135 = "领取",
	uy136 = "获取礼物信息失败!",
	uy137 = "神秘补给",
	uy138 = "增加声望成功!",
	uy139 = "增加声望失败!",
	uy140 = "获取钻石",
	uy141 = "竞技场",
	uy142 = "机库",
	uy143 = "仓库",
	uy144 = "<span class = 'chatName24'>#1:</span>#2",
	uy145 = "提升指挥能力",
	uy146 = "使用指挥插件提升指挥能力",
	uy147 = "幸运值越高升级几率越高",
	uy148 = "现有：",
	uy149 = "消耗：",
	uy150 = "增 加",
	uy151 = "增加10次",
	uy152 = "当前等级:",
	uy153 = "最大等级:",
	uy154 = "当前带兵量:",
	uy155 = "世 界",
	uy156 = "<span class = 'switchTitleTwo'>普通任务</span>",
	uy157 = "<span class = 'switchTitleTwo'>联盟任务</span>",
	uy158 = "通讯异常",
	uy159 = "开 始",
	uy160 = "完 成",
	uy161 = "<span class = 'default28'>您希望使用<span class = 'popGems'>#1</span><img src = 'diamond.png'/>加速完成此次任务么？</span>",
	uy162 = "当前有任务正在执行中，刷新会导致任务重置，是否刷新？",
	uy163 = "当前有任务可以领取奖励，刷新会导致任务重置，是否刷新？",
	uy164 = "刷新任务成功！",
	uy165 = "当前有任务在队列中, 无法领取任务!",
	uy166 = "全服第一",
	uy167 = "提升vip等级能够获得更多头像",
	uy168 = "头像更换需要#1钻石",
	uy169 = "替 换",
	uy170 = "<span color = 'ff0000'>VIP#1,无法选取</span>",
	uy171 = "VIP#1解锁",
	uy172 = "是否消耗#1钻石更改头像?",
	uy173 = "修改头像成功!",
	uy174 = "请选择不同的头像!",
	uy175 = "声望等级越高，可提升的科技等级也越高<br/>每日登陆可获得声望<br/>参加活动也可获得声望",
	uy185 = "最大等级",
	uy186 = "目标信息",
	uy187 = "刷新任务列表",
	uy188 = "刷 新",
	uy189 = "是否使用#1<img src = 'diamond.png' width = 32 height = 32/>补足技能芯片升级技能?",
	uy190 = "获取#1声望",
	uy191 = "是否使用#1<img src = 'diamond.png' width = 32 height = 32/>提升#2声望?",
	uy192 = "指挥官，总部的援军即将达到，请注意接收",
	uy193 = "战力:#1",
	uy194 = "已添加有该节点信息",
	uy195 = "收藏夹已达上限",
	uy196 = "领 奖",
	uy197 = "当前可以免费参与幸运抽奖，点击前往查看",
	uy198 = "已解锁新的资源点，点击前往查看",
	uy199 = "角色10级开放",

	fy1000 = "消耗一个指挥插件进行升级!",
	fy1001 = "您没有指挥插件,是否使用#1<img src = 'diamond.png' width = 32 height = 32/>升级指挥等级?",
	fy1002 = "升级成功!",
	fy1003 = "升级指挥失败!",
	fy1004 = "没有技能升过级",
	fy1005 = "技能重置成功!",
	fy1006 = "技能重置失败!",
	fy1007 = "是否花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>重置所有技能?重置之后所用技能芯片将全部返还!",
	fy1008 = "带兵量",
	fy1009 = "购买能量成功！",
	fy1010 = "研究中心将于指挥中心达到5级后开放，通过研究各种\"尖端科技\"，可以大大提升我们部队和城市的综合实力",
	fy1011 = "该机库将于指挥中心达到13级后开放，通过建造各种\"高级战机\"，才能面对更强力的敌人",
	fy1012 = "改装工厂将于指挥中心达到13级后开放，可以把各种低级战机\"改装\"高级战机",
	fy1013 = "铸币厂将于指挥中心达到3级后开放，这是我们可以获得\"金币\"的途径之一",
	fy1014 = "该仓库将于指挥中心达到6级后开放，可为我们提供更多的\"资源存储\"空间",
	fy1015 = "该仓库将于指挥中心达到11级后开放，可为我们提供更多的\"资源存储\"空间",
	fy1016 = "联盟将于指挥中心达到5级开放",
	fy1017 = "经验",
	fy1018 = "能量",
	fy1019 = "钻石",
	fy1020 = "贡献点",
	fy1021 = "联盟科技",
	fy1022 = "VIP点数",
	fy1033 = "成就点",
	fy1034 = "2倍钻石",
	fy1035 = "竞技场积分",

	uc1 = "<span class = 'switchTitleOne'>建   造</span>",
	uc2 = "<span class = 'switchTitleOne'>说   明</span>",
	uc3 = "<span class = 'default22'>[类别]</span>",
	uc4 = "<span class = 'default22'>[需求]</span>",
	uc5 = "<span class = 'default22'>[当前拥有]</span>",
	uc6 = "一键升级",
	uc7 = "升   级",

	uc8 = "h",
	uc9 = "m",
	uc10 = "s",
	uc11 = "购买和用道具",
	uc12 = "#1已经升级到#2级",
	uc13 = "升级失败#1",
	longTextDes = require("res.data.lang.zh_CN.longTextDes"),
	uc15 = "<img src = 'diamond.png' width = 32 height = 32/>不足，是否前往商店购买?",
	uc16 = "<img src = 'diamond.png' width = 32 height = 32/><span class = 'default24'>#1</span>",
	uc17 = "取 消</span>",
	uc18 = "取消升级失败#1",
	uc19 = "取消升级成功",
	uc20 = "加速升级成功",
	uc21 = "加速升级失败#1",
	uc22 = "研   究",
	uc23 = "<span class = 'red24'>需要科研中心#1级</span>",
	uc24 = "#1Lv#2",
	uc25 = "#1Lv#2→Lv#3",
	uc26 = "<span class = 'switchTitleOne'>资   源</span>",
	uc27 = "<span class = 'switchTitleOne'>建   筑</span>",
	uc28 = "购 买",
	uc29 = "钻石",
	uc30 = "拥有数量 : #1</span>",
	uc31 = "拥有:#1",
	uc32 = "购买并使用",
	uc33 = "使 用",
	uc34 = "使用道具失败#1",
	uc35 = "使用#1成功",
	uc36 = "购买并且使用#1成功",
	uc37 = "购买并且使用道具失败#1",
	uc38 = "#1  +#2%（#3）",
	uc39 = "产量:#1/小时",
	uc40 = "产量:#1（#2+#3）/小时",
	uc41 = "<span class = 'default24WithBlackOutline'>#1/#2</span>",
	uc42 = "<img src = 'timeIcon.png'/> #1",
	uc43 = "<span class = 'red24'>需要#1级机库</span>",
	uc44 = "#1X#2",
	--uc45 = "                       #1",
	uc46 = "生产失败#1",
	uc47 = "取消生产成功",
	uc48 = "取消生产失败#1",
	uc49 = "资源不足",
	uc50 = "加速生产失败#1",
	uc51 = "加速生产成功",
	uc52 = "一键生产成功",
	uc53 = "一键生产失败#1",
	uc54 = "消耗钻石:<img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc55 = "现有:<img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc56 = "1.一键完成将根据您选择的数量立即完成建造",
	uc57 = "2.一键完成不会消耗任何资源，也无需等待时间",
	uc58 = "一键生产",
	uc59 = "物品",
	uc60 = "<span class = 'switchTitleOne'>背   包</span>",
	uc61 = "<span class = 'switchTitleOne'>商   城</span>",
	uc62 = "<span size = '20'><img src = 'diamond.png'/> #1</span>",
	uc63 = "<span class = 'default28'>您确定要用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买道具吗？</span>",
	uc64 = "购买#1成功",
	uc65 = "购买道具失败#1",
	uc66 = "邮箱",
	uc67 = "<span class = 'switchTitleOne'>邮   件</span>",
	uc68 = "<span class = 'switchTitleOne'>报   告</span>",
	uc69 = "<span class = 'switchTitleOne'>发件箱</span>",
	uc70 = "<span class = 'yellow26'>#1条未读</span>",
	uc71 = "<span class = 'default26'>#1条信息</span>",
	uc72 = "查看邮件失败#1",
	uc73 = "回放战斗失败#1",
	uc74 = "删除邮件失败#1",
	uc75 = "发送邮件失败#1",
	uc76 = "获得系统邮件奖励失败#1",
	uc77 = "回放他人录像#1",
	uc78 = "<span class = 'default26'>#1-#2 #3:#4</span>",

	uc80 = "<span class = 'default26'>来自于:#1</span>",
	uc81 = "<span class = 'default26'>发送给:#1</span>",
	uc82 = "<span class = 'default26'>来自于:系统邮件</span>",
	uc84 = "<span class = 'default26'>发送给:系统邮件</span>",
	uc85 = "查看邮件",
	uc86 = "写邮件",
	uc87 = "您确定要删除所有邮件吗？",
	uc88 = "您确定要发送邮件吗？",
	uc89 = "re:#1",
	uc90 = "获取接下来的10封邮件失败#1",



	uc100 = "#1 LV.#2",
	uc102 = "<span class = 'gesNum24'>#1</span>",
	uc103 = "<span class = 'default26WithOutline'>#1</span>",
	uc104 = "<span size = '18'>#1</span>",
	uc107 = "用户已经升级成功,不能加速",
	uc108 = " 免费加速",
	uc109 = "<span class = 'switchTitleOne'>生   产</span>",
	uc110 = "<span class = 'switchTitleOne'>生产中</span>",
	uc111 = "<span class = 'gesNum20'>#1</span>",
	uc112 = "钻石生产",
	uc113 = "生   产",
	uc114 = "<span class = 'switchTitleTwo'>所有</span>",
	uc115 = "<span class = 'switchTitleTwo'>增益</span>",
	uc116 = "<span class = 'switchTitleTwo'>宝箱</span>",
	uc117 = "<span class = 'switchTitleTwo'>其它</span>",
	uc118 = "<span class = 'switchTitleOne'>状   态</span>",
	uc119 = "城市状态",
	uc120 = "购买",
	uc121 = "容量:",
	uc122 = "<span size = '20'>#1</span>",
	uc123 = "道具数量:#1",
	uc124 = "<span class = 'default26'>当前仓库保护每种资源#1不被掠夺</span>",
	uc125 = "<span class = 'default20'>(+#1% #2)</span>",
	uc126 = "<span class = 'default26'>点击或上拉查看后10个</span>",
	uc127 = "主题",
	uc128 = "发件人",
	uc129 = "收件人",
	uc130 = "我们的部队攻击了<span class = 'blue24'>#1</span><br/>战斗地点:#2(#3.#4)</span><br/>战斗时间:#5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>#7</span>",
	uc131 = "<span class = 'default26'>战斗信息</span>",
	uc132 = "<span class = 'default26'>战利品</span>",
	uc133 = "<span class = 'default26'>资源信息</span>",
	uc134 = "<span class = 'default26'>飞机部队损失</span>",
	uc138 = "<span class = 'red24'>#1 #2</span>",
	uc139 = "己方损失的部分战机可在部队-修理厂中修复",
	uc140 = "战斗报告",
	uc141 = "<span class = 'switchTitleOne'>世   界</span>",
	uc142 = "<span class = 'switchTitleOne'>军   团</span>",
	uc143 = "<span class = 'switchTitleOne'>私   聊</span>",
	uc144 = "聊天",
	uc145 = "<span class = 'chatName20'>#1</span>",
	uc146 = "<span class = 'chatContent20'>#1</span>",
	uc147 = "建   造",
	uc148 = "1号仓库",
	uc149 = "2号仓库",
	uc150 = "1号机库",
	uc151 = "2号机库",
	uc152 = "道具数量不足，请购买道具",
	uc153 = "未加入联盟，请先加入联盟",
	uc154 = "不能输入空的信息",
	uc155 = "含有非法字符，请替换",
	uc156 = "还需#1秒发送下一条信息",
	uc157 = "TO",
	uc158 = "请输入目标的用户名",
	uc159 = "输入的用户名不正确，请重新输入",
	uc160 = "#1-#2 #3:#4",
	uc161 = "<span class = 'yellow24'>战斗结果:进攻胜利</span>",
	uc162 = "<span class = 'red24'>战斗结果:进攻失败</span>",
	uc163 = "<span class = 'yellow24'>战斗结果:防御成功</span>",
	uc164 = "<span class = 'red24'>战斗结果:防御失败</span>",
	uc165 = "<span class = 'green24'>#1</span>",
	uc166 = "<span class = 'addCount'>+#1</span>",
	uc167 = "改   装",
	uc168 = "<span color = '0xff0000'>包含有一个或多个不能显示的字符</span>",
	uc169 = "资源建筑",
	uc171 = "<span class = 'build26WithOutline'>#1(#2个)</span>",
	uc172 = "<img src = 'timeIcon.png'/> #1",
	uc173 = "<span class = 'red24'>#1</span>",
	uc174 = "#1  <span class = 'ownTitle'>拥有:#2</span>",
	uc175 = "<span class = 'gesNum20'>#1</span>",
	uc176 = "<span class = 'default22'>#1</span>",
	uc177 = "<span class = 'default22'>#1</span>",
	uc178 = "<span class = 'itemTitle26'>#1</span>",
	uc182 = "建筑队列已满，升级VIP可以获得更多的建筑队列",
	uc183 = "#1*#2生产成功",
	uc184 = "#1已经升级到Lv.#2",
	uc185 = "<img src = 'timeIcon.png'/> #1",
	uc186 = "指挥中心",
	uc187 = "<span class = 'default24'>LV.#1</span>",
	uc189 = "当前数量:#1",
	uc191 = "<span class = 'default26'>#1</span>",
	uc192 = "<span class = 'default26'>#1</span><span class = 'addCount26'>+#2</span>",
	uc193 = "<span class = 'default26'>#1%</span><span class = 'addCount26'>+#2%</span>",
	uc194 = "科研中心",
	uc195 = "#1小时",
	uc197 = "使用#1成功",
	uc198 = "行军时间:#1",
	uc199 = "部队载重:#1",
	uc200 = "目标位置    X #1   Y #2",
	uc201 = "出战",
	uc202 = "防守部队",
	uc203 = "部队出征",
	uc204 = "抵达时间",
	uc205 = "采集过程",
	uc206 = "返回时间",
	uc207 = "<span class = 'default20'>#1</span>",
	uc208 = "<span class = 'default20'>采集:#1/#2</span>",
	uc209 = "<span class = 'default28'>您确定用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>加速</span>",

	uc211 = "该玩家处于防护罩状态，无法对其进攻",
	uc212 = "部队出征个数已达上限，是否查看部队出征情况",
	uc213 = "该资源点已有己方部队驻扎，不能再次派遣部队",
	uc214 = "进攻玩家会使自己当前防护罩状态失效，确定进攻吗?",
	uc215 = "失败#1",
	uc216 = "<span class = 'default22'>部队状态:行军</span>",
	uc217 = "剩余时间:#1",
	uc218 = "<span class = 'default22'>部队状态:采集</span>",
	uc219 = "<span class = 'default22'>部队状态:返回</span>",
	uc220 = "<span class = 'default22'>兵力信息</span>",
	uc221 = "部队详情",
	uc222 = "<span class = 'default22'>#1(#2)</span>",
	uc223 = "<span class = 'default22'>#1</span>",
	uc224 = "当前数量:#1",
	uc225 = "<span class = 'default18'>#1</span>",
	uc226 = "钻石不足，无法修理战机",
	uc227 = "金币不足，无法修理战机",
	uc228 = "没有可修理的战机",
	uc229 = "部队正在采集资源是否立即返回?",
	uc230 = "部队已出发，目标(#1,#2)",
	uc231 = "已修复损毁的#1",
	uc232 = "已修复损毁的所有战机",
	uc233 = "指挥中心等级不足，是否前往指挥中心升级?",
	uc234 = "出征的部队#1/#2",
	uc235 = "金矿产地",
	uc236 = "铁矿产地",
	uc237 = "石油产地",
	uc238 = "硅矿产地",
	uc239 = "钛矿产地",
	uc240 = "<span class = 'yellow24'>战斗报告(攻击#1)</span>",
	uc241 = "<span class = 'yellow24'>战斗报告(受到#1攻击)</span>",
	uc242 = "<span class = 'yellow24'>返回报告</span>",
	uc243 = "<span class = 'orange24'>返回报告</span>",

	uc244 = "您所攻击的#1(#2,#3)已不在原地，部队正在返回",
	uc245 = "您所攻击的#1(#2,#3)已处于防护罩保护状态，部队正在返回",
	uc246 = "您所攻击的#1(#2,#3)已有己方部队驻守,部队正在返回",

	uc247 = "我们的部队受到#1攻击<br/>战斗地点:#2(#3.#4)<br/>战斗时间:#5<br/><span class = 'yellow24'>#6</span><br/>#7",
	uc248 = "我们的部队攻击了<span class = 'blue24'>#1</span>驻守的#2<br/>战斗地点:#3(#4.#5)<br/>战斗时间:#6<br/><span class = 'yellow24'>#7</span><br/>#8",
	uc249 = "我们的部队驻守的#1被#2攻击<br/>战斗地点:#3(#4.#5)<br/>战斗时间:#6<br/><span class = 'yellow24'>#7</span><br/>#8",
	uc250 = "发送至",
	uc251 = "世界频道",
	uc252 = "联盟频道",
	uc253 = "已成功发送战报到聊天频道",
	uc254 = "<span class = 'chatFightReport24'>战斗报告(攻击#1)</span>",
	uc255 = "<span class = 'chatFightReport24'>战斗报告(受到#1攻击)</span>",

	uc256 = "<span class = 'chatFightReport20'>战斗报告(攻击#1)</span>",
	uc257 = "<span class = 'chatFightReport20'>战斗报告(受到#1攻击)</span>",
	uc258 = "<span class = 'chatFightReport20'>返回报告</span>",

	uc259 = "排行",
	uc260 = "<span class = 'switchTitleTwo'>战斗力</span>",
	uc261 = "<span class = 'switchTitleTwo'>关卡</span>",
	uc262 = "<span class = 'switchTitleTwo'>荣誉</span>",
	uc263 = "[排名]",
	uc264 = "[姓名]",
	uc265 = "[等级]",
	uc266 = "#1",
	uc267 = "LV#1",
	uc268 = "点击或上拉查看后20个",

	uc269 = "<span class = 'default24'>#1</span>",
	uc270 = "#1-#2 #3:#4",
	uc272 = "<span class = 'red24'>-#1</span>",
	uc273 = "该玩家是您的联盟成员，确认要发起进攻?",
	uc274 = "联盟全体成员",
	uc276 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span>",
	uc277 = "<span class = 'blue24'>拥有:#1</span>",
	uc278 = "<span class = 'default26'>#1</span>",
	uc279 = "<span class = 'default22'>发 送</span>",
	uc280 = "确认取消升级吗?",
	uc281 = "确认取消研究吗?",
	uc282 = "确认取消生产吗?",
	uc283 = "#1已经建造完成",
	uc284 = "#1架#2已经生产完成",
	uc285 = "等级 : #1",
	uc286 = "战力 : #1",
	uc287 = "联盟 : #1",
	uc288 = "私 聊",
	uc289 = "写邮件",
	uc290 = "加为好友",
	uc291 = "加入黑名单",
	uc292 = "邀请至联盟",
	uc293 = "能量不足！是否花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买5点能量？",
	uc294 = "<span class = 'default26'>目标信息</span>",
	uc295 = "侦查地点:#1(#2,#3)",
	uc296 = "侦查报告",
	uc297 = "侦查时间:#1-#2 #3:#4",
	uc298 = "驻守玩家:(无)",
	uc299 = "驻守玩家:<span class = 'blue24'>#1</span>",
	uc300 = "<span class = 'default26'>资源信息</span>",
	uc301 = "驻守该地区可以每小时获得#1#2，但总采集量不超过部队总载重量.",
	uc302 = "#1最多可掠夺#2",
	uc303 = "<span class = 'default26'>兵力信息</span>",
	uc304 = "花费#1金币对该地区进行侦查",
	uc305 = "金币不足，去购买金币吧！",
	uc306 = "[战斗力]",
	uc307 = "[总星级]",
	uc308 = "[荣誉]",
	uc309 = "没有战斗发生，无法回放",
	uc310 = "<span class = 'yellow26'>#1</span>",
	uc311 = "数量:#1",
	uc312 = "<span class = 'red26'>#1</span>",
	uc314 = "<span size = '20'>恭喜您获得</span>",
	uc315 = "<span class = 'default22'>#1</span>",
	uc316 = "一键撤防",

	uc317 = "<span class = 'default26'>今日购买能量次数已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc318 = "<span class = 'yellow24'>VIP#1</span> 每日可以购买<span class = 'yellow24'>#2</span>次能量点",
	uc319 = "提升<span class = 'yellow24'>VIP</span>可以增加每日能量购买次数",

	uc320 = "<span class = 'default26'>出战队列已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc321 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>个出战队列",
	uc322 = "提升<span class = 'yellow24'>VIP</span>可以增加出战队列",

	uc323 = "<span class = 'default26'>建造队列已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc324 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>个建造队列",
	uc325 = "提升<span class = 'yellow24'>VIP</span>可以增加建造队列",

	uc326 = "<span class = 'default26'>科研队列已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc327 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>个科研队列",
	uc328 = "提升<span class = 'yellow24'>VIP</span>可以增加科研队列",

	uc329 = "<span class = 'default26'>生产队列已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc330 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>个生产队列",
	uc331 = "提升<span class = 'yellow24'>VIP</span>可以增加生产队列",

	uc332 = "<span class = 'default22'>VIP特权</span>",
	uc333 = "科研中心等级不足",
	uc334 = "设置",

	uc335 = "绑定账号",
	uc336 = "服务器列表",
	uc337 = "游戏设置",
	uc338 = "选择语言",
	uc339 = "付费提示",
	uc340 = "通知提示",
	uc341 = "修改密码",
	uc342 = "联系我们",

	uc343 = "付费提示设置",

	uc344 = "<span class = 'default24'>升级指挥</span>",
	uc345 = "<span class = 'default24'>购买能量</span>",
	uc346 = "<span class = 'default24'>购买商品</span>",
	uc347 = "<span class = 'default24'>建筑加速</span>",
	uc348 = "<span class = 'default24'>生产飞机加速</span>",
	uc349 = "<span class = 'default24'>科研加速</span>",
	uc350 = "<span class = 'default24'>行军加速</span>",
	uc351 = "<span class = 'default24'>钻石维修部队</span>",
	uc352 = "<span class = 'default24'>一键秒建筑</span>",

	uc353 = "不再提示",

	uc354 = "通知提示设置",
	uc355 = "游戏设置",

	uc356 = "<span class = 'default24'>城市被攻击</span>",
	uc357 = "<span class = 'default24'>建造，生产完成 </span>",
	uc358 = "<span class = 'default24'>能量恢复满</span>",
	uc359 = "<span class = 'default24'>神秘奖励</span>",
	uc360 = "<span class = 'default24'>防护罩状态</span>",
	uc361 = "<span class = 'default24'>资源采集已满</span>",

	uc362 = "<span class = 'default24'>攻打野矿 默认驻守</span>",
	uc363 = "<span class = 'default24'>开放新资源点提醒</span>",
	uc364 = "<span class = 'default24'>音乐开关</span>",
	uc365 = "<span class = 'default24'>音效开关</span>",

	uc366 = "我们城市的防护状态已失效，敌人随时可能发起攻击！",

	uc367 = "战机实验室",
	uc368 = "<span class = 'switchTitleOne'>战机强化</span>",
	uc369 = "<span class = 'switchTitleOne'>运输线</span>",

	uc370 = "Ⅰ",
	uc371 = "Ⅱ",
	uc372 = "Ⅲ",
	uc373 = "Ⅳ",

	uc374 = "<span class = 'addCount'>+#1</span>",
	uc375 = "攻击强化",
	uc376 = "血量强化",
	uc377 = "LV#1/#2",

	uc378 = "血量强化成功",
	uc379 = "攻击强化成功",

	uc380 = "数据核心不足，还需要#1个，是否使用<span class = 'popGems24'>#2</span><img src = 'diamond.png' width = 32 height = 32/>补足数据核心完成升级(<span class = 'green24'>8折</span>)",
	uc381 = "确定要消耗#1个数据核心道具数量吗？",

	uc383 = "角色等级不足",

	uc384 = "<span class = 'red24'>角色等级#1级解锁，拦截成功可获得大量数据核心</span>",
	uc385 = "今日已拦截:#1/#2",
	uc386 = "今日已拦截次数已满，不能拦截了",
	uc387 = "出战",
	uc388 = "设置部队",
	uc389 = "该玩家不在线，是否发送邮件？",
	uc390 = "不能给自己发送私聊信息",
	uc391 = "您已被禁言",

	uc392 = "<span class = 'switchTitleTwo'>好友</span>",
	uc393 = "<span class = 'switchTitleTwo'>黑名单</span>",
	uc395 = "<span class = 'default26'>好友数量:[#1/#2]</span>",
	uc396 = "搜 索",
	uc397 = "<span class = 'default26'>黑名单数量:[#1/#2]</span>",
	uc398 = "是否将#1从好友列表移除",
	uc399 = "是否将#1从黑名单移除",

	uc400 = "删除好友",
	uc401 = "删除黑名单",
	uc402 = "是否将#1加为好友",
	uc403 = "是否将#1加入黑名单",
	uc404 = "好友列表已满",
	uc405 = "黑名单已满",
	uc406 = "<span class = 'default28'>暂未有好友</span>",
	uc407 = "<span class = 'default28'>暂未有黑名单</span>",
	uc408 = "添加好友成功",
	uc409 = "添加黑名单成功",
	uc410 = "删除好友成功",
	uc411 = "删除黑名单成功",
	uc412 = "邮件发送成功",
	uc413 = "添加",
	uc414 = "<span class = 'default28'>您没添加任何人到通讯录</span>",
	uc415 = "通讯录",
	uc416 = "<span class = 'default24'>科研快捷栏提醒</span>",
	uc417 = "<span class = 'default24'>生产快捷栏提醒</span>",
	uc418 = "<span class = 'default24'>建造快捷栏提醒</span>",
	uc419 = "<span class = 'switchTitleOne'>每日签到</span>",
	uc420 = "<span class = 'switchTitleOne'>连续签到</span>",
	uc421 = "签到",
	uc422 = "×#1",
	uc423 = "第#1天",
	uc424 = "<span class = 'yellow24'>明日领取</span>",
	uc425 = "签 到",
	uc426 = "<span class = 'default24'>已连续签到#1/30天，奖励全部领完后天数清零重头累计</span>",
	uc427 = " #1 天",

	uc428 = "<span class = 'switchTitleOne'>活   动</span>",
	uc429 = "<span class = 'switchTitleOne'>公   告</span>",
	uc430 = "采集完成",
	uc431 = "成长计划",
	uc432 = "花费998钻石购买返还 5988钻石",
	uc433 = "购买",
	uc434 = "<span class = 'red22'>vip3可购买</span>",
	uc435 = "购买成长计划成功",
	uc436 = "vip等级不足",
	uc437 = "#1级",
	uc438 = "领取",
	uc439 = "已领取",
	uc440 = "等级礼包",
	uc441 = "指挥官，总部的援军已经到了",
	uc442 = "目标已不在原地",
	uc443 = "开服豪礼",
	uc444 = "每一天都可以领取相应的礼包",

	uc445 = "坐标错误",
	uc446 = "坐标已经被占据",
	uc447 = "城市已传送到(#1,#2)坐标",
	uc448 = "传送",
	uc449 = "请输入传送坐标",

	er1 = "失败消息",
	er2 = "城市不存在",
	er3 = "不是同一个城市",
	er4 = "非法的名字",
	er5 = "已存在的名字",
	er6 = "已被禁言",
	er7 = "超出带兵数",
	er8 = "部队不足派遣",
	er9 = "部队不足派遣",
	er10 = "玩家等级不足升级技能",
	er11 = "玩家技能点不足升级技能",
	er12 = "钻石不足",
	er13 = "资源不足",
	er14 = "道具不足",
	er15 = "坐标错误",
	er16 = "坐标已经被人占据",
	er17 = "建筑物已达最大建造个数",
	er18 = "建筑位已经存在建筑",
	er19 = "建筑解锁等级错误",
	er20 = "队列不存在",
	er21 = "模板数据不存在",
	er22 = "等级限制错误",
	er23 = "此邮件已被删除!",
	er24 = "联盟不存在",
	er25 = "联盟成员已满",
	er26 = "联盟权限不足",
	er27 = "联盟申请不存在",
	er28 = "聊天太快",
	er29 = "玩家不在线",
	er30 = "精力点不足",
	er31 = "捐献次数已达上限",
	er32 = "精力点购买次数达上限",
	er33 = "队列已满",
	er34 = "任务不存在",
	er35 = "任务没完成",
	er36 = "时间未到",
	er37 = "活动未开放",
	er38 = "目标城市有防护罩",
	er39 = "退出联盟太快(未到24小时)",
	er40 = "玩家已有联盟",
	er41 = "副会长个数已满",
	er42 = "联盟邮件发送次数已满",
	er43 = "玩家不存在",

	er44 = "非法的账号名",
	er45 = "非法的密码",
	er46 = "模块不存在",
	er47 = "竞技场排名错误",
	er48 = "没有加入竞技场",
	er49 = "已经使用过兑换码",
	er50 = "兑换码错误",
	er51 = "兑换码已被使用",
	er52 = "该玩家不是联盟成员",
	er54 = "军衔数据正在统计中",
	er100 = "账号注册失败",

	er255 = "未知错误",


	uc450 = "该资源点已有己方部队驻扎，不能再次派遣部队",
	uc451 = "您有部队正在执行任务，无法传送",
	uc452 = "帮助文档",

	uc453 = "<span class = 'default28'>BUFF</span>",

	uc455 = "<span class = 'default28'>克制</span>",

	uc457 = "<span class = 'default28'>战斗</span>",

	uc459 = "该区域已被己方驻守，无需侦察",

	uc460 = "<span class = 'yellow24'>侦查报告(侦查#1)</span>",
	uc461 = "没有可删除的邮件",

	uc462 = "友好",
	uc463 = "敌对",
	uc464 = "自己联盟",
	uc465 = "修 改",
	uc466 = "中立",
	uc467 = "友盟数已经达到最大值20，不能添加了",
	uc468 = "敌盟数已经达到最大值20，不能添加了",

	uc469 = "购买钻石",
	uc470 = "<span class = 'switchTitleOne'>钻   石</span>",
	uc471 = "<span class = 'switchTitleOne'>促   销</span>",
	uc472 = "#1/#2",
	uc473 = "再充值#1<img src = 'diamond.png' width = 32 height = 32/>升级为VIP#2",
	uc474 = "（赠送钻石不计）",
	uc475 = "查看VIP",
	uc476 = "<span class = 'default28'>首充奖励</span>",
	uc477 = "#1个钻石",
	uc478 = "<span class = 'green20'>优惠 #1%</span>",
	uc479 = "#1#2",
	uc480 = "购买商品成功",
	uc481 = "VIP",
	uc482 = "了解VIP",
	uc483 = "<span class = 'default28'>VIP #1</span>",

	uc484 = "提供<span class = 'yellow24'>#1</span>个基础建造队列",
	uc485 = "提供<span class = 'yellow24'>#1</span>个基础生产和科研队列",
	uc486 = "每天可购买<span class = 'yellow24'>#1</span>次能量",
	uc487 = "允许同时出战<span class = 'yellow24'>#1</span>只部队",
	uc488 = "世界行军速度提升<span class = 'yellow24'>#1%</span>",
	uc489 = "飞机生产速度提升<span class = 'yellow24'>#1%</span>",
	uc490 = "飞机改造速度提升<span class = 'yellow24'>#1%</span>",
	uc491 = "科研速度提升<span class = 'yellow24'>#1%</span>",
	uc492 = "关卡经验加成<span class = 'yellow24'>#1%</span>",
	uc493 = "建筑和科研队列享受<span class = 'yellow24'>#1</span>秒免费加速时间",
	uc494 = "累计购买<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>可达到",

	uc495 = "<span class = 'default18'>VIP#1 双倍</span>",
	uc496 = "仓库",
	uc497 = "克制:#1<br/>#2",
	uc498 = "<span class = 'default20'>免费</span>",
	uc499 = "请签收",
	uc500 = "一次投入，长久回报！",
	uc501 = "投资回报为",
	uc502 = "<span class = 'default50'>400%</span>",
	uc503 = "充  值",
	uc504 = "幸运转盘",
	uc505 = "256",
	uc506 = "钻石豪礼",
	uc507 = "每次转动绝对稳赚不赔！钻石越转越多！",
	uc508 = "<span class = 'default28'>买!买!买!</span>",
	uc509 = "<img src = 'diamond.png' width = 40 height = 40/><span class = 'default28'>#1</span>",
	uc510 = "已达到最大抽取次数",
	uc511 = "<span class = 'default18'>VIP#1 三倍</span>",
	uc512 = "购 买",
	uc513 = "vip解锁",
	uc514 = "vip已满",
	uc515 = "您是否愿意花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买一个永久建造队列?",
	uc516 = "您的建筑队列已达到最大数量，建议通过钻石秒时间或一键升级来加快建造速度",
	uc517 = "基础建造队列#1/5,还可购买#2个",
	uc518 = "VIP解锁建筑队列#1/3",
	uc519 = "+#1%",
	uc520 = "剩余时间:",
	uc521 = "您还可以得到以下全部奖品！",
	uc522 = "<span class = 'default28'>×#1</span>",
	uc523 = "更  多",
	uc524 = "<span class = 'default28'>#1#2</span>",
	uc525 = "<span class = 'default28'>暂无礼包</span>",
	uc526 = "<span color = '0xfff9990e' size = '26'>您可获得</span>",
	uc527 = "<span color = '0xfff9990e' size = '20'>#1</span>",
	uc528 = "<span color = '0xfff9990e' size = '20'>消耗</span>",
	uc529 = "铁矿基础产量增加<span class = 'yellow24'>#1%</span>",
	uc530 = "石油基础产量增加<span class = 'yellow24'>#1%</span>",
	uc531 = "硅矿基础产量增加<span class = 'yellow24'>#1%</span>",
	uc532 = "购买建筑队列成功",
	uc533 = "<span class = 'green24'>免费加速</span>",
	uc534 = "可获得",
	uc535 = "幸运抽奖",
	uc536 = "选择任意宝箱，抽取奖励",
	uc537 = "选择任意宝箱，抽取奖励<br/>使用1个瓶盖进行抽奖",
	uc538 = "使用瓶盖即可开始抽奖",
	uc539 = "使用1瓶盖即可开始抽奖<br/>费用:#1钻石<br/>您拥有:0瓶盖",
	uc540 = "#1 ×#2<br/>#3",
	uc541 = "确  定",
	uc542 = "指挥官，您抽到的奖励品已送达给您，请查收",
	uc543 = "每日登陆可免费获得一次抽奖机会",
	uc544 = "使用1个瓶盖即可开始抽奖<br/>您拥有:#1个瓶盖",
	uc545 = "每日免费抽奖",
	uc546 = "指挥官达到指定等级即可领取相应的奖励哦",
	uc547 = "指挥官，总部的援军已经到了<br/>请签收",
	uc549 = "转动幸运大转盘可获得顶级战机，超级资源包，指挥插件等等，绝对超值！",
	uc550 = "角色等级",
	uc551 = "奖励",
	uc552 = "操作",
	uc553 = "免费抽取",
	uc554 = "指挥官等级大于等于15级可参与",
	uc555 = "今日次数已满",
	uc556 = "<span class = 'chatNamePrivate20'>我对 #1 说</span>",
	uc557 = "<span class = 'chatNamePrivate20'>#1 对您说</span>",
	uc558 = "建造队列已满,您是否愿意花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买一个永久建造队列?",
	uc559 = "两倍奖励",
	uc560 = "不能超过上个级别对应属性等级",
	uc561 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>快速完成此次升级么？</span>",
	uc562 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>补足资源完成此次升级么？</span>",
	uc563 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>加速完成此次升级么？</span>",
	uc564 = "<span class = 'switchTitleOne'>配   件</span>",
	uc565 = "<span class = 'switchTitleOne'>补给线</span>",
	uc566 = "<span class = 'switchTitleOne'>仓   库</span>",
	uc567 = "配件",
	uc568 = "<span class = 'switchTitleOne'>强   化</span>",
	uc569 = "<span class = 'switchTitleOne'>改   造</span>",

	uc570 = "生命",
	uc571 = "攻击",
	uc572 = "生命<br/>反克制",
	uc573 = "攻击<br/>克制",
	uc574 = "生命<br/>暴免",
	uc575 = "攻击<br/>暴伤",

	uc576 = "女妖战机",
	uc577 = "巡游战机",
	uc578 = "雷电战机",
	uc579 = "堡垒战机",

	uc580 = "<span class = 'gray20'>Lv.#1</span>",
	uc581 = "<span class = 'yellow20'>#1</span>",
	uc582 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc583 = "该配件将于角色等级#1级开放！",
	uc584 = "当前还没有配件，您可以通过补给线关卡获得配件",

	uc585 = "绿色品质",
	uc586 = "蓝色品质",
	uc587 = "紫色品质",
	uc588 = "橙色品质",

	uc589 = "改造等级:#1",
	uc590 = "强化等级:#1",
	uc591 = "血量加成:#1%",
	uc592 = "攻击加成:#1%",

	uc593 = "装 配",
	uc594 = "卸 载",
	uc595 = "分 解",
	uc596 = "强 化",
	uc597 = "改 造",
	uc598 = "成功装配!",
	uc599 = "成功卸下!",

	uc600 = "<span class = 'green18'>+#1%</span>",
	uc601 = "分解只能在仓库中进行!",

	uc602 = "<span class = 'switchTitleTwo'>配件</span>",
	uc603 = "<span class = 'switchTitleTwo'>蓝图</span>",
	uc604 = "<span class = 'switchTitleTwo'>兑换</span>",

	uc605 = "<span class = 'yellow20'>#1</span>",
	uc606 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc607 = "批量分解",
	uc608 = "点击后可选品质进行分解",
	uc609 = "装配选择",
	uc610 = "<span class = 'yellow24'>请选择要装配的某一种飞机类型</span>",
	uc611 = "确 定",
	uc616 = "请选择要装配的飞机类型",
	uc617 = "批量分解",
	uc618 = "<span class = 'yellow24'>请选择要分解的品质</span>",
	uc619 = "全 选",
	uc620 = "没有可以分解的配件",
	uc621 = "分解",
	uc622 = "分解后的材料只可在改造页面查看<br/>分解可得:",
	uc623 = "取 消",
	uc624 = "<span class = 'green24'>×#1</span>",
	uc625 = "改造等级:#1",
	uc626 = "强化等级:#1",
	uc627 = "血量加成:#1%",
	uc628 = "攻击加成:#1%",
	uc629 = "成功几率:#1%",

	uc630 = "强 化",
	uc631 = "强化等级:#1  <span class = 'green24'>+1</span>",
	uc632 = "血量加成:#1%  <span class = 'green24'>+#2%</span>",
	uc633 = "攻击加成:#1%  <span class = 'green24'>+#2%</span>",
	uc634 = "改 造",
	uc635 = "改造等级:#1  <span class = 'green24'>+1</span>",
	uc636 = "金币不足",
	uc637 = "强化成功",
	uc638 = "强化失败",
	uc639 = "道具不足",
	uc640 = "改造成功",
	uc641 = "橙色品质不能分解",
	uc642 = "强化等级不能超过角色等级!",
	uc643 = "拥有:#1/需求:#2",
	uc644 = "<span class = 'green24'>#1</span>",
	uc645 = "分 解",
	uc646 = "制 造",
	uc647 = "是否消耗1个#1制造1个#2?",
	uc648 = "制造成功!",
	uc650 = "分解1个可获得#1个#2",
	uc651 = "分解",
	uc652 = "<span class = 'green24'>#1/#2</span>",
	uc653 = "最小",
	uc654 = "最大",
	uc655 = "确 定",
	uc656 = "兑换",
	uc657 = "普通蓝图碎片不足",
	uc658 = "高级蓝图碎片不足",
	uc659 = "是否删除已经选择的邮件?",
	uc660 = "删除邮件成功",

	uc661 = "<span class = 'rank1'>#1</span>",
	uc662 = "<span class = 'rank1'>LV#1</span>",

	uc663 = "<span class = 'rank2'>#1</span>",
	uc664 = "<span class = 'rank2'>LV#1</span>",

	uc665 = "<span class = 'rank3'>#1</span>",
	uc666 = "<span class = 'rank3'>LV#1</span>",

	uc667 = "<span class = 'rank4'>#1</span>",
	uc668 = "<span class = 'rank4'>LV#1</span>",

	uc669 = "胜利后将直接返航",
	uc670 = "胜利后将驻留原地采集资源",
	uc671 = "<span class = 'default28'>增加属性</span>",

	uc672 = "<span class = 'default18'>反克制</span>",
	uc673 = "<span class = 'default18'>克制</span>",
	uc674 = "<span class = 'default18'>生命</span>",
	uc675 = "<span class = 'default18'>攻击</span>",
	uc676 = "<span class = 'default18'>暴免</span>",
	uc677 = "<span class = 'default18'>暴伤</span>",

	uc678 = "<span class = 'red24'>LV.#1</span>",

	uc679 = "关于联盟",
	uc680 = "加入联盟的好处:",
	uc681 = "向您的盟友寻求保护<br/>向经验丰富的老玩家学习<br/>联盟科技，提升战斗属性<br/>联盟商店，兑换各种道具蓝图",
	uc682 = "加入联盟",
	uc683 = "创建联盟",
	uc684 = "<span class = 'alterTitle'>联  盟</span>",

	uc685 = "<span class = 'green22'>指挥插件X2</span>",
	uc686 = "<span class = 'default22'>创建或加入联盟即可免费领取</span>",
	uc687 = "<span class = 'green22'>联盟科技</span>",
	uc688 = "<span class = 'default22'>多种科技加成，轻松提高您的战斗力</span>",
	uc689 = "<span class = 'green22'>联盟聊天</span>",
	uc690 = "<span class = 'default22'>属于您和盟友的专属频道</span>",
	uc691 = "<span class = 'green22'>联盟商店</span>",
	uc692 = "<span class = 'default22'>各种道具，顶级配件蓝图任您兑换</span>",
	uc693 = "领 取",
	uc694 = "<span class = 'default22'>#1</span>",
	uc695 = "今日已转动  <span class = 'green24'>#1/50</span>",
	uc696 = "指挥官等级大于等于15级可参与",
	uc697 = "拥有瓶盖:  <span class = 'green24'>#1</span>",
	uc698 = "<span class = 'green24'>#1</span>",
	uc699 = "<span class = 'build26WithOutline'>#1</span>",
	uc700 = "<span class = 'chatFightReport24'>返回报告</span>",
	uc701 = "角色#1级开放此配件",
	uc702 = "<span class = 'yellow24'>#1</span>",
	uc703 = "声望等级不足",
	uc704 = "<span class = 'chatContent24'>#1</span>",
	uc705 = "<span class = 'itemTitle24'>#1</span>",
	uc706 = "联盟将于指挥中心5级开放",
	uc707 = "<span class = 'chatSystem20'>#1</span>",
	uc708 = "<span class = 'chatSystem24'>#1</span>",
	uc709 = "当前还有#1个关卡可攻打",
	uc710 = "今日剩余重置次数 : #1",
	uc711 = "关卡重置",

	uc712 = "每日可重置补给线关卡<span class = 'yellow24'>#1</span>次",
	uc713 = "竞技场购买次数<span class = 'yellow24'>#1</span>次",

	uc714 = "今日重置补给线次数已满，提升VIP可增加次数",
	uc715 = "是否使用#1</span><img src = 'diamond.png' width = 32 height = 32/>重置补给线?",
	uc716 = "需要玩家等级达到#1级开放",
	uc717 = "配件抽图",

	uc718 = "<span class = '_drawCard1_26'>#1</span>",
	uc719 = "<span class = '_drawCard1_24'>#1 后免费</span>",
	uc720 = "<span class = '_drawCard2_26'>#1</span>",
	uc721 = "<span class = '_drawCard2_24'>#1 后免费</span>",
	uc722 = "<span class = '_drawCard3_26'>#1</span>",
	uc723 = "<span class = '_drawCard3_24'>#1 后免费</span>",

	uc724 = "免 费",
	uc725 = "抽 取",

	uc726 = "<span class = '_drawCard1_26'>绿 </span><br/><span class = '_drawCard2_26'>蓝</span>",
	uc727 = "<span class = '_drawCard1_26'>绿 </span><br/><span class = '_drawCard2_26'>蓝 </span><br/><span class = '_drawCard3_26'>紫</span>",
	uc728 = "<span class = '_drawCard2_26'>蓝 </span><br/><span class = '_drawCard3_26'>紫 </span><br/><span class = '_drawCard4_26'>橙</span>",

	uc729 = "花费钻石抽取",
	uc730 = "是否愿意花费#1<img src = 'diamond.png' width = 32 height = 32/>抽取配件蓝图?",

	uc731 = "抽取 :  <span class = 'green26'>1</span>  次",
	uc732 = "抽取 :  <span class = 'green26'>10</span>  次",

	uc733 = "<span class = '_drawCard3_24'>#1</span>",
	uc734 = "<span class = '_drawCard4_24'>#1</span>",

	uc735 = "<span class = 'default28'>消费充值</span>",
	uc736 = "<span class = 'yellow24'>消费充值<br/></span>",
	uc737 = "vip#1:累积购买#2<img src = 'diamond.png' width = 32 height = 32/><br/>",

	uc738 = "<span class = 'default28'>角色属性</span>",
	uc740 = "<span class = 'default28'>角色科技</span>",
	uc742 = "<span class = 'default28'>角色技能</span>",
	uc744 = "<span class = 'default28'>基地建筑</span>",
	uc746 = "<span class = 'default28'>郊外建筑</span>",
	uc748 = "<span class = 'default28'>世界资源点</span>",
	uc750 = "<span class = 'default28'>联盟</span>",
	uc752 = "<span class = 'default28'>联盟科技</span>",

	uc754 = "<span class = 'default28'>游戏问题</span>",

	uc756 = "联系我们",
	uc757 = "获得配件",

	uc758 = "补给线",
	uc759 = "蓝图制造",
	uc760 = "蓝图抽取",
	uc761 = "前 往",

	uc762 = "<span class = 'red24'>拥有:#1/需求:#2</span>",
	uc763 = "<span class = 'green24'>金币</span>",

	uc764 = "1.攻打补给线的关卡不会损耗战机<br/>2.每日24时自动重置次数<br/>3.每日首次攻打会消耗能量<br/>4.每日钻石重置后，再次攻打不会消耗能量<br/>5.每日补给线可重置次数与VIP等级相关<br/>",
	uc765 = "<span class = 'default24'>升级技能</span>",

	uc766 = "<span class = 'green24'><img src = 'diamond.png' width = 32 height = 32/>+#1</span>",
	uc767 = "<span class = 'red24'><img src = 'diamond.png' width = 32 height = 32/>-#1</span>",

	uc768 = "#1 后结束",

	uc769 = "<span class = '_drawCard2_26'>#1</span>",
	uc770 = "绿色配件或蓝图分解获得1个普通碎片<br/>蓝色配件或蓝图分解获得3个普通碎片<br/>紫色配件或蓝图分解获得1个高级碎片<br/>橙色配件或蓝图分解获得5个高级碎片<br/>",

	uc771 = "反克制加成:#1%",
	uc772 = "克制加成:#1%",
	uc773 = "暴免加成:#1%",
	uc774 = "暴伤加成:#1%",

	uc775 = "反克制加成:#1%  <span class = 'green24'>+#2%</span>",
	uc776 = "克制加成:#1%  <span class = 'green24'>+#2%</span>",
	uc777 = "暴免加成:#1%  <span class = 'green24'>+#2%</span>",
	uc778 = "暴伤加成:#1%  <span class = 'green24'>+#2%</span>",

	uc779 = "您们联盟与其保持中立，会长可以修改该联盟关系",
	uc780 = "您们联盟与其保持敌对，会长可以修改该联盟关系",
	uc781 = "您们联盟与其保持友好，会长可以修改该联盟关系",

	uc782 = "+ #1",
	uc783 = "- #1",

	uc784 = "可能掉落配件蓝图品质:<span class = '_drawCard1_26'>绿</span>",
	uc785 = "可能掉落配件蓝图品质:<span class = '_drawCard1_26'>绿,</span><span class = '_drawCard2_26'>蓝</span>",
	uc786 = "可能掉落配件蓝图品质:<span class = '_drawCard1_26'>绿,</span><span class = '_drawCard2_26'>蓝,</span><span class = '_drawCard3_26'>紫</span>",
	uc787 = "可能掉落配件蓝图品质:<span class = '_drawCard2_26'>蓝,</span><span class = '_drawCard3_26'>紫,</span><span class = '_drawCard4_26'>橙</span>",
	uc789 = "<span class = 'switchTitleTwo'>贡献列表</span>",
	uc790 = "周贡献",

	uc791 = "<span class = '_drawCard3_24'>闪避加成:</span>#1%",
	uc792 = "<span class = '_drawCard4_24'>闪避加成:</span>#1%",
	uc793 = "<span class = '_drawCard3_24'>命中加成:</span>#1%",
	uc794 = "<span class = '_drawCard4_24'>命中加成:</span>#1%",

	uc795 = "<span class = '_drawCard3_24'>闪避加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc796 = "<span class = '_drawCard4_24'>闪避加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc797 = "<span class = '_drawCard3_24'>命中加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc798 = "<span class = '_drawCard4_24'>命中加成:</span>#1% <span class = 'green24'>+#2%</span>",

	uc799 = "<span class = 'switchTitleOne'>限时商店</span>",
	uc800 = "购 买",
	uc801 = "<span class = 'green24'>#1/#2</span>",

	uc802 = "购买次数已满，不能购买",
	uc803 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买此道具?",
	uc804 = "购买此道具成功",
	uc805 = "累计充值",
	uc806 = "活动",

	uc807 = "累计充值返利大回馈",
	uc808 = "活动期间常规充值所获钻石将计入累计充值<br/>活动期间累计充值钻石数量满足活动需求即可领取超值奖励",
	uc809 = "累计充值#1钻石",
	uc810 = "累计#1 / #2",

	uc811 = "1.强化可以提高当前等级4类战机的攻击或血量<br/>2.前一级属性没强化满时，下一级战机强化等级无法超过前一级等级",
	uc812 = "急速发展",

	uc813 = "订单已经存在",
	uc814 = "效验失败",
	uc815 = "productId错误",
	uc816 = "订单出错",
	uc817 = "您的网络状态不好，请重新获取信息",

	uc818 = "邮箱:support@tapugame.com",
	uc819 = "您是否愿意花费<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>购买吗?",
	uc820 = "<span class = 'red24'>角色等级#1解锁</span>",

	uc821 = "搜索敌人并发起进攻",
	uc822 = "管理您的基地",
	uc823 = "建造资源建筑",
	uc824 = "联盟 : 无",

	uc825 = "<span class = 'chatNameAlliance20'>#1</span>",

	uc826 = "<span class = 'chatNameAlliance24'>#1:</span>#2",

	uc827 = "<span class = 'chatNamePrivate24'>我对 #1 说:</span>#2",
	uc828 = "<span class = 'chatNamePrivate24'>#1 对您说:</span>#2",
	uc829 = "<span class = 'alterTitle'>敌方来袭</span>",

	uc830 = "#1 即将到达我方基地",
	uc831 = "坐标 X:#1,Y:#2",
	uc832 = "到达时间:#1",

	uc833 = "<span class = 'yellow24'>战斗报告(#1受到攻击)</span>",
	uc834 = "<span class = 'chatFightReport24'>战斗报告(#1受到攻击)</span>",
	uc835 = "<span class = 'chatFightReport20'>战斗报告(#1受到攻击)</span>",
	uc836 = "急速发展活动期间，建筑建造,飞机生产,科技研究的最终时间都降低20%",

	uc837 = "建筑建造时间缩短20%",
	uc838 = "战机生产时间缩短20%",
	uc839 = "科技研究时间缩短20%",

	uc840 = "前 往",
	uc841 = "兑换码",
	uc842 = "兑 换",
	uc843 = "请输入兑换码!",
	uc844 = "兑换码必须小于等于#1个(英文或者数字)字符",
	uc845 = "我们的部队攻击了#1<br/>战斗地点:#2(#3.#4)</span><br/>战斗时间:#5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>#7</span>",
	uc846 = "防:无",
	uc847 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>修理战机么？</span>",
	uc848 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>修理所有战机么？</span>",
	uc849 = "您确定要删除邮件吗？",
	uc850 = "修改密码",
	uc851 = "更换账号",

	uc852 = "账户:#1",
	uc853 = "服务器:#1",
	uc854 = "当前密码",
	uc855 = "新密码",
	uc856 = "再次输入",
	uc857 = "修 改",

	uc858 = "原密码不能为空",
	uc859 = "原密码输入错误",
	uc860 = "新密码不能为空",
	uc861 = "密码必须大于等于#1个字符,小于等于#2个字符",
	uc862 = "两次输入的密码不一致",
	uc863 = "密码修改成功",
	uc864 = "<span class = 'green24'>#1</span>",
	uc865 = "金币",
	uc866 = "你的城市正在遭受攻击",
	uc867 = "获取声望",
	uc868 = "#1声望",
	uc869 = "购 买",
	uc870 = "实名注册",
	uc871 = "<span class = 'default24'>#1</span>",
	uc872 = "公告",

	uc873 = "<span color = '0xffffffff'>#1I</span>",
	uc874 = "<span color = '0x00ff96ff'>#1II</span>",
	uc875 = "<span color = '0xff41eff'>#1III</span>",
	uc876 = "<span color = '0xda70d6ff'>#1IV</span>",
	uc877 = "<span color = '0xff6100ff'>#1V</span>",

	uc878 = "发展城市",
	uc879 = "生产部队",
	uc880 = "研发高科技武器",
	uc881 = "抓获敌人间谍",
	uc882 = "探索未知区域",
	uc883 = "维护盟友关系",
	uc884 = "偷取敌对联盟机密",
	uc885 = "发展联盟科技",

	uc886 = "章节#1关卡#2",
	uc887 = "攻打#1级以上资源点",
	uc888 = "#1级指挥中心",
	uc889 = "建造铸币厂",
	uc890 = "#1级铸币厂",
	uc891 = "建造铁矿场",
	uc892 = "#1级铁矿场",
	uc893 = "#1级油井",
	uc894 = "#1级硅矿场",
	uc895 = "建造钛矿场",
	uc896 = "#1级钛矿场",
	uc897 = "建造科研中心",
	uc898 = "#1级科研中心",
	uc899 = "建造仓库",
	uc900 = "#1级仓库",
	uc901 = "建造机库",
	uc902 = "#1级机库",

	uc903 = "#1架轻型女妖战机",
	uc904 = "#1架轻型巡游战机",
	uc905 = "#1架轻型雷电战机",
	uc906 = "#1架轻型堡垒战机",

	uc907 = "#1架中型女妖战机",
	uc908 = "#1架中型巡游战机",
	uc909 = "#1架中型雷电战机",
	uc910 = "#1架中型堡垒战机",

	uc911 = "#1架重型女妖战机",
	uc912 = "#1架重型巡游战机",
	uc913 = "#1架重型雷电战机",
	uc914 = "#1架重型堡垒战机",

	uc915 = "#1架精英女妖战机",
	uc916 = "#1架精英巡游战机",
	uc917 = "#1架精英雷电战机",
	uc918 = "#1架精英堡垒战机",

	uc919 = "铁矿产量达到#1",
	uc920 = "石油产量达到#1",
	uc921 = "硅矿产量达到#1",

	uc922 = "系统",

	uc923 = "联盟全体成员",
	uc924 = "恭喜#1指挥达到#2!",
	uc925 = "恭喜#1在幸运大转盘中抽取到#2!",
	uc926 = "恭喜#1在竞技场中击败#2赢得了第一名!",

	uc927 = "返回报告",
	uc928 = "<span class = 'red24'>需要声望等级#1级</span>",

	uc929 = "角色#1级开放",
	uc930 = "升级成功",
	uc931 = "恭喜您升级到#1级！",

	uc932 = "解锁科研中心",
	uc933 = "前往",
	uc934 = "解锁战机实验室",
	uc935 = "解锁配件系统",
	uc936 = "解锁竞技场",

	uc937 = "使用战斗BUFF可以让你解决一些头痛的敌人",
	uc938 = "建筑建造和科研升级可以使用免费加速，VIP等级越高免费加速时间越多",
	uc939 = "关卡战斗失败不会消耗体力",
	uc940 = "世界战斗中损失的战机有80%会进入修理厂，剩下20%无法修复而报废",
	uc941 = "加入联盟可以获得联盟科技的强力支持",
	uc942 = "橙色配件图纸可以通过抽奖、竞技场商店、联盟商店获得",

	uc943 = "</span><img src = 'beAttack.png' width = 32 height = 32/>",
	uc944 = "默认阵型",
	uc945 = "<span class = 'yellow26'>#1</span>",
	uc946 = "(返还50%资源)",
	uc947 = "玩家可以设置<span class = 'yellow24'>#1</span>个阵型",
	uc948 = "基地战机数量不足，无法使用该阵型",
	uc949 = "已设为默认阵型",
	uc950 = "常用阵型",

	uc951 = "阵型#1",
	uc952 = "阵型#1(VIP#2开启)",

	uc953 = "默 认",
	uc954 = "覆 盖",
	uc955 = "使 用",

	uc956 = "阵型设置成功",
	uc957 = "阵型使用成功",
	uc958 = "默认阵型使用成功",

	uc959 = "生命&反克制",
	uc960 = "攻击&克制",
	uc961 = "生命&暴免",
	uc962 = "攻击&暴伤",

	uc963 = "<span class = 'yellow24'>#1</span>",
	uc548 = "15天内每天登陆可领取豪华礼包",
	uc964 = "收藏成功",
	uc965 = "收藏已达上限",
	uc966 = "<span class = 'default18'>#1</span>",
	uc967 = "每日充值",
	uc968 = "每日充值达到指定数量钻石(赠送不算)可以领取对应超值奖励",
	uc969 = "收集资源",
	uc970 = "活动期间采集5种资源达到指定数量可以领取对应奖励，每种资源的奖励活动期间只能领取一次",
	uc971 = "每日充值返利大回馈",

	uc972 = "金币目标:#1/4",
	uc973 = "铁矿目标:#1/4",
	uc974 = "石油目标:#1/4",
	uc975 = "硅矿目标:#1/4",
	uc976 = "钛矿目标:#1/4",
	uc977 = "采集资源:#1",
	uc978 = "#1/#2",
	uc979 = "战争之王",
	uc980 = "活动期间攻打玩家城市达到指定次数，可以领取对应奖励",
	uc981 = "攻打#1/#2次",
	uc982 = "[军衔]",
	uc983 = "无军衔",
	uc984 = "<span class = 'itemTitle26'>#1</span>",
	uc985 = "<span class = 'itemTitle22'>荣誉:</span>",
	uc986 = "<span class = 'itemTitle24'>高级指挥LV.#1</span>",
	uc987 = "<span class = 'itemTitle22'>复仇值:</span>",
	uc988 = "带兵数量:<span class = 'green24'>+#1</span>",
	uc989 = "说明",
	uc990 = "荣誉勋章不足",
	uc991 = "高级指挥升级成功",
	uc992 = "高级指挥等级不能超过玩家等级",
	uc993 = "荣 誉",
	uc994 = "荣誉商店",
	uc995 = "军衔",
	uc996 = "奖励",
	uc997 = "荣誉点数",
	uc998 = "人数",
	uc999 = "&#62;=#1",
	uc1000 = "&#62;=#1&&#60;=#2",
	uc1001 = "不限",
	uc1002 = "荣誉勋章:<img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/>#1     复仇值:#2",
	uc1003 = "<span color = '0xff0000ff'>高级指挥等级 #1 可兑换</span>",
	uc1004 = "<span class = 'default20'>勋章:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #1</span>",
	uc1005 = "兑换成功",
	uc1006 = "荣誉勋章不足",
	uc1007 = "<span class = 'switchTitleTwo'>道具</span>",
	uc1008 = "<span class = 'switchTitleTwo'>配件</span>",
	uc1009 = "<span class = 'switchTitleTwo'>部队</span>",
	uc1010 = "<span class = 'switchTitleTwo'>英雄</span>",
	uc1011 = "荣誉值 : #1",
	uc1012 = "您当前已购买#1个建造队列<br/>您还可以购买#2个建造队列<br/>您当前是VIP#3拥有#4个建造队列",
	uc1013 = "<span class = 'default22'>#1</span>",
	uc1015 = "敌人",
	uc1016 = "分享",
	uc1017 = "每日分享可获得奖励:",
	uc1018 = "奖励品",
	uc1019 = "<span class = 'default24'>始终显示建筑名字</span>",
	uc1020 = "复仇:<span class = 'green24'>#1</span>",
	uc1021 = "复仇:<span class = 'red24'>#1</span>",
	uc1022 = "荣誉:<span class = 'green24'>#1</span>",
	uc1023 = "荣誉:<span class = 'red24'>#1</span>",
	uc1024 = "荣誉:#1",
	uc1025 = "军衔 :",
	uc1026 = "(#1)",
	uc1027 = "荣誉值",
	uc1028 = "无",
	uc1029 = require("res.data.lang.zh_CN.medalAward"),
	uc1030 = "<span class = 'default28'>提升高级指挥能力</span>",

	uc1031 = "消耗荣誉勋章和复仇值提升高级指挥能力",
	uc1032 = "<span class = 'default20'>当前等级:LV.#1</span>",
	uc1033 = "<span class = 'default20'>最大等级:LV.</span><span class = 'red20'>#1</span>",
	uc1034 = "<span class = 'default20'>现有:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #1   消耗:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #2</span>",
	uc1035 = "<span class = 'default20'>现有复仇值:#1   消耗:#2</span>",
	uc1036 = "<span class = 'default20'>额外带兵量:<span class = 'green20'>#1</span></span>",
	uc1037 = "增 加",
	uc1038 = "复仇值不足",
	uc1039 = "<span class = 'default20'>复仇值:#1</span>",
	uc1040 = "十连抽",
	uc1041 = "必得1橙图",
	uc1042 = "抽取10次",
	uc1043 = "0/#1",
	uc1044 = "#1¥",
	uc1045 = "#1$",

	uc1046 = "每个角色充值指定档位的钻石，可以领取对应奖励，每种奖励只能领取一次",
	uc1047 = "首次充值#1档位钻石可获得",
	uc1048 = "首冲大回馈",
	uc1049 = "首冲返利大回馈",
	uc1050 = "是否消耗1个#1制造1个配件并且装配它?",
	uc1051 = "制造并且装配成功!",
	uc1052 = "替 换",
	uc1053 = "玩家主城默认的皮肤",
	uc1054 = "主城皮肤",
	uc1055 = "<span class = 'default20'>#1</span>",
	uc1056 = "替换成功",
	uc1057 = "没有此道具的buff",
	uc1058 = "还是主城默认皮肤样式",
	uc1059 = "还是主城默认皮肤样式",
	uc1060 = "<img src = 'diamond.png' width = 32 height = 32/> #1",
	uc1061 = "配件零件不足",
	uc1062 = "制造并装配",
	uc1063 = "<span class = 'green24'>#1</span>",
	uc1064 = "当前队列不足",
	uc1065 = "你可以花费钻加速当前一个时间的最短的队列，并把本次任务添加到队列中",
	uc1066 = "加 速",
	uc1067 = "购 买",
	uc1068 = "<span class = 'yellow24'>需要</span> <img src = 'diamond.png' width = 32 height = 32/> <span class = 'yellow24'>#1</span>",
	uc1069 = "<span class = 'yellow24'>免费加速</span>",
	uc1070 = "当前的最短队列已经完成，本次任务已经添加到队列中",
	uc1071 = "重置双倍",
	uc1072 = "重置双倍充值成功",
	uc1073 = "是否重置此档位充值双倍?",
	uc1074 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1×#2</span>",
	uc1075 = "Ⅴ",
	uc1076 = "玩家等级12级以后才可以捐献",
	uc1077 = "每天可联盟捐献<span class = 'yellow24'>#1</span>次",

	uc1078 = "<span class = 'default26'>每日捐献次数已满，您当前是<span class = 'yellow26'>VIP#1</span></span>",
	uc1079 = "<span class = 'yellow24'>VIP#1</span> 每日可捐献<span class = 'yellow24'>#2</span>次",
	uc1080 = "提升<span class = 'yellow24'>VIP</span>可以增加每日捐献次数",

    uc1081 = "军备竞赛",
    uc1082 = "活动期间，生产或改造一定数量的战机，可领取更高级的战机！",
    uc1083 = "生产#1架#2即可领取",
    uc1084 = "#1/#2",
    uc1085 = "生产飞机",



	ug_quality_lv="<span class=qualityLv1>#1</span>,<span class=qualityLv2>#1</span>,<span class=qualityLv3>#1</span>,<span class=qualityLv4>#1</span>,<span class=qualityLv5>#1</span>",
	ug_role="角色",

	ug_persionalCenter="个人中心",

	ug_morePay="<span class = 'default20'>更多支付方式</span>",

	ug_guide_2_world="指挥官，欢迎来到我们的新基地，我们可以在此打造我们的军事堡垒，为了熟悉周围环境，请跟随我一 起查看世界地图",
	ug_guide_2_base="这片区域有很多丰富的资源岛屿，可以加快我们的发展进程，不过也要小心可能会有人盯上我们...等 等？ 有警报！",
	ug_guide_tip_2_world="点击切换到世界地图",
	ug_guide_tip_2_base="点击切换回主基地",

	ug_eg_startGame="<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>开始游戏</span>",
	ug_share="战机帝国强势来袭~!",
	ug_share_text="发展城市，训练部队，抢占资源，和朋友一起组建联盟，互相帮助，一起征战四方！ 战机帝国，等你来战！",
	ug_share_failure="分享失败",

	ug_quitTip="确认退出游戏?",

	ug_changeNameNotice="请注意！您将不能在游戏中更改指挥官的姓名!",

	ug_netException="网络异常,通讯超时!",
	ug_netException_reloginTip="与服务器断开连接!",

	ug_mapLocTip="是否查看(#1,#2)的区域?",

	ug_payFail="购买失败(错误码:#1)!",
	ug_payName="#1钻石",

	ug_guide_resCollectionTip="光靠资源建筑产出的资源还无法完全满足基地发展需求，我们侦察到附近有一个铁矿资源点，可以派部队前 去采集资源",
	ug_guide_resLocTip="铁矿资源点位置已被确定",
	ug_guide_armyTaskWaitTip="部队航行还需要一定时间，我们可以返回主基地等待结果",
	ug_guide_cellectionComplete="部队已经完成资源采集，可以让其回基地了",
	ug_guide_tipOpenArmyTaskWindow="点击打开行军任务界面",
	ug_guide_clickArmyBack="点击部队返回",
	ug_guide_confirmBack="确定返回",

	ug_switchAccount="切换账号",
}

if CUR_SDK then
	if CUR_SDK == SDKType.PLATFORM_ENJOY_GAME then
		T.ext_sdk = require("res.data.lang.zh_CN.sdk_enjoyGame")
	elseif CUR_SDK ==  SDKType.PLATFORM_360 then
		T.ext_sdk = require("res.data.lang.zh_CN.sdk_360")
	end
end

return T
