--- 語言包
local T = {
	--登陸相關
	ug_version="<span color='0xcccccc'>version: [#1]#2</span>",
	ug_getServerListErr1 = "<span color = '0xfd0000'>未能正確獲取到伺服器清單資料,或解析伺服器清單資料失敗!</span><br/>點擊後重試",
	ug_needUpdateCpp = "<span color = '0xfd0000'>有新的遊戲版本需要更新!</span><br/>點擊後將進入遊戲更新頁面",
	ug_tourist = "遊客",
	ug_loginInput_nameCap = "帳號:",
	ug_uidPlaceHold = "輸入郵箱位址",
	ug_loginInput_pwdCap = "密碼:",
	ug_pwdPlaceHold = "輸入密碼",
	ug_loginInput_rePwdCap = "確認密碼:",
	ug_rePwdPlaceHold = "再次輸入密碼",
	ug_retPWD = "找回密碼",
	ug_login = "登陸",
	ug_touristLogin = "遊客登陸",
	ug_uidIsEmpty = "\"帳號\"不能為空",
	ug_pwdIsEmpty = "\"密碼\"不能為空",
	ug_binding = "綁定",
	ug_bindingSucc = "綁定成功,您現在可以使用新的帳號登陸遊戲了",
	ug_bibdingUidExist = "帳號已存在!",
	ug_bindingUidFull = "每個設備最多只能綁定3個帳號，已經綁定帳號:#1",
	ug_uidTip = "請輸入真實存在的<span color = '0xfd0000ff'>郵箱位址</span>作為您的帳號,此郵箱位址將作為您<span color = '0xfd0000ff'>找回密碼的唯一憑證</span>,請妥善保管!(帳號長度限制為<span color = '0xfd0000ff'>#1</span>至<span color = '0xfd0000ff'>#2</span>個英文字元)",
	ug_pwdTip = "請輸入<span color = '0xfd0000ff'>#1</span>至<span color = '0xfd0000ff'>#2</span>個英文字母(區分大小寫)或數位做為您的密碼!",
	ug_lastLoginAccontDelTip = "這是您上一次登陸遊戲所使用的帳號,確定需要刪除嗎?",
	ug_serverstate_recom = "<span color = '0x77f9b3ff'>推薦</span>",
	ug_serverstate_busy = "<span color = '0xff7f24ff'>繁忙</span>",
	ug_selServerTitle = "選擇伺服器",
	ug_selLanguageTip = "暫不支持",

	ug_updating = "正在更新資源",
	ug_updatingProgress = "正在更新資源(#1/#2)",
	ug_updatingCreateFileErr = "更新失敗,不能創建檔<br/>點擊後重試",
	ug_updatingNetworkErr = "更新失敗,網路錯誤<br/>點擊後重試",
	ug_updatingUncompressErr = "更新失敗,解壓檔時發生錯誤<br/>點擊後重試",
	ug_updatingVersionErr = "更新失敗,版本號錯誤<br/>點擊後重試",
	ug_updatingUnknowErr = "更新失敗,未知錯誤<br/>點擊後重試",

	ug1 = "超時間引擎啟動中,請稍候！",
	ug2 = "正在獲取最新版本資料！",
	ug3 = "<span color = 'fa493c'>獲取最新版本資料失敗</span><br/>點擊後重試",
	ug4 = "正在獲取伺服器清單資料",
	ug5 = "<span color = 'fa493c'>獲取伺服器清單資料失敗</span><br/>點擊後重試",
	ug6 = "正在連接伺服器",
	ug7 = "<span color = 'fa493c'>連接伺服器失敗</span>",
	ug8 = "正在獲取金鑰",
	ug9 = "<span color = 'fa493c'>獲取金鑰超時</span>",
	ug10 = "<span color = 'fa493c'>網路異常</span><br/><span color = 'ff0000'>code:#1</span>",
	ug11 = "正在登陸伺服器",
	ug12 = "<span color = 'fa493c'>登陸伺服器失敗</span>",
	ug13 = "請求超時",
	ug14 = "<span color = 'ff0000'>解析伺服器返回的資料時出錯！請更新用戶端</span>",
	ug15 = "<span color = 'ff0000'>正在斷線重連！</span>",
	ug16 = "正在載入資源",
	ug17 = "<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>登  陸</span>",
	ug18 = "<span size = 18 color = '0xdd0011'>更新資源失敗</span>",
	ug19 = "<span size = 18 color = '0xdd0011'>獲取最新版本資料成功</span>",
	ug20 = "<span size = 18 color = '0xdd0011'>正在連接伺服器</span>",
	ug21 = "<span size = 18 color = '0xdd0011'>等待伺服器金鑰</span>",
	ug22 = "<span size = 18 color = '0xdd0011'>登陸用戶</span>",
	ug23 = "<span size = 24 color = '0xdd0011'>您的帳號已在別處登陸</span>",

	--顏色包裝器
	ug50 = "<span color = '0xffffff'>#1</span>",

	--記憶體不足
	ug80 = "<span size = 24 color = '0xdd0011'>記憶體不足,請關閉正在後臺運行的其它應用後再進行遊戲!</span>",

	--提示框相關
	ug100 = "<span class = 'alterTitle'>提 示</span>",
	ug101 = "<span class = 'alterConfirmButton'>確 定</span>",
	ug102 = "<span class = 'alterConfirmButton'>取 消</span>",
	ug103 = "<span class = 'alterConfirmButton'>是</span>",
	ug104 = "<span class = 'alterConfirmButton'>否</span>",

	ug120 = "<span class = 'alterConfirmButton'>開</span>",
	ug121 = "<span class = 'alterConfirmButton'>關</span>",

	ug200 = "<span class = 'blue24'>第#1章</span><br/><span class = 'default24'>#2</span>",
	ug201 = "<span color = '0x00ff96'>#1/#2</span>",
	ug202 = "<span size = 24 color = '0xcccccc'>第#1章<br/>#2</span>",
	ug203 = "<span color = '0xcccccc' >#1/#2</span>",

	ug220 = "<span size = 30>#1</span>",
	ug221 = "<span size = 26>當前等級#1</span>",
	ug222 = "<span size = 26>#1 LV#2</span><br/><span size = 22>　　開啟條件:攻打\"第#3章:#4\"達到#5星<br/>　　　　效果:#6</span>",
	ug223 = "<span color = '0x00ff96'><span size = 26>#1 LV#2</span><br/><span size = 22>　　開啟條件:攻打\"第#3章:#4\"達到#5星<br/>　　　　效果:#6</span></span>",
	ug224 = "<span size = 26 color = '0xfd0000'>未開啟</span>",

	ug250 = "主線劇情",
	ug251 = "<span size = 28 shadowColor = '0x000000cc' shadowOffset = '2,-2'>#1</span>",
	ug252 = "#1/#2(#3)",
	ug254 = "×#1",
	ug255 = "<span size = '26'>#1</span>",
	ug257 = "#1/#2",

	ug300 = "部隊出征",
	ug301 = "<span class = 'switchTitleOne'>設置部隊</span>",
	ug302 = "<span class = 'switchTitleOne'>執行任務</span>",
	ug303 = "<span class = 'switchTitleOne'>修理戰機</span>",

	ug320 = "最大戰力",
	ug321 = "進攻",
	ug322 = "帶兵量:#1",
	ug323 = "當前戰力:#1",
	ug324 = "技能/科技屬性增加:",
	ug325 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug326 = "<span size = '20'>#1<span class = 'addCount_color'>+#2</span></span>",
	ug327 = "<span size = '24'>您的陣形中沒有戰機,請點擊\"<span color = '0xff7f24ff'>最大戰力</span>\"按鈕或點擊\"陣位\"進行陣形佈置!</span>",
	ug328 = "攻擊:",
	ug329 = "血量:",

	ug340 = "戰機選擇",

	ug360 = "修  複",
	ug361 = "<span size = 26>全部修理:</span>",
	ug362 = "<span size = 26>戰鬥中部隊損失後,80%可返回修理廠</span>",

	ug400 = "<span color = 'fd0000ff'>與伺服器的資料同步出錯!</span>",
	ug401 = "跳過戰鬥",
	ug403 = "敵方部隊",
	ug404 = "<span size = '22'>LV.#1</span>",
	ug405 = "回合:<span color = '0x00ff96'>#1/#2</span>",
	ug406 = "<span size = '22'>戰利品</span>",
	ug407 = "可在修理廠修理#1架戰機",
	ug408 = "修理戰機",
	ug409 = "關閉",
	ug410 = "<span size = '22'>戰鬥失敗!您可以:</span>",
	ug411 = "<span size = '22'>研發科技,增加戰機屬性</span>",
	ug412 = "研發科技",
	ug413 = "<span size = '22'>建造更高級的戰機來提示戰力</span>",
	ug414 = "生產戰機",
	ug415 = "<span size = '22'>提升指揮,增加出戰部隊的戰鬥單位</span>",
	ug416 = "提升指揮",
	ug417 = "<span size = '22'>提示技能,增加戰機屬性</span>",
	ug418 = "提升技能",
	ug419 = "獲取戰鬥資料失敗",
	ug420 = "<span size = '22'>獲取戰鬥重播資料失敗!</span>",
	ug421 = "<span size = '22'>重播</span>",
	ug422 = "我方出戰 <span color = '0x00ff96'>#1</span> 戰機",
	ug423 = "敵方出戰 <span color = '0x00ff96'>#1</span> 戰機",
	ug424 = "嘗試提升戰機戰力吧",
	ug425 = "配件",
	ug426 = "科技",
	ug427 = "戰機",
	ug428 = "指揮",
	ug429 = "技能",
	ug430 = "修理",

	ug441 = "小提示:攻打關卡有幾率獲取<span color = '0x00ff96'>技能晶片</span>哦",

	ug500 = "<span size = '26'>添加部隊</span>",

	ug600 = "聯盟",
	ug601 = "<span class = 'switchTitleOne'>首   頁</span>",
	ug602 = "<span class = 'switchTitleOne'>成   員</span>",
	ug603 = "<span class = 'switchTitleOne'>其   它</span>",
	ug604 = "<span class = 'switchTitleOne'>創建聯盟</span>",
	ug605 = "<span class = 'switchTitleOne'>邀   請</span>",
	ug606 = "<span class = 'switchTitleOne'>聯盟列表</span>",

	ug620 = "<span class = 'switchTitleTwo'>當前成員</span>",
	ug621 = "<span class = 'switchTitleTwo'>申請列表</span>",
	ug623 = "成員人數:<br/><span color = '0x00ff96'>#1/#2</span>",

	ug640 = "聯盟名稱:",
	ug641 = "聯盟會長:",
	ug642 = "聯盟排名:",
	ug643 = "聯盟等級:",
	ug644 = "聯盟戰力:",
	ug645 = "聯盟人數:",
	ug648 = "聯盟公告:",
	ug649 = "聯盟郵件",
	ug650 = "設　　置",
	ug651 = "聯盟\"#1\"的信息",
	ug652 = "<span color = '0x00ff96'>#1/#2</span>",

	ug660 = "上次登錄",
	ug661 = "用戶名",
	ug662 = "職務",
	ug663 = "等級",
	ug664 = "戰鬥力",
	ug665 = "操作",
	ug666 = "成員數量:<span color = '0x00ff96'>#1/#2</span>",
	ug667 = "全員發送郵件",
	ug668 = "聯盟名稱",
	ug669 = "人數",
	ug670 = "戰力",
	ug671 = "操作",
	ug672 = "會長",
	ug673 = "副會長",
	ug674 = "成員",
	ug675 = "寫郵件",
	ug676 = "私聊",
	ug677 = "移出聯盟",
	ug678 = "退出聯盟",
	ug679 = "成員名稱:#1",
	ug680 = "貢獻度:#1",
	ug681 = "設置職位:",
	ug682 = "成員設置",
	ug683 = "移交會長成功!\"<span color = '0x00ff96'>#1</span>\"已成為聯盟會長!",
	ug684 = "\"<span color = '0x00ff96'>#1</span>\"已被設為聯盟副會長!",
	ug685 = "\"<span color = '0x00ff96'>#1</span>\"已被設為聯盟成員!",
	ug687 = "\"<span color = '0x00ff96'>#1</span>\"已被移除聯盟!",
	ug688 = "退出聯盟成功!",
	ug689 = "您已被\"<span color = '0x00ff96'>#1</span>\"驅逐出聯盟!",
	ug690 = "您已成功解散聯盟!",
	ug691 = "解散聯盟",
	ug692 = "您已成為聯盟會長",
	ug693 = "您已成為聯盟副會長",
	ug694 = "您已被去除副會長職務",

	ug700 = "輸入聯盟名稱!",
	ug701 = "創建聯盟需要:#1<br/>當前擁有:#2",
	ug702 = "<span color = '0x00ff96'> #1#2</span>",
	ug703 = ", <span color = '0x00ff96'> #1#2</span>",
	ug704 = "查看",
	ug705 = "搜索",
	ug706 = "請輸入聯盟名稱!",
	ug707 = "創建聯盟成功!",
	ug708 = "需要的資源不足,不能創建聯盟!",
	ug710 = "聯盟名必須大於等於#1個字元,小於等於#2個字元(中文字元算做2個字元)",
	ug711 = "申請中",
	ug712 = "創建聯盟",

	ug720 = "名稱:#1",
	ug721 = "等級:#1",
	ug722 = "人數:<span color = '0x00ff96'>#1/#2</span></span>",
	ug723 = "排名:#1",
	ug724 = "聯盟會長:#1",
	ug725 = "聯盟宣言:",
	ug726 = "聯盟信息",
	ug727 = "申請加入",
	ug728 = "取消申請",
	ug729  = "申請成功!",
	ug730  = "申請失敗!",
	ug731  = "取消申請成功!",
	ug732  = "取消申請失敗!",
	ug733 = "已達上限",
	ug734 = "最多只能同時向#1個聯盟發出申請!",

	ug740 =  "聯盟介紹(非聯盟成員可見)",
	ug741 =  "聯盟公告(僅聯盟成員可見)",
	ug742 = "保存修改",
	ug743 = "保存成功!",

	ug760 = "#1年前",
	ug761 = "#1月前",
	ug762 = "#1日前",
	ug763 = "#1小時內",

	ug780 = "排名",
	ug781 = "聯盟名",
	ug782 = "人數",
	ug783 = "戰鬥力",
	ug784 = "查看",
	ug785 = "#1/#2",
	ug786 = "點擊或上拉查看後20個",
	ug789 = "未搜索到指定聯盟!",
	ug791 = "獲取聯盟資訊失敗!",

	ug800 = "排名",
	ug801 = "聯盟名稱",
	ug802 = "邀請人",
	ug803 = "時間",
	ug804 = "操作",

	ug820 = "全部拒絕",
	ug821 = "同意",
	ug822 = "拒絕",
	ug823 = "當前沒有收到入盟申請",
	ug825 = "操作成功!",

	ug840 = "<span class = 'switchTitleTwo'>聯盟事件</span>",
	ug841 = "<span class = 'switchTitleTwo'>捐獻統計</span>",
	ug842 = "<span class = 'switchTitleTwo'>所有聯盟</span>",
	ug843 = "<span class = 'switchTitleTwo'>退出聯盟</span>",
	ug844 = "<span class = 'switchTitleTwo'>解散聯盟</span>",
	ug845 = "要解散聯盟,請先在輸入框中輸入\"<span color = '0xfd0000'>dismiss</span>\"後點擊\"確定\"按鈕",
	ug846 = "輸入\"<span color = '0xfd0000'>ok</span>\"點擊\"確定\"按鈕退出聯盟，退出後貢獻清零！",

	ug860 = "發送聯盟邀請成功!",
	ug863 = "當前沒有收到聯盟邀請",
	ug864 = "接受邀請",
	ug865 = "拒絕邀請",
	ug867 = "操作成功!",

	ug899 = "聯盟商店",
	ug900 = "聯盟科技",
	ug901 = "聯盟科技",
	ug902 = "科技說明:",
	ug903 = "[類別]",
	ug904 = "[需求]",
	ug905 = "[當前擁有]",
	ug906 = "[科技]",
	ug907 = "[貢獻]",
	ug908 = "[操作]",
	ug909 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> (LV.#2) </span>",
	ug910 = "捐獻",
	ug912 = "已升至最高等級!",
	ug913 = "需求:#1",
	ug914 = "擁有:#1",
	ug915 = "獎勵:",
	ug916 = "聯盟捐獻",
	ug917 = "科技+#1",
	ug918 = "貢獻+#1",
	ug919 = "聲望+#1",
	ug920 = "技能晶片+#1",
	ug922 = "今日\"<span color = '0xfd0000'>#1</span>\"捐獻次數:<span color = '0xfd0000'>#2</span>/<span color = '0xfd0000'>#3</span>",
	ug923 = "今日\"<span color = '0xfd0000'>#1</span>\"捐獻的次數已達上限!",
	ug924 = "每種資源每日可捐獻<span color = '0xfd0000'>#1</span>次<br/>使用鑽石捐獻科技點和貢獻點獎勵將會翻<span color = '0xfd0000'>#2</span>倍",
	ug925 = "<span color = '0xff0000ff'>聯盟等級達到 #1 級解鎖</span>",
	ug926 = "需要聯盟等級達到<span color = '0xffff00'>#1</span>級才能捐獻此項科技",
	ug927 = "需求:#1<span color = '0xffff00'>(3倍科技點)</span>",
	ug928 = "捐獻公告設置",
	ug929 = "今日貢獻:<span color = '0xfd0000'>#1</span>",
	ug930 = "修改",
	ug931 = "需求:<span color = '0xfd0000'>#1</span>",
	ug932 = "需求:<span color = '0xfd0000'>#1</span><span color = '0xffff00'>(3倍科技點)</span>",
	ug933 = "捐獻所需資源不足!",
	ug934 = "所需鑽石不足!",
	ug935 = "貢獻點:#1",
	ug936_1 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span>",
	ug936_2 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2 </span> (#3/#4)",
	ug937 = "貢獻點:<br/>#1",
	ug938_1 = "今日可購買次數已用完",
	ug938_2 = "<span color = '0xff0000ff'>聯盟等級 #1 可兌換</span>",
	ug939 = "貢獻點數不足,不能兌換此商品!",

	ug940 = "每日只能發送<span color = '0xffff00'>#1</span>封聯盟郵件,您今日發送的聯盟郵件數量已達上限!",
	ug941 = "取消",

	ug1000 = "指揮官，能量已經恢復完畢，等待您的下一步指令！",

	ug1100 = "<br/>",
	ug1101 = "#1<span color = '0x02f752'>  ×#2</span>",

	ug1199 = "未知部隊",
	ug1200 = "發現未知部隊正在接近我們基地，現有戰機立即升空迎敵！",
	ug1201 = "敵人火力太強，我方戰機損失慘重，我們必須避開敵人主力，請指揮官下令返回基地。",
	ug1202 = "剛剛的敵人派出一架飛機前來偵察我們基地，必須立即擊毀它，不能讓其偵測到我們基地的情況！",
	ug1203 = "還有幾架敵機正在接近我們的基地，趁他們還沒偵察到我們基地情況，最好立即消滅他們！",
	ug1204 = "又有一批敵機出現在雷達上，我們的戰機應該還能應付，請下達進攻指令將其消滅！",
	ug1205 = "<span size = '36'>選擇角色</span>",
	ug1206 = "請輸入玩家名稱!",
	ug1207 = "玩家名稱必須大於等於#1個字元,小於等於#2個字元(中文字元算做2個字元)",
	ug1208 = "設置成功",
	ug1209 = "我們剩餘的戰機很難再應付後面的敵人，必須立即生產一批新的戰機投入戰鬥，請指揮官跟我一起前往機庫。",
	ug1210 = "生產飛機需要一定的時間，敵人即將發起進攻，請立即使用鑽石加速生產。",
	ug1211 = "指揮官能力對於部隊有很大的加成，條件允許請及時升級指揮官能力！",
	ug1212 = "\"指揮\"等級決定每個編隊最大可設置的戰機數量，點擊升級按鈕進入指揮升級頁面。",
	ug1213 = "敵機出現！還好我們現在擁有足夠的戰機，讓他們知道我們不是好惹的！",
	ug1214 = "敵人的戰機越來越先進，我們需要進一步發展基地建設，才能與其對抗，趁敵人進攻間隙，指揮官請跟我一起前往主基地進行建設。",
	ug1215 = "發展基地和生產戰機需要大量的資源，請跟我前往資源點建造資源建築。",
	ug1216 = "剛才有許多工已完成，請前往領取獎勵，往後跟隨任務發展，可以快速提升指揮官的等級。",
	ug1217 = "敵人正在不停的對我們發起進攻，請指揮官按照任務的指引發展基地，擴充軍力，給予任何膽敢冒犯我們的敵人狠狠一擊！",
	ug1219 = "跳過",
	ug1220 = "選擇指揮官",
	ug1221 = "指揮官，下一步指令？",
	ugG_tip_1 = "點擊關卡",
	ugG_tip_2 = "迎戰敵軍",
	ugG_tip_3 = "部署最大戰力戰機",
	ugG_tip_4 = "發起進攻",
	ugG_tip_5 = "進入機庫",
	ugG_tip_6 = "展開詳情",
	ugG_tip_7 = "生產戰機",
	ugG_tip_8 = "加速生產",
	ugG_tip_9 = "確定加速",
	ugG_tip_10 = "關閉頁面",
	ugG_tip_11 = "查看指揮官詳情",
	ugG_tip_12 = "查看指揮屬性",
	ugG_tip_13 = "升級指揮",
	ugG_tip_14 = "進入指揮中心",
	ugG_tip_15 = "升級建築",
	ugG_tip_16 = "進入資源地圖",
	ugG_tip_17 = "點擊空閒資源點",
	ugG_tip_18 = "點擊建造",
	ugG_tip_19 = "回到主基地",
	ugG_tip_20 = "打開任務列表",
	ugG_tip_21 = "領取任務獎勵",
	ugG_tip_22 = "免費加速",
	ug1222 = "您確定要跳過新手引導嗎？<br/><span color = '0xfd0000'>(新玩家強烈建議跟隨小秘書指引)</span>",

	ug1299 = "競技場",
	ug1300 = "<span class = 'switchTitleOne'>挑   戰</span>",
	ug1301 = "<span class = 'switchTitleOne'>設置部隊</span>",
	ug1302 = "<span class = 'switchTitleOne'>排行榜</span>",
	ug1303 = "挑戰次數:<span color = '0xffff00ff'>#1</span>/#2 #3",
	ug1304 = "排名",
	ug1305 = "名稱",
	ug1306 = "等級",
	ug1307 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買<span color = '0xffff00ff'>#2</span>次挑戰次數嗎?",
	ug1308 = require("res.data.lang.zh_TW.arenaDes"),
	ug1309 = "您今日購買的競技場挑戰次數已達上限!提升VIP等級可獲得更多挑戰購買次數!",
	ug1310 = "當前積分:<span color = '0xffff00ff'>#1</span>",
	ug1311 = "積分兌換",
	ug1312 = "挑戰記錄",
	ug1313 = "保存陣形",
	ug1314 = "您目前設置的部隊實力比上一次的明顯降低，是否繼續保存設置？",
	ug1315 = "保存成功!",
	ug1316 = "您的競技場挑戰次數已滿,無需購買!",
	ug1317 = "必須先設置部隊才能挑戰!",
	ug1318 = "(<span color = '0xffff00ff'>#1</span>)",
	ug1319 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>消除挑戰冷卻時間嗎?",
	ug1320 = "消除挑戰冷卻時間成功",
	ug1321 = "購買挑戰點成功",
	ug1322 = "<span color = '0xffff00ff'>#1</span> 挑戰 <span color = '0xffff00ff'>您</span> 成功",
	ug1323 = "<span color = '0xffff00ff'>您</span> 挑戰 <span color = '0xffff00ff'>#1</span> 成功",
	ug1324 = "<span color = '0xffff00ff'>#1</span> 挑戰 <span color = '0xffff00ff'>您</span> 失敗",
	ug1325 = "<span color = '0xffff00ff'>您</span> 挑戰 <span color = '0xffff00ff'>#1</span> 失敗",
	ug1326 = "<span color = '0x00ff96ff'>↑#1</span>",
	ug1327 = "<span color = '0xff0000ff'>↓#1</span>",
	ug1328 = "→#1",
	ug1329 = "戰鬥記錄",
	ug1330 = "#1<br/>戰鬥時間:#2</span><br/><span class = 'yellow24'>#3</span>",
	ug1331 = "我們的部隊挑戰了 #1 ",
	ug1332 = "我們的部隊遭到了 #1 的挑戰",
	ug1333 = "挑戰勝利",
	ug1334 = "挑戰失敗",
	ug1335 = "挑戰防守勝利",
	ug1336 = "挑戰防守失敗",
	ug1337 = "領取獎勵",
	ug1338 = "昨日排名:<span color = '0xffff00ff'>#1</span>",
	ug1339 = "無",

	ug1340 = "積分商城",
	ug1341 = "兌換",
	ug1342 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span> <span class = 'default26'> X#2</span>",
	ug1343 = "積分:<br/>#1",
	ug1344 = "<span color = '0xff0000ff'>競技場前 #1 名可兌換</span>",
	ug1345 = "<span class = 'blue24'>我的積分:</span> #1",
	ug1346 = "積分不足,不能兌換此商品!",
	ug1347 = "兌換成功!",
	ug1348 = "<span class = 'chatFightReport20'>挑戰報告(挑戰 #1 )</span>",
	ug1349 = "<span class = 'chatFightReport24'>挑戰報告(挑戰 #1 )</span>",

	greece_num = "I,II,III,IV,V,VI,VII,VIII,IX,X",

	uy1 = "指揮",
	uy2 = "軍銜:",
	uy3 = "精准",
	uy4 = "暴擊",
	uy5 = "少校",
	uy6 = "飛龍探雲手",
	uy7 = "每個陣為飛機數量:",
	uy8 = "",
	uy9 = "命中",
	uy10 = "需要指揮官#1級",
	uy11 = "需要技能點#1點",
	uy12 = "技能已達到最大等級",
	uy13 = "金礦礦產",
	uy14 = "鐵礦礦產",
	uy15 = "石油礦產",
	uy16 = "矽礦礦產",
	uy17 = "鈦礦礦產",
	uy18 = "LV.#1",
	uy19 = "戰鬥力",
	uy20 = "目標資訊",
	uy21 = "(#1, #2)",
	uy22 = "地形說明",
	uy23 = "您的攻擊可獲得如下增益影響:",
	uy24 = "命中:",
	uy25 = "閃避:",
	uy26 = "收藏",
	uy27 = "地點資訊",
	uy28 = "分類",
	uy29 = "(#1,#2)",
	uy30 = "<span class = 'switchTitleOne'>詳   情</span>",
	uy31 = "<span class = 'switchTitleOne'>技   能</span>",
	uy32 = "<span class = 'switchTitleOne'>社   交</span>",
	uy33 = "玩家信息",
	uy34 = "當前擁有#1個技能晶片",
	uy35 = "重 置",
	uy36 = "購 買",
	uy37 = "榮譽",
	uy38 = "戰鬥力",
	uy39 = "能量",
	uy40 = "指 揮",
	uy41 = "帶兵數量",
	uy42 = "聲 望",
	uy43 = "普通勳章(#1聲望)",
	uy44 = "銅質勳章(#1聲望)",
	uy45 = "銀質勳章(#1聲望)",
	uy46 = "金質勳章(#1聲望)",
	uy47 = "每天可授勳一次，獲得聲望",
	uy48 = "授勳",
	uy49 = "花費#1金幣",
	uy50 = "花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>",
	uy51 = "帶兵量:",
	uy52 = "<span class = 'switchTitleOne'>任   務</span>",
	uy53 = "<span class = 'switchTitleOne'>日常任務</span>",
	uy54 = "成就",
	uy55 = "角色任務",
	uy56 = "基地建設",
	uy57 = "資源任務",
	uy58 = "前 往",
	uy59 = "完 成",
	uy60 = "主線任務",
	uy61 = "進度: #1級",
	uy62 = "進度: 未完成",
	uy63 = "當前產量: #1/小時",
	uy64 = "任務已完成",
	uy65 = "進度: #1",
	uy66 = "當前數量: #1",
	uy67 = "獎 勵 品",
	uy68 = "<span color = '0xfff9990e' size = '26'>恭喜！您得到了:</span>",
	uy69 = "定位",
	uy70 = "收藏",
	uy71 = "小地圖",
	uy72 = "搜索",
	uy73 = "X",
	uy74 = "Y",
	uy75 = "偵查",
	uy76 = "攻擊",
	uy77 = "座標",
	uy78 = "聯盟",
	uy79 = "無",
	uy80 = "(LV.#1)",
	uy81 = "完成任務失敗！",
	uy82 = "收 藏",
	uy83 = "所有",
	uy84 = "資源",
	uy85 = "好友",
	uy86 = "敵對",
	uy87 = "返 回",
	uy88 = "保 存",
	uy89 = "#1 Lv.#2",
	uy90 = "關卡",
	uy91 = "部隊",
	uy92 = "背包",
	uy93 = "配件",
	uy94 = "排行",
	uy95 = "幫助",
	uy96 = "商店",
	uy97 = "#1 , #2",
	uy98 = "將基地搬遷至目的地還需要<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>，是否購買?",
	uy99 = "回到城市",
	uy100 = "是否消耗<span class = 'popGems24'>98</span><img src = 'diamond.png' width = 32 height = 32/>將城市搬遷至(#1,#2)?",
	uy101 = "是否消耗一個遷徙令將城市搬遷至(#1,#2)?",
	uy102 = "城市遷移失敗!",
	uy103 = "城市遷移成功!",
	uy104 = "等級不夠，暫未開放!",
	uy105 = "基 地",
	uy106 = "地 圖",
	uy107 = "郵 件",
	uy108 = "帶兵數量 : ",
	uy109 = "改變頭像",
	uy110 = "設置",
	uy114 = "角 色",
	uy115 = "任 務",
	uy116 = "指揮中心",
	uy117 = "科研中心",
	uy118 = "戰機實驗室",
	uy119 = "許願池",
	uy120 = "改造工廠",
	uy121 = "機庫1",
	uy122 = "機庫2",
	uy123 = "倉庫1",
	uy124 = "倉庫2",
	uy125 = "鑄幣廠",
	uy126 = "資源地圖",
	uy127 = "當前有#1個資源點還未使用, 點擊小秘書, 建造資源建築!",
	uy128 = "確定關閉提示?",
	uy129 = "獲取獎勵失敗!",
	uy130 = "NULL",
	uy131 = "領取獎勵失敗!",
	uy132 = "戰力暴增",
	uy133 = "指揮官，總部的援軍已達到，請注意接收",
	uy134 = "援 軍",
	uy135 = "領取",
	uy136 = "獲取禮物資訊失敗!",
	uy137 = "神秘補給",
	uy138 = "增加聲望成功!",
	uy139 = "增加聲望失敗!",
	uy140 = "獲取鑽石",
	uy141 = "競技場",
	uy142 = "機庫",
	uy143 = "倉庫",
	uy144 = "<span class = 'chatName24'>#1:</span>#2",
	uy145 = "提升指揮能力",
	uy146 = "使用指揮插件提升指揮能力",
	uy147 = "幸運值越高升級幾率越高",
	uy148 = "現有：",
	uy149 = "消耗：",
	uy150 = "增 加",
	uy151 = "增加10次",
	uy152 = "當前等級:",
	uy153 = "最大等級:",
	uy154 = "當前帶兵量:",
	uy155 = "世 界",
	uy156 = "<span class = 'switchTitleTwo'>普通任務</span>",
	uy157 = "<span class = 'switchTitleTwo'>聯盟任務</span>",
	uy158 = "通訊異常",
	uy159 = "開 始",
	uy160 = "完 成",
	uy161 = "<span class = 'default28'>您希望使用<span class = 'popGems'>#1</span><img src = 'diamond.png'/>加速完成此次任務麼？</span>",
	uy162 = "當前有任務正在執行中，刷新會導致任務重置，是否刷新？",
	uy163 = "當前有任務可以領取獎勵，刷新會導致任務重置，是否刷新？",
	uy164 = "刷新任務成功！",
	uy165 = "當前有任務在佇列中, 無法領取任務!",
	uy166 = "全服第一",
	uy167 = "提升vip等級能夠獲得更多頭像",
	uy168 = "頭像更換需要#1鑽石",
	uy169 = "替 換",
	uy170 = "<span color = 'ff0000'>VIP#1,無法選取</span>",
	uy171 = "VIP#1解鎖",
	uy172 = "是否消耗#1鑽石更改頭像?",
	uy173 = "修改頭像成功!",
	uy174 = "請選擇不同的頭像!",
	uy175 = "聲望等級越高，可提升的科技等級也越高<br/>每日登陸可獲得聲望<br/>參加活動也可獲得聲望",
	uy185 = "最大等級",
	uy186 = "目標資訊",
	uy187 = "刷新任務列表",
	uy188 = "刷 新",
	uy189 = "是否使用#1<img src = 'diamond.png' width = 32 height = 32/>補足技能晶片升級技能?",
	uy190 = "獲取#1聲望",
	uy191 = "是否使用#1<img src = 'diamond.png' width = 32 height = 32/>提升#2聲望?",
	uy192 = "指揮官，總部的援軍即將達到，請注意接收",
	uy193 = "戰力:#1",
	uy194 = "已添加有該節點信息",
	uy195 = "我的最愛已達上限",
	uy196 = "領 獎",
	uy197 = "當前可以免費參與幸運抽獎，點擊前往查看",
	uy198 = "已解鎖新的資源點，點擊前往查看",
	uy199 = "角色10級開放",

	fy1000 = "消耗一個指揮插件進行升級!",
	fy1001 = "您沒有指揮插件,是否使用#1<img src = 'diamond.png' width = 32 height = 32/>升級指揮等級?",
	fy1002 = "升級成功!",
	fy1003 = "升級指揮失敗!",
	fy1004 = "沒有技能升過級",
	fy1005 = "技能重置成功!",
	fy1006 = "技能重置失敗!",
	fy1007 = "是否花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>重置所有技能?重置之後所用技能晶片將全部返還!",
	fy1008 = "帶兵量",
	fy1009 = "購買能量成功！",
	fy1010 = "研究中心將于指揮中心達到5級後開放，通過研究各種\"尖端科技\"，可以大大提升我們部隊和城市的綜合實力",
	fy1011 = "該機庫將于指揮中心達到13級後開放，通過建造各種\"高級戰機\"，才能面對更強力的敵人",
	fy1012 = "改裝工廠將于指揮中心達到13級後開放，可以把各種低級戰機\"改裝\"高級戰機",
	fy1013 = "鑄幣廠將于指揮中心達到3級後開放，這是我們可以獲得\"金幣\"的途徑之一",
	fy1014 = "該倉庫將于指揮中心達到6級後開放，可為我們提供更多的\"資源存儲\"空間",
	fy1015 = "該倉庫將于指揮中心達到11級後開放，可為我們提供更多的\"資源存儲\"空間",
	fy1016 = "聯盟將于指揮中心達到5級開放",
	fy1017 = "經驗",
	fy1018 = "能量",
	fy1019 = "鑽石",
	fy1020 = "貢獻點",
	fy1021 = "聯盟科技",
	fy1022 = "VIP點數",
	fy1033 = "成就點",
	fy1034 = "2倍鑽石",
	fy1035 = "競技場積分",

	uc1 = "<span class = 'switchTitleOne'>建   造</span>",
	uc2 = "<span class = 'switchTitleOne'>說   明</span>",
	uc3 = "<span class = 'default22'>[類別]</span>",
	uc4 = "<span class = 'default22'>[需求]</span>",
	uc5 = "<span class = 'default22'>[當前擁有]</span>",
	uc6 = "一鍵升級",
	uc7 = "升   級",

	uc8 = "h",
	uc9 = "m",
	uc10 = "s",
	uc11 = "購買和用道具",
	uc12 = "#1已經升級到#2級",
	uc13 = "升級失敗#1",
	longTextDes = require("res.data.lang.zh_TW.longTextDes"),
	uc15 = "<img src = 'diamond.png' width = 32 height = 32/>不足，是否前往商店購買?",
	uc16 = "<img src = 'diamond.png' width = 32 height = 32/><span class = 'default24'>#1</span>",
	uc17 = "取 消</span>",
	uc18 = "取消升級失敗#1",
	uc19 = "取消升級成功",
	uc20 = "加速升級成功",
	uc21 = "加速升級失敗#1",
	uc22 = "研   究",
	uc23 = "<span class = 'red24'>需要科研中心#1級</span>",
	uc24 = "#1Lv#2",
	uc25 = "#1Lv#2→Lv#3",
	uc26 = "<span class = 'switchTitleOne'>資   源</span>",
	uc27 = "<span class = 'switchTitleOne'>建   築</span>",
	uc28 = "購 買",
	uc29 = "鑽石",
	uc30 = "擁有數量 : #1</span>",
	uc31 = "擁有:#1",
	uc32 = "購買並使用",
	uc33 = "使 用",
	uc34 = "使用道具失敗#1",
	uc35 = "使用#1成功",
	uc36 = "購買並且使用#1成功",
	uc37 = "購買並且使用道具失敗#1",
	uc38 = "#1  +#2%（#3）",
	uc39 = "產量:#1/小時",
	uc40 = "產量:#1（#2+#3）/小時",
	uc41 = "<span class = 'default24WithBlackOutline'>#1/#2</span>",
	uc42 = "<img src = 'timeIcon.png'/> #1",
	uc43 = "<span class = 'red24'>需要#1級機庫</span>",
	uc44 = "#1X#2",
	--uc45 = "                       #1",
	uc46 = "生產失敗#1",
	uc47 = "取消生產成功",
	uc48 = "取消生產失敗#1",
	uc49 = "資源不足",
	uc50 = "加速生產失敗#1",
	uc51 = "加速生產成功",
	uc52 = "一鍵生產成功",
	uc53 = "一鍵生產失敗#1",
	uc54 = "消耗鑽石:<img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc55 = "現有:<img src = 'diamond.png' width = 32 height = 32/> <span class = 'popGems24'>#1</span>",
	uc56 = "1.一鍵完成將根據您選擇的數量立即完成建造",
	uc57 = "2.一鍵完成不會消耗任何資源，也無需等待時間",
	uc58 = "一鍵生產",
	uc59 = "物品",
	uc60 = "<span class = 'switchTitleOne'>背   包</span>",
	uc61 = "<span class = 'switchTitleOne'>商   城</span>",
	uc62 = "<span size = '20'><img src = 'diamond.png'/> #1</span>",
	uc63 = "<span class = 'default28'>您確定要用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買道具嗎？</span>",
	uc64 = "購買#1成功",
	uc65 = "購買道具失敗#1",
	uc66 = "郵箱",
	uc67 = "<span class = 'switchTitleOne'>郵   件</span>",
	uc68 = "<span class = 'switchTitleOne'>報   告</span>",
	uc69 = "<span class = 'switchTitleOne'>寄件匣</span>",
	uc70 = "<span class = 'yellow26'>#1條未讀</span>",
	uc71 = "<span class = 'default26'>#1條信息</span>",
	uc72 = "查看郵件失敗#1",
	uc73 = "重播戰鬥失敗#1",
	uc74 = "刪除郵件失敗#1",
	uc75 = "發送郵件失敗#1",
	uc76 = "獲得系統郵件獎勵失敗#1",
	uc77 = "重播他人錄影#1",
	uc78 = "<span class = 'default26'>#1-#2 #3:#4</span>",

	uc80 = "<span class = 'default26'>來自於:#1</span>",
	uc81 = "<span class = 'default26'>發送給:#1</span>",
	uc82 = "<span class = 'default26'>來自於:系統郵件</span>",
	uc84 = "<span class = 'default26'>發送給:系統郵件</span>",
	uc85 = "查看郵件",
	uc86 = "寫郵件",
	uc87 = "您確定要刪除所有郵件嗎？",
	uc88 = "您確定要發送郵件嗎？",
	uc89 = "re:#1",
	uc90 = "獲取接下來的10封郵件失敗#1",



	uc100 = "#1 LV.#2",
	uc102 = "<span class = 'gesNum24'>#1</span>",
	uc103 = "<span class = 'default26WithOutline'>#1</span>",
	uc104 = "<span size = '18'>#1</span>",
	uc107 = "使用者已經升級成功,不能加速",
	uc108 = " 免費加速",
	uc109 = "<span class = 'switchTitleOne'>生   產</span>",
	uc110 = "<span class = 'switchTitleOne'>生產中</span>",
	uc111 = "<span class = 'gesNum20'>#1</span>",
	uc112 = "鑽石生產",
	uc113 = "生   產",
	uc114 = "<span class = 'switchTitleTwo'>所有</span>",
	uc115 = "<span class = 'switchTitleTwo'>增益</span>",
	uc116 = "<span class = 'switchTitleTwo'>寶箱</span>",
	uc117 = "<span class = 'switchTitleTwo'>其它</span>",
	uc118 = "<span class = 'switchTitleOne'>狀   態</span>",
	uc119 = "城市狀態",
	uc120 = "購買",
	uc121 = "容量:",
	uc122 = "<span size = '20'>#1</span>",
	uc123 = "道具數量:#1",
	uc124 = "<span class = 'default26'>當前倉庫保護每種資源#1不被掠奪</span>",
	uc125 = "<span class = 'default20'>(+#1% #2)</span>",
	uc126 = "<span class = 'default26'>點擊或上拉查看後10個</span>",
	uc127 = "主題",
	uc128 = "寄件者",
	uc129 = "收件人",
	uc130 = "我們的部隊攻擊了<span class = 'blue24'>#1</span><br/>戰鬥地點:#2(#3.#4)</span><br/>戰鬥時間:#5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>榮譽:#7</span>",
	uc131 = "<span class = 'default26'>戰鬥資訊</span>",
	uc132 = "<span class = 'default26'>戰利品</span>",
	uc133 = "<span class = 'default26'>資源資訊</span>",
	uc134 = "<span class = 'default26'>飛機部隊損失</span>",
	uc138 = "<span class = 'red24'>#1 #2</span>",
	uc139 = "己方損失的部分戰機可在部隊-修理廠中修復",
	uc140 = "戰鬥報告",
	uc141 = "<span class = 'switchTitleOne'>世   界</span>",
	uc142 = "<span class = 'switchTitleOne'>軍   團</span>",
	uc143 = "<span class = 'switchTitleOne'>私   聊</span>",
	uc144 = "聊天",
	uc145 = "<span class = 'chatName20'>#1</span>",
	uc146 = "<span class = 'chatContent20'>#1</span>",
	uc147 = "建   造",
	uc148 = "1號倉庫",
	uc149 = "2號倉庫",
	uc150 = "1號機庫",
	uc151 = "2號機庫",
	uc152 = "道具數量不足，請購買道具",
	uc153 = "未加入聯盟，請先加入聯盟",
	uc154 = "不能輸入空的資訊",
	uc155 = "含有非法字元，請替換",
	uc156 = "還需#1秒發送下一條資訊",
	uc157 = "TO",
	uc158 = "請輸入目標的用戶名",
	uc159 = "輸入的用戶名不正確，請重新輸入",
	uc160 = "#1-#2 #3:#4",
	uc161 = "<span class = 'yellow24'>戰鬥結果:進攻勝利</span>",
	uc162 = "<span class = 'red24'>戰鬥結果:進攻失敗</span>",
	uc163 = "<span class = 'yellow24'>戰鬥結果:防禦成功</span>",
	uc164 = "<span class = 'red24'>戰鬥結果:防禦失敗</span>",
	uc165 = "<span class = 'green24'>#1</span>",
	uc166 = "<span class = 'addCount'>+#1</span>",
	uc167 = "改   裝",
	uc168 = "<span color = '0xff0000'>包含有一個或多個不能顯示的字元</span>",
	uc169 = "資源建築",
	uc171 = "<span class = 'build26WithOutline'>#1(#2個)</span>",
	uc172 = "<img src = 'timeIcon.png'/> #1",
	uc173 = "<span class = 'red24'>#1</span>",
	uc174 = "#1  <span class = 'ownTitle'>擁有:#2</span>",
	uc175 = "<span class = 'gesNum20'>#1</span>",
	uc176 = "<span class = 'default22'>#1</span>",
	uc177 = "<span class = 'default22'>#1</span>",
	uc178 = "<span class = 'itemTitle26'>#1</span>",
	uc182 = "建築佇列已滿，升級VIP可以獲得更多的建築佇列",
	uc183 = "#1*#2生產成功",
	uc184 = "#1已經升級到Lv.#2",
	uc185 = "<img src = 'timeIcon.png'/> #1",
	uc186 = "指揮中心",
	uc187 = "<span class = 'default24'>LV.#1</span>",
	uc189 = "當前數量:#1",
	uc191 = "<span class = 'default26'>#1</span>",
	uc192 = "<span class = 'default26'>#1</span><span class = 'addCount26'>+#2</span>",
	uc193 = "<span class = 'default26'>#1%</span><span class = 'addCount26'>+#2%</span>",
	uc194 = "科研中心",
	uc195 = "#1小時",
	uc197 = "使用#1成功",
	uc198 = "行軍時間:#1",
	uc199 = "部隊載重:#1",
	uc200 = "目標位置    X #1   Y #2",
	uc201 = "出戰",
	uc202 = "防守部隊",
	uc203 = "部隊出征",
	uc204 = "抵達時間",
	uc205 = "採集過程",
	uc206 = "返回時間",
	uc207 = "<span class = 'default20'>#1</span>",
	uc208 = "<span class = 'default20'>採集:#1/#2</span>",
	uc209 = "<span class = 'default28'>您確定用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>加速</span>",

	uc211 = "該玩家處於防護罩狀態，無法對其進攻",
	uc212 = "部隊出征個數已達上限，是否查看部隊出征情況",
	uc213 = "該資源點已有己方部隊駐紮，不能再次派遣部隊",
	uc214 = "進攻玩家會使自己當前防護罩狀態失效，確定進攻嗎?",
	uc215 = "失敗#1",
	uc216 = "<span class = 'default22'>部隊狀態:行軍</span>",
	uc217 = "剩餘時間:#1",
	uc218 = "<span class = 'default22'>部隊狀態:採集</span>",
	uc219 = "<span class = 'default22'>部隊狀態:返回</span>",
	uc220 = "<span class = 'default22'>兵力信息</span>",
	uc221 = "部隊詳情",
	uc222 = "<span class = 'default22'>#1(#2)</span>",
	uc223 = "<span class = 'default22'>#1</span>",
	uc224 = "當前數量:#1",
	uc225 = "<span class = 'default18'>#1</span>",
	uc226 = "鑽石不足，無法修理戰機",
	uc227 = "金幣不足，無法修理戰機",
	uc228 = "沒有可修理的戰機",
	uc229 = "部隊正在採集資源是否立即返回?",
	uc230 = "部隊已出發，目標(#1,#2)",
	uc231 = "已修復損毀的#1",
	uc232 = "已修復損毀的所有戰機",
	uc233 = "指揮中心等級不足，是否前往指揮中心升級?",
	uc234 = "出征的部隊#1/#2",
	uc235 = "金礦產地",
	uc236 = "鐵礦產地",
	uc237 = "石油產地",
	uc238 = "矽礦產地",
	uc239 = "鈦礦產地",
	uc240 = "<span class = 'yellow24'>戰鬥報告(攻擊#1)</span>",
	uc241 = "<span class = 'yellow24'>戰鬥報告(受到#1攻擊)</span>",
	uc242 = "<span class = 'yellow24'>返回報告</span>",
	uc243 = "<span class = 'orange24'>返回報告</span>",

	uc244 = "您所攻擊的#1(#2,#3)已不在原地，部隊正在返回",
	uc245 = "您所攻擊的#1(#2,#3)已處於防護罩保護狀態，部隊正在返回",
	uc246 = "您所攻擊的#1(#2,#3)已有己方部隊駐守,部隊正在返回",

	uc247 = "我們的部隊受到#1攻擊<br/>戰鬥地點:#2(#3.#4)<br/>戰鬥時間:#5<br/><span class = 'yellow24'>#6</span><br/>榮譽:#7",
	uc248 = "我們的部隊攻擊了<span class = 'blue24'>#1</span>駐守的#2<br/>戰鬥地點:#3(#4.#5)<br/>戰鬥時間:#6<br/><span class = 'yellow24'>#7</span><br/>榮譽:#8",
	uc249 = "我們的部隊駐守的#1被#2攻擊<br/>戰鬥地點:#3(#4.#5)<br/>戰鬥時間:#6<br/><span class = 'yellow24'>#7</span><br/>榮譽:#8",
	uc250 = "發送至",
	uc251 = "世界頻道",
	uc252 = "聯盟頻道",
	uc253 = "已成功發送戰報到聊天頻道",
	uc254 = "<span class = 'chatFightReport24'>戰鬥報告(攻擊#1)</span>",
	uc255 = "<span class = 'chatFightReport24'>戰鬥報告(受到#1攻擊)</span>",

	uc256 = "<span class = 'chatFightReport20'>戰鬥報告(攻擊#1)</span>",
	uc257 = "<span class = 'chatFightReport20'>戰鬥報告(受到#1攻擊)</span>",
	uc258 = "<span class = 'chatFightReport20'>返回報告</span>",

	uc259 = "排行",
	uc260 = "<span class = 'switchTitleTwo'>戰鬥力</span>",
	uc261 = "<span class = 'switchTitleTwo'>關卡</span>",
	uc262 = "<span class = 'switchTitleTwo'>榮譽</span>",
	uc263 = "[排名]",
	uc264 = "[姓名]",
	uc265 = "[等級]",
	uc266 = "#1",
	uc267 = "LV#1",
	uc268 = "點擊或上拉查看後20個",

	uc269 = "<span class = 'default24'>#1</span>",
	uc270 = "#1-#2 #3:#4",
	uc272 = "<span class = 'red24'>-#1</span>",
	uc273 = "該玩家是您的聯盟成員，確認要發起進攻?",
	uc274 = "聯盟全體成員",
	uc276 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1</span>",
	uc277 = "<span class = 'blue24'>擁有:#1</span>",
	uc278 = "<span class = 'default26'>#1</span>",
	uc279 = "<span class = 'default22'>發 送</span>",
	uc280 = "確認取消升級嗎?",
	uc281 = "確認取消研究嗎?",
	uc282 = "確認取消生產嗎?",
	uc283 = "#1已經建造完成",
	uc284 = "#1架#2已經生產完成",
	uc285 = "等級 : #1",
	uc286 = "戰力 : #1",
	uc287 = "聯盟 : #1",
	uc288 = "私 聊",
	uc289 = "寫郵件",
	uc290 = "加為好友",
	uc291 = "加入黑名單",
	uc292 = "邀請至聯盟",
	uc293 = "能量不足！是否花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買5點能量？",
	uc294 = "<span class = 'default26'>目標資訊</span>",
	uc295 = "偵查地點:#1(#2,#3)",
	uc296 = "偵查報告",
	uc297 = "偵查時間:#1-#2 #3:#4",
	uc298 = "駐守玩家:(無)",
	uc299 = "駐守玩家:<span class = 'blue24'>#1</span>",
	uc300 = "<span class = 'default26'>資源資訊</span>",
	uc301 = "駐守該地區可以每小時獲得#1#2，但總採集量不超過部隊總載重量.",
	uc302 = "#1最多可掠奪#2",
	uc303 = "<span class = 'default26'>兵力信息</span>",
	uc304 = "花費#1金幣對該地區進行偵查",
	uc305 = "金幣不足，去購買金幣吧！",
	uc306 = "[戰鬥力]",
	uc307 = "[總星級]",
	uc308 = "[榮譽]",
	uc309 = "沒有戰鬥發生，無法重播",
	uc310 = "<span class = 'yellow26'>#1</span>",
	uc311 = "數量:#1",
	uc312 = "<span class = 'red26'>#1</span>",
	uc314 = "<span size = '20'>恭喜您獲得</span>",
	uc315 = "<span class = 'default22'>#1</span>",
	uc316 = "一鍵撤防",

	uc317 = "<span class = 'default26'>今日購買能量次數已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc318 = "<span class = 'yellow24'>VIP#1</span> 每日可以購買<span class = 'yellow24'>#2</span>次能量點",
	uc319 = "提升<span class = 'yellow24'>VIP</span>可以增加每日能量購買次數",

	uc320 = "<span class = 'default26'>出戰佇列已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc321 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>個出戰佇列",
	uc322 = "提升<span class = 'yellow24'>VIP</span>可以增加出戰佇列",

	uc323 = "<span class = 'default26'>建造佇列已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc324 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>個建造佇列",
	uc325 = "提升<span class = 'yellow24'>VIP</span>可以增加建造佇列",

	uc326 = "<span class = 'default26'>科研佇列已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc327 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>個科研佇列",
	uc328 = "提升<span class = 'yellow24'>VIP</span>可以增加科研佇列",

	uc329 = "<span class = 'default26'>生產佇列已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc330 = "<span class = 'yellow24'>VIP#1</span> 提供<span class = 'yellow24'>#2</span>個生產佇列",
	uc331 = "提升<span class = 'yellow24'>VIP</span>可以增加生產佇列",

	uc332 = "<span class = 'default22'>VIP特權</span>",
	uc333 = "科研中心等級不足",
	uc334 = "設置",

	uc335 = "綁定帳號",
	uc336 = "伺服器列表",
	uc337 = "遊戲設置",
	uc338 = "選擇語言",
	uc339 = "付費提示",
	uc340 = "通知提示",
	uc341 = "修改密碼",
	uc342 = "聯繫我們",

	uc343 = "付費提示設置",

	uc344 = "<span class = 'default24'>升級指揮</span>",
	uc345 = "<span class = 'default24'>購買能量</span>",
	uc346 = "<span class = 'default24'>購買商品</span>",
	uc347 = "<span class = 'default24'>建築加速</span>",
	uc348 = "<span class = 'default24'>生產飛機加速</span>",
	uc349 = "<span class = 'default24'>科研加速</span>",
	uc350 = "<span class = 'default24'>行軍加速</span>",
	uc351 = "<span class = 'default24'>鑽石維修部隊</span>",
	uc352 = "<span class = 'default24'>一鍵秒建築</span>",

	uc353 = "不再提示",

	uc354 = "通知提示設置",
	uc355 = "遊戲設置",

	uc356 = "<span class = 'default24'>城市被攻擊</span>",
	uc357 = "<span class = 'default24'>建造，生產完成 </span>",
	uc358 = "<span class = 'default24'>能量恢復滿</span>",
	uc359 = "<span class = 'default24'>神秘獎勵</span>",
	uc360 = "<span class = 'default24'>防護罩狀態</span>",
	uc361 = "<span class = 'default24'>資源採集已滿</span>",

	uc362 = "<span class = 'default24'>攻打野礦 默認駐守</span>",
	uc363 = "<span class = 'default24'>開放新資源點提醒</span>",
	uc364 = "<span class = 'default24'>音樂開關</span>",
	uc365 = "<span class = 'default24'>音效開關</span>",

	uc366 = "我們城市的防護狀態已失效，敵人隨時可能發起攻擊！",

	uc367 = "戰機實驗室",
	uc368 = "<span class = 'switchTitleOne'>戰機強化</span>",
	uc369 = "<span class = 'switchTitleOne'>運輸線</span>",

	uc370 = "Ⅰ",
	uc371 = "Ⅱ",
	uc372 = "Ⅲ",
	uc373 = "Ⅳ",

	uc374 = "<span class = 'addCount'>+#1</span>",
	uc375 = "攻擊強化",
	uc376 = "血量強化",
	uc377 = "LV#1/#2",

	uc378 = "血量強化成功",
	uc379 = "攻擊強化成功",

	uc380 = "資料核心不足，還需要#1個，是否使用<span class = 'popGems24'>#2</span><img src = 'diamond.png' width = 32 height = 32/>補足資料核心完成升級(<span class = 'green24'>8折</span>)",
	uc381 = "確定要消耗#1個資料核心道具數量嗎？",

	uc383 = "角色等級不足",

	uc384 = "<span class = 'red24'>角色等級#1級解鎖，攔截成功可獲得大量資料核心</span>",
	uc385 = "今日已攔截:#1/#2",
	uc386 = "今日已攔截次數已滿，不能攔截了",
	uc387 = "出戰",
	uc388 = "設置部隊",
	uc389 = "該玩家不線上，是否發送郵件？",
	uc390 = "不能給自己發送私聊資訊",
	uc391 = "您已被禁言",

	uc392 = "<span class = 'switchTitleTwo'>好友</span>",
	uc393 = "<span class = 'switchTitleTwo'>黑名單</span>",
	uc395 = "<span class = 'default26'>好友數量:[#1/#2]</span>",
	uc396 = "搜 索",
	uc397 = "<span class = 'default26'>黑名單數量:[#1/#2]</span>",
	uc398 = "是否將#1從好友列表移除",
	uc399 = "是否將#1從黑名單移除",

	uc400 = "刪除好友",
	uc401 = "刪除黑名單",
	uc402 = "是否將#1加為好友",
	uc403 = "是否將#1加入黑名單",
	uc404 = "好友列表已滿",
	uc405 = "黑名單已滿",
	uc406 = "<span class = 'default28'>暫未有好友</span>",
	uc407 = "<span class = 'default28'>暫未有黑名單</span>",
	uc408 = "添加好友成功",
	uc409 = "添加黑名單成功",
	uc410 = "刪除好友成功",
	uc411 = "刪除黑名單成功",
	uc412 = "郵件發送成功",
	uc413 = "添加",
	uc414 = "<span class = 'default28'>您沒添加任何人到通訊錄</span>",
	uc415 = "通訊錄",
	uc416 = "<span class = 'default24'>科研快捷欄提醒</span>",
	uc417 = "<span class = 'default24'>生產快捷欄提醒</span>",
	uc418 = "<span class = 'default24'>建造快捷欄提醒</span>",
	uc419 = "<span class = 'switchTitleOne'>每日簽到</span>",
	uc420 = "<span class = 'switchTitleOne'>連續簽到</span>",
	uc421 = "簽到",
	uc422 = "×#1",
	uc423 = "第#1天",
	uc424 = "<span class = 'yellow24'>明日領取</span>",
	uc425 = "簽 到",
	uc426 = "<span class = 'default24'>已連續簽到#1/30天，獎勵全部領完後天數清零重頭累計</span>",
	uc427 = " #1 天",

	uc428 = "<span class = 'switchTitleOne'>活   動</span>",
	uc429 = "<span class = 'switchTitleOne'>公   告</span>",
	uc430 = "採集完成",
	uc431 = "成長計畫",
	uc432 = "花費998鑽石購買返還 5988鑽石",
	uc433 = "購買",
	uc434 = "<span class = 'red22'>vip3可購買</span>",
	uc435 = "購買成長計畫成功",
	uc436 = "vip等級不足",
	uc437 = "#1級",
	uc438 = "領取",
	uc439 = "已領取",
	uc440 = "等級禮包",
	uc441 = "指揮官，總部的援軍已經到了",
	uc442 = "目標已不在原地",
	uc443 = "開服豪禮",
	uc444 = "每一天都可以領取相應的禮包",

	uc445 = "座標錯誤",
	uc446 = "座標已經被佔據",
	uc447 = "城市已傳送到(#1,#2)座標",
	uc448 = "傳送",
	uc449 = "請輸入傳送座標",

	er1 = "失敗消息",
	er2 = "城市不存在",
	er3 = "不是同一個城市",
	er4 = "非法的名字",
	er5 = "已存在的名字",
	er6 = "已被禁言",
	er7 = "超出帶兵數",
	er8 = "部隊不足派遣",
	er9 = "部隊不足派遣",
	er10 = "玩家等級不足升級技能",
	er11 = "玩家技能點不足升級技能",
	er12 = "鑽石不足",
	er13 = "資源不足",
	er14 = "道具不足",
	er15 = "座標錯誤",
	er16 = "座標已經被人佔據",
	er17 = "建築物已達最大建造個數",
	er18 = "建築位已經存在建築",
	er19 = "建築解鎖等級錯誤",
	er20 = "佇列不存在",
	er21 = "範本資料不存在",
	er22 = "等級限制錯誤",
	er23 = "此郵件已被刪除!",
	er24 = "聯盟不存在",
	er25 = "聯盟成員已滿",
	er26 = "聯盟許可權不足",
	er27 = "聯盟申請不存在",
	er28 = "聊天太快",
	er29 = "玩家不線上",
	er30 = "精力點不足",
	er31 = "捐獻次數已達上限",
	er32 = "精力點購買次數達上限",
	er33 = "佇列已滿",
	er34 = "任務不存在",
	er35 = "任務沒完成",
	er36 = "時間未到",
	er37 = "活動未開放",
	er38 = "目標城市有防護罩",
	er39 = "退出聯盟太快(未到24小時)",
	er40 = "玩家已有聯盟",
	er41 = "副會長個數已滿",
	er42 = "聯盟郵件發送次數已滿",
	er43 = "玩家不存在",

	er44 = "非法的帳號名",
	er45 = "非法的密碼",
	er46 = "模組不存在",
	er47 = "競技場排名錯誤",
	er48 = "沒有加入競技場",
	er49 = "已經使用過兌換碼",
	er50 = "兌換碼錯誤",
	er51 = "兌換碼已被使用",
	er52 = "該玩家不是聯盟成員",
	er100 = "帳號註冊失敗",

	er255 = "未知錯誤",


	uc450 = "該資源點已有己方部隊駐紮，不能再次派遣部隊",
	uc451 = "您有部隊正在執行任務，無法傳送",
	uc452 = "幫助文檔",

	uc453 = "<span class = 'default28'>BUFF</span>",

	uc455 = "<span class = 'default28'>克制</span>",

	uc457 = "<span class = 'default28'>戰鬥</span>",

	uc459 = "該區域已被己方駐守，無需偵察",

	uc460 = "<span class = 'yellow24'>偵查報告(偵查#1)</span>",
	uc461 = "沒有可刪除的郵件",

	uc462 = "友好",
	uc463 = "敵對",
	uc464 = "自己聯盟",
	uc465 = "修 改",
	uc466 = "中立",
	uc467 = "友盟數已經達到最大值20，不能添加了",
	uc468 = "敵盟數已經達到最大值20，不能添加了",

	uc469 = "購買鑽石",
	uc470 = "<span class = 'switchTitleOne'>鑽   石</span>",
	uc471 = "<span class = 'switchTitleOne'>促   銷</span>",
	uc472 = "#1/#2",
	uc473 = "再充值#1<img src = 'diamond.png' width = 32 height = 32/>升級為VIP#2",
	uc474 = "（贈送鑽石不計）",
	uc475 = "查看VIP",
	uc476 = "<span class = 'default28'>首充獎勵</span>",
	uc477 = "#1個鑽石",
	uc478 = "<span class = 'green20'>優惠 #1%</span>",
	uc479 = "#1#2",
	uc480 = "購買商品成功",
	uc481 = "VIP",
	uc482 = "瞭解VIP",
	uc483 = "<span class = 'default28'>VIP #1</span>",

	uc484 = "提供<span class = 'yellow24'>#1</span>個基礎建造佇列",
	uc485 = "提供<span class = 'yellow24'>#1</span>個基礎生產和科研佇列",
	uc486 = "每天可購買<span class = 'yellow24'>#1</span>次能量",
	uc487 = "允許同時出戰<span class = 'yellow24'>#1</span>只部隊",
	uc488 = "世界行軍速度提升<span class = 'yellow24'>#1%</span>",
	uc489 = "飛機生產速度提升<span class = 'yellow24'>#1%</span>",
	uc490 = "飛機改造速度提升<span class = 'yellow24'>#1%</span>",
	uc491 = "科研速度提升<span class = 'yellow24'>#1%</span>",
	uc492 = "關卡經驗加成<span class = 'yellow24'>#1%</span>",
	uc493 = "建築和科研佇列享受<span class = 'yellow24'>#1</span>秒免費加速時間",
	uc494 = "累計購買<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>可達到",

	uc495 = "<span class = 'default18'>VIP#1 雙倍</span>",
	uc496 = "倉庫",
	uc497 = "克制:#1<br/>#2",
	uc498 = "<span class = 'default20'>免費</span>",
	uc499 = "請簽收",
	uc500 = "一次投入，長久回報！",
	uc501 = "投資回報為",
	uc502 = "<span class = 'default50'>400%</span>",
	uc503 = "充  值",
	uc504 = "幸運轉盤",
	uc505 = "256",
	uc506 = "鑽石豪禮",
	uc507 = "每次轉動絕對穩賺不賠！鑽石越轉越多！",
	uc508 = "<span class = 'default28'>買!買!買!</span>",
	uc509 = "<img src = 'diamond.png' width = 40 height = 40/><span class = 'default28'>#1</span>",
	uc510 = "已達到最大抽取次數",
	uc511 = "<span class = 'default18'>VIP#1 三倍</span>",
	uc512 = "購 買",
	uc513 = "vip解鎖",
	uc514 = "vip已滿",
	uc515 = "您是否願意花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買一個永久建造佇列?",
	uc516 = "您的建築佇列已達到最大數量，建議通過鑽石秒時間或一鍵升級來加快建造速度",
	uc517 = "基礎建造佇列#1/5,還可購買#2個",
	uc518 = "VIP解鎖建築佇列#1/3",
	uc519 = "+#1%",
	uc520 = "剩餘時間:",
	uc521 = "您還可以得到以下全部獎品！",
	uc522 = "<span class = 'default28'>×#1</span>",
	uc523 = "更  多",
	uc524 = "<span class = 'default28'>#1#2</span>",
	uc525 = "<span class = 'default28'>暫無禮包</span>",
	uc526 = "<span color = '0xfff9990e' size = '26'>您可獲得</span>",
	uc527 = "<span color = '0xfff9990e' size = '20'>#1</span>",
	uc528 = "<span color = '0xfff9990e' size = '20'>消耗</span>",
	uc529 = "鐵礦基礎產量增加<span class = 'yellow24'>#1%</span>",
	uc530 = "石油基礎產量增加<span class = 'yellow24'>#1%</span>",
	uc531 = "矽礦基礎產量增加<span class = 'yellow24'>#1%</span>",
	uc532 = "購買建築佇列成功",
	uc533 = "<span class = 'green24'>免費加速</span>",
	uc534 = "可獲得",
	uc535 = "幸運抽獎",
	uc536 = "選擇任意寶箱，抽取獎勵",
	uc537 = "選擇任意寶箱，抽取獎勵<br/>使用1個瓶蓋進行抽獎",
	uc538 = "使用瓶蓋即可開始抽獎",
	uc539 = "使用1瓶蓋即可開始抽獎<br/>費用:#1鑽石<br/>您擁有:0瓶蓋",
	uc540 = "#1 ×#2<br/>#3",
	uc541 = "確  定",
	uc542 = "指揮官，您抽到的獎勵品已送達給您，請查收",
	uc543 = "每日登陸可免費獲得一次抽獎機會",
	uc544 = "使用1個瓶蓋即可開始抽獎<br/>您擁有:#1個瓶蓋",
	uc545 = "每日免費抽獎",
	uc546 = "指揮官達到指定等級即可領取相應的獎勵哦",
	uc547 = "指揮官，總部的援軍已經到了<br/>請簽收",
	uc549 = "轉動幸運大轉盤可獲得頂級戰機，超級資源包，指揮插件等等，絕對超值！",
	uc550 = "角色等級",
	uc551 = "獎勵",
	uc552 = "操作",
	uc553 = "免費抽取",
	uc554 = "指揮官等級大於等於15級可參與",
	uc555 = "今日次數已滿",
	uc556 = "<span class = 'chatNamePrivate20'>我對 #1 說</span>",
	uc557 = "<span class = 'chatNamePrivate20'>#1 對您說</span>",
	uc558 = "建造佇列已滿,您是否願意花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買一個永久建造佇列?",
	uc559 = "兩倍獎勵",
	uc560 = "不能超過上個級別對應屬性等級",
	uc561 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>快速完成此次升級麼？</span>",
	uc562 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>補足資源完成此次升級麼？</span>",
	uc563 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>加速完成此次升級麼？</span>",
	uc564 = "<span class = 'switchTitleOne'>配   件</span>",
	uc565 = "<span class = 'switchTitleOne'>補給線</span>",
	uc566 = "<span class = 'switchTitleOne'>倉   庫</span>",
	uc567 = "配件",
	uc568 = "<span class = 'switchTitleOne'>強   化</span>",
	uc569 = "<span class = 'switchTitleOne'>改   造</span>",

	uc570 = "生命",
	uc571 = "攻擊",
	uc572 = "生命<br/>反克制",
	uc573 = "攻擊<br/>克制",
	uc574 = "生命<br/>暴免",
	uc575 = "攻擊<br/>暴傷",

	uc576 = "女妖戰機",
	uc577 = "巡遊戰機",
	uc578 = "雷電戰機",
	uc579 = "堡壘戰機",

	uc580 = "<span class = 'gray20'>Lv.#1</span>",
	uc581 = "<span class = 'yellow20'>#1</span>",
	uc582 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc583 = "該配件將於角色等級#1級開放！",
	uc584 = "當前還沒有配件，您可以通過補給線關卡獲得配件",

	uc585 = "綠色品質",
	uc586 = "藍色品質",
	uc587 = "紫色品質",
	uc588 = "橙色品質",

	uc589 = "改造等級:#1",
	uc590 = "強化等級:#1",
	uc591 = "血量加成:#1%",
	uc592 = "攻擊加成:#1%",

	uc593 = "裝 配",
	uc594 = "卸 載",
	uc595 = "分 解",
	uc596 = "強 化",
	uc597 = "改 造",
	uc598 = "成功裝配!",
	uc599 = "成功卸下!",

	uc600 = "<span class = 'green18'>+#1%</span>",
	uc601 = "分解只能在倉庫中進行!",

	uc602 = "<span class = 'switchTitleTwo'>配件</span>",
	uc603 = "<span class = 'switchTitleTwo'>藍圖</span>",
	uc604 = "<span class = 'switchTitleTwo'>兌換</span>",

	uc605 = "<span class = 'yellow20'>#1</span>",
	uc606 = "<span color = '0x33f1fdff'>Lv.#1</span>",
	uc607 = "批量分解",
	uc608 = "點擊後可選品質進行分解",
	uc609 = "裝配選擇",
	uc610 = "<span class = 'yellow24'>請選擇要裝配的某一種飛機類型</span>",
	uc611 = "確 定",
	uc616 = "請選擇要裝配的飛機類型",
	uc617 = "批量分解",
	uc618 = "<span class = 'yellow24'>請選擇要分解的品質</span>",
	uc619 = "全 選",
	uc620 = "沒有可以分解的配件",
	uc621 = "分解",
	uc622 = "分解後的材料只可在改造頁面查看<br/>分解可得:",
	uc623 = "取 消",
	uc624 = "<span class = 'green24'>×#1</span>",
	uc625 = "改造等級:#1",
	uc626 = "強化等級:#1",
	uc627 = "血量加成:#1%",
	uc628 = "攻擊加成:#1%",
	uc629 = "成功幾率:#1%",

	uc630 = "強 化",
	uc631 = "強化等級:#1  <span class = 'green24'>+1</span>",
	uc632 = "血量加成:#1%  <span class = 'green24'>+#2%</span>",
	uc633 = "攻擊加成:#1%  <span class = 'green24'>+#2%</span>",
	uc634 = "改 造",
	uc635 = "改造等級:#1  <span class = 'green24'>+1</span>",
	uc636 = "金幣不足",
	uc637 = "強化成功",
	uc638 = "強化失敗",
	uc639 = "道具不足",
	uc640 = "改造成功",
	uc641 = "橙色品質不能分解",
	uc642 = "強化等級不能超過角色等級!",
	uc643 = "擁有:#1/需求:#2",
	uc644 = "<span class = 'green24'>#1</span>",
	uc645 = "分 解",
	uc646 = "制 造",
	uc647 = "是否消耗1個#1製造1個#2?",
	uc648 = "製造成功!",
	uc650 = "分解1個可獲得#1個#2",
	uc651 = "分解",
	uc652 = "<span class = 'green24'>#1/#2</span>",
	uc653 = "最小",
	uc654 = "最大",
	uc655 = "確 定",
	uc656 = "兌換",
	uc657 = "普通藍圖碎片不足",
	uc658 = "高級藍圖碎片不足",
	uc659 = "是否刪除已經選擇的郵件?",
	uc660 = "刪除郵件成功",

	uc661 = "<span class = 'rank1'>#1</span>",
	uc662 = "<span class = 'rank1'>LV#1</span>",

	uc663 = "<span class = 'rank2'>#1</span>",
	uc664 = "<span class = 'rank2'>LV#1</span>",

	uc665 = "<span class = 'rank3'>#1</span>",
	uc666 = "<span class = 'rank3'>LV#1</span>",

	uc667 = "<span class = 'rank4'>#1</span>",
	uc668 = "<span class = 'rank4'>LV#1</span>",

	uc669 = "勝利後將直接返航",
	uc670 = "勝利後將駐留原地採集資源",
	uc671 = "<span class = 'default28'>增加屬性</span>",

	uc672 = "<span class = 'default18'>反克制</span>",
	uc673 = "<span class = 'default18'>克制</span>",
	uc674 = "<span class = 'default18'>生命</span>",
	uc675 = "<span class = 'default18'>攻擊</span>",
	uc676 = "<span class = 'default18'>暴免</span>",
	uc677 = "<span class = 'default18'>暴傷</span>",

	uc678 = "<span class = 'red24'>LV.#1</span>",

	uc679 = "關於聯盟",
	uc680 = "加入聯盟的好處:",
	uc681 = "向您的盟友尋求保護<br/>向經驗豐富的老玩家學習<br/>聯盟科技，提升戰鬥屬性<br/>聯盟商店，兌換各種道具藍圖",
	uc682 = "加入聯盟",
	uc683 = "創建聯盟",
	uc684 = "<span class = 'alterTitle'>聯  盟</span>",

	uc685 = "<span class = 'green22'>指揮插件X2</span>",
	uc686 = "<span class = 'default22'>創建或加入聯盟即可免費領取</span>",
	uc687 = "<span class = 'green22'>聯盟科技</span>",
	uc688 = "<span class = 'default22'>多種科技加成，輕鬆提高您的戰鬥力</span>",
	uc689 = "<span class = 'green22'>聯盟聊天</span>",
	uc690 = "<span class = 'default22'>屬於您和盟友的專屬頻道</span>",
	uc691 = "<span class = 'green22'>聯盟商店</span>",
	uc692 = "<span class = 'default22'>各種道具，頂級配件藍圖任您兌換</span>",
	uc693 = "領 取",
	uc694 = "<span class = 'default22'>#1</span>",
	uc695 = "今日已轉動  <span class = 'green24'>#1/50</span>",
	uc696 = "指揮官等級大於等於15級可參與",
	uc697 = "擁有瓶蓋:  <span class = 'green24'>#1</span>",
	uc698 = "<span class = 'green24'>#1</span>",
	uc699 = "<span class = 'build26WithOutline'>#1</span>",
	uc700 = "<span class = 'chatFightReport24'>返回報告</span>",
	uc701 = "角色#1級開放此配件",
	uc702 = "<span class = 'yellow24'>#1</span>",
	uc703 = "聲望等級不足",
	uc704 = "<span class = 'chatContent24'>#1</span>",
	uc705 = "<span class = 'itemTitle24'>#1</span>",
	uc706 = "聯盟將于指揮中心5級開放",
	uc707 = "<span class = 'chatSystem20'>#1</span>",
	uc708 = "<span class = 'chatSystem24'>#1</span>",
	uc709 = "當前還有#1個關卡可攻打",
	uc710 = "今日剩餘重置次數 : #1",
	uc711 = "關卡重置",

	uc712 = "每日可重置補給線關卡<span class = 'yellow24'>#1</span>次",
	uc713 = "競技場購買次數<span class = 'yellow24'>#1</span>次",

	uc714 = "今日重置補給線次數已滿，提升VIP可增加次數",
	uc715 = "是否使用#1</span><img src = 'diamond.png' width = 32 height = 32/>重置補給線?",
	uc716 = "需要玩家等級達到#1級開放",
	uc717 = "配件抽圖",

	uc718 = "<span class = '_drawCard1_26'>#1</span>",
	uc719 = "<span class = '_drawCard1_24'>#1 後免費</span>",
	uc720 = "<span class = '_drawCard2_26'>#1</span>",
	uc721 = "<span class = '_drawCard2_24'>#1 後免費</span>",
	uc722 = "<span class = '_drawCard3_26'>#1</span>",
	uc723 = "<span class = '_drawCard3_24'>#1 後免費</span>",

	uc724 = "免 費",
	uc725 = "抽 取",

	uc726 = "<span class = '_drawCard1_26'>綠 </span><br/><span class = '_drawCard2_26'>藍</span>",
	uc727 = "<span class = '_drawCard1_26'>綠 </span><br/><span class = '_drawCard2_26'>藍 </span><br/><span class = '_drawCard3_26'>紫</span>",
	uc728 = "<span class = '_drawCard2_26'>藍 </span><br/><span class = '_drawCard3_26'>紫 </span><br/><span class = '_drawCard4_26'>橙</span>",

	uc729 = "花費鑽石抽取",
	uc730 = "是否願意花費#1<img src = 'diamond.png' width = 32 height = 32/>抽取配件藍圖?",

	uc731 = "抽取 :  <span class = 'green26'>1</span>  次",
	uc732 = "抽取 :  <span class = 'green26'>10</span>  次",

	uc733 = "<span class = '_drawCard3_24'>#1</span>",
	uc734 = "<span class = '_drawCard4_24'>#1</span>",

	uc735 = "<span class = 'default28'>消費充值</span>",
	uc736 = "<span class = 'yellow24'>消費充值<br/></span>",
	uc737 = "vip#1:累積購買#2<img src = 'diamond.png' width = 32 height = 32/><br/>",

	uc738 = "<span class = 'default28'>角色屬性</span>",
	uc740 = "<span class = 'default28'>角色科技</span>",
	uc742 = "<span class = 'default28'>角色技能</span>",
	uc744 = "<span class = 'default28'>基地建築</span>",
	uc746 = "<span class = 'default28'>郊外建築</span>",
	uc748 = "<span class = 'default28'>世界資源點</span>",
	uc750 = "<span class = 'default28'>聯盟</span>",
	uc752 = "<span class = 'default28'>聯盟科技</span>",

	uc754 = "<span class = 'default28'>遊戲問題</span>",

	uc756 = "聯繫我們",
	uc757 = "獲得配件",

	uc758 = "補給線",
	uc759 = "藍圖製造",
	uc760 = "藍圖抽取",
	uc761 = "前 往",

	uc762 = "<span class = 'red24'>擁有:#1/需求:#2</span>",
	uc763 = "<span class = 'green24'>金幣</span>",

	uc764 = "1.攻打補給線的關卡不會損耗戰機<br/>2.每日24時自動重置次數<br/>3.每日首次攻打會消耗能量<br/>4.每日鑽石重置後，再次攻打不會消耗能量<br/>5.每日補給線可重置次數與VIP等級相關<br/>",
	uc765 = "<span class = 'default24'>升級技能</span>",

	uc766 = "<span class = 'green24'><img src = 'diamond.png' width = 32 height = 32/>+#1</span>",
	uc767 = "<span class = 'red24'><img src = 'diamond.png' width = 32 height = 32/>-#1</span>",

	uc768 = "#1 後結束",

	uc769 = "<span class = '_drawCard2_26'>#1</span>",
	uc770 = "綠色配件或藍圖分解獲得1個普通碎片<br/>藍色配件或藍圖分解獲得3個普通碎片<br/>紫色配件或藍圖分解獲得1個高級碎片<br/>橙色配件或藍圖分解獲得5個高級碎片<br/>",

	uc771 = "反克制加成:#1%",
	uc772 = "克制加成:#1%",
	uc773 = "暴免加成:#1%",
	uc774 = "暴傷加成:#1%",

	uc775 = "反克制加成:#1%  <span class = 'green24'>+#2%</span>",
	uc776 = "克制加成:#1%  <span class = 'green24'>+#2%</span>",
	uc777 = "暴免加成:#1%  <span class = 'green24'>+#2%</span>",
	uc778 = "暴傷加成:#1%  <span class = 'green24'>+#2%</span>",

	uc779 = "您們聯盟與其保持中立，會長可以修改該聯盟關係",
	uc780 = "您們聯盟與其保持敵對，會長可以修改該聯盟關係",
	uc781 = "您們聯盟與其保持友好，會長可以修改該聯盟關係",

	uc782 = "+ #1",
	uc783 = "- #1",

	uc784 = "可能掉落配件藍圖品質:<span class = '_drawCard1_26'>綠</span>",
	uc785 = "可能掉落配件藍圖品質:<span class = '_drawCard1_26'>綠,</span><span class = '_drawCard2_26'>藍</span>",
	uc786 = "可能掉落配件藍圖品質:<span class = '_drawCard1_26'>綠,</span><span class = '_drawCard2_26'>藍,</span><span class = '_drawCard3_26'>紫</span>",
	uc787 = "可能掉落配件藍圖品質:<span class = '_drawCard2_26'>藍,</span><span class = '_drawCard3_26'>紫,</span><span class = '_drawCard4_26'>橙</span>",
	uc789 = "<span class = 'switchTitleTwo'>貢獻列表</span>",
	uc790 = "周貢獻",

	uc791 = "<span class = '_drawCard3_24'>閃避加成:</span>#1%",
	uc792 = "<span class = '_drawCard4_24'>閃避加成:</span>#1%",
	uc793 = "<span class = '_drawCard3_24'>命中加成:</span>#1%",
	uc794 = "<span class = '_drawCard4_24'>命中加成:</span>#1%",

	uc795 = "<span class = '_drawCard3_24'>閃避加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc796 = "<span class = '_drawCard4_24'>閃避加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc797 = "<span class = '_drawCard3_24'>命中加成:</span>#1% <span class = 'green24'>+#2%</span>",
	uc798 = "<span class = '_drawCard4_24'>命中加成:</span>#1% <span class = 'green24'>+#2%</span>",

	uc799 = "<span class = 'switchTitleOne'>限時商店</span>",
	uc800 = "購 買",
	uc801 = "<span class = 'green24'>#1/#2</span>",

	uc802 = "購買次數已滿，不能購買",
	uc803 = "您希望用<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買此道具?",
	uc804 = "購買此道具成功",
	uc805 = "累計充值",
	uc806 = "活動",

	uc807 = "累計充值返利大回饋",
	uc808 = "活動期間常規充值所獲鑽石將計入累計充值<br/>活動期間累計充值鑽石數量滿足活動需求即可領取超值獎勵",
	uc809 = "累計充值#1鑽石",
	uc810 = "累計#1 / #2",

	uc811 = "1.強化可以提高當前等級4類戰機的攻擊或血量<br/>2.前一級屬性沒強化滿時，下一級戰機強化等級無法超過前一級等級",
	uc812 = "急速發展",

	uc813 = "訂單已經存在",
	uc814 = "效驗失敗",
	uc815 = "productId錯誤",
	uc816 = "訂單出錯",
	uc817 = "您的網路狀態不好，請重新獲取資訊",

	uc818 = "郵箱:support@tapugame.com",
	uc819 = "您是否願意花費<span class = 'popGems24'>#1</span><img src = 'diamond.png' width = 32 height = 32/>購買嗎?",
	uc820 = "<span class = 'red24'>角色等級#1解鎖</span>",

	uc821 = "搜索敵人並發起進攻",
	uc822 = "管理您的基地",
	uc823 = "建造資源建築",
	uc824 = "聯盟 : 無",

	uc825 = "<span class = 'chatNameAlliance20'>#1</span>",

	uc826 = "<span class = 'chatNameAlliance24'>#1:</span>#2",

	uc827 = "<span class = 'chatNamePrivate24'>我對 #1 說:</span>#2",
	uc828 = "<span class = 'chatNamePrivate24'>#1 對您說:</span>#2",
	uc829 = "<span class = 'alterTitle'>敵方來襲</span>",

	uc830 = "#1 即將到達我方基地",
	uc831 = "座標 X:#1,Y:#2",
	uc832 = "到達時間:#1",

	uc833 = "<span class = 'yellow24'>戰鬥報告(#1受到攻擊)</span>",
	uc834 = "<span class = 'chatFightReport24'>戰鬥報告(#1受到攻擊)</span>",
	uc835 = "<span class = 'chatFightReport20'>戰鬥報告(#1受到攻擊)</span>",
	uc836 = "急速發展活動期間，建築建造,飛機生產,科技研究的最終時間都降低20%",

	uc837 = "建築建造時間縮短20%",
	uc838 = "戰機生產時間縮短20%",
	uc839 = "科技研究時間縮短20%",

	uc840 = "前 往",
	uc841 = "兌換碼",
	uc842 = "兌 換",
	uc843 = "請輸入兌換碼!",
	uc844 = "兌換碼必須小於等於#1個(英文或者數位)字元",
	uc845 = "我們的部隊攻擊了#1<br/>戰鬥地點:#2(#3.#4)</span><br/>戰鬥時間:#5</span><br/><span class = 'yellow24'>#6</span><br/><span class = 'default24'>榮譽:#7</span>",
	uc846 = "防:無",
	uc847 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>修理戰機麼？</span>",
	uc848 = "<span class = 'default28'>您希望使用<span class = 'popGems28'>#1</span><img src = 'diamond.png' width = 32 height = 32/>修理所有戰機麼？</span>",
	uc849 = "您確定要刪除郵件嗎？",
	uc850 = "修改密碼",
	uc851 = "更換帳號",

	uc852 = "帳戶:#1",
	uc853 = "伺服器:#1",
	uc854 = "當前密碼",
	uc855 = "新密碼",
	uc856 = "再次輸入",
	uc857 = "修 改",

	uc858 = "原密碼不能為空",
	uc859 = "原密碼輸入錯誤",
	uc860 = "新密碼不能為空",
	uc861 = "密碼必須大於等於#1個字元,小於等於#2個字元",
	uc862 = "兩次輸入的密碼不一致",
	uc863 = "密碼修改成功",
	uc864 = "<span class = 'green24'>#1</span>",
	uc865 = "金幣",
	uc866 = "你的城市正在遭受攻擊",
	uc867 = "獲取聲望",
	uc868 = "#1聲望",
	uc869 = "購 買",
	uc870 = "實名註冊",
	uc871 = "<span class = 'default24'>#1</span>",
	uc872 = "公告",

	uc873 = "<span color = '0xffffffff'>#1I</span>",
	uc874 = "<span color = '0x00ff96ff'>#1II</span>",
	uc875 = "<span color = '0xff41eff'>#1III</span>",
	uc876 = "<span color = '0xda70d6ff'>#1IV</span>",
	uc877 = "<span color = '0xff6100ff'>#1V</span>",

	uc878 = "發展城市",
	uc879 = "生產部隊",
	uc880 = "研發高科技武器",
	uc881 = "抓獲敵人間諜",
	uc882 = "探索未知區域",
	uc883 = "維護盟友關係",
	uc884 = "偷取敵對聯盟機密",
	uc885 = "發展聯盟科技",

	uc886 = "章節#1關卡#2",
	uc887 = "攻打#1級以上資源點",
	uc888 = "#1級指揮中心",
	uc889 = "建造鑄幣廠",
	uc890 = "#1級鑄幣廠",
	uc891 = "建造鐵礦場",
	uc892 = "#1級鐵礦場",
	uc893 = "#1級油井",
	uc894 = "#1級矽礦場",
	uc895 = "建造鈦礦場",
	uc896 = "#1級鈦礦場",
	uc897 = "建造科研中心",
	uc898 = "#1級科研中心",
	uc899 = "建造倉庫",
	uc900 = "#1級倉庫",
	uc901 = "建造機庫",
	uc902 = "#1級機庫",

	uc903 = "#1架輕型女妖戰機",
	uc904 = "#1架輕型巡遊戰機",
	uc905 = "#1架輕型雷電戰機",
	uc906 = "#1架輕型堡壘戰機",

	uc907 = "#1架中型女妖戰機",
	uc908 = "#1架中型巡遊戰機",
	uc909 = "#1架中型雷電戰機",
	uc910 = "#1架中型堡壘戰機",

	uc911 = "#1架重型女妖戰機",
	uc912 = "#1架重型巡遊戰機",
	uc913 = "#1架重型雷電戰機",
	uc914 = "#1架重型堡壘戰機",

	uc915 = "#1架精英女妖戰機",
	uc916 = "#1架精英巡遊戰機",
	uc917 = "#1架精英雷電戰機",
	uc918 = "#1架精英堡壘戰機",

	uc919 = "鐵礦產量達到#1",
	uc920 = "石油產量達到#1",
	uc921 = "矽礦產量達到#1",

	uc922 = "系統",

	uc923 = "聯盟全體成員",
	uc924 = "恭喜#1指揮達到#2!",
	uc925 = "恭喜#1在幸運大轉盤中抽取到#2!",
	uc926 = "恭喜#1在競技場中擊敗#2贏得了第一名!",

	uc927 = "返回報告",
	uc928 = "<span class = 'red24'>需要聲望等級#1級</span>",

	uc929 = "角色#1級開放",
	uc930 = "升級成功",
	uc931 = "恭喜您升級到#1級！",

	uc932 = "解鎖科研中心",
	uc933 = "前往",
	uc934 = "解鎖戰機實驗室",
	uc935 = "解鎖配件系統",
	uc936 = "解鎖競技場",

	uc937 = "使用戰鬥BUFF可以讓你解決一些頭痛的敵人",
	uc938 = "建築建造和科研升級可以使用免費加速，VIP等級越高免費加速時間越多",
	uc939 = "關卡戰鬥失敗不會消耗體力",
	uc940 = "世界戰鬥中損失的戰機有80%會進入修理廠，剩下20%無法修復而報廢",
	uc941 = "加入聯盟可以獲得聯盟科技的強力支持",
	uc942 = "橙色配件圖紙可以通過抽獎、競技場商店、聯盟商店獲得",

	uc943 = "</span><img src = 'beAttack.png' width = 32 height = 32/>",
	uc944 = "默認陣型",
	uc945 = "<span class = 'yellow26'>#1</span>",
	uc946 = "(返還50%資源)",
	uc947 = "玩家可以設置<span class = 'yellow24'>#1</span>個陣型",
	uc948 = "基地戰機數量不足，無法使用該陣型",
	uc949 = "已設為默認陣型",
	uc950 = "常用陣型",

	uc951 = "陣型#1",
	uc952 = "陣型#1(VIP#2開啟)",

	uc953 = "默 認",
	uc954 = "覆 蓋",
	uc955 = "使 用",

	uc956 = "陣型設置成功",
	uc957 = "陣型使用成功",
	uc958 = "默認陣型使用成功",

	uc959 = "生命&反克制",
	uc960 = "攻擊&克制",
	uc961 = "生命&暴免",
	uc962 = "攻擊&暴傷",

	uc963 = "<span class = 'yellow24'>#1</span>",
	uc548 = "15天內每天登陸可領取豪華禮包",
	uc964 = "收藏成功",
	uc965 = "收藏已達上限",
	uc966 = "<span class = 'default18'>#1</span>",
	uc967 = "每日充值",
	uc968 = "每日充值達到指定數量鑽石(贈送不算)可以領取對應超值獎勵",
	uc969 = "收集資源",
	uc970 = "活動期間採集5種資源達到指定數量可以領取對應獎勵，每種資源的獎勵活動期間只能領取一次",
	uc971 = "每日充值返利大回饋",

	uc972 = "金幣目標:#1/4",
	uc973 = "鐵礦目標:#1/4",
	uc974 = "石油目標:#1/4",
	uc975 = "矽礦目標:#1/4",
	uc976 = "鈦礦目標:#1/4",
	uc977 = "採集資源:#1",
	uc978 = "#1/#2",
	uc979 = "戰爭之王",
	uc980 = "活動期間攻打玩家城市達到指定次數，可以領取對應獎勵",
	uc981 = "攻打#1/#2次",
	uc982 = "[軍銜]",
	uc983 = "無軍銜",
	uc984 = "<span class = 'itemTitle26'>#1</span>",
	uc985 = "<span class = 'itemTitle22'>榮譽:</span>",
	uc986 = "<span class = 'itemTitle24'>高級指揮LV.#1</span>",
	uc987 = "<span class = 'itemTitle22'>復仇值:</span>",
	uc988 = "帶兵數量:<span class = 'green24'>+#1</span>",
	uc989 = "軍銜列表",
	uc990 = "榮譽勳章不足",
	uc991 = "高級指揮升級成功",
	uc992 = "高級指揮等級不能超過玩家等級",
	uc993 = "榮 譽",
	uc994 = "榮譽商店",
	uc995 = "軍銜",
	uc996 = "獎勵",
	uc997 = "榮譽點數",
	uc998 = "人數",
	uc999 = "&#62;=#1",
	uc1000 = "&#62;=#1&&#60;=#2",
	uc1001 = "不限",
	uc1002 = "榮譽勳章:#1",
	uc1003 = "<span color = '0xff0000ff'>高級指揮等級 #1 可兌換</span>",
	uc1004 = "榮譽勳章:<br/>#1",
	uc1005 = "兌換成功",
	uc1006 = "榮譽勳章不足",
	uc1007 = "<span class = 'switchTitleTwo'>道具</span>",
	uc1008 = "<span class = 'switchTitleTwo'>配件</span>",
	uc1009 = "<span class = 'switchTitleTwo'>部隊</span>",
	uc1010 = "<span class = 'switchTitleTwo'>英雄</span>",
	uc1011 = "榮譽值 : #1",
    uc1012 = "您當前已購買#1個建造佇列<br/>您還可以購買#2個建造佇列<br/>您當前是VIP#3擁有#4個建造佇列",
    uc1013 = "<span class = 'default22'>#1</span>",
    uc1015 = "敵人",
    uc1016 = "分享",
    uc1017 = "每日分享可获得奖励:",
    uc1018 = "獎勵品",
    uc1019 = "<span class = 'default24'>始終顯示建築名字</span>",
    uc1020 = "復仇:<span class = 'green24'>#1</span>",
	uc1021 = "復仇:<span class = 'red24'>#1</span>",
	uc1022 = "榮譽:<span class = 'green24'>#1</span>",
	uc1023 = "榮譽:<span class = 'red24'>#1</span>",
	uc1024 = "榮譽:#1",
	uc1025 = "軍銜 :",
	uc1026 = "(#1)",
	uc1027 = "榮譽值",
	uc1028 = "無",
	uc1029 = require("res.data.lang.zh_CN.medalAward"),
	uc1030 = "<span class = 'default28'>提升高級指揮能力</span>",

	uc1031 = "消耗榮譽勳章和復仇值提升高級指揮能力",
	uc1032 = "<span class = 'default20'>當前等級:LV.#1</span>",
	uc1033 = "<span class = 'default20'>最大等級:LV.</span><span class = 'red20'>#1</span>",
	uc1034 = "<span class = 'default20'>現有:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #1   消耗:</span><img src = 'res/images/icon/propIcon/honor.png' srcType='0' width = 32 height = 32/><span class = 'default20'> #2</span>",
	uc1035 = "<span class = 'default20'>現有復仇值:#1   消耗:#2</span>",
	uc1036 = "<span class = 'default20'>額外帶兵量:<span class = 'green20'>#1</span></span>",
	uc1037 = "增 加",
	uc1038 = "復仇值不足",
	uc1039 = "<span class = 'default20'>復仇值:#1</span>",
	uc1040 = "十連抽",
	uc1041 = "必得1橙圖",
	uc1042 = "抽取10次",
	uc1043 = "0/#1",
	uc1044 = "#1￥",
	uc1045 = "#1$",

	uc1046 = "每個角色充值指定檔位的鑽石，可以領取對應獎勵，每種獎勵只能領取一次",
	uc1047 = "首次充值#1檔位鑽石可獲得",
	uc1048 = "首沖大回饋",
	uc1049 = "首沖返利大回饋",
	uc1050 = "是否消耗1個#1製造1個配件並且裝配它?",
	uc1051 = "製造並且裝配成功!",
	uc1052 = "替 換",
    uc1053 = "玩家主城默認的皮膚",
	uc1054 = "主城皮膚",
	uc1055 = "<span class = 'default20'>#1</span>",
	uc1056 = "替換成功",
	uc1057 = "沒有此道具的buff",
	uc1058 = "還是主城默認皮膚樣式",
	uc1059 = "還是主城默認皮膚樣式",
	uc1060 = "<img src = 'diamond.png' width = 32 height = 32/> #1",
	uc1061 = "配件零件不足",
	uc1062 = "製造並裝配",
	uc1063 = "<span class = 'green24'>#1</span>",
	uc1064 = "當前佇列不足",
	uc1065 = "你可以花費鑽加速當前一個時間的最短的佇列，並把本次任務添加到佇列中",
	uc1066 = "加 速",
	uc1067 = "購 買",
	uc1068 = "<span class = 'yellow24'>需要</span> <img src = 'diamond.png' width = 32 height = 32/> <span class = 'yellow24'>#1</span>",
	uc1069 = "<span class = 'yellow24'>免費加速</span>",
	uc1070 = "當前的最短佇列已經完成，本次任務已經添加到佇列中",
	uc1071 = "重置雙倍",
	uc1072 = "重置雙倍充值成功",
	uc1073 = "是否重置此檔位充值雙倍?",
	uc1074 = "<span class = 'itemTitle26'><img src = 'prefixIcon.png'/> #1×#2</span>",
	uc1075 = "Ⅴ",
	uc1076 = "玩家等級12級以後才可以捐獻",
	uc1077 = "每天可聯盟捐獻<span class = 'yellow24'>#1</span>次",

	uc1078 = "<span class = 'default26'>每日捐獻次數已滿，您當前是<span class = 'yellow26'>VIP#1</span></span>",
	uc1079 = "<span class = 'yellow24'>VIP#1</span> 每日可捐獻<span class = 'yellow24'>#2</span>次",
	uc1080 = "提升<span class = 'yellow24'>VIP</span>可以增加每日捐獻次數",

    uc1081 = "軍備競賽",
    uc1082 = "活動期間，生產或改造一定數量的戰機，可領取更高級的戰機！",
    uc1083 = "生產#1架#2即可領取",
    uc1084 = "#1/#2",
    uc1085 = "生產飛機",



	ug_quality_lv="<span class=qualityLv1>#1</span>,<span class=qualityLv2>#1</span>,<span class=qualityLv3>#1</span>,<span class=qualityLv4>#1</span>,<span class=qualityLv5>#1</span>",
	ug_role="角色",

	ug_persionalCenter="個人中心",

	ug_morePay="<span class = 'default20'>更多支付方式</span>",

	ug_guide_2_world="指揮官，歡迎來到我們的新基地，我們可以在此打造我們的軍事堡壘，為了熟悉周圍環境，請跟隨我一 起查看世界地圖",
	ug_guide_2_base="這片區域有很多豐富的資源島嶼，可以加快我們的發展進程，不過也要小心可能會有人盯上我們...等 等？ 有警報！",
	ug_guide_tip_2_world="點擊切換到世界地圖",
	ug_guide_tip_2_base="點擊切換回主基地",

	ug_eg_startGame="<span size = 36 color = '0xffffff' shadowColor = '0x000000ff' shadowOffset = '1,-2'>開始遊戲</span>",
	ug_share="戰機帝國強勢來襲~!",
	ug_share_text=[[發展城市，訓練部隊，搶佔資源，和朋友一起组建联盟，互相帮助，一起征战四方！
        戰機帝國，等你來戰！]],
	ug_share_failure="分享失敗",
	
	ug_quitTip="確認退出遊戲?",
	
	ug_changeNameNotice="請注意！您將不能在遊戲中更改指揮官的姓名！",
	
	ug_netException="網絡异常，通訊超時!",
	ug_netException_reloginTip="與服務器斷開連接!",


    ug_mapLocTip="是否查看(#1,#2)的區域?",

	ug_payFail="購買失敗(錯誤碼:#1)!",
	ug_payName="#1鑽石",

	ug_guide_resCollectionTip="光靠資源建築產出的資源還無法完全滿足基地發展需求，我們偵察到附近有一個鐵礦資源點，可以派部隊前 去採集資源",
	ug_guide_resLocTip="鐵礦資源點位置已被確定",
	ug_guide_armyTaskWaitTip="部隊航行還需要一定時間，我們可以返回主基地等待結果",
	ug_guide_cellectionComplete="部隊已經完成資源採集，可以讓其回基地了",
	ug_guide_tipOpenArmyTaskWindow="點擊打開行軍任務介面",
	ug_guide_clickArmyBack="點擊部隊返回",
	ug_guide_confirmBack="確定返回",

	ug_switchAccount="切換帳號",

}

if CUR_SDK then
	if CUR_SDK == SDKType.PLATFORM_ENJOY_GAME then
		T.ext_sdk = require("res.data.lang.zh_TW.sdk_enjoyGame")
	elseif CUR_SDK ==  SDKType.PLATFORM_360 then
		T.ext_sdk = require("res.data.lang.zh_TW.sdk_360")
	end
end

return T

