local vip={
	[0] = {
		['needGems'] = 0,
		['point'] = 0,
		['formationNum'] = 1,
		['freeTime'] = 180,
		['pointCount'] = 1,
		['battleQueueCount'] = 3,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 1,
		['produceQueueCount'] = 1,
		['produceSpeed'] = 0,
		['reconstructSpeed'] = 0,
		['marchSpeed'] = 0,
		['techSpeed'] = 0,
		['checkPointExp'] = 0,
		['challengeCount'] = 5,
		['steelAdd'] = 0,
		['oilAdd'] = 0,
		['siliconAdd'] = 0,
		['arenaChallengePointBuyNum'] = 2,
		['supplyLineBuyNum'] = 0,
		['donateNum'] = 1
	},
	[1] = {
		['needGems'] = 15,
		['point'] = 15,
		['formationNum'] = 1,
		['freeTime'] = 240,
		['pointCount'] = 2,
		['battleQueueCount'] = 3,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 1,
		['produceQueueCount'] = 1,
		['produceSpeed'] = 0,
		['reconstructSpeed'] = 0,
		['marchSpeed'] = 0,
		['techSpeed'] = 0,
		['checkPointExp'] = 0,
		['challengeCount'] = 6,
		['steelAdd'] = 0,
		['oilAdd'] = 0,
		['siliconAdd'] = 0,
		['arenaChallengePointBuyNum'] = 3,
		['supplyLineBuyNum'] = 0,
		['donateNum'] = 3
	},
	[2] = {
		['needGems'] = 460,
		['point'] = 445,
		['formationNum'] = 1,
		['freeTime'] = 300,
		['pointCount'] = 3,
		['battleQueueCount'] = 4,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 1,
		['produceQueueCount'] = 1,
		['produceSpeed'] = 10,
		['reconstructSpeed'] = 5,
		['marchSpeed'] = 0,
		['techSpeed'] = 10,
		['checkPointExp'] = 10,
		['challengeCount'] = 7,
		['steelAdd'] = 0,
		['oilAdd'] = 0,
		['siliconAdd'] = 0,
		['arenaChallengePointBuyNum'] = 3,
		['supplyLineBuyNum'] = 0,
		['donateNum'] = 5
	},
	[3] = {
		['needGems'] = 960,
		['point'] = 500,
		['formationNum'] = 2,
		['freeTime'] = 360,
		['pointCount'] = 8,
		['battleQueueCount'] = 4,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 1,
		['produceQueueCount'] = 1,
		['produceSpeed'] = 20,
		['reconstructSpeed'] = 10,
		['marchSpeed'] = 0,
		['techSpeed'] = 20,
		['checkPointExp'] = 20,
		['challengeCount'] = 8,
		['steelAdd'] = 5,
		['oilAdd'] = 5,
		['siliconAdd'] = 5,
		['arenaChallengePointBuyNum'] = 4,
		['supplyLineBuyNum'] = 1,
		['donateNum'] = 10
	},
	[4] = {
		['needGems'] = 3000,
		['point'] = 2040,
		['formationNum'] = 2,
		['freeTime'] = 420,
		['pointCount'] = 12,
		['battleQueueCount'] = 5,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 1,
		['produceQueueCount'] = 1,
		['produceSpeed'] = 30,
		['reconstructSpeed'] = 15,
		['marchSpeed'] = 10,
		['techSpeed'] = 30,
		['checkPointExp'] = 30,
		['challengeCount'] = 9,
		['steelAdd'] = 10,
		['oilAdd'] = 10,
		['siliconAdd'] = 10,
		['arenaChallengePointBuyNum'] = 4,
		['supplyLineBuyNum'] = 1,
		['donateNum'] = 15
	},
	[5] = {
		['needGems'] = 7200,
		['point'] = 4200,
		['formationNum'] = 3,
		['freeTime'] = 600,
		['pointCount'] = 16,
		['battleQueueCount'] = 5,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 2,
		['produceQueueCount'] = 2,
		['produceSpeed'] = 40,
		['reconstructSpeed'] = 20,
		['marchSpeed'] = 20,
		['techSpeed'] = 40,
		['checkPointExp'] = 40,
		['challengeCount'] = 10,
		['steelAdd'] = 15,
		['oilAdd'] = 15,
		['siliconAdd'] = 15,
		['arenaChallengePointBuyNum'] = 5,
		['supplyLineBuyNum'] = 2,
		['donateNum'] = 20
	},
	[6] = {
		['needGems'] = 20000,
		['point'] = 12800,
		['formationNum'] = 3,
		['freeTime'] = 900,
		['pointCount'] = 20,
		['battleQueueCount'] = 6,
		['buildQueueCount'] = 2,
		['techQueueCount'] = 2,
		['produceQueueCount'] = 2,
		['produceSpeed'] = 50,
		['reconstructSpeed'] = 25,
		['marchSpeed'] = 30,
		['techSpeed'] = 50,
		['checkPointExp'] = 50,
		['challengeCount'] = 11,
		['steelAdd'] = 20,
		['oilAdd'] = 20,
		['siliconAdd'] = 20,
		['arenaChallengePointBuyNum'] = 5,
		['supplyLineBuyNum'] = 2,
		['donateNum'] = 25
	},
	[7] = {
		['needGems'] = 60000,
		['point'] = 40000,
		['formationNum'] = 3,
		['freeTime'] = 1200,
		['pointCount'] = 26,
		['battleQueueCount'] = 6,
		['buildQueueCount'] = 3,
		['techQueueCount'] = 2,
		['produceQueueCount'] = 2,
		['produceSpeed'] = 60,
		['reconstructSpeed'] = 30,
		['marchSpeed'] = 40,
		['techSpeed'] = 60,
		['checkPointExp'] = 60,
		['challengeCount'] = 12,
		['steelAdd'] = 25,
		['oilAdd'] = 25,
		['siliconAdd'] = 25,
		['arenaChallengePointBuyNum'] = 6,
		['supplyLineBuyNum'] = 3,
		['donateNum'] = 30
	},
	[8] = {
		['needGems'] = 180000,
		['point'] = 120000,
		['formationNum'] = 4,
		['freeTime'] = 1500,
		['pointCount'] = 32,
		['battleQueueCount'] = 7,
		['buildQueueCount'] = 3,
		['techQueueCount'] = 3,
		['produceQueueCount'] = 3,
		['produceSpeed'] = 70,
		['reconstructSpeed'] = 35,
		['marchSpeed'] = 50,
		['techSpeed'] = 70,
		['checkPointExp'] = 70,
		['challengeCount'] = 13,
		['steelAdd'] = 30,
		['oilAdd'] = 30,
		['siliconAdd'] = 30,
		['arenaChallengePointBuyNum'] = 6,
		['supplyLineBuyNum'] = 3,
		['donateNum'] = 30
	},
	[9] = {
		['needGems'] = 480000,
		['point'] = 300000,
		['formationNum'] = 4,
		['freeTime'] = 1800,
		['pointCount'] = 40,
		['battleQueueCount'] = 7,
		['buildQueueCount'] = 4,
		['techQueueCount'] = 3,
		['produceQueueCount'] = 3,
		['produceSpeed'] = 80,
		['reconstructSpeed'] = 40,
		['marchSpeed'] = 60,
		['techSpeed'] = 80,
		['checkPointExp'] = 80,
		['challengeCount'] = 14,
		['steelAdd'] = 35,
		['oilAdd'] = 35,
		['siliconAdd'] = 35,
		['arenaChallengePointBuyNum'] = 7,
		['supplyLineBuyNum'] = 4,
		['donateNum'] = 30
	},
	[10] = {
		['needGems'] = 800000,
		['point'] = 320000,
		['formationNum'] = 4,
		['freeTime'] = 3600,
		['pointCount'] = 50,
		['battleQueueCount'] = 8,
		['buildQueueCount'] = 5,
		['techQueueCount'] = 3,
		['produceQueueCount'] = 3,
		['produceSpeed'] = 90,
		['reconstructSpeed'] = 45,
		['marchSpeed'] = 70,
		['techSpeed'] = 90,
		['checkPointExp'] = 90,
		['challengeCount'] = 15,
		['steelAdd'] = 40,
		['oilAdd'] = 40,
		['siliconAdd'] = 40,
		['arenaChallengePointBuyNum'] = 7,
		['supplyLineBuyNum'] = 5,
		['donateNum'] = 30
	},
	[11] = {
		['needGems'] = 2400000,
		['point'] = 1600000,
		['formationNum'] = 4,
		['freeTime'] = 7200,
		['pointCount'] = 70,
		['battleQueueCount'] = 9,
		['buildQueueCount'] = 5,
		['techQueueCount'] = 4,
		['produceQueueCount'] = 4,
		['produceSpeed'] = 110,
		['reconstructSpeed'] = 60,
		['marchSpeed'] = 80,
		['techSpeed'] = 110,
		['checkPointExp'] = 110,
		['challengeCount'] = 16,
		['steelAdd'] = 45,
		['oilAdd'] = 45,
		['siliconAdd'] = 45,
		['arenaChallengePointBuyNum'] = 8,
		['supplyLineBuyNum'] = 6,
		['donateNum'] = 30
	},
	[12] = {
		['needGems'] = 7200000,
		['point'] = 4800000,
		['formationNum'] = 4,
		['freeTime'] = 10800,
		['pointCount'] = 100,
		['battleQueueCount'] = 10,
		['buildQueueCount'] = 5,
		['techQueueCount'] = 5,
		['produceQueueCount'] = 5,
		['produceSpeed'] = 150,
		['reconstructSpeed'] = 80,
		['marchSpeed'] = 90,
		['techSpeed'] = 150,
		['checkPointExp'] = 150,
		['challengeCount'] = 17,
		['steelAdd'] = 50,
		['oilAdd'] = 50,
		['siliconAdd'] = 50,
		['arenaChallengePointBuyNum'] = 9,
		['supplyLineBuyNum'] = 7,
		['donateNum'] = 30
	}
}
return vip