--[[
    配置管理:icon 的原始大小为100*100
]]
local T = {}

--- icon的大小
T.iconSize = {100,100}

-- icon的图标基础路径
T.iconPath = "res/images/icon/"

-- 聊天缩放比例
T.chatScale = {72/130,72/130}

-- 显示的通用比例，项的比例，资源比例，技能比例
T.baseScale = {68/100,68/100}

-- resview中的资源
T.resScale = { 55/100,55/100 }

--- 奖励品的默认项
T.awardScale = { 100/100,100/100 }

--- 建筑显示列表中的缩放比例
T.buildScale = { 100/128,100/128 }

--- icon缩小1半
T.halfScale = { 50/100,50/100 }

--- 技能 信息
T.skillRes = { -- key res
    [1] = {res = "aircraft/aircraftBaseAttributeIcon/hit.png", name = "f18"},
    [2] = {res = "aircraft/aircraftBaseAttributeIcon/dodge.png", name = "f19"},
    [3] = {res = "aircraft/aircraftBaseAttributeIcon/crit.png", name = "f20"},
    [4] = {res = "aircraft/aircraftBaseAttributeIcon/armor.png", name = "f21"},
    [5] = {res = "player/playerSkillIcon/banshee1.png", name = "f22"},
    [6] = {res = "player/playerSkillIcon/parade1.png", name = "f23"},
    [7] = {res = "player/playerSkillIcon/lightning1.png", name = "f24"},
    [8] = {res = "player/playerSkillIcon/fortress1.png", name = "f25"},
    [9] = {res = "player/playerSkillIcon/banshee2.png", name = "f26"},
    [10] = {res = "player/playerSkillIcon/parade2.png", name = "f27"},
    [11] = {res = "player/playerSkillIcon/lightning2.png", name = "f28"},
    [12] = {res = "player/playerSkillIcon/fortress2.png", name = "f29"},
}

return T