--- 图片字体配置
BMFontCfg=require("src.app.BMFontCfg")

--- 公共资源
CommonRes={}

--- 预加载资源列表
CommonRes.preResList={
	SoundRes.SND_LIST_SCALE_IN_OUT,
	"res/images/homePage.plist",
	"res/images/public.plist",
	"res/images/homeEff/homeEff.plist",-- 主界面特效资源

	--战机相关>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	"res/images/aircrafts/aircrafts.plist",
	{type="animations",list={
		--战机尾焰
		{name="plume01_LV1",url="plume01_LV1_",beginIndex=1,endIndex=3,extension=".png",delay=0.06},
	}},
	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	"res/images/activity.plist",
	"res/images/accessory.plist",-- 配件
	"res/images/robot/robot.plist",-- 机器人 效果
	"res/images/waterFlush.plist",
	"res/images/windowBack.plist",
	"res/images/windowBack2.plist",
	"res/images/windowBack3.plist",
	"res/images/windowBack4.plist",

	-- 科研中心 特效>>------------------------------------------------------------------------------------------
	"res/images/singleEffs/studyFreeTimeEff.plist",
	{type="animations",list={
		{name = "studyFreeTimeEff",url = "studyFreeTimeEff_000", beginIndex = 1, endIndex = 10, extension=".png", delay = 0.08},
	}},
	-- <<科研中心 特效------------------------------------------------------------------------------------------

	--提示特效>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	"res/images/singleEffs/promptEff.plist",
	{type="animations",list={
		{name = "promptEffect",url = "promptEff_000", beginIndex = 1, endIndex = 12, extension=".png", delay = 0.08},
	}},
	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	--女妖战机特效>>---------------------------------------------------------------------------------------------
	"res/images/aircrafts/banshee_lv1_1.plist",
	"res/images/aircrafts/banshee_lv1_2.plist",
	"res/images/aircrafts/banshee_lv2_1.plist",
	"res/images/aircrafts/banshee_lv2_2.plist",
	"res/images/aircrafts/banshee_lv3_1.plist",
	"res/images/aircrafts/banshee_lv3_2.plist",
	"res/images/aircrafts/banshee_lv4_1.plist",
	"res/images/aircrafts/banshee_lv4_2.plist",
	"res/images/aircrafts/banshee_lv5_1.plist",
	"res/images/aircrafts/banshee_lv5_2.plist",
	{type="animations",list={
		{name="banshee_lv1_1_1",url="banshee_lv1_1_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv1_2_1",url="banshee_lv1_2_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},

		{name="banshee_lv2_1_1",url="banshee_lv2_1_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv2_2_1",url="banshee_lv2_2_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},

		{name="banshee_lv3_1_1",url="banshee_lv3_1_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv3_1_2",url="banshee_lv3_1_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv3_2_1",url="banshee_lv3_2_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv3_2_2",url="banshee_lv3_2_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},

		{name="banshee_lv4_1_1",url="banshee_lv4_1_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv4_1_2",url="banshee_lv4_1_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv4_2_1",url="banshee_lv4_2_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv4_2_2",url="banshee_lv4_2_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		
		{name="banshee_lv5_1_1",url="banshee_lv5_1_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv5_1_2",url="banshee_lv5_1_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv5_2_1",url="banshee_lv5_2_1_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
		{name="banshee_lv5_2_2",url="banshee_lv5_2_2_",beginIndex=0,endIndex=4,extension=".png",delay=0.06},
	}},
	--<<女妖战机特效---------------------------------------------------------------------------------------------

	--堡垒战机特效>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	"res/images/aircrafts/fort_lvAll_all.plist",
	{type="animations",list={
		{name="fort_lvAll_all",url="fort_lvAll_all_",beginIndex=0,endIndex=9,extension=".png",delay=0.08},
	}},

	--<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	--钻石闪烁特效>>---------------------------------------------------------------------------------------------
	"res/images/singleEffs/diamondFlashEff.plist",
	{type="animations",list={
		{name = "diamondFlashEff",url = "zuanshi_000", beginIndex = 0, endIndex = 13, extension=".png", delay = 0.1},
	}},
	--<<钻石闪烁特效---------------------------------------------------------------------------------------------

	--窗口标题栏特效
	{type="animations",list={
		{name = "windowTitleEff",url = "windowTitleEff", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.1},
	}},

	--需求框装饰特效
	{type="animations",list={
		{name = "needBackEff",url = "needBackEff", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12},
	}},

	--交边形按钮提示特效
	{type="animations",list={
		{name = "button6TipEff",url = "liubianxing_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.05},
	}},

	--方形按钮(有倒影)抛光特效
	{type="animations",list={
		{name = "buttonPolishingEff",url = "tongyongpaoguang_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.05},
	}},

	--人物头像信号干扰特效
	{type="animations",list={
		{name = "rolePhotoTipEff",url = "touxiang_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.05},
	}},

	--icon特效-蓝色
	{type="animations",list={
		{name = "iconEff_blue",url = "tishi_lanse_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
	}},

	{type="animations",list={
		{name = "iconEff_purple",url = "tishi_zise_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
	}},

	--升级特效
	{type="animations",list={
		{name = "upGradeEff",url = "tubiaoshengji_000", beginIndex = 0, endIndex = 12, extension=".png", delay = 0.08},
	}},

	-- icon星星特效
	{type="animations",list={
		{name = "iconStar",url = "iconStar_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.05},
	}},

	-- icon光速特效
	{type="animations",list={
		{name = "iconLight",url = "iconLight_000", beginIndex = 0, endIndex = 8, extension=".png", delay = 0.10},
	}},


	{type="animations", list={
		-- 提示 特效
		{name = "promptEffect",url = "promptEff_000", beginIndex = 1, endIndex = 12, extension=".png", delay = 0.08}, -- 感叹符号 提示特效
		{name = "oilEffect",url = "oilEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08}, -- 石油特效
		{name = "siliconEffect",url = "siliconEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08}, -- 硅
		{name = "starEffect",url = "starEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08}, -- 星闪 特效
		{name = "steelEffect",url = "steelEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08}, -- 铁
		{name = "tatiEffect",url = "tatiEff_000", beginIndex = 0, endIndex = 5, extension=".png", delay = 0.08}, -- 钛
		{name = "transferEffect",url = "transferEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08}, -- 跳转
		{name = "waterFlushEffect",url = "waterFlush_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12}, -- 水光
		{name = "smoothEffect",url = "smoothEff_000", beginIndex = 0, endIndex = 6, extension=".png", delay = 0.08}, -- 溜光效果
	}},

	-- 竞技场平时 特效
	{type="animations",list={
		{name = "fightingNormalEff",url = "fightingNormalEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
	}},

	--- 竞技场 牌子上的特效
	{type="animations",list={
		{name = "arenaEff",url = "arenaEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
	}},

	{type="animations",list={
		--- 指挥中心空闲特效
		{name = "centerFreeTimeEff",url = "centerFreeTimeEff_000", beginIndex = 0, endIndex = 7, extension=".png", delay = 0.12},
		--- 指挥中心空闲特效
		{name = "centerFreeTimeEffTwo",url = "centerFreeTimeEffTwo_000", beginIndex = 0, endIndex = 7, extension=".png", delay = 0.12},

		--- 指挥中心忙特效
		{name = "centerProduceEff",url = "centerProduceEff_000", beginIndex = 0, endIndex = 7, extension=".png", delay = 0.08},
		--- 铸币厂 升级 特效
		{name = "goldFreeTimeEff",url = "goldFreeTimeEff_000", beginIndex = 0, endIndex = 19, extension=".png", delay = 0.08},
		--- 铸币厂 闲时特效
		{name = "goldFreeTimeTwoEff",url = "goldFreeTimeTwoEff_000", beginIndex = 0, endIndex = 6, extension=".png", delay = 0.12},

		--- 机库 忙 特效
		{name = "planeProduceEff",url = "planeProduceEff_000", beginIndex = 0, endIndex = 19, extension=".png", delay = 0.08},

		--- 存储工厂 忙
		{name = "storeBusyEff",url = "storeBusyEff_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},

		--- 许愿池 特效
		{name = "wishFreeTimeEff",url = "wishFreeTimeEff_000", beginIndex = 1, endIndex = 20, extension=".png", delay = 0.08, clone = {[16]=20}},
		--- 瀑布1 特效
		{name = "waterfallEffOne",url = "waterfallEffOne_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12},
		--- 瀑布2 特效1
		{name = "waterfallEffTwo_1",url = "waterfallEffTwo_1_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12},
		--- 瀑布2 特效
		{name = "waterfallEffTwo_2",url = "waterfallEffTwo_2_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12},
		--- 浪特效
		{name = "waveEff",url = "waveEff_000", beginIndex = 0, endIndex = 12, extension=".png", delay = 0.2},
	}},

	--机器人特效
	{type="animations",list={
		--- 巡逻机器人领队-站立-右下
		{name = "robotLeader_standing_rb",url = "robotOneWalk_000", beginIndex = 0, endIndex = 0, extension=".png", delay = 0.08},
		--- 巡逻机器人领队-站立-右上
		{name = "robotLeader_standing_rt",url = "robotOneWalk_000", beginIndex = 30, endIndex = 30, extension=".png", delay = 0.08},

		--- 巡逻机器人领队-行走-右下
		{name = "robotLeader_walk_rb",url = "robotOneWalk_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
		--- 巡逻机器人领队-行走-右上
		{name = "robotLeader_walk_rt",url = "robotOneWalk_000", beginIndex = 30, endIndex = 39, extension=".png", delay = 0.08},

		--- 巡逻机器人领队-旋转-右下
		{name = "robotLeader_rotation_rb",url = "robotOnePlay_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
		--- 巡逻机器人领队-旋转-右上
		{name = "robotLeader_rotation_rt",url = "robotOnePlay_000", beginIndex = 30, endIndex = 39, extension=".png", delay = 0.08},

		--- 巡逻机器人成员-站立-右下
		{name = "robotMember_standing_rb",url = "robotTwoWalk_000", beginIndex = 0, endIndex = 0, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-站立-右上
		{name = "robotMember_standing_rt",url = "robotTwoWalk_000", beginIndex = 10, endIndex = 10, extension=".png", delay = 0.08},

		--- 巡逻机器人成员-行走-右下
		{name = "robotMember_walk_rb",url = "robotTwoWalk_000", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-行走-右上
		{name = "robotMember_walk_rt",url = "robotTwoWalk_000", beginIndex = 10, endIndex = 19, extension=".png", delay = 0.08},
		
		--- 巡逻机器人成员-蹲着-右下
		{name = "robotMember_squating_rb",url = "robotTwoPlay_000", beginIndex = 12, endIndex = 12, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-蹲着-右上
		{name = "robotMember_squating_rt",url = "robotTwoPlay_000", beginIndex = 20, endIndex = 20, extension=".png", delay = 0.08},

		--- 巡逻机器人成员-到蹲下-右下
		{name = "robotMember_2_squat_rb",url = "robotTwoPlay_000", beginIndex = 0, endIndex = 12, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-到站立-右下
		{name = "robotMember_2_stand_rb",url = "robotTwoPlay_000", beginIndex = 13, endIndex = 19, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-到蹲下-右上
		{name = "robotMember_2_squat_rt",url = "robotTwoPlay_000", beginIndex = 20, endIndex = 32, extension=".png", delay = 0.08},
		--- 巡逻机器人成员-到站立-右上
		{name = "robotMember_2_stand_rt",url = "robotTwoPlay_000", beginIndex = 33, endIndex = 39, extension=".png", delay = 0.08},
	}},

	--
	{type="animations",list={
		{name = "protectCoverEff",url = "protectCoverEff_00", beginIndex = 0, endIndex = 9, extension=".png", delay = 0.12},
	}},
}
