--[[
    安装配件：给这个类型的飞机穿上
]]
local T = extend(AbstractC2SCommand)

T.type = 1

function T:ctor()
    self.super.ctor(self,ChannelIds.ACCESSORY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.id)
    data:writeByte(self.airType)
    --data:writeByte(self.slotType) -- 这里不用发，后台自己判断是哪个槽位的类型

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        AccessorySystemManager:getSlotBox():installAccessory(self.id,self.airType,self.slotType)
    end

    return state
end

function T:exec(id,airType,slotType,callback) -- 配件id，战机类型，槽位类型（位置）
    self.id = id
    self.airType = airType
    self.slotType = slotType
    self.super.exec(self,callback)
end

return T
