--[[
    制造配件
]]
local T = extend(AbstractC2SCommand)

T.type = 9

function T:ctor()
    self.super.ctor(self,ChannelIds.ACCESSORY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeShort(self.sid)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        AccessorySystemManager:getAccessoryBox():refreshOneAccessory(data)

        PropsInfoMgr:reducePlayerPropByID(self.sid,1)

    end
    
    return state
end

function T:exec(sid,callback) -- 所需要的蓝图sid，制造规则：1个蓝图制造对应的配件
    self.sid = sid
    self.super.exec(self,callback)
end

return T
