--[[
    加速招募或者改造,因为招募或者改造是在一个队列中的
]]
local TEMPLATE=extend(AbstractC2SCommand)

TEMPLATE.type = 2

function TEMPLATE:ctor()
    self.super.ctor(self,ChannelIds.RECRUIT)
end

function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.qid)
    return data
end

function TEMPLATE:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then
        local diamond = data:readInt()
        --UserInfo.gems = diamond

        PlayerInstance:setDiamond(diamond)
        AircraftProduceQueueMgr:produceComplete(self.qid)

    end

    return state
end

function TEMPLATE:exec(qid,callback)
    self.qid = qid
    self.super.exec(self,callback)
end

return TEMPLATE
