---得到活动数据
local T = extend(AbstractC2SCommand)

T.type = 2

function T:ctor()
	self.super.ctor(self,ChannelIds.SPECIAL_ACTIVITY)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	data:writeShort(self.sid)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	local r = nil
	if state == ReturnCode.SUCCESS then
		if self.sid == 100 then
			r = ActivityManager.bigWheelInfo:decode(data)
		elseif self.sid == 101 then
			r = ActivityManager.drawDiamondInfo:decode(data)
		elseif self.sid == 102 then
			r = ActivityManager.timeLimitBuyInfo:decode(data)
		elseif self.sid == 103 then
			r = ActivityManager.cumulativeRechargeInfo:decode(data)
		elseif self.sid == 106 then
			r = ActivityManager.collectResourceInfo:decode(data)
		elseif self.sid == 105 then
			r = ActivityManager.dailyRechargeInfo:decode(data)
        elseif self.sid == 107 then
			r = ActivityManager.gameOfWarInfo:decode(data)
        elseif self.sid == 108 then
			r = ActivityManager.armsRaceInfo:decode(data)
        elseif self.sid == 200 then
			r = ActivityManager.bigWheelInfo2:decode(data)
		elseif self.sid == 202 then
			r = ActivityManager.timeLimitBuyInfo2:decode(data)
		elseif self.sid == 203 then
			r = ActivityManager.cumulativeRechargeInfo2:decode(data)
		elseif self.sid == 206 then
			r = ActivityManager.collectResourceInfo2:decode(data)
		elseif self.sid == 205 then
			r = ActivityManager.dailyRechargeInfo2:decode(data)
        elseif self.sid == 207 then
			r = ActivityManager.gameOfWarInfo2:decode(data)
		end

	end

	return state,r
end

function T:exec(sid,callback) -- 特殊活动的sid
	self.sid = sid
	self.super.exec(self,callback)
end

return T
