--- 用贡献点兑换商品
local T=Class.ExchangeGoodsCommand(AbstractC2SCommand1)

function T:def()
	self.type=33
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)
	data:writeInt(self.allianceShopGoodsInfo.id)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local gInfo=self.allianceShopGoodsInfo
	
		local newContribution=data:readUnsignedInt()
		AllianceManager:addContributionPoint(newContribution-AllianceManager:getContributionPoint())
		PropsInfoMgr:addPlayerPropByID(gInfo.propSid, gInfo.propCount)
		gInfo.todayBuiedCount=gInfo.todayBuiedCount+1
		
		return state
	end

	return state
end

function T:exec(allianceShopGoodsInfo,callback)
	self.allianceShopGoodsInfo=allianceShopGoodsInfo
	AbstractC2SCommand1.exec(self,callback)
end

return T