---得到联盟奖励
local T=Class.GetAllianceAwardCommand(AbstractC2SCommand1)

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")

function T:def()
	--- 类型
	self.type=34
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
    local awardData = nil
	if state == ReturnCode.SUCCESS then
        SetStates.joinAllianceAward:setReceiveState()

        awardData = self.AwardDataDecoder:decode(data) -- 返回一个表r
        self.AwardDataDecoder:addAWard(awardData) -- 发放
	end

	return state,awardData
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
