--- 获取联盟详细信息
local T=Class.GetAllianceDetailCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=6
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.allianceInfo.id)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		self.allianceInfo.leaderName=data:readString()
		self.allianceInfo.dec=data:readString()

		return state
	end

	return state
end

function T:exec(allianceInfo,callback)
	self.allianceInfo=allianceInfo

	AbstractC2SCommand1.exec(self,callback)
end

return T
