--- 发送联盟邮件
local T=Class.SendAllianceMailCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=26
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeString(self.title)
	data:writeString(self.content)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		DailyStates:addAllianceMailCount(1)
	end
	return state
end

function T:exec(title,content,callback)
	self.title=title
	self.content=content
	AbstractC2SCommand1.exec(self,callback)
end

return T
