--- 设置联盟信息
local T=Class.SetAlliacneInfoCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=3
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
    data:writeByte(self.type)
	data:writeString(self.dec)
	data:writeString(self.notice)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local aInfo=UserInfo.allianceBox.myAlliance
		
		aInfo.dec=self.dec
		aInfo.notice=self.notice
	end

	return state
end

--- 设置联盟信息
-- @param dec 联盟宣言
-- @param notice 联盟公告
-- @param callback 回调
function T:exec(dec,notice,callback)
	self.dec=dec
	self.notice=notice
	AbstractC2SCommand1.exec(self,callback)
end

return T