--- 设置联盟捐献公告
local T=Class.SetAllianceDonateNotiCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=27
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeString(self.notice)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		AllianceManager:setDonateNotice(self.notice)
	end

	return state
end

function T:exec(notice,callback)
	self.notice=notice
	AbstractC2SCommand1.exec(self,callback)
end

return T
