--- 设置会长
local T=Class.SetChairmanCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=21
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.targetUserId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		AllianceManager:changePost(self.targetUserId,AlliancePost.LEADER,self.newLeaderName)
	end

	return state
end

--- 设置会长
-- @param targetUserId 目标对象的用户ID
-- @param 新的会长名
function T:exec(targetUserId,newLeaderName,callback)
	self.targetUserId=targetUserId
	self.newLeaderName=newLeaderName
	AbstractC2SCommand1.exec(self,callback)
end


return T
