--- 设置副会长
local T=Class.SetViceChairmanCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=12
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.targetUserId)
	data:writeBoolean(self.isAppointment)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		AllianceManager:changePost(self.targetUserId,self.isAppointment and AlliancePost.VICE_CHAIRMAN or AlliancePost.MEMBER)
	end

	return state
end

--- 设置副会长
-- @param targetUserId 目标对象的用户ID
-- @param isAppointment 是否为任命
function T:exec(targetUserId,isAppointment,callback)
	self.targetUserId=targetUserId
	self.isAppointment=isAppointment
	AbstractC2SCommand1.exec(self,callback)
end


return T
