---添加友盟
local T=Class.AddFriendAllianceCommand(AbstractC2SCommand1)

function T:def()
	--- 类型
	self.type=28
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ALLIANCE,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.allianceId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
        UserInfo.allianceBox.myAlliance.allianceSocial:addFriend(self.allianceId)
	end

	return state
end

function T:exec(allianceId,callback)
	self.allianceId=allianceId
	AbstractC2SCommand1.exec(self,callback)
end

return T
