---回放竞技场挑战战斗
local T = Class.AreanChallengeFightPlayBackCommand(AbstractC2SCommand1)

--- 战斗初始化数据解码器
T.FightInitDataDecoder=require("src.app.communication.fight.FightInitDataDecoder")

T.type = 9

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	data:writeInt(self.messageId)
	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local r={}
    
    	r.fightInitData=self.FightInitDataDecoder:decode(data)
    	
    	return state,r
	end

	return state
end

function T:exec(messageId,callback)
	self.messageId = messageId
	AbstractC2SCommand1.exec(self,callback)
end

return T
