--- 用积分兑换商品
local T=Class.ExchangeGoodsCommand(AbstractC2SCommand1)

function T:def()
	self.type=12
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)
	data:writeInt(self.exchangeData.id)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local newIntegral=data:readUnsignedInt()
		ArenaInfoMgr:addIntegral(newIntegral-ArenaInfoMgr:getIntegral())
		PropsInfoMgr:addPlayerPropByID(self.exchangeData.propSid, self.exchangeData.propCount)
		
		return state
	end

	return state
end

function T:exec(exchangeData,callback)
	self.exchangeData=exchangeData
	AbstractC2SCommand1.exec(self,callback)
end

return T