--- 领取竞技场排名奖励
local T=Class.GetArenaRankAwardCommand(AbstractC2SCommand1)

--- 奖励品数据解析器
T.AwardDataDecoder = require("src.app.communication.award.AwardDataDecoder")

function T:def()
	self.type=13
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new()
	data:writeByte(self.type)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local awardData = self.AwardDataDecoder:decode(data)
        self.AwardDataDecoder:addAWard(awardData)
        
        SetStates:setArenaAwardGetYDay(os.date("*t",TimeUtils:getSyncMillis()/1000).yday)
		
		return state,awardData
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T