--- 获取竞技场挑战战报
local T=Class.GetChallengeRecordListCommand(AbstractC2SCommand1)

function T:def()
	self.type=6
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)
	data:writeInt(self.recordId)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		ArenaInfoMgr:decodeFightReport(self.recordId,data)
	end

	return state
end

function T:exec(recordId,callback)
	self.recordId=recordId
	AbstractC2SCommand1.exec(self,callback)
end

return T