--- 保存竞技场阵形
local T=Class.SaveArenaTeamCommand(AbstractC2SCommand1)

function T:def()
	self.type=3
end

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.ARENA,false)
end

function T:encode()
	local data=ByteArray:new();
	data:writeByte(self.type)

	local team = self.team
	for i = 1,6,1 do
		local item = team[i]
		if item then
			data:writeShort(item.sid)
			data:writeShort(item.count)
		else
			data:writeShort(0)
		end
	end

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		ArenaInfoMgr:setTeam(self.team)
	end

	return state
end

function T:exec(team,callback)
	self.team=team
	AbstractC2SCommand1.exec(self,callback)
end

return T
