--[[
    加速进攻和返回加速
]]
local T = extend(AbstractC2SCommand)

T.type = 7

function T:ctor()
    self.super.ctor(self,ChannelIds.WORLDMAP)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.id)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then 
        -- 钻石
        diamond = data:readUnsignedInt() -- 返回的钻石
        PlayerInstance:setDiamond(diamond)
        -- 其他数据等待后台刷了
    end

    return state
end

function T:exec(id,callback) -- 队列id
    self.id = id
    self.super.exec(self,callback)
end

return T
