--- 购买建筑物队列命令
local T=extend(AbstractC2SCommand)

T.type = 7

function T:ctor()
    self.super.ctor(self,ChannelIds.UPGRADE)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)

    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state==ReturnCode.SUCCESS then
        PlayerInstance:setDiamond(data:readUnsignedInt())
        local buildQueueNumState = SetStates.buildQueueNumState
        buildQueueNumState:setBuildQueueNum(buildQueueNumState:getBuildQueueNum() + 1) -- 后台自己加1
    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
