--[[
    获取所有聊天15条信息
]]
local T = extend(AbstractC2SCommand)

T.type = 2

function T:ctor()
    self.super.ctor(self,ChannelIds.CHAT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        UserInfo.chatBox:decode(data)
    end

    return state
end

function T:exec(callback) 
    self.super.exec(self,callback)
end

return T
