--- 获取战斗初始化数据
local T=extend(AbstractC2SCommand)

--- 战斗初始化数据解码器
T.FightInitDataDecoder=require("src.app.communication.fight.FightInitDataDecoder")

--- 类型
T.type=10

--- 构造函数
function T:ctor()
    --调用父类的构造成数
    self.super.ctor(self,ChannelIds.FIGHT)
end

function T:encode()
    local data=ByteArray:new();
    data:writeByte(self.type)
    
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()--是否处理成功
    if state == ReturnCode.SUCCESS then
        return state,self.FightInitDataDecoder:decode(data)
    end
    
    return state
end

function T:exec(callback)
    
    self.super.exec(self,callback)
end

return T
