--[[
    设置默认阵型命令
]]
local T = extend(AbstractC2SCommand)

T.type = 9

function T:ctor()
    self.super.ctor(self,ChannelIds.CITY)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.formationId)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        FormationManager.formationBox:setDefultFormation(self.formationId)
    end

    return state
end

function T:exec(formationId,callback)  
    self.formationId = formationId
    self.super.exec(self,callback)
end

return T
