--[[
    得到荣誉商品信息
]]
local T = extend(AbstractC2SCommand)

T.type = 3

function T:ctor()
    self.super.ctor(self,ChannelIds.SENNIOR_DLEVEL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    local r = nil
    if state == ReturnCode.SUCCESS then   
        r = {}
        local length = data:readByte()
        for i = 1,length,1 do
            local temp = {}
            temp.id = data:readInt()
            temp.showType = data:readByte() -- 显示类型:0配件,1道具,2部队,3英雄(后面来做，也是道具的一部分)
            temp.sid = data:readShort() -- 物品sid
            temp.num = data:readShort() -- 数量
            temp.limitLevel = data:readByte() -- 高级指挥限制等级
            temp.medalNum = data:readShort() -- 所需勋章数量
            temp.revengeNum = data:readShort() -- 所需复仇值
            temp.limitNum = data:readByte() -- 每日限购次数

            r[i] = temp

        end

    end

    return state,r
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T
