--- 得到所有商品的内购信息
local T = Class.GetGoodsListInfoCommand(AbstractC2SCommand1)

T.type = 1

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.PAY_PORT)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		GoodsManager:decodeServer(data)
		NewPackageManager:decodeServer(data)
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
