---获取内购商品列表
local T = Class.GetGoodsListInfoCommand_enjoyGame(AbstractC2SCommand1)

local _print=print
local function print(...)
	_print(string.format("\t<%s>:%s",T.__name,table.concat({...},"\t")))
end

T.type = 1

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.PAY_PORT_ENJOY_GAME)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	return data
end


function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		GoodsManager:decodeServer(data)
		NewPackageManager:decodeServer(data)

		local iapPort=data:readInt()

		IAPMgr:setIapPort(iapPort)
	end

	return state
end

function T:exec(callback)
	AbstractC2SCommand1.exec(self,callback)
end

return T
