---获取内购商品信息
local T = Class.GetIapInfoCommand_vivo(AbstractC2SCommand1)

local _print=print
local function print(...)
	_print(string.format("\t<%s>:%s",T.__name,table.concat({...},"\t")))
end

T.type = 2

function T:ctor()
	AbstractC2SCommand1.ctor(self,ChannelIds.PAY_PORT_VIVO)
end

function T:encode()
	local data = ByteArray:new()
	data:writeByte(self.type)
	data:writeInt(self.price)
	data:writeString(self.productId)
	data:writeString(self.callbackUrl)
	data:writeString(self.callbackInfo)

	return data
end

function T:decode(data)
	local state=data:readUnsignedByte()
	if state == ReturnCode.SUCCESS then
		local accessKey=data:readString()
		local orderId=data:readString()

		return state,accessKey,orderId
	end

	return state
end

function T:exec(price,productId,callbackUrl,callbackInfo,callback)
	print("获取充值商品数据")

	self.price=price
	self.productId=productId
	self.callbackUrl=callbackUrl
	self.callbackInfo=callbackInfo

	AbstractC2SCommand1.exec(self,callback)
end

return T
