--[[
    得到邮箱列表命令(登陆完成就发送)
]]
local T = extend(AbstractC2SCommand)

T.type = 1

function T:ctor()
    self.super.ctor(self,ChannelIds.MAIL,true)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        MailManager.mailBox:decode(data,4)
    end

    return state
end

function T:exec(callback)
    self.super.exec(self,callback)
end

return T