--[[
    得到接下来的10条信息
]]
local T = extend(AbstractC2SCommand)

T.type = 9

function T:ctor()
    self.super.ctor(self,ChannelIds.MAIL)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeByte(self.msgType)
    data:writeInt(self.endId)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        MailManager.mailBox:decode(data,self.msgType)  -- 会把接下来的10条发过来
    end

    return state
end

function T:exec(msgType,endId,callback) -- 邮件类型，获取的邮件最下面的id
    self.msgType = msgType
    self.endId = endId
    self.super.exec(self,callback)
end

return T
