--region reputationAddCommand.lua
--Author    : YuDing
--Date      : 2014/12/4
--Introduce : 增加声望

local TEMPLATE = extend(AbstractC2SCommand)

--- 类型,对应于服务器
TEMPLATE.type = 6
--[[
0   - 1000金币
1   - 10钻石
2   - 40钻石
3   - 90钻石
]]
--- 构造函数
function TEMPLATE:ctor()
    --调用父类的构造成数,UPGRADE通道，是逻辑端口,不是物理端口
    self.super.ctor(self, ChannelIds.SKILL)
end

--- 封装发送的数据
function TEMPLATE:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)

    return data
end

--- 解码接收的数据并且处理数据
function TEMPLATE:decode(data)
    local state = data:readUnsignedByte()--是否处理成功
    if state == ReturnCode.SUCCESS then
        PlayerInstance:addReputationExp(GameCfg.FREE_ADD_REPUTATION) -- 增加经验
        SetStates.reputationState:setState() -- 设置标记
    else 
        ErrorCode:popErrorCodeTip(state)
    end

    return state
end

--- 请求时传入参数并且保存在这个文件中
function TEMPLATE:exec(callback)
    self.super.exec(self, callback)
end

return TEMPLATE




--endregion
