--[[
    删除黑名单   
]]
local T = extend(AbstractC2SCommand)

T.type = 5

function T:ctor()
    self.super.ctor(self,ChannelIds.SOCIAL_CONTACT)
end

function T:encode()
    local data = ByteArray:new()
    data:writeByte(self.type)
    data:writeInt(self.targetId)
    return data
end

function T:decode(data)
    local state=data:readUnsignedByte()
    if state == ReturnCode.SUCCESS then   
        SocialManager:deleteBlack(self.targetId)
    end

    return state
end

function T:exec(targetId,callback)
    self.targetId = targetId
    self.super.exec(self,callback)
end

return T
