--region WorldMapRemoveCollectionCommand.lua
--Author    : YuDing
--Date      : 2014/11/18
--Introduce : 移除收集

--- 类型,对应于服务器的

local TEMPLATE = extend(AbstractC2SCommand)

TEMPLATE.type = 11

TEMPLATE.data = nil

--- 构造函数
function TEMPLATE:ctor()
    --调用父类的构造成数,UPGRADE通道，是逻辑端口,不是物理端口, true代表不用黑色的遮罩
    self.super.ctor(self, ChannelIds.WORLDMAP, false)
end

--- 封装发送的数据
function TEMPLATE:encode()
    local data = ByteArray:new()

    data:writeByte(self.type)
    data:writeShort(self.data.x)
    data:writeShort(self.data.y)

    return data
end

--- 解码接收的数据并且处理数据
function TEMPLATE:decode(data)
    local state = data:readUnsignedByte()       --是否处理成功

    if state == ReturnCode.SUCCESS then
        print("删除数据成功")
    end

    return state
end

--- 请求时传入参数并且保存在这个文件中
function TEMPLATE:exec(data, callback)
    self.data = data
    self.super.exec(self, callback)
end

return TEMPLATE





--endregion
