local AbstractEnterFightPlayCommand=require("src.app.controler.enterFight.AbstractEnterFightPlayCommand")

--- 进入补给线战斗演播
local T=Class.EnterSupplyLineFightCommand(AbstractEnterFightPlayCommand)

function T:def()
	AbstractEnterFightPlayCommand.def(self)

	--- 运输线id编号
	-- self.id=nil
end


function T:ctor(sid,aircraftList)
	self.sid=sid
	self.aircraftList=aircraftList

	AbstractEnterFightPlayCommand.ctor(self,FightType.FIGHT_TYPE_SUPPLY_LINE)

	self:switchExcessiveWindow()
end

--- 获取战斗数据
function T:getFightData(getCompleteHandler)
	-- 向服务器请求战斗数据
	require("src.app.communication.accessory.ChallengeSupplyLineCommand")():exec(
		self.sid,
		self.aircraftList,
		function(state,data)
			if state == ReturnCode.SUCCESS then
                if SupplyLineManager:judgeEnergyIsCostBySid(self.sid) == false then -- 第一次能量未消耗，只要挑战就扣除能量(第一次)
                    if data.endData.isWinner then
                        PlayerInstance:addPlayerEnergy(-1)  -- 必须获胜
                    end
                    
                end

                if data.endData.isWinner then -- 必须获胜
                    SupplyLineManager:setSupplyFinishBySid(self.sid)
                end

				-- 保存部队信息
				SupplyLineManager:setSelCampaign(self.aircraftList)

				if getCompleteHandler then
					getCompleteHandler(data)
				end

			else
				MUIAlter.show({
					info = Language:get("ug419"),
					size = 30,
					callback=function(flag)
						self:_quitFightWindow()
					end
				})
			end
		end
	)
end

return T
