local AbstractEnterFightPlayCommand=require("src.app.controler.enterFight.AbstractEnterFightPlayCommand")

--- 进入运输线战斗演播
local T=Class.EnterTransportLineFightCommand(AbstractEnterFightPlayCommand)

function T:def()
	AbstractEnterFightPlayCommand.def(self)

	--- 运输线id编号
	-- self.id=nil
end


function T:ctor(id,aircraftList)
	self.id=id
	self.aircraftList=aircraftList

	AbstractEnterFightPlayCommand.ctor(self,FightType.FIGHT_TRANSPORT_LINE)

	self:switchExcessiveWindow()
end

--- 获取战斗数据
function T:getFightData(getCompleteHandler)
	-- 向服务器请求战斗数据
	require("src.app.communication.aircraftStrength.ChallengeTransCommand")():exec(
		self.id,
		self.aircraftList,
		function(state,data)
			if state == ReturnCode.SUCCESS then
				if data.endData.isWinner then
					PlayerInstance:addPlayerEnergy(-1)
					TransportLineManager:setHasChallengeCount(self.id,TransportLineManager:getHasChallengeCount(self.id) + 1)
				end

				-- 保存部队信息
				TransportLineManager:setSelCampaign(self.aircraftList)

				if getCompleteHandler then
					getCompleteHandler(data)
				end
			else
				MUIAlter.show({
					info = Language:get("ug419"),
					size = 30,
					callback=function(flag)
						self:_quitFightWindow()
					end
				})
			end
		end
	)
end

return T
