local T=Class.ReloginUpdateCheck()

function T:def()
--- 版本差异级别(存储更新比较结果)
-- _versionDifferenceLv
end

--- 判断是否有更新
function T:isHasUpdate(curClientVersion)
	if string.trim(curClientVersion) == "" then
		return false
	end

	self._versionDifferenceLv=ResUpdate:compareVersion(curClientVersion, CFG:getVersion())
	if self._versionDifferenceLv > 0 then
		return true
	end

	return false
end

--- 处理更新
function T:handleUpdate()
	local d=self._versionDifferenceLv
	if d > 0 then
		if d == 1 then
		--CPP版本更新了


		elseif d == 2 then
		--lua版本更新了


		end

		local curScence=Director:getRunningScene()
		if Director:getRunningScene().__name ~= "LoadingScene" then
			Cocos2dxUtils:timeOut(function()
				--退回到登陆界面
				require("src.app.controler.Back2LoginScenceCommand")()
			end,0)

			return
		end

		Cocos2dxUtils:timeOut(function()
			if Director:getRunningScene() then
				Director:replaceScene(cc.Scene:create())
			else
				Director:runWithScene(cc.Scene:create())
			end

			Cocos2dxUtils:timeOut(function()
				--退回到登陆界面
				require("src.app.controler.Back2LoginScenceCommand")()
			end,0)
		end,0)
	end
end

return T()
