--- 玩家使用道具产生的buff,如(高爆炸弹等)
local propBuff_temp=require("res.data.aircraft.propBuff")

--- 玩家战斗buff计算器
local T={}

--- 计算对伤害的影响
function T:calcDamageInfluence(attackBuffCode,defenceBuffCode)
	local rate=0

	--伤害增加
	local t=propBuff_temp[1]
	if t and BIT:_and(attackBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate+(p.percent or 0)
		end
	end

	--伤害减少
	local t=propBuff_temp[2]
	if t and BIT:_and(defenceBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate-(p.percent or 0)
		end
	end

	return rate
end

--- 计算攻击命中加成(本身就百分比)
function T:calcAttackHitAdd(attackBuffCode,defenceBuffCode)
	local rate=0

	local t=propBuff_temp[3]
	if t and BIT:_and(attackBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate+(p.percent or 0)
		end
	end
	
	return rate
end

--- 计算防御闪避加成(本身就百分比)
function T:calcDefenceDodgeAdd(attackBuffCode,defenceBuffCode)
	local rate=0

	local t=propBuff_temp[4]
	if t and BIT:_and(defenceBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate+(p.percent or 0)
		end
	end
	
	return rate
end

--- 计算攻击暴击加成(本身就百分比)
function T:calcAttackCritAdd(attackBuffCode,defenceBuffCode)
	local rate=0

	local t=propBuff_temp[5]
	if t and BIT:_and(attackBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate+(p.percent or 0)
		end
	end
	
	return rate
end

--- 计算防御抗暴击加成(本身就百分比)
function T:calcDefenceCritResistAdd(attackBuffCode,defenceBuffCode)
	local rate=0

	local t=propBuff_temp[6]
	if t and BIT:_and(defenceBuffCode,BIT:_ls(1,t.bitShift)) > 0 then
		local p=Prop_temp[t.propId]
		if p then
			rate=rate+(p.percent or 0)
		end
	end
	
	return rate
end

return T
