--[[
    战机强化盒子
]]
local T = extend()

--- 战机强化信息项
T.AircraftStrengInfo = require "src.app.model.aircraftStrength.AircraftStrengInfo"

--- 信息
T.aircraftStrengInfo = nil


function T:decode(data)
    local len = data:readUnsignedByte()
    local aircraftStrengInfoModel = {}
    for i = 1,len,1 do
        local info = {}
        local info = mapping({}, self.AircraftStrengInfo)
        info:decode(data)
        aircraftStrengInfoModel[info.fighterLevel] = info
    end

    self.aircraftStrengInfo = aircraftStrengInfoModel

end

--- 根据等级得到对应的强化信息,1,2,3,4 ：4种
function T:getStrengInfo(fighterLevel)
    local aircraftStrengInfo = self.aircraftStrengInfo

    if aircraftStrengInfo[fighterLevel] then
        return aircraftStrengInfo[fighterLevel]
    else
        local info = {}
        local info = mapping({}, self.AircraftStrengInfo)
        info.fighterLevel = fighterLevel
        aircraftStrengInfo[fighterLevel] = info

        return aircraftStrengInfo[fighterLevel]
    end
end

return T