--- 抽象的活动信息
local T = Class.AbstractActivityInfo(LuaEventDispatcher2)

--- 事件-动态的感叹号标记事件
T.EVT_ACTIVTIY_HOMEPAGE_TAG_REFRESH = "evt_activity_homepage_tag_refresh"

--- 事件-获动的是否开放值改变刷新
T.EVT_ACTIVTIY_OPENVALUE_REFRESH = "evt_activity_openvalue_refresh"


function T:def()
    LuaEventDispatcher2.def(self)

    --- 默认值
    self.DEFAULT_SID = 9999
    self.DEFAULT_OPENVALUE = false
    self.DEFAULT_PRIORITY = 9999

    --- 活动模板sid
    self.sid = nil

    --- 打开或者关闭的bool值，true打开，false:关闭
    self.openValue = nil

    --- 优先级，有个sid读配置表
    self.priority = nil

end


--- 设置sid
function T:setSid(value)
    self.sid = value
end
--- 得到sid
function T:getSid()
    return self.sid or self.DEFAULT_SID
end



--- 设置打开值
function T:setOpenValue(value)
    self.openValue = value
    self:luaDispatchEvent(self.EVT_ACTIVTIY_OPENVALUE_REFRESH .. self.sid)
end
--- 得到打开值
function T:getOpenValue()
    return self.openValue or self.DEFAULT_OPENVALUE
end


--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()
    return false -- 默认没有值
end


return T