--- 大转盘
local T = Class.BigWheelInfo(AbstractActivityInfo)

--- 事件-时间刷新
T.EVT_ACTIVTIY_TIME_REFRESH = "evt_activity_time_refresh"


function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 200
    self.priority = FixAndDynamicAct_temp[self.sid].priority

    --- 结束时间
    self.endTimeSec = nil
    --- 剩余时间
    self.remainingSec = nil
    --- 活动消耗的钻石
    self.costDiamond = nil
end

--- 得到大转盘的所有抽奖数据(这个是临时的，每次都要重新获取)
function T:decode(data)
    local lotteryData = {}
    local length = data:readByte()
    for i = 1,length,1 do
        local r = LotteryDataDecoder:decode(data)
        lotteryData[r.id] = r
    end
    self.costDiamond = data:readInt()

    return lotteryData
end

function T:setEndTimeSec(endTimeSec)
    self.endTimeSec = endTimeSec
end

function T:getCostDiamond()
    return self.costDiamond or 1000
end


--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()
    if self:getOpenValue() == false then 
        return false 
    end

    local level = UserInfo.level 
    if level < 15 then
        return false
    else
        local bigWheelNumState = DailyStates.bigWheelNumState
        if bigWheelNumState:judgeIsFreeLottery() then
            return true
        else
            return false
        end
    end

end


return T