--- 钻石抽钻石
local T = Class.TimeLimitBuyInfo(AbstractActivityInfo)

--- 事件-时间刷新
T.EVT_ACTIVTIY_TIME_REFRESH = "evt_activity_time_refresh"

function T:def()
    AbstractActivityInfo:def(self)
    self.sid = 102
    self.priority = FixAndDynamicAct_temp[self.sid].priority

    --- 结束时间
    self.endTimeSec = nil
    --- 剩余时间
    self.remainingSec = nil
end

--- 这个是临时的，每次都要重新获取
function T:decode(data)
    local timeData = {}

    local length = data:readByte()
    for i = 1,length,1 do
        local temp = {}
        temp.sid = data:readShort() -- 道具的sid
        temp.allNum = data:readShort()  -- 最大数量
        temp.price = data:readInt() -- 道具的价格
        temp.lastPrice = data:readInt() -- 道具原来的价格
        temp.hasBuyNum = data:readShort()  -- 已经购买数量
        temp.buyNumOfEvery = data:readShort()  -- 一次性购买的数量
        temp.propOrAircraftType = data:readByte()  -- 0为道具，1为飞机

        timeData[#timeData + 1] = temp
    end

    return timeData

end

function T:setEndTimeSec(endTimeSec)
    self.endTimeSec = endTimeSec
end

--- 判断主界面是否可以转圈bool值
function T:judgeHomePage()
    return false
end


return T