--- 连续签到的次数下标:从0到3
local T = Class.ContinueAttendanceCount()

--- 设置标记
T.mark = 114

--- 最多的连续签到次数
T.MAX = 30

function T:def()
    --- 状态列表
	self.list = {}
end


function T:setList(list)
    self.list = list
end


--- 得到签到次数
function T:getCount()
    if self.list[self.mark] then 
        return self.list[self.mark]
    else
        return 0 
    end

end

--- 设置签到次数:因为是一个循环
function T:setCount(count)
    self.list[self.mark] = count

    if self.list[self.mark] > self.MAX then
        self.list[self.mark] = 0
    end
    SetStates.signManager:luaDispatchEvent(SetStates.signManager.EVT_CONTINUE_ATTENDANCE_COUNT_REFRESH)
    ActivityManager.signInfo:refreshState()
end

--- 增加签到次数
function T:addCount(addNum)
    local lastCount = self:getCount()

    self.list[self.mark] = lastCount + addNum

    if self.list[self.mark] > self.MAX then
        self.list[self.mark] = 0
    end
    SetStates.signManager:luaDispatchEvent(SetStates.signManager.EVT_CONTINUE_ATTENDANCE_COUNT_REFRESH)
    ActivityManager.signInfo:refreshState()
end


return T
