--- 每日签到日期
local T = Class.DailyAttendanceDate()

--- 设置标记
T.mark = 102

function T:def()
    --- 状态列表
	self.list = {}
end


function T:setList(list)
    self.list = list
end


--- 得到上次签到的时间是今年的第几天
function T:getYday()
    if self.list[self.mark] then 
        return self.list[self.mark]
    else
        return 0
    end

end

--- 设置签到的今天是今年的第几天
function T:setYday(day)
    self.list[self.mark] = day
    SetStates.signManager:luaDispatchEvent(SetStates.signManager.EVT_DAILY_ATTENDANCE_ALL_DATA_REFRESH)
    ActivityManager.signInfo:refreshState()
end

--- 判断是否可以每日签到:false:不能签到
--- 日期我设置成今天的,就代表今天已经签过了,今天就不能再签了
function T:judgeIsSign()
    local nowDay = UnitConversion.getYday()
    local serverDay = self:getYday()
    if nowDay == serverDay then
        return false
    else
        return true
    end
end



return T
