--- 联盟排行榜列表
local T=Class.AllianceRankBox()

function T:def()
	self.rList=nil

	self.isReadEnd=false
end

function T:decodeAllianceData(data)
	local mInfo={}
	mInfo.id=data:readUnsignedInt()
	mInfo.rank=data:readUnsignedInt()
	mInfo.level=data:readUnsignedByte()
	mInfo.name=data:readString()
	mInfo.memberCount=data:readUnsignedByte()
	mInfo.memberLimit=data:readUnsignedByte()
	mInfo.fight=data:readUnsignedInt()

	return mInfo
end

function T:decode(data,startIndex)
	local rList
	if startIndex == 1 then
		rList={}
	else
		rList=self.rList
	end

	local len=data:readUnsignedByte()
	if len > 0 then
		for i=1,len,1 do
			rList[startIndex]=self:decodeAllianceData(data)
			startIndex=startIndex+1
		end
	end

	self.rList=rList
	self.isReadEnd=not data:readBoolean()
end

return T
