local AbstractGuideStep=require("src.app.model.beginnersGuide.AbstractGuideStep")

--- 新手引导-完成新手引导
local T=Class.GuideStep_complete(AbstractGuideStep)

function T:def()
	AbstractGuideStep.def(self)
end

--- 引导进入战役列表信息界面
function T:guide2CampaignListWindow()
	local idUIEnterChapterBtn=BGMgr.TGR_HOMEPAGE_CHATPER_BUTTON

	local evtHdl=self._evtHandlers

	--触发切换事件-加遮罩,同时禁用切换按钮
	evtHdl[BGMgr.EVT_TGR_UI]=function(triggeredUIName)
		if triggeredUIName == idUIEnterChapterBtn then
			evtHdl[BGMgr.EVT_TGR_UI]=nil

			HomePageManager:setBottomBarMoveEable(true)
			BGMgr:hideHollowMask()

			BGMgr:next()
		end
	end

	HomePageManager:setBottomBarMoveEable(false)
	self:hollowHomepageChapterButton()
end

--- 显示引导提示
function T:showGuideTip()
	BGMgr:hideHollowMask()
	MUIAlter_custom.show({
		info=self.GuideTipBox(Language:get("ug1221")),
		callback=function()
			self:guide2CampaignListWindow()
		end,
		beforeCloseCallback=function()
			BGMgr:showHollowMask()
		end
	})
end

function T:start()
	BGMgr:complete()
	self:showGuideTip()
end

function T:skip()
	HomePageManager:setBottomBarMoveEable(true)
	
	AbstractGuideStep.skip(self)
end

return T
