--- 商品信息:有3部分数据：配置，服务器给我的，向苹果内购那里得到的信息
local T = Class.NewPackageInfo()

function T:def()
	-- 商品sid
	self.sid = nil

	-- 商品的id
	self.productId = nil

	-- 钻石数
	self.gems = nil

	-- 超值百分比
	self.greatValue = nil

	-- iap（内购那里得到的数据表）
	self.iapData = nil

	-- 奖励品
	self.award = nil


	--- 是否购买了:默认false是未购买，true购买了
	self.isBuy = false

	--- 倒计时时间
	self.time = 3600  -- 是秒

end

--- 解码服务器数数据
function T:decodeServer(data)
	self.sid = data:readShort()
	self.productId = data:readString()
	self.gems = data:readInt()
	self.greatValue = data:readShort()
	self.award = require("src.app.communication.award.AwardDataDecoder"):decode(data)

	if CUR_SDK == SDKType.PLATFORM_ENJOY_GAME then
		local iapData={isValid=true}
		iapData.price=data:readInt()/100
		iapData.currencySymbol=data:readString()

		self.iapData=iapData
	elseif CUR_SDK == SDKType.PLATFORM_TENGLONG_1 or CUR_SDK == SDKType.PLATFORM_UC or CUR_SDK == SDKType.PLATFORM_HUA_WEI or CUR_SDK == SDKType.PLATFORM_VIVO then
		local iapData={isValid=true}
		iapData.price=data:readInt()/100
		iapData.currencySymbol=data:readString()

		self.iapData=iapData
	end
end

--- 设置iap内购数据
function T:setIapData(iapData)
	self.iapData = iapData
end

--- 设置是否购买了
function T:setIsBuy(value)
	self.isBuy = value
	self.time = 0

	print("123456789")

	NewPackageManager:luaDispatchEvent(NewPackageManager.EVT_BUY_NEW_RECHARGE_REFRESH .. self.sid)
	NewPackageManager:luaDispatchEvent(NewPackageManager.EVT_BUY_NEW_RECHARGE_REFRESH)

end

return T
