--[[
    排行榜盒子
]]
local T = extend()

--- 排行信息项
T.RankInfo = require "src.app.model.rank.RankInfo"

--- 开始位置
T.startPos = 1

--- 自己的排名
T.selfRank = nil

--- 信息队列
T.infosQueue = Queue()

--- 后面是否还有
T.more = nil

function T:decode(data)
    self.selfRank = data:readUnsignedInt()
    local len = data:readUnsignedByte()
    for i = 1,len,1 do
        local info = mapping({}, self.RankInfo)
        info:decode(data)
        self.infosQueue:push(info)
    end
    self.more = data:readBoolean()

    self.startPos = self.startPos + 20
end


return T