--- 领取荣誉勋章
local T = Class.GetMedalAward(LuaEventDispatcher2)

--- 设置标记
T.mark = 135

--- 事件--领取
T.EVT_GET_MEDAL_AWARD_REFRESH = "evt_get_medal_award_refresh"


function T:def()
    LuaEventDispatcher2.def(self)

    

    --- 状态列表
	self.list = {}
end


function T:setList(list)
    self.list = list
end


--- 得到上次领取的时间是今年的第几天
function T:getYday()
    if self.list[self.mark] then 
        return self.list[self.mark]
    else
        return 0
    end

end

--- 设置领取的今天是今年的第几天
function T:setYday(day)
    self.list[self.mark] = day
    self:luaDispatchEvent(self.EVT_GET_MEDAL_AWARD_REFRESH)
end

--- 判断是否可以领取:false:不能
function T:judgeIsGet()
    local nowDay = UnitConversion.getYday()
    local serverDay = self:getYday()
    if nowDay == serverDay then
        return false
    else
        return true
    end
end



return T
