--region TaskBox.lua
--Author    : YuDing
--Date      : 2015/1/8
--Introduce : 任务反序列化

--- 战斗盒子
local T={}

--- 完成的任务信息
T.taskInfos={}

--- 正在进行的任务
T.onTaskInfos={}

--- 反序列化
function T:decode(data)

	-- 完成任务信息
	local taskInfos={}
	local len=data:readUnsignedShort()
	for i=1,len,1 do
		local k=data:readInt()
		local v=data:readInt()
		taskInfos[k]=v
	end

	self.taskInfos=taskInfos

	-- 正在进行的任务
	local onTaskInfos={}
	local len=data:readUnsignedByte()
	for i=1,len,1 do
		local v=data:readUnsignedShort()
		--table.insert(onTaskInfos, v)
        onTaskInfos[v] = {finish = false}
	end

	self.onTaskInfos = onTaskInfos
end

----- 战斗是否完成
--function T:isMaskFinished(sid)
--	if not sid or sid == 0 then
--		return false
--	end

--	local key=math.floor(sid/32)
--	local ls=BitOperator:_ls(1,sid%32)

--	local t = self.finishedInfos[key]
--	return t and (BitOperator:_and(t,ls) > 0) or false
--end

----- 设置战斗已经完成
--function T:setMaskFinished(sid)
--	if not sid or sid == 0 then
--		return
--	end

--	local key=math.floor(sid/32)
--	local value=BitOperator:_ls(1,sid%32)
--	local t=self.taskInfos[key]
--	if not t then
--		self.taskInfos[key]=value
--	else
--		if BitOperator:_and(t,value) > 0 then
--			return
--		end
--		self.taskInfos[key]=BitOperator:_or(t,value)
--	end
--end

----- 获取指定战斗的星级
--function T:getStar(battleSids)
--	local function _g(sid)
--		if self:isBattleFinished(sid) then
--			local starNum=self.startInfos[sid]
--			return starNum and starNum or 3
--		end

--		return 0
--	end

--	if type(battleSids) == "table" then
--		local t=0
--		for _,v in pairs(battleSids) do
--			t=t+_g(v)
--		end

--		return t
--	end

--	return _g(battleSids)
--end

----- 设置战斗的星级
--function T:setStar(battleSid,starNum)
--	if starNum == 3 then
--		self.startInfos[battleSid]=nil
--	else
--		self.startInfos[battleSid]=starNum
--	end
--end

----- 获取战役的星级奖励是否已领取
--function T:getStarAwardIsGet(campaignSid,index)
--	local status=self.campaignAwardStatus[campaignSid]
--	if status then
--		return BitOperator._and(status,BitOperator._ls(1,index)) == 1
--	end

--	return false
--end
----- 设置指定的星级是否已领取
--function T:setStarAwardIsGet(campaignSid,index,isGet)
--	local status=self.campaignAwardStatus[campaignSid]
--	if not status then
--		status=0
--	end

--	status=BitOperator._or(status,BitOperator._ls(isGet and 0 or 1,index))
--	self.campaignAwardStatus[campaignSid]=status
--end

return T




--endregion
