--[[
    警告队列信息
]]
local T = Class.WarnInfo(LuaEventDispatcher2)

function T:def()
    LuaEventDispatcher2.def(self)

end

function T:decode(data)
    self.sourceId = data:readInt()
    self.qid = data:readInt()
    self.x = data:readShort()
    self.y = data:readShort()
    self.attackerName = data:readString()
    self.endTimeSec = GameUtils:modifyTimeZone(data:readInt())

    local syncSec = TimeUtils:getSyncMillis()/1000
    self.remainingSec = self.endTimeSec - syncSec

end


return T