local T=Class.AircraftProduceQueue()

--- 战机生产队列项
T.AircraftProduceQueueItem=require("src.app.model2.aircraftFactory.AircraftProduceQueueItem")

function T:def()
	self.list={}
end

function T:ctor(byteArray)
	--建造队列
	local len=byteArray:readUnsignedByte()
	local list = {}
	for i=1,len,1 do
		local item = self.AircraftProduceQueueItem()
		item:decode(byteArray)

		list[item.id] = item -- 存储id才能保证后面的机库的管理
	end
	self.list = list
end

return T
