--- 建筑物集合信息
local T=Class.BuildingsInfo()

--- 建筑物信息
T.BuildingInfo=require("src.app.model2.build.BuildingInfo")

--- 建造队列项
T.BuildQueueItem=require("src.app.model2.build.BuildQueueItem")

function T:def()
	--- 建筑物信息列表
	self.infos={}
	
	--- 建造队列(其实就是一个列表)
	self.buildQueue={}
end

function T:ctor(byteArray)
	-- 建筑信息
	local len=byteArray:readUnsignedByte()
	local infos={}
	for i=1,len,1 do
		local info=self.BuildingInfo()
		info:decode(byteArray)

		infos[info.location]=info
	end
	self.infos=infos
	
	-- 建造列表
	local len=byteArray:readUnsignedByte()
	local list={}
	for i=1,len,1 do
		local item=self.BuildQueueItem()
		item:decode(byteArray)

		list[item.buildingId]=item
	end
	self.buildQueue=list
end

return T