--[[
 *	配置配件选择弹出窗口
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor()
    
    self:init()
end

function T:init()
    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )


    self:setContentSize(cc.size(400,400))

    self:getWidget()

end

--- 进入
function T:onEnter()

end

--- 退出
function T:onExit()

end

function T:setMUIAlter2(muialter2)
    self.muialter2 = muialter2
end

function T:getWidget()
    -- 补给线
    local des1 = XMLLabel()
    des1:setContentSize(cc.size(200,36))
    self:addChild(des1)
    REL:toOther("left","top",des1,self,50,80)
    des1:setString(Language:get("uc758"))

    local btn1 = Button.new("false","true")
	btn1:setButtonState("button_blue_normal.png","button_general_down.png")
    btn1:setString(Language:get("uc761"))
	self:addChild(btn1)
	REL:toOther("right","top",btn1,self,30,60)
    btn1:setTextShadow()
    btn1:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            self.muialter2:hide()
            local curWindow = WindowManager:getCurrentWindow()
            local buttonlayout2 = curWindow.switchButtonContainer.buttonLayouts[2]
		    buttonlayout2:luaDispatchEvent("buttons_event",buttonlayout2)
        end
    end)


    -- 蓝图制造
    local des2 = XMLLabel()
    des2:setContentSize(cc.size(200,36))
    self:addChild(des2)
    REL:toOther("left","top",des2,self,50,180)
    des2:setString(Language:get("uc759"))

    local btn2 = Button.new("false","true")
	btn2:setButtonState("button_blue_normal.png","button_general_down.png")
    btn2:setString(Language:get("uc761"))
	self:addChild(btn2)
	REL:toOther("right","top",btn2,self,30,160)
    btn2:setTextShadow()
    btn2:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            self.muialter2:hide()
            local curWindow = WindowManager:getCurrentWindow()
            local buttonlayout3 = curWindow.switchButtonContainer.buttonLayouts[3]
		    buttonlayout3:luaDispatchEvent("buttons_event",buttonlayout3)

            -- 延迟1帧
            Cocos2dxUtils:timeOut(function()    
                local buttonlayout2 = curWindow.warhouseView.twoMenuContainer.buttonLayouts[2]
                buttonlayout2:luaDispatchEvent("buttons_event",buttonlayout2)
            end,0)      -- 0表示1帧

        end
    end)

    -- 蓝图抽取
    local des3 = XMLLabel()
    des3:setContentSize(cc.size(200,36))
    self:addChild(des3)
    REL:toOther("left","top",des3,self,50,280)
    des3:setString(Language:get("uc760"))

    local btn3 = Button.new("false","true")
	btn3:setButtonState("button_blue_normal.png","button_general_down.png")
    btn3:setString(Language:get("uc761"))
	self:addChild(btn3)
	REL:toOther("right","top",btn3,self,30,260)
    btn3:setTextShadow()
    btn3:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            self.muialter2:hide()
            WindowManager:push(
		        require("src.app.uiScript.components.accessoryDrawCard.AccessoryDrawCardWindow").new()
	        )
        end
    end)

end




return T