--[[
 *	兑换信息高级视图
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 队列数据
T.queue = nil

--- 构造函数
function T:ctor(btnTag)
    self.btnTag = btnTag
    self.queue = Queue()
end

function T:init()
    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,self,0,0,6,0)
    self.listView = listView

    self:_addToListview() 

end

--- 进入
function T:onEnter()
    
end

--- 退出
function T:onExit()
    self.queue:clearT()
    self.queue = nil
end

function T:_addToListview()
    local props = {1031,1032,1033,1034,1035,1036}
    if props then
        local num = #props
        for i = 1,num,1 do
            self.queue:push(props[i])
        end

        self:runAction(
            cc.RepeatForever:create(
                cc.Sequence:create(
		            cc.DelayTime:create(0.1),
		            cc.CallFunc:create( function()
			            self:addRes()
		            end)
		        )
            )
	    )
    end 

end

function T:addRes()
    local sid = self.queue:pop()
    if sid then
        local res = require("src.app.uiScript.components.accessory.accessorySystem.warhouse.ExchangeItem").new(sid,self.listView,self.btnTag)
        res:setOpacity(0)
        self.listView:pushBackCustomItem(res)
        res:runAction(
            cc.FadeIn:create(0.5)
        )
    else
        self:stopAllActions()
    end
end


return T