--- 配件抽卡窗口
local T = class(
	"AccessoryDrawCardWindow",
	function()
		local o = AbstractWindow.new("windowBack.jpg")
		o.super = AbstractWindow
		return o
	end
)

--- 构造函数
function T:ctor()
    self:init()


	-- 调用一次，透明度才没问题
	self:initCompleteHandler()
end

function T:onEnter()
	self.super.onEnter(self)
end

function T:onExit()
	self.super.onExit(self)
end

function T:init()
    -- 背景图片
   	local f = ResLoader:getSpriteFrame("viewBack.png")
	local s = f:getOriginalSize()
	local viewBack = Scale9Sprite:createWithFrame(f,cc.rect(s.width/2,s.height-1,1,1))
	self:addChild(viewBack)
    REL:relOther(viewBack,self.uiContainer,0,0,0,0)
	self.viewBack = viewBack


	local accessoryDrawCardView = require("src.app.uiScript.components.accessoryDrawCard.AccessoryDrawCardView").new()
	self:addChild(accessoryDrawCardView)
	REL:relOther(accessoryDrawCardView,viewBack,0,0,0,0)
	accessoryDrawCardView:init()

    self:setWindowTitle(Language:get("uc717"))


end


return T
