--[[
 *	抽奖项
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 数据
T.data = nil

--- 构造函数
function T:ctor(data)
    self.data = data

    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    self:setContentSize(cc.size(118,118))

    self:init()

end

--- 进入
function T:onEnter()

end

--- 退出
function T:onExit()
    
end

function T:init()
    local back = ccui.ImageView:create()
    back:loadTexture("normalProp.png",ccui.TextureResType.plistType)
    self:addChild(back)
    REL:toOther("center","middle",back,self,0,0)
    self.back = back

    local data = self.data
    local item = AwardItem.new({awardData = data,sizeScale = IconManager.baseScale,effType = data.effType})
    self:addChild(item)
    REL:toOther("center","middle",item,back,0,0)
    self.item = item
end




return T
