--- "解散"确认框画布
local T=Class.DismissConfirmCvs(function() return ccui.Layout:create() end)

function T:def()
--- 数据
-- self.data=nil
end

function T:ctor(data)
	self.data=data

	self:registerScriptHandler(function(e)
		if e == CocosEvent.ENTER then
			self:onEnter()
		elseif e == CocosEvent.EXIT then
			self:onExit()
		elseif e == CocosEvent.CLEAN_UP then
			self:cleanUp()
		end
	end)

	self:init()
end

--- 进入场景
function T:onEnter()
end

--- 退出场景
function T:onExit()

end

--- 内存清理
function T:cleanUp()

end

--- 初始化
function T:init()
	self:setContentSize(cc.size(516,312))

	local top=10

	--确认提示
	local uiConfirmTip=XMLLabel(Language:get("ug845"))
	uiConfirmTip:setAlign("center","top")
	uiConfirmTip:setContentSize(cc.size(240,72))
	self:addChild(uiConfirmTip)
	REL:relOther(uiConfirmTip,self,10,10,top,SIZE_NIL)
	self.uiConfirmTip=uiConfirmTip

	top=top+uiConfirmTip:getHeight()+4

	--确认文本输入框
	local uiConfirmInputBox=InputBox:create(cc.size(240,50))
	self:addChild(uiConfirmInputBox)
	uiConfirmInputBox:setMaxLength(12)
	REL:toOther("center","top",uiConfirmInputBox,self,0,top)

	--确定按钮
	local uiConfirmButton=BaseButton:createButton(Language:get("ug101"),"longButton_blue_normal.png","longButton_general_down.png")
	self:addChild(uiConfirmButton)
	REL:toOther("center","bottom",uiConfirmButton,self,0,10)
	uiConfirmButton:addTouchEventListener(function(t,e)
		if e == ccui.TouchEventType.ended then
			if uiConfirmInputBox:getText() == "dismiss" then
				require("src.app.communication.alliance.DismissAllianceCommand")():exec(
					function(state)
						if state == ReturnCode.SUCCESS then
							MUIAlter_singleLine.show({
								info=Language:get("ug690"),
								showSecond=1.5
							})

							WindowManager:pop()
						else
							MUIAlter_singleLine.show({
								info=ErrorCode:getErrInfo(state)
							},WindowManager:getCurrentWindow())
						end
					end
				)
			else
				MUIAlter_singleLine.show({
					info=Language:get("ug845"),
					showSecond=1.5
				})
			end
		end
	end)
end

return T
