--- 联盟科技项展开
local T=Class.AllianceScienceItem(function() return ccui.Layout:create() end)

--- 需求显示项
T.NeedItem=require("src.app.uiScript.components.alliance.science.NeedItem")

function T:def()
end

function T:ctor(dataTemplate)
	self.dataTemplate=dataTemplate

	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
				self:cleanUp()
			end
		end
	)

	self:init()
end

--- 进入场景
function T:onEnter()
end

--- 退出场景
function T:onExit()

end

--- 内存清理
function T:cleanUp()

end

function T:init()
	self:setContentSize(cc.size(616,568))

	local dt=self.dataTemplate

	local left,top=14,4

	--标题"描述"
	local uiDesCap=XMLLabel(Language:get("ug902"))
	uiDesCap:setContentSize(cc.size(120,86))
	uiDesCap:setAlign("left","middle")
	self:addChild(uiDesCap)
	REL:toOther("left","top",uiDesCap,self,left,top)
	self.uiDesCap=uiDesCap

	left=left+uiDesCap:getWidth()+4

	--描述
	local uiDes=XMLTextArea(Language:get(dt.des,Language:get(dt.name)))
	uiDes:setHeight(uiDesCap:getHeight())
	uiDes:setAlign("left","middle")
	self:addChild(uiDes)
	REL:relOther(uiDes,self,left,8,top,SIZE_NIL)
	self.uiDes=uiDes

	top=top+uiDesCap:getHeight()+10

	-- 需求项列表背景
	local uiNeedListBack=NeedBack()
	self:addChild(uiNeedListBack)
	REL:relOther(uiNeedListBack,self,0,0,top,8)
	self.uiNeedListBack=uiNeedListBack

	--标题背景
	local uiCapBack=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("back_gray.png","h3"))
	self:addChild(uiCapBack)
	uiCapBack:setContentSize(cc.size(120,32))
	REL:relOther(uiCapBack,uiNeedListBack,10,10,10,SIZE_NIL)

	left,top=0,-2

	--标题"类别"
	local uiCapType=XMLLabel(Language:get("ug903"))
	uiCapType:setCssStyle(CssStyles.default20)
	uiCapType:setContentSize(cc.size(64,36))
	uiCapType:setAlign("center","middle")
	self:addChild(uiCapType)
	REL:toOther("left","top",uiCapType,uiCapBack,left,top)
	self.uiCapType=uiCapType
	left=left+uiCapType:getWidth()+4

	--分割线1
	local uiSep1=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("sepLine1.png"),"v3")
	self:addChild(uiSep1,100)
	REL:relOther(uiSep1,uiNeedListBack,left+10,SIZE_NIL,52,12)

	--标题"需求"
	local uiCapRequired=XMLLabel(Language:get("ug904"))
	uiCapRequired:setCssStyle(CssStyles.default20)
	uiCapRequired:setContentSize(cc.size(100,36))
	uiCapRequired:setAlign("center","middle")
	self:addChild(uiCapRequired)
	REL:toOther("left","top",uiCapRequired,uiCapBack,left,top)
	self.uiCapRequired=uiCapRequired
	left=left+uiCapRequired:getWidth()+4

	--分割线2
	local uiSep2=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("sepLine1.png"),"v3")
	self:addChild(uiSep2,100)
	REL:relOther(uiSep2,uiNeedListBack,left+10,SIZE_NIL,52,12)

	--标题"当前拥有"
	local uiCapHave=XMLLabel(Language:get("ug905"))
	uiCapHave:setCssStyle(CssStyles.default20)
	uiCapHave:setContentSize(cc.size(114,36))
	uiCapHave:setAlign("center","middle")
	self:addChild(uiCapHave)
	REL:toOther("left","top",uiCapHave,uiCapBack,left,top)
	self.uiCapHave=uiCapHave
	left=left+uiCapHave:getWidth()+4

	--分割线3
	local uiSep3=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("sepLine1.png"),"v3")
	self:addChild(uiSep3,100)
	REL:relOther(uiSep3,uiNeedListBack,left+10,SIZE_NIL,52,12)

	--标题"科技"
	local uiCapTech=XMLLabel(Language:get("ug906"))
	uiCapTech:setCssStyle(CssStyles.default20)
	uiCapTech:setContentSize(cc.size(60,36))
	uiCapTech:setAlign("center","middle")
	self:addChild(uiCapTech)
	REL:toOther("left","top",uiCapTech,uiCapBack,left,top)
	self.uiCapTech=uiCapTech
	left=left+uiCapTech:getWidth()+4

	--分割线4
	local uiSep4=Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("sepLine1.png"),"v3")
	self:addChild(uiSep4,100)
	REL:relOther(uiSep4,uiNeedListBack,left+10,SIZE_NIL,52,12)

	--标题"贡献"
	local uiCapContribution=XMLLabel(Language:get("ug907"))
	uiCapContribution:setCssStyle(CssStyles.default20)
	uiCapContribution:setContentSize(cc.size(130,36))
	uiCapContribution:setAlign("center","middle")
	self:addChild(uiCapContribution)
	REL:toOther("left","top",uiCapContribution,uiCapBack,left,top)
	self.uiCapContribution=uiCapContribution
	left=left+uiCapContribution:getWidth()

	--标题"操作"
	local uiCapOpt=XMLLabel(Language:get("ug908"))
	uiCapOpt:setCssStyle(CssStyles.default20)
	uiCapOpt:setContentSize(cc.size(112,36))
	uiCapOpt:setAlign("center","middle")
	self:addChild(uiCapOpt)
	REL:toOther("left","top",uiCapOpt,uiCapBack,left,top)
	self.uiCapOpt=uiCapOpt
	left=left+uiCapOpt:getWidth()

	top=top+uiCapType:getHeight()+4

	-- 需求项列表
	local uiNeedList=ccui.ListView:create()
	uiNeedList:setTouchEnabled(false)
	uiNeedList:setBounceEnabled(false)
	uiNeedList:setItemsMargin(10)
	self:addChild(uiNeedList)
	REL:relOther(uiNeedList,uiNeedListBack,10,10,46,8)
	self.uiNeedList=uiNeedList

	for _,v in ipairs(Resource_temp) do
		local uiItem=self.NeedItem(v,dt,{uiCapType,uiCapRequired,uiCapHave,uiCapTech,uiCapContribution,uiCapOpt})
		uiNeedList:pushBackCustomItem(uiItem)
		uiItem:updateLayout()
	end
end

function T:updateView()

end

return T
