--- 联盟捐献公告画布
local T=Class.DonateNotiSetCvs(function() return ccui.Layout:create() end)

function T:def()

end

function T:ctor()
	self:registerScriptHandler(function(e)
		if e == CocosEvent.ENTER then
			self:onEnter()
		elseif e == CocosEvent.EXIT then
			self:onExit()
		elseif e == CocosEvent.CLEAN_UP then
			self:cleanUp()
		end
	end)

	self:init()
end

--- 进入场景
function T:onEnter()
end

--- 退出场景
function T:onExit()

end

--- 内存清理
function T:cleanUp()

end

--- 初始化
function T:init()
	local mA=UserInfo.allianceBox.myAlliance

	self:setContentSize(cc.size(542,220))
	self:setTouchEnabled(true)

	--输入框背景帧
	local inputBackFrame=ResLoader:getSpriteFrame("inputBoxBack.png")

	local top=10

	local uiInputBox=InputBox:create(cc.size(visibleSize.width,50))
	uiInputBox:setIsShowMask(true)
	self:addChild(uiInputBox,1000)
	uiInputBox:setPosition({x=65536,y=65536})

	--"联盟宣言"背景
	local uiNoticeBack=Scale9Sprite:createWithFrame(inputBackFrame)
	self:addChild(uiNoticeBack)
	uiNoticeBack:setContentSize(cc.size(120,120))
	REL:relOther(uiNoticeBack,self,10,10,top,SIZE_NIL)

	--联盟宣言
	local uiNotice=cc.Label:createWithSystemFont(mA.donateNotice or "", defaultCssStyle.fontName, defaultCssStyle.size)
	uiNotice:setAlignment(cc.TEXT_ALIGNMENT_LEFT,cc.VERTICAL_TEXT_ALIGNMENT_TOP)
	self:addChild(uiNotice)
	REL:relOther(uiNotice,uiNoticeBack,4,4,4,4)
	self.uiNotice=uiNotice

	--联盟宣言触发器
	local uiNoticeToucher=ccui.Layout:create()
	uiNoticeToucher:setTouchEnabled(true)
	self:addChild(uiNoticeToucher)
	REL:relOther(uiNoticeToucher,uiNoticeBack,0,0,0,0)

	uiNoticeToucher:addTouchEventListener(function(t,e)
		if e == ccui.TouchEventType.ended then
			REL:toScreen("center",nil,uiInputBox,0,0)
			REL:toOther(nil,"bottom",uiInputBox,uiNoticeBack,0,-uiInputBox:getContentSize().height)

			uiInputBox:setMaxLength(GameCfg.ALLIANCE_DONATE_NOTI_LIMIT)
			uiInputBox:setText(uiNotice:getString())

			local changedHandler,returnHandler
			changedHandler=function(t)
				uiNotice:setString(t:getText())
			end
			returnHandler=function(t)
				t:luaRemoveEventListener("changed",nil,changedHandler)
				t:luaRemoveEventListener("return",nil,returnHandler)

				t:setPosition({x=65536,y=65536})
			end

			uiInputBox:luaAddEventListener("changed",nil,changedHandler)
			uiInputBox:luaAddEventListener("return",nil,returnHandler)

			CppCocos2dxUtils:activeEditBox(uiInputBox)
		end
	end)

	top=top+uiNoticeBack:getContentSize().height+10

	--"设置"按钮
	local uiSaveButton=BaseButton:getGeneralButton(Language:get("ug742"))
	self:addChild(uiSaveButton)
	REL:toOther("center","top",uiSaveButton,self,0,top)
	uiSaveButton:addTouchEventListener(function(t,e)
		if e == ccui.TouchEventType.ended then
			require("src.app.communication.alliance.SetAllianceDonateNotiCommand")():exec(
				self.uiNotice:getString(),
				function(state)
					if state == ReturnCode.SUCCESS then
						MUIAlter_singleLine.show({
							info=Language:get("ug743"),
							showSecond=1.5
						})
						
						self.__hide__()
					else
						MUIAlter_singleLine.show({
							info=ErrorCode:getErrInfo(state)
						},WindowManager:getCurrentWindow())
					end
				end
			)
		end
	end)
end

return T
