--[[
 *	关于联盟窗口
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor()
    self:init()
end

function T:init()
    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )


    self:setContentSize(cc.size(500,300))

    self:setWidget()

end

--- 进入
function T:onEnter()
    
end

--- 退出
function T:onExit()
    
end

function T:setMUIAlter2(muialter2)
    self.muialter2 = muialter2
end

function T:setWidget()
    -- 描述1
    local des1 = XMLLabel()
    des1:setContentSize(cc.size(450,36))
    self:addChild(des1)
    REL:toOther("left","top",des1,self,20,20)
    des1:setString(Language:get("uc680"))

    -- 描述2
    local des2 = XMLLabel()
    des2:setContentSize(cc.size(430,1000))
    self:addChild(des2)
    REL:toOther("left","top",des2,self,70,50)
    des2:setString(Language:get("uc681"))

    -- 首先获取文本内容的高度，宽度
	des2:updateView()
	local contentHeight = des2:getTextHeight()
    self:setContentSize(cc.size(500,contentHeight + 200))
    REL:toOther("left","top",des1,self,20,20)
    REL:toOther("left","top",des2,self,70,50)


    -- 加入联盟
    local joinAlliance = Button.new("false","true")
	joinAlliance:setButtonState("longButton_green_normal.png","longButton_general_down.png")
    joinAlliance:setString(Language:get("uc682"))
	self:addChild(joinAlliance)
	REL:toOther("left","bottom",joinAlliance,self,20,20)
    joinAlliance:setTextShadow()
    joinAlliance:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            if BuildingsInfoMgr:getBuildingInfos()[1].level < 5 then
                local descripe = Language:get("uc706")
				MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
            else
                self.muialter2:hide()
                WindowManager:push(require("src.app.uiScript.components.alliance.AllianceHasNotWindow").new(1))
            end

        end
    end)


    -- 创建联盟
    local createAlliance = Button.new("false","true")
	createAlliance:setButtonState("longButton_green_normal.png","longButton_general_down.png")
    createAlliance:setString(Language:get("uc683"))
	self:addChild(createAlliance)
	REL:toOther("right","bottom",createAlliance,self,20,20)
    createAlliance:setTextShadow()
    createAlliance:addTouchEventListener(function(sender, eventType)
        if eventType == ccui.TouchEventType.ended then
            if BuildingsInfoMgr:getBuildingInfos()[1].level < 5 then
                local descripe = Language:get("uc706")
				MUIAlter_singleLine.show( {info = descripe,showSecond = 1 } )
            else
                self.muialter2:hide()
                WindowManager:push(require("src.app.uiScript.components.alliance.AllianceHasNotWindow").new(3))
            end
        end
    end)

end


return T