local T=Class.NeedBack(
	function()
		return Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("needListBack.png"))
	end,
	AbstractUI
)

function T:def()
	AbstractUI.def(self)
end

function T:ctor()
	AbstractUI.ctor(self)

	self:timeout(function()
		self:playEff()
		self:interval(function()
			self:playEff()
		end,5)
	end,0.5)
end

--- 播放动画特效
function T:playEff()
	self:playEff_leftTop()
	self:playEff_rightBottom()
end

--- 播放动画特效-左上
function T:playEff_leftTop()
	local uiEff=ResLoader:createAnimationSpriteRunOnce("needBackEff")
	uiEff:setAnchorPoint(cc.p(0,1))
	self:addChild(uiEff)
	REL:toOther("left","top",uiEff,self,26,12)
end

--- 播放动画特效-右下
function T:playEff_rightBottom()
	local uiEff=ResLoader:createAnimationSpriteRunOnce("needBackEff")
	uiEff:setAnchorPoint(cc.p(1,0))
	uiEff:setFlippedX(true)
	uiEff:setFlippedY(true)
	self:addChild(uiEff)
	REL:toOther("right","bottom",uiEff,self,26,12)
end

return T
