local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营1-等级1)
local T=Class.Banshee_lv1_camp1(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractBanshee.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv1_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	self.uiBody=uiBody
	
	local uiEff1=ResLoader:createAnimationSprite("banshee_lv1_1_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(0,3)
	self.uiEff1=uiEff1
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=32,y=16},
		{x=65,y=-15}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=26,y=35},{x=70,y=9},{x=-27,y=-15}},
	}
end

return T
