local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营1-等级2)
local T=Class.Banshee_lv2_camp1(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractBanshee.init(self)
	
	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv2_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("banshee_lv2_1_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-4,10)
	self.uiEff1=uiEff1
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=18,y=36},
		{x=67,y=-4}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-20,y=27},{x=30,y=42},{x=67,y=18}},
		{{x=-20,y=27},{x=23,y=-17},{x=67,y=18}},
	}
end

return T
