local AbstractBanshee=require("src.app.uiScript.components.fight.aircraftModels.banshee.AbstractBanshee")

--- 战机模型--女妖(阵营1-等级3)
local T=Class.Banshee_lv3_camp1(AbstractBanshee)

function T:def()
	AbstractBanshee.def(self)
end

function T:ctor()
	AbstractBanshee.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractBanshee.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_banshee_lv3_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	local uiEff1=ResLoader:createAnimationSprite("banshee_lv3_1_1")
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-28,13)
	self.uiEff1=uiEff1
	
	local uiEff2=ResLoader:createAnimationSprite("banshee_lv3_1_2")
	self:addChild(uiEff2,101)
	uiEff2:setPosition(14,-6)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=22,y=35},
		{x=69,y=-4}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-46,y=40},{x=30,y=48},{x=58,y=-33}},
		{{x=30,y=48},{x=58,y=-33},{x=74,y=24}},
	}
end

return T
