local AbstractFort=require("src.app.uiScript.components.fight.aircraftModels.fort.AbstractFort")

--- 战机模型--堡垒(阵营1-等级1)
local T=Class.Fort_lv1_camp1(AbstractFort)

function T:def()
	AbstractFort.def(self)
end

function T:ctor()
	AbstractFort.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractFort.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_fort_lv1_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff1:setAnchorPoint({x=1,y=0.5})
	uiEff1:setRotation(-30)
	uiEff1:setScale(0.5)
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-78,28)
	self.uiEff1=uiEff1
	
	local uiEff2=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff2:setAnchorPoint({x=1,y=0.5})
	uiEff2:setRotation(-30)
	uiEff2:setScale(0.5)
	self:addChild(uiEff2,101)
	uiEff2:setPosition(73,-47)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-6,y=23},
		{x=14,y=8},
		{x=40,y=-4},
		{x=-20,y=8},
		{x=0,y=-6},
		{x=27,y=-18}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-65,y=20},{x=60,y=26},{x=60,y=-32}},
	}
end

return T
