local AbstractFort=require("src.app.uiScript.components.fight.aircraftModels.fort.AbstractFort")

--- 战机模型--堡垒(阵营1-等级3)
local T=Class.Fort_lv3_camp1(AbstractFort)

function T:def()
	AbstractFort.def(self)
end

function T:ctor()
	AbstractFort.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractFort.init(self)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_fort_lv3_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
	
	local uiEff1=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff1:setAnchorPoint({x=1,y=0.5})
	uiEff1:setRotation(-30)
	self:addChild(uiEff1,101)
	uiEff1:setPosition(-118,30)
	self.uiEff1=uiEff1
	
	local uiEff2=ResLoader:createAnimationSprite("fort_lvAll_all")
	uiEff2:setAnchorPoint({x=1,y=0.5})
	uiEff2:setRotation(-30)
	self:addChild(uiEff2,101)
	uiEff2:setPosition(80,-72)
	self.uiEff2=uiEff2
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-6,y=23},
		{x=14,y=8},
		{x=40,y=-4},
		{x=-20,y=8},
		{x=0,y=-6},
		{x=27,y=-18}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-80,y=22},{x=64,y=39},{x=64,y=-54}},
	}
end

return T
