local AbstractParade=require("src.app.uiScript.components.fight.aircraftModels.parade.AbstractParade")

--- 战机模型--巡游(阵营1-等级2)
local T=Class.Parade_lv2_camp1(AbstractParade)

function T:def()
	AbstractParade.def(self)
end

function T:ctor()
	AbstractParade.ctor(self,Camp.CAMP1)
end

function T:init()
	AbstractParade.init(self)
	
	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_parade_lv2_1.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)

	--尾焰1
	local uiPlume1=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume1,101)
	uiPlume1:setRotation(-28)
	uiPlume1:setPosition(-88,-34)

	--尾焰2
	local uiPlume2=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume2,101)
	uiPlume2:setRotation(-28)
	uiPlume2:setPosition(-76,-40)
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=90,y=47}
	}
end

--- 获取中弹点列表
function T:getHitPoints()
	return {
		{{x=-68,y=8},{x=3,y=-36},{x=77,y=45}},
	}
end

return T
