local AbstractThunder=require("src.app.uiScript.components.fight.aircraftModels.thunder.AbstractThunder")

--- 战机模型--雷电(阵营2-等级4)
local T=Class.Thunder_lv4_camp2(AbstractThunder)

function T:def()
	AbstractThunder.def(self)
end

function T:ctor()
	AbstractThunder.ctor(self,Camp.CAMP2)
end

function T:init()
	AbstractThunder.init(self)

	--尾焰1
	local uiPlume1=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume1,99)
	uiPlume1:setRotation(-28+180)
	uiPlume1:setPosition(96,63)

	--尾焰2
	local uiPlume2=ResLoader:createAnimationSpriteRandom("plume01_LV1",true)
	self:addChild(uiPlume2,99)
	uiPlume2:setRotation(-28+180)
	uiPlume2:setPosition(108,57)

	local uiBody=cc.Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("aircraft_thunder_lv4_2.png"))
	self:addChild(uiBody,100)
	uiBody:setPosition(0,0)
end

--- 获取炮火发射挂载点列表
function T:getFireMountPoints()
	return {
		{x=-91,y=-53}
	}
end

return T
