--[[
 * 联盟视图
]]

local T = class("T",function() return ccui.Layout:create() end)

T.LayoutItem = require("src.app.uiScript.components.help.LayoutItem")


--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()
    
end

function T:onExit()
    
end


function T:init()
    -- 背景图片
    local needListBack = Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("canvasBack.png"))
	self:addChild(needListBack)
    REL:relOther(needListBack,self,0,0,0,0)
    
    -- listView
    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,needListBack,0,0,5,5)
    self.listView = listView

    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc750"),Language:get("uc751"))
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

    local layout2 = self.LayoutItem.new()
    layout2:init(Language:get("uc752"),Language:get("uc753"))
    layout2:updateView()

    self.listView:pushBackCustomItem(layout2)


end




return T
