--[[
 * 帮助中的每一项
]]

local T = class("T",function() return ccui.Layout:create() end)

--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()
    
end

function T:onExit()
    
end

--- 初始化
function T:init(title,des)
    self.width = 450 -- 这个是listview的宽度
    self:setContentSize(cc.size(self.width,100))

     -- 背景图片
    local back = ccui.ImageView:create()
    back:loadTexture("taskTitleBack.png",ccui.TextureResType.plistType)
    self:addChild(back)
    REL:toOther("center","top",back,self,0,0)
    self.back = back

    -- 标题
    local labelName = XMLLabel()
    labelName:setContentSize(cc.size(300,36))
    labelName:setAlign("center","middle")
    self:addChild(labelName)
    REL:toOther("center","middle",labelName,back,0,0)
    labelName:setString(title)
    self.labelName = labelName

    -- 描述
    local describe = XMLLabel()
    describe:setWidth(self.width - 50)
    describe:setVAlign("middle")
    self:addChild(describe)
    REL:toOther("left","middle",describe,self,25,-20)
    describe:setString(des)
    self.describe = describe


end

--- 更新视图
function T:updateView()
    self.describe:updateView()
    local contentHeight = self.describe:getTextHeight()
    self:setContentSize(cc.size(self.width,100 + contentHeight))

    REL:toOther("center","top",self.back,self,0,0)
    REL:toOther("center","middle",self.labelName,self.back,0,0)
    REL:toOther("left","middle",self.describe,self,25,-20)

end



return T
