--[[
 * 角色属性视图
]]

local T = class("T",function() return ccui.Layout:create() end)

T.LayoutItem = require("src.app.uiScript.components.help.LayoutItem")


--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()
    
end

function T:onExit()
    
end


function T:init()
    -- 背景图片
    local needListBack = Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("canvasBack.png"))
	self:addChild(needListBack)
    REL:relOther(needListBack,self,0,0,0,0)
    
    -- listView
    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,needListBack,0,0,5,5)
    self.listView = listView

    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc738"),Language:get("uc739"))
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

    local layout2 = self.LayoutItem.new()
    layout2:init(Language:get("uc740"),Language:get("uc741"))
    layout2:updateView()

    self.listView:pushBackCustomItem(layout2)

    local layout3 = self.LayoutItem.new()
    layout3:init(Language:get("uc742"),Language:get("uc743"))
    layout3:updateView()

    self.listView:pushBackCustomItem(layout3)

end




return T
