--[[
 * VIP视图
]]

local T = class("T",function() return ccui.Layout:create() end)

T.LayoutItem = require("src.app.uiScript.components.help.LayoutItem")


--- 构造函数
function T:ctor()
	self:registerScriptHandler(
		function(eventType)
			if eventType == CocosEvent.ENTER then
				self:onEnter()
			elseif eventType == CocosEvent.EXIT then
				self:onExit()
			elseif eventType == CocosEvent.CLEAN_UP then
			end
		end
	)



end


function T:onEnter()
    
end

function T:onExit()
    
end


function T:init()
    -- 背景图片
    local needListBack = Scale9Sprite:createWithFrame(ResLoader:getSpriteFrame("canvasBack.png"))
	self:addChild(needListBack)
    REL:relOther(needListBack,self,0,0,0,0)
    
    -- listView
    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,needListBack,0,0,5,5)
    self.listView = listView

    local html = nil
    for i = 1,12,1 do
        local gems = Vip[i].needGems
        if html == nil then
            html = Language:get("uc737",i,gems)
        else
            html = html .. Language:get("uc737",i,gems)
        end
        
    end

    local layout = self.LayoutItem.new()
    layout:init(Language:get("uc735"),html)
    layout:updateView()

    self.listView:pushBackCustomItem(layout)

end




return T
