--- 地面特效播放器
local T=Class.CloudPlayer(
	function()
		return ccui.Layout:create()
	end,
	AbstractUI
)

--- 云彩帧名列表
T.CLOUD_NAMES={
	"cloud1_bottom.png",
	"cloud2_bottom.png",
	"cloud3_bottom.png"
}

function T:def()
	AbstractUI.def(self)
end

function T:ctor(cloudFrameNames)
	AbstractUI.ctor(self)

	self:init()
end

function T:init()
--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
--	self:setBackGroundColor(cc.c3b(255,0,0))
--	self:setBackGroundColorOpacity(200)
end

function T:play()
	local resName=self.CLOUD_NAMES[random(1,#self.CLOUD_NAMES)]
	local uiCloud=cc.Sprite:createWithSpriteFrameName(resName)
	uiCloud:setRotation(24)
	uiCloud:setOpacity(150)
	uiCloud:setScale(random(9,15)/10+6)
	uiCloud:setAnchorPoint({x=0.5,y=0.5})
	self:addChild(uiCloud)

	local cs=self:getContentSize()
	local w=uiCloud:getContentSize().width*uiCloud:getScaleX()

	local sx,sy=random(-w/2,-w),random(100,cs.height/2)
	local ex,ey=random(cs.width+w/2,cs.width+w),sy

	uiCloud:setPosition(sx,sy)
	uiCloud:runAction(cc.Sequence:create(
		cc.MoveTo:create(5+randomFloat(0.5,1.5),{x=ex,y=ey}),
		cc.CallFunc:create(function(t)
			t:removeFromParent()
		end)
	))
end

return T
