---限时商店视图
local T = class("T",function() return ccui.Layout:create() end)

--- 限时商店信息
T.timeLimitBuyInfo = nil

--- 所有的限时商店数据
T.lotteryData = nil 

--- 限时商店项
T.TimeLimitBuyItem = require("src.app.uiScript.components.prop.timeLimitBuy.TimeLimitBuyItem")

--- 限时商店项
T.TimeLimitBuyAircraftItem = require("src.app.uiScript.components.prop.timeLimitBuy.TimeLimitBuyAircraftItem")


--- 队列数据
T.queue = nil

--- 构造函数 
function T:ctor(timeLimitBuyInfo,lotteryData)
    self.timeLimitBuyInfo = timeLimitBuyInfo
    self.lotteryData = lotteryData

    self:registerScriptHandler(
        function(eventType)
            if eventType == CocosEvent.ENTER then
                self:onEnter()
            elseif eventType == CocosEvent.EXIT then
                self:onExit()
            elseif eventType == CocosEvent.CLEAN_UP then
            end
        end
    )

    self.queue = Queue()


    self.timeLimitBuyInfo:luaAddEventListener(self.timeLimitBuyInfo.EVT_ACTIVTIY_OPENVALUE_REFRESH .. self.timeLimitBuyInfo.sid,self,self.closeSelf)
    
end

function T:onEnter()
    
end

function T:onExit()
    self.timeLimitBuyInfo:luaRemoveEventListener(self.timeLimitBuyInfo.EVT_ACTIVTIY_OPENVALUE_REFRESH .. self.timeLimitBuyInfo.sid,self,self.closeSelf)
    
    self.queue:clearT()
    self.queue = nil
end

--- 关闭当前所有项
function T:closeSelf()
    if self.timeLimitBuyInfo:getOpenValue() == false then
        self.listView:removeAllItems()

    end
    
end

function T:init()
    local listView = ListView.new()
    self:addChild(listView)
    REL:relOther(listView,self,6,0,0,0)
    self.listView = listView

    self:_addToListview() 
    
end

function T:_addToListview()
    local lotteryData = self.lotteryData
    local num = #lotteryData

    for i = 1,num,1 do
        if lotteryData[i] then
            self.queue:push(lotteryData[i])
        end
    end

    self:runAction(
        cc.RepeatForever:create(
            cc.Sequence:create(
		        cc.DelayTime:create(0.1),
		        cc.CallFunc:create( function()
			        self:addRes()
		        end)
		    )
        )
	)
end

function T:addRes()
    local data = self.queue:pop()
    if data then
        local res = nil
        if data.propOrAircraftType == 0 then -- 道具
            res = self.TimeLimitBuyItem.new(self.timeLimitBuyInfo,data)
        else -- 飞机
            res = self.TimeLimitBuyAircraftItem.new(self.timeLimitBuyInfo,data)
        end

        res:setOpacity(0)
        self.listView:pushBackCustomItem(res)
        res:runAction(
            cc.FadeIn:create(0.5)
        )
    else
        self:stopAllActions()
    end
end

return T