--[[
 * 高级传送弹出信息
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 位置x
T.posX = nil

--- 位置x
T.posY = nil

function T:ctor()
    self:setContentSize(cc.size(524,180))

    self:init()

end


function T:init()
    -- 信息
    local info = XMLLabel()
    info:setContentSize(cc.size(524 - 16 - 16,36))
    info:setAlign("center","middle")
    self:addChild(info)
    REL:toOther("center","middle",info,self,0,50)
    info:setString(Language:get("uc449"))


    -- X文本
    local xText = XMLLabel()
    xText:setContentSize(cc.size(100,36))
    xText:setVAlign("middle")
    self:addChild(xText)
    REL:toOther("left","middle",xText,self,150,0)
    xText:setString(Language:get("uy73"))

    -- X输入框
    local editBoxSize = cc.size(65, 45)
    local editX = ccui.EditBox:create(editBoxSize, ccui.Scale9Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("inputBoxBack.png"),cc.rect(12,13,2,1)))
    editX:setFontSize(20)
    editX:setFontName(defaultCssStyle.fontName)

    editX:setPlaceHolder("")
    editX:setMaxLength(6)
    editX:setInputMode(cc.EDITBOX_INPUT_MODE_NUMERIC)

    editX:registerScriptEditBoxHandler(function(e,t)
			if e == "began" then
			elseif e == "ended" then
                local con = tonumber(t:getText())
                if not con or con > 600 then 
                    con = 600
                end
                t:setText(tostring(con))
                self.posX = con
			elseif e == "changed" then
                
			elseif e == "return" then
			end
		end)
    
    self:addChild(editX)
    REL:toOther("left", "middle", editX, xText, 30, 0)

    -- Y文本
    local yText = XMLLabel()
    yText:setContentSize(cc.size(100,36))
    yText:setVAlign("middle")
    self:addChild(yText)
    REL:toOther("right","middle",yText,self,150,0)
    yText:setString(Language:get("uy74"))

    -- Y输入框
    local editY = ccui.EditBox:create(editBoxSize, ccui.Scale9Sprite:createWithSpriteFrame(ResLoader:getSpriteFrame("inputBoxBack.png"),cc.rect(12,13,2,1)))
    editY:setFontSize(20)
    editY:setFontName(defaultCssStyle.fontName)

    editY:setPlaceHolder("")
    editY:setMaxLength(6)
    editY:setInputMode(cc.EDITBOX_INPUT_MODE_NUMERIC)

    editY:registerScriptEditBoxHandler(function(e,t)
			if e == "began" then
			elseif e == "ended" then
                local con = tonumber(t:getText())
                if not con or con > 600 then 
                    con = 600
                end
                t:setText(tostring(con))
                self.posY = con
			elseif e == "changed" then
               
			elseif e == "return" then
			end
		end)
    
    self:addChild(editY)
    REL:toOther("left", "middle", editY, yText, 30, 0)


end

function T:setMuialter(muialter)
    self.muialter = muialter
end

return T
