--[[
 *	弹出的打开页面
]]
local T = class("T",function() return ccui.Layout:create() end)

--- 每一种资源所对应的道具列表
T.propList = nil

--- 资源的的sid
T.resSid = nil

--- resourcesList
T.resourcesList = nil

--- 展开的页面的每一项
T.resourceListOpenItem = require "src.app.uiScript.components.warehousestorage.resource.ResourceListOpenItem"

--- 保存的是每一项（道具）的高度和宽度
T.propSize = nil

--- 构造函数
function T:ctor(sid,resourcesList)
    self.resSid = sid
    self.resourcesList = resourcesList

    -- 根据传过来的sid来找表中对应的道具种类
    self.propList = {{100,6,11},{101,7,12},{102,8,13},{103,9,14},{104,10,15}}

    self:AddPropToLayout()
end

--- 添加到layout中去
function T:AddPropToLayout()
    -- 添加其它项
    local data = self.propList[self.resSid]
    local num = #data
    for i = 1,num,1 do
        local res = self.resourceListOpenItem.new(data[i],self.resourcesList) 
        self.propSize = res.size -- 保存的每一项的大小
        res:setPosition(cc.p(0,0 + (num - 1)*res.size.height - (i-1)*res.size.height ))  -- 默认添加进来的是（0,0）
        self:addChild(res)
    end

end

--- 动态设置高度
function T:SetSize()
    local data = self.propList[self.resSid]
    local num = #data

    self:setContentSize(cc.size(self.propSize.width,self.propSize.height* num)) -- layout这个的宽和高度，这个要动态来设置
end

return T