local MapNodeType=require("src.app.model.WorldMap.MapNodeType")
local MapNodeResLocType=require("src.app.model.WorldMap.MapNodeResLocType")

local BoundaryType=require("src.app.model.WorldMap.BoundaryType")

local T=Class.MapNode(
	function()
		return cc.Node:create()
	end,
	AbstractUI
)

function T:def()
	AbstractUI.def(self)

	--- 节点数据
	-- _data
end

function T:ctor(width,height)
	AbstractUI.ctor(self)

	self:setAnchorPoint({x=0.5,y=0.5})
	self:setContentSize(cc.size(width,height))
	self:_init()
end

function T:_init()
--	local uiBack=ccui.Layout:create()
--	uiBack:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
--	uiBack:setBackGroundColorOpacity(100)
--	uiBack:setBackGroundColor(cc.c3b(255,0,0))
--	self:addChild(uiBack)
--	REL:relOther(uiBack,self,0,0,0,0)
--	self.uiBack=uiBack
--
--	local uiLoc=XMLLabel()
--	self:addChild(uiLoc,2)
--	uiLoc:setAlign("center","top")
--	REL:relOther(uiLoc,uiBack,0,0,0,0)
--	self.uiLoc=uiLoc
end

--- 更新视图
function T:updateView()
--	local data=self._data
--	local bv=WorldMapMgr:getNodeBoundaryVales(data.x,data.y)
--
--	local l,r,t,b=bv[BoundaryType.LEFT] or 0,bv[BoundaryType.RIGHT] or 0,bv[BoundaryType.TOP] or 0,bv[BoundaryType.BOTTOM] or 0
--	print("更新节点:",data.x,data.y,l,r,t,b)
--
--	local uiBL=self.uiBoundaryLeft
--	if l > 0 and not uiBL then
--		print("添加左边")
--		uiBL=self:createBoundaryUI()
--		uiBL:setRotation(0)
--		REL:toOther("left","middle",uiBL,self,0,0)
--		self.uiBoundaryLeft=uiBL
--	elseif uiBL then
--		uiBL:removeFromParent()
--		self.uiBoundaryLeft=nil
--	end
--
--	local uiBR=self.uiBoundaryRight
--	if r > 0 and not uiBR then
--		print("添加右边")
--		uiBR=self:createBoundaryUI()
--		uiBR:setRotation(180)
--		REL:toOther("right","middle",uiBR,self,0,0)
--		self.uiBoundaryRight=uiBR
--	elseif uiBR then
--		uiBR:removeFromParent()
--		self.uiBoundaryRight=nil
--	end
--
--	local uiBT=self.uiBoundaryTop
--	if t > 0 and not uiBT then
--		print("添加上边")
--		uiBT=self:createBoundaryUI()
--		uiBT:setRotation(90)
--		REL:toOther("center","top",uiBT,self,0,0)
--		self.uiBoundaryTop=uiBT
--	elseif uiBT then
--		uiBT:removeFromParent()
--		self.uiBoundaryTop=nil
--	end
--
--	local uiBB=self.uiBoundaryBottom
--	if b > 0 and not uiBB then
--		print("添加下边")
--		uiBB=self:createBoundaryUI()
--		uiBB:setRotation(270)
--		REL:toOther("center","bottom",uiBB,self,0,0)
--		self.uiBoundaryBottom=uiBB
--	elseif uiBB then
--		uiBB:removeFromParent()
--		self.uiBoundaryBottom=nil
--	end
end

function T:setData(value)
	--	self.uiBack:setBackGroundColor(cc.c3b(random(0,255),random(0,255),random(0,255)))
	--	if value then
	--		self.uiLoc:setString(value.x..","..value.y)
	--	end

	self._data=value

	self:updateView()
end

function T:getData()
	return self._data
end

--- 重置
function T:reset()

end

--function T:createBoundaryUI()
--	local uiSp=cc.Sprite:create()
--	self:addChild(uiSp)
--
--	local animation=ResLoader:getAnimation("boundaryEff")
--	if animation then
--		uiSp:runAction(
--			cc.RepeatForever:create(cc.Animate:create(animation))
--		)
--	end
--
--	return uiSp
--end

return T
