--region BackBeach.lua
--Author    : YuDing
--Date      : 2015/4/9
--Introduce : 海滩背景

local T = {}

function T:initView()
    self:initWaveEff()
end

--- 海浪特效
function T:initWaveEff()
    -- X坐标 y坐标 缩放 旋转  
    local pp = {{99, 349, 1, 0}, {288, 346, 1, 0}, {490, 316, 1, 0}, {692, 285, 1, 0}, {915, 347, 0.5, 0}}
    for k, v in pairs(pp) do 
        local eff = HomePageManager:getEff("waveEff", 1) -- 开始帧随机
        self:addChild(eff)
        CCUIREL:toOther("left", "bottom", eff, self, v[1], v[2])
        eff:setScale(v[3])
        eff:setRotation(v[4])
    end

end

return T


--endregion
