--region HomePageWorldConfig.lua
--Author    : YuDing
--Date      : 2014/12/13
--Introduce : 世界地图配置

local T = {}

-- 世界碎片地图 图片宽
T.dMapWidth = 1040
-- 世界碎片地图 图片高
T.dMapHeight = 1040
-- 地图小单元 宽
T.cWidth = 130
-- 地图小单元 高
T.cHeight = 130
-- 一张地图上 x 方向上的单元格数
T.cXN = 8
-- 一张地图上 y 方向上的单元格数
T.cYN = 8

--- 世界地图x坐标最大
T.horizonMWidth = 600
--- 世界地图y坐标最大
T.verticalMheight = 600

-- location 位置 res资源点 0 代表是隐藏
T.randomBuilding = { 
--   {lct = {300,100}, res = {0, 1, 2, 3}},
--   {lct = {600,200}, res = {0, 2, 3, 4}},
--   {lct = {700,400}, res = {0, 2, 3, 5}},
--   {lct = {300,600}, res = {0, 3, 4, 5}},
--   {lct = {250,200}, res = {0, 1, 2, 3}},
--   {lct = {350,300}, res = {0, 2, 3, 5}},
--   {lct = {350,350}, res = {0, 1, 3, 5}},
--   {lct = {400,400}, res = {0, 1, 2, 4}},
--   {lct = {500,500}, res = {0, 2, 3, 4}},
--   {lct = {600,600}, res = {0, 1, 3, 5}},
--   {lct = {700,700}, res = {0, 1, 2, 5}},
--   {lct = {800,800}, res = {0, 1, 4, 5}},
}

--- 随机资源点图片资源
T.randomRes = {
    "worldRandomResOne.png", 
    "worldRandomResTwo.png",
    "worldRandomResThree.png",
    "worldRandomResFour.png",
    "worldRandomResFive.png",
    -- "worldRandomResSix.png",
}

--- 野外资源
T.fieldRes = {
    "worldFieldGold.png",
    "worldFieldSteel.png",
    "worldFieldOil.png",
    "worldFieldSilicon.png",
    "worldFieldTati.png"
}

--- npc图片资源
T.npcRes = {
    own = "worldPlayerSelf.png", -- 自身
    against = "worldAgainst.png", -- 敌对玩家
}

--- 收藏点 图片资源
T.collection = {
    all = {"worldCollectionAll.png", "worldCollectionAll_down.png"}, -- 未选中， 选中 按键
    resource = {"worldCollectionResource.png", "worldCollectionResource_down.png"}, -- 资源 按键
    against = {"worldCollectionAgainst.png", "worldCollectionAgainst_down.png"}, -- 敌对 按键
    friend = {"worldCollectionFriend.png", "worldCollectionFriend_down.png"}, -- 朋友 按键
}

--T.energyCoverRes = "energyCover.png"


return T






--endregion
