--[[
    社交视图
]]
local T = class("T", function() return ccui.Layout:create() end)


function T:ctor() 
    

end 

function T:init()
    local function callBack1()
        self:friendLogic()
    end

    local function callBack2()
        self:blackLogic()
    end
    -- 创建2个
    local switchButtonContainer = SwitchButtonContainer.new(0)
    self:addChild(switchButtonContainer)
    REL:relOther(switchButtonContainer,self,0,0,0,0)
    switchButtonContainer:init()
    switchButtonContainer:initButtons(
        2,
        {{"panelSwitchButton_down2.png","panelSwitchButton_normal2.png"},{"panelSwitchButton_down2.png","panelSwitchButton_normal2.png"}},
        {110,15},
        {callBack1,callBack2},
        {Language:get("uc392"),Language:get("uc393")}
    )
    self.switchButtonContainer = switchButtonContainer
    self.switchButtonContainer.viewBack:setVisible(false)
    self.switchButtonContainer:setBtnPos() -- 重新更新一下位置


end

--- 切换到好友逻辑
function T:friendLogic()
    if self.friendPage == nil then
        self.friendPage = require("src.app.uiScript.scenes.playerInfo.PlayerInfoFriend").new()
        self:addChild(self.friendPage)
        REL:relOther(self.friendPage,self.switchButtonContainer.viewBack,0,0,0,0)
        self.friendPage:init()
    end

    if self.friendPage then
        self.friendPage:setVisible(true)
    end

    if self.blackPage then
        self.blackPage:setVisible(false)
    end
end

--- 切换到黑名单逻辑
function T:blackLogic()
    if self.friendPage then
        self.friendPage:setVisible(false)
    end

    if self.blackPage == nil then
        self.blackPage = require("src.app.uiScript.scenes.playerInfo.PlayerInfoBlack").new()
        self:addChild(self.blackPage)
        REL:relOther(self.blackPage,self.switchButtonContainer.viewBack,0,0,0,0)
        self.blackPage:init()
    end

    if self.blackPage then
        self.blackPage:setVisible(true)
    end
end



return T

