---声望弹出信息
local T = class("T",function() return ccui.Layout:create() end)

function T:ctor()
	self:setContentSize(cc.size(524,180))

	self:getWidget()
	self:setData()

end

function T:getWidget()
	-- 声望图标
	local icon = ccui.ImageView:create()
	local iconPath = IconManager.iconPath
	icon:loadTexture(iconPath .. PlayerAddAttributeIcon_temp[2].icon)
	icon:setScale(IconManager.resScale[1],IconManager.resScale[2])
	self:addChild(icon)
	REL:toOther("left","top",icon,self,50,30)

	-- 免费声望数
	local freeRepu = XMLLabel()
	freeRepu:setVAlign("middle")
	freeRepu:setContentSize(cc.size(200,36))
	self:addChild(freeRepu)
	REL:toOther("left","middle",freeRepu,icon,120,0)
	freeRepu:setString(Language:get("uc868",20))

	-- 免费按钮
	local freeBtn = Button.new("false","true")
	freeBtn:setButtonState("button_green_normal.png","button_general_down.png")
	freeBtn:setString(Language:get("uc724"))
	self:addChild(freeBtn)
	REL:toOther("left","middle",freeBtn,icon,330,-10)
	freeBtn:setTextShadow()
	freeBtn:addTouchEventListener(function(sender, eventType)
		if eventType == ccui.TouchEventType.ended then
			ReputationAddCommand:new():exec(function(state)
				if state == ReturnCode.SUCCESS then -- 成功
					MUIAlter_singleLine.show({info = Language:get("uy190", GameCfg.FREE_ADD_REPUTATION), showSecond = 1})
					self:setData()
				end
			end)

		end
	end)
	self.freeBtn = freeBtn

	-- 声望图标
	local icon2 = ccui.ImageView:create()
	local iconPath = IconManager.iconPath
	icon2:loadTexture(iconPath .. PlayerAddAttributeIcon_temp[2].icon)
	icon2:setScale(IconManager.resScale[1],IconManager.resScale[2])
	self:addChild(icon2)
	REL:toOther("left","top",icon2,self,50,150)

	-- 钻石声望数
	local diamondRepu = XMLLabel()
	diamondRepu:setVAlign("middle")
	diamondRepu:setContentSize(cc.size(200,36))
	self:addChild(diamondRepu)
	REL:toOther("left","middle",diamondRepu,icon2,120,0)
	diamondRepu:setString(Language:get("uc868",GameCfg.ADD_REPUTATION))

	-- 钻石按钮
	local diamondBtn = Button.new("false","true")
	diamondBtn:setButtonState("useDiamonButton_normal.png","useDiamonButton_normal.png")
	diamondBtn:setString(Language:get("uc869"))
	self:addChild(diamondBtn)
	REL:toOther("left","middle",diamondBtn,icon2,310,0)
	diamondBtn.buttonText:setAlign("center","midddle")
	REL:toOther("center","middle",diamondBtn.buttonText,diamondBtn,0,-10)
	diamondBtn:addTouchEventListener(function(sender, eventType)
		if eventType == ccui.TouchEventType.ended then
			local confirm = function()
				local gems = UserInfo.gems
				if GameCfg.COST_ADD_REPUTATION_DIAMOND > gems then
					-- 钻石不足,-- 弹出充值页面
					MUIPop.MUIToReCharge()
					
					self.__hide__()
					return
				end

				BuyReputationCommand:new():exec(function(state)
					if state == ReturnCode.SUCCESS then -- 成功
						MUIAlter_singleLine.show({info = Language:get("uy190", GameCfg.ADD_REPUTATION), showSecond = 1})
						self:setData()
					end
				end)
			end

			MUIAlter.show({
				info = Language:get("uy191", GameCfg.COST_ADD_REPUTATION_DIAMOND, GameCfg.ADD_REPUTATION),
				size = 30,
				flag = 3,
				callback = function(flag)
					if flag == FLAG_OK then
						confirm()
					end
				end
			})
		end
	end)
	self.diamondBtn = diamondBtn

	-- 消耗钻石
	local labelCostDiamond = XMLLabel()
	labelCostDiamond:setHAlign("center")
	labelCostDiamond:setVAlign("middle")
	labelCostDiamond:setContentSize(cc.size(300, 27))
	diamondBtn:addChild(labelCostDiamond)
	REL:toOther("center", "bottom", labelCostDiamond, diamondBtn, 15, 90)
	labelCostDiamond:setString(GameCfg.COST_ADD_REPUTATION_DIAMOND)
end

function T:setMuialter(muialter)
	self.muialter = muialter
end

function T:setData()
	if PlayerInstance:getReputationLvl() >= GameCfg.BUILDING_MAX_LEVEL then
		self.freeBtn:setIsGray(true)
		self.freeBtn:setTouchEnabled(false)

		self.diamondBtn:setIsGray(true)
		self.diamondBtn:setTouchEnabled(false)

		return
	end

	local state = SetStates.reputationState:getState()
	if state ~= UnitConversion.getYday() then --免费领取
		self.freeBtn:setIsGray(false)
		self.freeBtn:setTouchEnabled(true)

		self.diamondBtn:setIsGray(true)
		self.diamondBtn:setTouchEnabled(false)
	else
		self.freeBtn:setIsGray(true)
		self.freeBtn:setTouchEnabled(false)

		self.diamondBtn:setIsGray(false)
		self.diamondBtn:setTouchEnabled(true)
	end

end


return T
