---shader缓存器
local T={}

T.cacheList={}

function T:loadShaders()
--    --重置
--    local p=cc.GLProgram:createWithFilenames("src/frameworks/cocos/shaders/normal.vsh", "src/frameworks/cocos/shaders/normal.fsh")
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_TEX_COORDS)
--    p:link()
--    p:updateUniforms()
--    p:retain()
--    self.cacheList["normal"]=p
--
    --置灰
    local p=cc.GLProgram:createWithFilenames("src/frameworks/cocos/shaders/gray.vsh", "src/frameworks/cocos/shaders/example_Blur.fsh")
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_TEX_COORDS)
    p:link()
    p:updateUniforms()
    p:retain()
    self.cacheList["gray"]=p

--    --模糊
--    local p=cc.GLProgram:createWithFilenames("src/frameworks/cocos/shaders/blur.vsh", "src/frameworks/cocos/shaders/blur.fsh")
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
--    p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_TEX_COORDS)
--    p:link()
--    p:updateUniforms()
--    p:retain()
--    self.cacheList["blur"]=p
    
    --冻结
    local p=cc.GLProgram:createWithFilenames("src/frameworks/cocos/shaders/frozen.vsh", "src/frameworks/cocos/shaders/frozen.fsh")
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
    p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_TEX_COORDS)
    p:link()
    p:updateUniforms()
    p:retain()
    self.cacheList["Frozen"]=p
end

function T:getShader(name)
    return self.cacheList[name]
end

function T:_applyShader(target,glProgram)
	if target.getChildren then
        local children=target:getChildren()

        for _,v in ipairs(children) do
            self:applyShader(v,glProgram)
        end
    end
    
    target:setGLProgram(glProgram)
end

function T:applyShader(target,name)
    if not target then
        return
    end
    
    local glProgram=self.cacheList[name] or cc.GLProgramCache:getInstance():getGLProgram(name)
    if not glProgram then 
    	return
    end

    self:_applyShader(target,glProgram)
end

T:loadShaders()
return T
